#include <common.h>
#include <parse_h.h>
#include <asm/arch/bootparam.h>
#include <asm/arch/fw_info.h>
#include <asm/arch/system.h>
#include <exports.h>
#include <factorylib.h>
#include <platform_lib/board/pcb.h>

extern uchar boot_ac_on;
extern int boot_power_on_mode;
extern int prev_power_on_status;

#ifdef CONFIG_REALTEK_EERPOM_TV010_A
#ifndef UINT8
#define UINT8 unsigned char
#endif

extern int getPowerState(UINT8 *mode);
extern int getPowerMode(UINT8 *mode);
#endif

void CusApi_get_bootparam(char *dst_addr, int dst_length)
{
}

void CusApi_decide_power_on_mode(void)
{
#if defined(CONFIG_REALTEK_EERPOM_TV010_A)
#if 1 // Remove the mark when standby is ok. modified by lxl 2016/12/5
	unsigned char tmppowermode = 0;
	unsigned char tmppowerstate = 0;
	getPowerMode(&tmppowermode);
	getPowerState(&tmppowerstate);
	printf("flash eep,powermode=%d, powerstate=%d\n", tmppowermode, tmppowerstate);
	boot_power_on_mode = POWER_OFF;
	if(boot_ac_on)
	{
		if(0 == tmppowermode)
		{
			boot_power_on_mode = POWER_ON;
		}else if(2 == tmppowermode)
		{
			if(0 == tmppowerstate)
			{
				boot_power_on_mode = POWER_ON;
			}
		}
	}else
	{
		boot_power_on_mode = POWER_ON;
	}
#endif
#endif

#ifdef CONFIG_CUSTOMER_TV010
	if (boot_power_on_mode == POWER_ON)
	{
#ifdef PIN_LEDG
		IO_Set(PIN_LEDG, 1);
#endif
	} else {
#ifdef PIN_LEDR
		IO_Set(PIN_LEDR, 0);
#endif
	}
#endif

}
