MEMORY {
	INIT_CODE (rx)    : ORIGIN = 0x00010400, LENGTH = 0x20000
}

ENTRY(start)

SECTIONS {

	.start :
	     { 
	          ./start2.o(.text);
	     } > INIT_CODE
	. = ALIGN(4);

	.rodata : 
	     { 
	          *(.rodata);
	     } > INIT_CODE
	. = ALIGN(4);
	_rodata_end = .;

	.data :
	     { 
	          *(.data);	     
	     } > INIT_CODE
	. = ALIGN(4);
	_data_end = .;

	.bss :
	     { 
	          *(.bss);
	     } > INIT_CODE
	. = ALIGN(4);
	_bss_end =.;

}
