#ifndef __PARSEH_H__
#define __PARSEH_H__

typedef struct {
	char name[128];
	char type[16];
	unsigned int target;
	unsigned int offset;
	unsigned int size;
	
} layout_fw_desc;
typedef struct {
	char name[128];
	char filesystem[128];
	char mount_point[128];
	char mount_dev[128];
	char partname[32];
	char type[16];
	unsigned long long offset;
	unsigned long long size;
	
} layout_part_desc;

#if 0 //def PANEL_CONFIG_FROM_FACTORY_PANEL_HEADER
uint parse_main(char *src_addr, uint length);
#endif
uint parse_h(char *target_str, char *src_addr, uint length, uint* pRetVal, char **pRetAddr);
uint parse_fw(char *fw_name, char *src_addr, uint length, layout_fw_desc *entry);
uint parse_part(char *part_name, char *src_addr, uint length, layout_part_desc *entry);
int parse_getline(char *line, char *str);
#endif

