/**
* @file Mac7p-DesignSpec-DMAto3DTable
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_DMATO3DTABLE_REG_H_
#define _RBUS_DMATO3DTABLE_REG_H_

#include "rbusTypes.h"



//  DMATO3DTABLE Register Address



#define  DMATO3DTABLE_DMATO3DTABLE_DB_CTL_VADDR             	(0xb806bd00)
#define  DMATO3DTABLE_CTI_DMA_RD_RULE_CHECK_UP_VADDR        	(0xb806bd04)
#define  DMATO3DTABLE_CTI_DMA_RD_RULE_CHECK_LOW_VADDR       	(0xb806bd08)
#define  DMATO3DTABLE_CTI_DMA_RD_CTRL_VADDR                 	(0xb806bd0c)
#define  DMATO3DTABLE_CTI_DMA_RD_STATUS_VADDR               	(0xb806bd10)
#define  DMATO3DTABLE_CTI_DMA_RD_STATUS1_VADDR              	(0xb806bd14)
#define  DMATO3DTABLE_CTI_DMA_RD_STATUS2_VADDR              	(0xb806bd18)
#define  DMATO3DTABLE_CTI_DMA_RD_WATER_MONITOR_VADDR        	(0xb806bd1c)
#define  DMATO3DTABLE_DMATO3DTABLE_MBIST_VADDR              	(0xb806bd20)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE0_FORMAT0_VADDR     	(0xb806bd24)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE0_FORMAT1_VADDR     	(0xb806bd28)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE0_BURST_VADDR       	(0xb806bd2c)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE0_ADDR_VADDR        	(0xb806bd30)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE0_DMA_VADDR         	(0xb806bd34)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE0_STATUS_VADDR      	(0xb806bd38)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE0_ERRSTATUS2IRQ_VADDR 	(0xb806bd3c)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE1_FORMAT0_VADDR     	(0xb806bd40)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE1_FORMAT1_VADDR     	(0xb806bd44)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE1_BURST_VADDR       	(0xb806bd48)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE1_ADDR_VADDR        	(0xb806bd4c)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE1_DMA_VADDR         	(0xb806bd50)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE1_STATUS_VADDR      	(0xb806bd54)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE1_ERRSTATUS2IRQ_VADDR 	(0xb806bd58)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE2_FORMAT0_VADDR     	(0xb806bd5c)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE2_FORMAT1_VADDR     	(0xb806bd60)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE2_BURST_VADDR       	(0xb806bd64)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE2_ADDR_VADDR        	(0xb806bd68)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE2_DMA_VADDR         	(0xb806bd6c)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE2_STATUS_VADDR      	(0xb806bd70)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE2_ERRSTATUS2IRQ_VADDR 	(0xb806bd74)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE3_FORMAT0_VADDR     	(0xb806bd78)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE3_FORMAT1_VADDR     	(0xb806bd7c)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE3_BURST_VADDR       	(0xb806bd80)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE3_ADDR_VADDR        	(0xb806bd84)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE3_DMA_VADDR         	(0xb806bd88)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE3_STATUS_VADDR      	(0xb806bd8c)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE3_ERRSTATUS2IRQ_VADDR 	(0xb806bd90)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE4_FORMAT0_VADDR     	(0xb806bd94)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE4_FORMAT1_VADDR     	(0xb806bd98)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE4_BURST_VADDR       	(0xb806bd9c)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE4_ADDR_VADDR        	(0xb806bda0)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE4_DMA_VADDR         	(0xb806bda4)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE4_STATUS_VADDR      	(0xb806bda8)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE4_ERRSTATUS2IRQ_VADDR 	(0xb806bdac)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE5_FORMAT0_VADDR     	(0xb806bdb0)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE5_FORMAT1_VADDR     	(0xb806bdb4)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE5_BURST_VADDR       	(0xb806bdb8)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE5_ADDR_VADDR        	(0xb806bdbc)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE5_DMA_VADDR         	(0xb806bdc0)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE5_STATUS_VADDR      	(0xb806bdc4)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE5_ERRSTATUS2IRQ_VADDR 	(0xb806bdc8)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE6_FORMAT0_VADDR     	(0xb806bdcc)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE6_FORMAT1_VADDR     	(0xb806bdd0)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE6_BURST_VADDR       	(0xb806bdd4)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE6_ADDR_VADDR        	(0xb806bdd8)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE6_DMA_VADDR         	(0xb806bddc)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE6_STATUS_VADDR      	(0xb806bde0)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE6_ERRSTATUS2IRQ_VADDR 	(0xb806bde4)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE7_FORMAT0_VADDR     	(0xb806bde8)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE7_FORMAT1_VADDR     	(0xb806bdec)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE7_BURST_VADDR       	(0xb806bdf0)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE7_ADDR_VADDR        	(0xb806bdf4)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE7_DMA_VADDR         	(0xb806bdf8)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE7_STATUS_VADDR      	(0xb806bdfc)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE7_ERRSTATUS2IRQ_VADDR 	(0xb806be00)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE8_FORMAT0_VADDR     	(0xb806be04)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE8_FORMAT1_VADDR     	(0xb806be08)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE8_BURST_VADDR       	(0xb806be0c)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE8_ADDR_VADDR        	(0xb806be10)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE8_DMA_VADDR         	(0xb806be14)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE8_STATUS_VADDR      	(0xb806be18)
#define  DMATO3DTABLE_DMATO3DTABLE_TABLE8_ERRSTATUS2IRQ_VADDR 	(0xb806be1c)
#define  DMATO3DTABLE_DMATO3DTABLE_DUMMY_VADDR              	(0xb806be20)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======DMATO3DTABLE register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  db_read:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  wtable_apply:1;
    };
}dmato3dtable_dmato3dtable_db_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_up_limint:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_cti_dma_rd_rule_check_up_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dma_low_limint:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_cti_dma_rd_rule_check_low_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  dma_8byte_swap:1;
        RBus_UInt32  dma_4byte_swap:1;
        RBus_UInt32  dma_2byte_swap:1;
        RBus_UInt32  dma_1byte_swap:1;
        RBus_UInt32  max_outstanding:2;
        RBus_UInt32  res2:6;
        RBus_UInt32  force_all_rst:1;
        RBus_UInt32  res3:1;
    };
}dmato3dtable_cti_dma_rd_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  dma_cmd_water:3;
        RBus_UInt32  res2:6;
        RBus_UInt32  dma_data_water:6;
        RBus_UInt32  res3:5;
        RBus_UInt32  cur_outstanding:3;
        RBus_UInt32  res4:3;
        RBus_UInt32  soft_rst_before_cmd_finish:1;
        RBus_UInt32  soft_rst_with_data_left:1;
        RBus_UInt32  res5:3;
    };
}dmato3dtable_cti_dma_rd_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ack_num_error:1;
        RBus_UInt32  last_no_ack_error:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  target_ack_num:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  last_ack_num:7;
        RBus_UInt32  res3:8;
    };
}dmato3dtable_cti_dma_rd_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}dmato3dtable_cti_dma_rd_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  monitor_en:1;
        RBus_UInt32  monitor_conti:1;
        RBus_UInt32  res1:7;
        RBus_UInt32  reach_thd:1;
        RBus_UInt32  monitor_thd:6;
        RBus_UInt32  res2:10;
        RBus_UInt32  lowest_water_level:6;
    };
}dmato3dtable_cti_dma_rd_water_monitor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dmato3dtable_ls:1;
        RBus_UInt32  dmato3dtable_rmea:1;
        RBus_UInt32  dmato3dtable_rmeb:1;
        RBus_UInt32  dmato3dtable_rma:4;
        RBus_UInt32  dmato3dtable_rmb:4;
        RBus_UInt32  dmato3dtable_test0_a:1;
        RBus_UInt32  dmato3dtable_test0_b:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  dmato3dtable_testrwm_0:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dmato3dtable_bist_fail_0:1;
        RBus_UInt32  res3:8;
        RBus_UInt32  dmato3dtable_drf_bist_fail_0:1;
    };
}dmato3dtable_dmato3dtable_mbist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_dma_en:1;
        RBus_UInt32  table0_bitwidth:7;
        RBus_UInt32  table0_num_y:8;
        RBus_UInt32  table0_num_x:16;
    };
}dmato3dtable_dmato3dtable_table0_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table0_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table0_burst_len:7;
        RBus_UInt32  table0_num_z:8;
    };
}dmato3dtable_dmato3dtable_table0_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table0_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_dmato3dtable_table0_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table0_remain:7;
    };
}dmato3dtable_dmato3dtable_table0_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wtable_frame_cnt:8;
        RBus_UInt32  frame_act:1;
        RBus_UInt32  res1:22;
        RBus_UInt32  table0_wdone:1;
    };
}dmato3dtable_dmato3dtable_table0_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  table0_status2irq_en:6;
        RBus_UInt32  res2:9;
        RBus_UInt32  table0_err_clr:1;
        RBus_UInt32  table0_err_status:6;
    };
}dmato3dtable_dmato3dtable_table0_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_dma_en:1;
        RBus_UInt32  table1_bitwidth:7;
        RBus_UInt32  table1_num_y:8;
        RBus_UInt32  table1_num_x:16;
    };
}dmato3dtable_dmato3dtable_table1_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table1_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table1_burst_len:7;
        RBus_UInt32  table1_num_z:8;
    };
}dmato3dtable_dmato3dtable_table1_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table1_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_dmato3dtable_table1_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table1_remain:7;
    };
}dmato3dtable_dmato3dtable_table1_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  table1_wdone:1;
    };
}dmato3dtable_dmato3dtable_table1_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  table1_status2irq_en:6;
        RBus_UInt32  res2:9;
        RBus_UInt32  table1_err_clr:1;
        RBus_UInt32  table1_err_status:6;
    };
}dmato3dtable_dmato3dtable_table1_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table2_dma_en:1;
        RBus_UInt32  table2_bitwidth:7;
        RBus_UInt32  table2_num_y:8;
        RBus_UInt32  table2_num_x:16;
    };
}dmato3dtable_dmato3dtable_table2_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table2_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table2_burst_len:7;
        RBus_UInt32  table2_num_z:8;
    };
}dmato3dtable_dmato3dtable_table2_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table2_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table2_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table2_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_dmato3dtable_table2_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table2_remain:7;
    };
}dmato3dtable_dmato3dtable_table2_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  table2_wdone:1;
    };
}dmato3dtable_dmato3dtable_table2_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  table2_status2irq_en:6;
        RBus_UInt32  res2:9;
        RBus_UInt32  table2_err_clr:1;
        RBus_UInt32  table2_err_status:6;
    };
}dmato3dtable_dmato3dtable_table2_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table3_dma_en:1;
        RBus_UInt32  table3_bitwidth:7;
        RBus_UInt32  table3_num_y:8;
        RBus_UInt32  table3_num_x:16;
    };
}dmato3dtable_dmato3dtable_table3_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table3_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table3_burst_len:7;
        RBus_UInt32  table3_num_z:8;
    };
}dmato3dtable_dmato3dtable_table3_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table3_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table3_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table3_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_dmato3dtable_table3_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table3_remain:7;
    };
}dmato3dtable_dmato3dtable_table3_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  table3_wdone:1;
    };
}dmato3dtable_dmato3dtable_table3_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  table3_status2irq_en:6;
        RBus_UInt32  res2:9;
        RBus_UInt32  table3_err_clr:1;
        RBus_UInt32  table3_err_status:6;
    };
}dmato3dtable_dmato3dtable_table3_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table4_dma_en:1;
        RBus_UInt32  table4_bitwidth:7;
        RBus_UInt32  table4_num_y:8;
        RBus_UInt32  table4_num_x:16;
    };
}dmato3dtable_dmato3dtable_table4_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table4_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table4_burst_len:7;
        RBus_UInt32  table4_num_z:8;
    };
}dmato3dtable_dmato3dtable_table4_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table4_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table4_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table4_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_dmato3dtable_table4_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table4_remain:7;
    };
}dmato3dtable_dmato3dtable_table4_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  table4_wdone:1;
    };
}dmato3dtable_dmato3dtable_table4_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  table4_status2irq_en:6;
        RBus_UInt32  res2:9;
        RBus_UInt32  table4_err_clr:1;
        RBus_UInt32  table4_err_status:6;
    };
}dmato3dtable_dmato3dtable_table4_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table5_dma_en:1;
        RBus_UInt32  table5_bitwidth:7;
        RBus_UInt32  table5_num_y:8;
        RBus_UInt32  table5_num_x:16;
    };
}dmato3dtable_dmato3dtable_table5_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table5_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table5_burst_len:7;
        RBus_UInt32  table5_num_z:8;
    };
}dmato3dtable_dmato3dtable_table5_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table5_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table5_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table5_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_dmato3dtable_table5_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table5_remain:7;
    };
}dmato3dtable_dmato3dtable_table5_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  table5_wdone:1;
    };
}dmato3dtable_dmato3dtable_table5_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  table5_status2irq_en:6;
        RBus_UInt32  res2:9;
        RBus_UInt32  table5_err_clr:1;
        RBus_UInt32  table5_err_status:6;
    };
}dmato3dtable_dmato3dtable_table5_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table6_dma_en:1;
        RBus_UInt32  table6_bitwidth:7;
        RBus_UInt32  table6_num_y:8;
        RBus_UInt32  table6_num_x:16;
    };
}dmato3dtable_dmato3dtable_table6_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table6_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table6_burst_len:7;
        RBus_UInt32  table6_num_z:8;
    };
}dmato3dtable_dmato3dtable_table6_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table6_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table6_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table6_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_dmato3dtable_table6_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table6_remain:7;
    };
}dmato3dtable_dmato3dtable_table6_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  table6_wdone:1;
    };
}dmato3dtable_dmato3dtable_table6_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  table6_status2irq_en:6;
        RBus_UInt32  res2:9;
        RBus_UInt32  table6_err_clr:1;
        RBus_UInt32  table6_err_status:6;
    };
}dmato3dtable_dmato3dtable_table6_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table7_dma_en:1;
        RBus_UInt32  table7_bitwidth:7;
        RBus_UInt32  table7_num_y:8;
        RBus_UInt32  table7_num_x:16;
    };
}dmato3dtable_dmato3dtable_table7_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table7_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table7_burst_len:7;
        RBus_UInt32  table7_num_z:8;
    };
}dmato3dtable_dmato3dtable_table7_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table7_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table7_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table7_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_dmato3dtable_table7_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table7_remain:7;
    };
}dmato3dtable_dmato3dtable_table7_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  table7_wdone:1;
    };
}dmato3dtable_dmato3dtable_table7_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  table7_status2irq_en:6;
        RBus_UInt32  res2:9;
        RBus_UInt32  table7_err_clr:1;
        RBus_UInt32  table7_err_status:6;
    };
}dmato3dtable_dmato3dtable_table7_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table8_dma_en:1;
        RBus_UInt32  table8_bitwidth:7;
        RBus_UInt32  table8_num_y:8;
        RBus_UInt32  table8_num_x:16;
    };
}dmato3dtable_dmato3dtable_table8_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  table8_id:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  table8_burst_len:7;
        RBus_UInt32  table8_num_z:8;
    };
}dmato3dtable_dmato3dtable_table8_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table8_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table8_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table8_mstart:28;
        RBus_UInt32  res1:4;
    };
}dmato3dtable_dmato3dtable_table8_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  table8_remain:7;
    };
}dmato3dtable_dmato3dtable_table8_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  table8_wdone:1;
    };
}dmato3dtable_dmato3dtable_table8_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  table8_status2irq_en:6;
        RBus_UInt32  res2:9;
        RBus_UInt32  table8_err_clr:1;
        RBus_UInt32  table8_err_status:6;
    };
}dmato3dtable_dmato3dtable_table8_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1806be20_31_0:32;
    };
}dmato3dtable_dmato3dtable_dummy_RBUS;

#else //apply LITTLE_ENDIAN

//======DMATO3DTABLE register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wtable_apply:1;
        RBus_UInt32  db_en:1;
        RBus_UInt32  db_read:1;
        RBus_UInt32  res1:29;
    };
}dmato3dtable_dmato3dtable_db_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dma_up_limint:28;
    };
}dmato3dtable_cti_dma_rd_rule_check_up_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  dma_low_limint:28;
    };
}dmato3dtable_cti_dma_rd_rule_check_low_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  force_all_rst:1;
        RBus_UInt32  res2:6;
        RBus_UInt32  max_outstanding:2;
        RBus_UInt32  dma_1byte_swap:1;
        RBus_UInt32  dma_2byte_swap:1;
        RBus_UInt32  dma_4byte_swap:1;
        RBus_UInt32  dma_8byte_swap:1;
        RBus_UInt32  res3:18;
    };
}dmato3dtable_cti_dma_rd_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  soft_rst_with_data_left:1;
        RBus_UInt32  soft_rst_before_cmd_finish:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  cur_outstanding:3;
        RBus_UInt32  res3:5;
        RBus_UInt32  dma_data_water:6;
        RBus_UInt32  res4:6;
        RBus_UInt32  dma_cmd_water:3;
        RBus_UInt32  res5:1;
    };
}dmato3dtable_cti_dma_rd_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  last_ack_num:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  target_ack_num:7;
        RBus_UInt32  res3:7;
        RBus_UInt32  last_no_ack_error:1;
        RBus_UInt32  ack_num_error:1;
    };
}dmato3dtable_cti_dma_rd_status1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}dmato3dtable_cti_dma_rd_status2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  lowest_water_level:6;
        RBus_UInt32  res1:10;
        RBus_UInt32  monitor_thd:6;
        RBus_UInt32  reach_thd:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  monitor_conti:1;
        RBus_UInt32  monitor_en:1;
    };
}dmato3dtable_cti_dma_rd_water_monitor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dmato3dtable_drf_bist_fail_0:1;
        RBus_UInt32  res1:8;
        RBus_UInt32  dmato3dtable_bist_fail_0:1;
        RBus_UInt32  res2:7;
        RBus_UInt32  dmato3dtable_testrwm_0:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  dmato3dtable_test0_b:1;
        RBus_UInt32  dmato3dtable_test0_a:1;
        RBus_UInt32  dmato3dtable_rmb:4;
        RBus_UInt32  dmato3dtable_rma:4;
        RBus_UInt32  dmato3dtable_rmeb:1;
        RBus_UInt32  dmato3dtable_rmea:1;
        RBus_UInt32  dmato3dtable_ls:1;
    };
}dmato3dtable_dmato3dtable_mbist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_num_x:16;
        RBus_UInt32  table0_num_y:8;
        RBus_UInt32  table0_bitwidth:7;
        RBus_UInt32  table0_dma_en:1;
    };
}dmato3dtable_dmato3dtable_table0_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_num_z:8;
        RBus_UInt32  table0_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table0_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dtable_dmato3dtable_table0_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table0_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table0_mstart:28;
    };
}dmato3dtable_dmato3dtable_table0_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dtable_dmato3dtable_table0_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_wdone:1;
        RBus_UInt32  res1:22;
        RBus_UInt32  frame_act:1;
        RBus_UInt32  wtable_frame_cnt:8;
    };
}dmato3dtable_dmato3dtable_table0_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table0_err_status:6;
        RBus_UInt32  table0_err_clr:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  table0_status2irq_en:6;
        RBus_UInt32  res2:10;
    };
}dmato3dtable_dmato3dtable_table0_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_num_x:16;
        RBus_UInt32  table1_num_y:8;
        RBus_UInt32  table1_bitwidth:7;
        RBus_UInt32  table1_dma_en:1;
    };
}dmato3dtable_dmato3dtable_table1_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_num_z:8;
        RBus_UInt32  table1_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table1_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dtable_dmato3dtable_table1_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table1_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table1_mstart:28;
    };
}dmato3dtable_dmato3dtable_table1_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dtable_dmato3dtable_table1_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_wdone:1;
        RBus_UInt32  res1:31;
    };
}dmato3dtable_dmato3dtable_table1_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table1_err_status:6;
        RBus_UInt32  table1_err_clr:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  table1_status2irq_en:6;
        RBus_UInt32  res2:10;
    };
}dmato3dtable_dmato3dtable_table1_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table2_num_x:16;
        RBus_UInt32  table2_num_y:8;
        RBus_UInt32  table2_bitwidth:7;
        RBus_UInt32  table2_dma_en:1;
    };
}dmato3dtable_dmato3dtable_table2_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table2_num_z:8;
        RBus_UInt32  table2_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table2_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dtable_dmato3dtable_table2_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table2_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table2_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table2_mstart:28;
    };
}dmato3dtable_dmato3dtable_table2_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table2_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dtable_dmato3dtable_table2_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table2_wdone:1;
        RBus_UInt32  res1:31;
    };
}dmato3dtable_dmato3dtable_table2_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table2_err_status:6;
        RBus_UInt32  table2_err_clr:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  table2_status2irq_en:6;
        RBus_UInt32  res2:10;
    };
}dmato3dtable_dmato3dtable_table2_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table3_num_x:16;
        RBus_UInt32  table3_num_y:8;
        RBus_UInt32  table3_bitwidth:7;
        RBus_UInt32  table3_dma_en:1;
    };
}dmato3dtable_dmato3dtable_table3_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table3_num_z:8;
        RBus_UInt32  table3_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table3_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dtable_dmato3dtable_table3_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table3_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table3_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table3_mstart:28;
    };
}dmato3dtable_dmato3dtable_table3_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table3_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dtable_dmato3dtable_table3_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table3_wdone:1;
        RBus_UInt32  res1:31;
    };
}dmato3dtable_dmato3dtable_table3_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table3_err_status:6;
        RBus_UInt32  table3_err_clr:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  table3_status2irq_en:6;
        RBus_UInt32  res2:10;
    };
}dmato3dtable_dmato3dtable_table3_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table4_num_x:16;
        RBus_UInt32  table4_num_y:8;
        RBus_UInt32  table4_bitwidth:7;
        RBus_UInt32  table4_dma_en:1;
    };
}dmato3dtable_dmato3dtable_table4_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table4_num_z:8;
        RBus_UInt32  table4_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table4_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dtable_dmato3dtable_table4_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table4_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table4_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table4_mstart:28;
    };
}dmato3dtable_dmato3dtable_table4_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table4_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dtable_dmato3dtable_table4_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table4_wdone:1;
        RBus_UInt32  res1:31;
    };
}dmato3dtable_dmato3dtable_table4_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table4_err_status:6;
        RBus_UInt32  table4_err_clr:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  table4_status2irq_en:6;
        RBus_UInt32  res2:10;
    };
}dmato3dtable_dmato3dtable_table4_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table5_num_x:16;
        RBus_UInt32  table5_num_y:8;
        RBus_UInt32  table5_bitwidth:7;
        RBus_UInt32  table5_dma_en:1;
    };
}dmato3dtable_dmato3dtable_table5_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table5_num_z:8;
        RBus_UInt32  table5_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table5_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dtable_dmato3dtable_table5_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table5_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table5_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table5_mstart:28;
    };
}dmato3dtable_dmato3dtable_table5_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table5_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dtable_dmato3dtable_table5_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table5_wdone:1;
        RBus_UInt32  res1:31;
    };
}dmato3dtable_dmato3dtable_table5_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table5_err_status:6;
        RBus_UInt32  table5_err_clr:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  table5_status2irq_en:6;
        RBus_UInt32  res2:10;
    };
}dmato3dtable_dmato3dtable_table5_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table6_num_x:16;
        RBus_UInt32  table6_num_y:8;
        RBus_UInt32  table6_bitwidth:7;
        RBus_UInt32  table6_dma_en:1;
    };
}dmato3dtable_dmato3dtable_table6_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table6_num_z:8;
        RBus_UInt32  table6_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table6_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dtable_dmato3dtable_table6_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table6_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table6_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table6_mstart:28;
    };
}dmato3dtable_dmato3dtable_table6_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table6_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dtable_dmato3dtable_table6_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table6_wdone:1;
        RBus_UInt32  res1:31;
    };
}dmato3dtable_dmato3dtable_table6_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table6_err_status:6;
        RBus_UInt32  table6_err_clr:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  table6_status2irq_en:6;
        RBus_UInt32  res2:10;
    };
}dmato3dtable_dmato3dtable_table6_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table7_num_x:16;
        RBus_UInt32  table7_num_y:8;
        RBus_UInt32  table7_bitwidth:7;
        RBus_UInt32  table7_dma_en:1;
    };
}dmato3dtable_dmato3dtable_table7_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table7_num_z:8;
        RBus_UInt32  table7_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table7_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dtable_dmato3dtable_table7_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table7_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table7_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table7_mstart:28;
    };
}dmato3dtable_dmato3dtable_table7_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table7_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dtable_dmato3dtable_table7_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table7_wdone:1;
        RBus_UInt32  res1:31;
    };
}dmato3dtable_dmato3dtable_table7_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table7_err_status:6;
        RBus_UInt32  table7_err_clr:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  table7_status2irq_en:6;
        RBus_UInt32  res2:10;
    };
}dmato3dtable_dmato3dtable_table7_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table8_num_x:16;
        RBus_UInt32  table8_num_y:8;
        RBus_UInt32  table8_bitwidth:7;
        RBus_UInt32  table8_dma_en:1;
    };
}dmato3dtable_dmato3dtable_table8_format0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table8_num_z:8;
        RBus_UInt32  table8_burst_len:7;
        RBus_UInt32  res1:1;
        RBus_UInt32  table8_id:4;
        RBus_UInt32  res2:12;
    };
}dmato3dtable_dmato3dtable_table8_format1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table8_burst_num:32;
    };
}dmato3dtable_dmato3dtable_table8_burst_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  table8_mstart:28;
    };
}dmato3dtable_dmato3dtable_table8_addr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table8_remain:7;
        RBus_UInt32  res1:25;
    };
}dmato3dtable_dmato3dtable_table8_dma_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table8_wdone:1;
        RBus_UInt32  res1:31;
    };
}dmato3dtable_dmato3dtable_table8_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table8_err_status:6;
        RBus_UInt32  table8_err_clr:1;
        RBus_UInt32  res1:9;
        RBus_UInt32  table8_status2irq_en:6;
        RBus_UInt32  res2:10;
    };
}dmato3dtable_dmato3dtable_table8_errstatus2irq_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy1806be20_31_0:32;
    };
}dmato3dtable_dmato3dtable_dummy_RBUS;




#endif 


#endif 
