#ifndef CONFIG_QC_I_DOMAIN_QC_H__
#define CONFIG_QC_I_DOMAIN_QC_H__ 

#ifndef BOOL
typedef int BOOL;    //define BOOL
#endif


#define _SUCCESS				0
#define _FAIL   					1
#define _OTP_FAIL   				(-1)


#define SOURCE_YPP     	0
#define SOURCE_SCART 	1
#define YPP_abs(a,b)	(a>b)?(a-b):(b-a)
#ifndef _BIT0
#define _BIT0 (0x1)
#define _BIT1 (0x2)
#define _BIT2 (0x4)
#define _BIT3 (0x8)
#define _BIT4 (0x10)
#define _BIT5 (0x20)
#define _BIT6 (0x40)
#define _BIT7 (0x80)
#define _BIT8 (0x100)
#define _BIT9 (0x200)

#define _BIT10 (0x400)
#define _BIT11 (0x800)
#define _BIT12 (0x1000)
#define _BIT13 (0x2000)
#define _BIT14 (0x4000)
#define _BIT15 (0x8000)
#define _BIT16 (0x10000)
#define _BIT17 (0x20000)
#define _BIT18 (0x40000)
#define _BIT19 (0x80000)

#define _BIT20 (0x100000)
#define _BIT21 (0x200000)
#define _BIT22 (0x400000)
#define _BIT23 (0x800000)
#define _BIT24 (0x1000000)
#define _BIT25 (0x2000000)
#define _BIT26 (0x4000000)
#define _BIT27 (0x8000000)
#define _BIT28 (0x10000000)
#define _BIT29 (0x20000000)

#define _BIT30 (0x40000000)
#define _BIT31 (0x80000000)
#endif

///////////////    APLL  Reg     ///////////////////
#define  REG_PLLDIV				0xb8020108
#define  REG_PLLPHASE_CTRL				0xb802010C
#define  REG_PLL_DIV_CTRL				0xb8020124


///////////////    IPTG  Reg     ///////////////////
#define  REG_PTG_TOTALHV				0xb8022100
#define  REG_PTG_H_STA_WID				0xb8022104
#define  REG_PTG_V_STA_LEN				0xb8022108
#define  REG_PTG_TG						0xb802210c
#define  REG_PTG_TG_LINE				0xb8022110
#define  REG_PTG_HSTA_WID				0xb8022114
#define  REG_PTG_VSTA_LEN				0xb8022118
#define  REG_PTG_CTRL					0xb802211c
#define  REG_PTG_BARW					0xb8022120
#define  REG_PTG_C0Y					0xb8022124
#define  REG_PTG_C1Y					0xb8022128
#define  REG_PTG_C2Y					0xb802212c
#define  REG_PTG_C3Y					0xb8022130
#define  REG_PTG_C4Y					0xb8022134
#define  REG_PTG_C5Y					0xb8022138
#define  REG_PTG_C6Y					0xb802213c
#define  REG_PTG_C7Y					0xb8022140
#define  REG_PTG_MAX_COLOR_CTRL		0xb8022144

#define  REG_R_PTG_HSTA_WID			0xb8022148
#define  REG_R_PTG_VSTA_LEN		    	0xb802214c
#define  REG_R_PTG_CTRL					0xb8022150
#define  REG_R_PTG_BARW				0xb8022154
#define  REG_R_PTG_C0Y					0xb8022158
#define  REG_R_PTG_C1Y					0xb802215c
#define  REG_R_PTG_C2Y					0xb8022160
#define  REG_R_PTG_C3Y					0xb8022164
#define  REG_R_PTG_C4Y					0xb8022168
#define  REG_R_PTG_C5Y					0xb802216c
#define  REG_R_PTG_C6Y					0xb8022170
#define  REG_R_PTG_C7Y					0xb8022174
#define  REG_R_PTG_MAX_COLOR_CTRL		0xb8022178

///////////////    ONMS  Reg     ///////////////////
#define  REG_onms1_ctrl							0xb8021200
#define  REG_onms1_blank_pixel_value_get_0		0xb8021204
#define  REG_onms1_blank_pixel_value_get_1		0xb8021208
#define  REG_onms1_blank_pixel_value_0			0xb802120c
#define  REG_onms1_blank_pixel_value_1			0xb8021210
#define  REG_onms1_fp_vact12					0xb8021214
#define  REG_onms1_fp_vact34					0xb8021218
#define  REG_onms1_fp_vact_space				0xb802121c
#define  REG_onms1_blank_line					0xb8021220
#define  REG_onms1_active_space1_line_number		0xb8021224
#define  REG_onms1_active_space2_line_number		0xb8021228
#define  REG_onms1_active_space3_line_number		0xb802122c
#define  REG_onms1_vs_period						0xb8021230
#define  REG_onms1_vshs_high_period				0xb8021234
#define  REG_onms1_hs_period					0xb8021238
#define  REG_onms1_vact_sta						0xb802123c
#define  REG_onms1_hact_sta						0xb8021240
#define  REG_onms1_hact							0xb8021244
#define  REG_onms1_l_flag_period					0xb8021248
#define  REG_onms1_l_flag_high_period				0xb802124c
#define  REG_onms1_field_period					0xb8021250
#define  REG_onms1_field_high_period				0xb8021254
#define  REG_onms1_status_2						0xb8021258
#define  REG_onms1_hsync_meas_ctrl				0xb802125c
#define  REG_onms1_hsync_meas_ctrl_2			0xb8021260
#define  REG_onms1_hsync_meas_result			0xb8021264
#define  REG_onms1_status						0xb8021268
#define  REG_onms1_watchdog_en					0xb802126c



///////////////    SP measur Reg     ///////////////////
#define  REG_SP1_CTRL			0xb8021000
#define  REG_SP1_AutoRst			0xb8021004
#define  REG_SP1_StbCtrl			0xb8021010
#define  REG_SP1_StbRst0			0xb8021014
#define  REG_SP1_StbRst1			0xb8021018



#define  REG_SP_TOGGLE			0xb8021070
#define  REG_SP_MS3CTRL			0xb8021100
#define  REG_SP_MS3RST0			0xb8021104
#define  REG_SP_MS3RST1			0xb8021108
#define  REG_SP_MS3Stus			0xb802110c
#define  REG_SP_MS3ENATCTRL	0xb8021118
#define  REG_SP_MS3ENAT		0xb802111c
#define  REG_SP_MS1CTRL			0xb8021200
#define  REG_SP_MS1RST0			0xb8021204
#define  REG_SP_MS1RST1			0xb8021208
#define  REG_SP_MS1Stus			0xb802120c
#define  REG_SP_MS2CTRL			0xb8021214
#define  REG_SP_MS2RST0			0xb8021218
#define  REG_SP_MS2RST1			0xb802121c
#define  REG_SP_MS2Stus			0xb8021220

///////////////    ADC_SF Reg     ///////////////////
#define  REG_ADC_AUTO_FIELD			0xb8020400
#define  REG_ADC_AUTO_H_BOUNDARY		0xb8020404
#define  REG_ADC_AUTO_V_BOUNDARY		0xb8020408
#define  REG_ADC_AUTO_RGB_MARGIN		0xb802040c
#define  REG_ADC_AUTO_ADJ				0xb8020410
#define  REG_ADC_AUTO_RESULT_V		0xb8020414
#define  REG_ADC_AUTO_RESULT_H		0xb8020418
#define  REG_ADC_AUTO_RESULT_PASHE_M	0xb802041c
#define  REG_ADC_AUTO_RESULT_PASHE_L	0xb8020420
#define  REG_ADC_AUTO_PASHE_CTRL0		0xb8020424
#define  REG_ADC_PLLPHASE_CTRL		0xb8020428


///////////////    ABL Reg     ///////////////////
#define REG_ABL_CTRL			0xb8020200
#define REG_ABL_WINDOW 			0xb8020204
#define  REG_ABL_STATUS 		0xb8020208
#define  REG_ABL_RSLT0 			0xb8020210
#define  REG_ABL_RSLT1 			0xb8020214
#define  REG_ABL_NOISE_VAL0 	0xb8020218
#define  REG_ABL_NOISE_VAL1 	0xb802021c
#define  REG_ABL_MGN_RG 		0xb8020220
#define  REG_ABL_MGN_B 			0xb8020224

///////////////    VGIP Reg     ///////////////////
#define  VGIP_CHN1_MISC  		0xb8022224

///////////////    SF Reg     ///////////////////
#define  REG_AUTO_FIELD				0xb8022000
#define  REG_AUTO_H_BOUNDARY		0xb8022004
#define  REG_AUTO_V_BOUNDARY		0xb8022008
#define  REG_AUTO_RGB_MARGIN		0xb802200c
#define  REG_AUTO_ADJ				0xb8022010
#define  REG_AUTO_RESULT_V			0xb8022014
#define  REG_AUTO_RESULT_H			0xb8022018
#define  REG_AUTO_RESULT_PASHE_M	0xb802201c
#define  REG_AUTO_RESULT_PASHE_L	0xb8022020
#define  REG_AUTO_PASHE_CTRL0		0xb8022024


///////////////    ADC Reg     ///////////////////
#define  REG_ADC_POWER			       0xb8020000
#define  REG_ADC_CTL_RGB123     		0xb8020008
#define  REG_ADC_VBIAS				0xb802000c
#define  REG_ADC_CLOCK				0xb8020010
#define  REG_ADC_DCRESTORE_CTRL     0xb8020018
#define  REG_ADC_CLAMP_CTRL0     	0xb802001c
#define  REG_ADC_CLAMP_CTRL1		0xb8020020
#define  REG_ADC_GAIN0				0xb8020030
#define  REG_ADC_GAIN1				0xb8020034
#define  REG_ADC_OFFSET0 			0xb8020038
#define  REG_ADC_OFFSET1 			0xb802003c
#define  REG_ADC_RGB_DATA			0xb8020088
#define  REG_ADC_RGB_DATA2			0xb802008c

///////////////    SOY Reg     ///////////////////
#define  REG_SOYCH0_A0 			0xb8020300
#define  REG_SOYCH0_A1 			0xb8020304
#define  REG_SOYCH0_A2 			0xb8020308
#define  REG_SOYCH0_A3 			0xb802030c
#define  REG_SOYCH0_A4 			0xb8020310


///////////////   APLL thermal Reg/////////////
#define  REG_PLL_CTRL				0xb8020104
#define  REG_PLLDIV				0xb8020108



///////////////  Ringing Filtr   /////////////////////
#define RFILTER_CTRL  				0xb8023580
#define RFILTER_THD  				0xb8023584
#define RFILTER_OFS_COEF			0xb8023588
#define RFILTER_DIFF_THD			0xb802358c
#define RFILTER_FACTOR_TEST_CTRL	0xb8023590


#define ADC_OTP_REG_BASE    			(0x18038000)
#if 0
#define ADC_OTP_EF_CTRL         			(ADC_OTP_REG_BASE + 0x800)
#define ADC_EF_CTRL_WRITE_EN4          	(1 << 20)
#define ADC_EF_CTRL_EN_WAKEUP	  	(1 << 19)
#define ADC_EF_CTRL_WRITE_EN3          	(1 << 18)
#define ADC_EF_CTRL_EN_INIT_PROC      	(1 << 17)
#define ADC_EF_CTRL_WRITE_EN2           	(1 << 16)
#define ADC_EF_CTRL_EN_PROG_OTP       	(1 << 15)
#define ADC_EF_CTRL_WRITE_EN1           	(1 << 14)
#define ADC_OTP_EF_CTRL_STS      		(ADC_OTP_REG_BASE + 0x830)
#define ADC_EF_CTRL_PROG_STS			(1<<17)
#define ADC_EF_CTRL_PROG_ACT			(1<<16)

#if defined(CONFIG_RTD289X_QC) || defined(CONFIG_RTD289XP_QC) 
#define ADC_OTP_EF_CRC      					(ADC_OTP_REG_BASE + 0x820)
#define ADC_OTP_EF_CTRL_PROGRAM  			(ADC_OTP_REG_BASE + 0x800)
#define ADC_EF_CTRL_PROGRAM_EN_PRO_EFUSE     	(1 << 0)
#define ADC_EF_CTRL_PROGRAM_WRITE_EN0           	(1 << 1)
#define ADC_EF_PROGRAM_STATUS1			(ADC_OTP_REG_BASE + 0x804)
#define ADC_EF_CTRL_PROGRAM_STATUS1_LOCK     		(1 << 2)
#define ADC_EF_CTRL_PROGRAM_STATUS1_FAIL      		(1 << 1)
#define ADC_EF_CTRL_PROGRAM_STATUS1_SUCCESS      	(1 << 0)
#define ADC_EF_CTRL			(ADC_OTP_REG_BASE + 0x814)
#define ADC_EF_CTRL_AUTO_RD_REQ     		(1 << 0)
#define ADC_EF_CTR_WRITE_EN0 		     		(1 << 1)
#define ADC_EF_CTRL_MARGIN_READ    		(1 << 2)
#define ADC_EF_CTRL_WRITE_EN1 	     		(1 << 3)

#endif
#endif
#define ADC_OTP_EN_PRO_EFUSE    			(0x18038800)
#define ADC_OTP_EF_PROGRAM_STATUS1		(0x18038804)
#define ADC_OTP_EF_PROGRAM_STATUS1_DONE     		(_BIT3)
#define ADC_OTP_EF_PROGRAM_STATUS1_LOCK     		(_BIT2)
#define ADC_OTP_EF_PROGRAM_STATUS1_FAIL     		(_BIT1)
#define ADC_OTP_EF_PROGRAM_STATUS1_SUCCESS 		(_BIT0)
#define ADC_OTP_EF_PROGRAM_STATUS2		(0x18038808)
#define ADC_OTP_EF_CTRL					(0x18038818)
//#define ADC_OTP_EF_Normal_READ_MODE               (0<<4)
//#define ADC_OTP_EF_INITIAL_MARGIN_READ               (1<<4)
#define ADC_OTP_EF_WRITE_EN0					(1<<1)
#define ADC_OTP_EF_AUTO_RD_REQ				(1<<0)



#endif /* CONFIG_QC_I_DOMAIN_QC_H__ */

