/**
* @file Mac6-DesignSpec-I-Domain_UZD
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2017/10/12
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_SCALEDOWN_REG_H_
#define _RBUS_SCALEDOWN_REG_H_

#include "rbusTypes.h"



//  SCALEDOWN Register Address



#define  SCALEDOWN_ICH1_UZD_CTRL0_VADDR                     	(0xb8025204)
#define  SCALEDOWN_ICH1_UZD_CTRL1_VADDR                     	(0xb8025208)
#define  SCALEDOWN_ICH1_UZD_SCALE_HOR_FACTOR_VADDR          	(0xb802520c)
#define  SCALEDOWN_ICH1_UZD_SCALE_VER_FACTOR_VADDR          	(0xb8025210)
#define  SCALEDOWN_ICH1_UZD_INITIAL_VALUE_VADDR             	(0xb8025214)
#define  SCALEDOWN_ICH1_UZD_HOR_DELTA1_VADDR                	(0xb8025218)
#define  SCALEDOWN_ICH1_UZD_HOR_SEGMENT_VADDR               	(0xb802521c)
#define  SCALEDOWN_ICH1_UZD_CRC_CTRL_VADDR                  	(0xb8025220)
#define  SCALEDOWN_ICH1_UZD_CRC_RESULT_VADDR                	(0xb8025224)
#define  SCALEDOWN_ICH1_UZD_CRC_RESULT_RIGHT_VADDR          	(0xb8025228)
#define  SCALEDOWN_ICH1_UZD_L_DES_CRC_VADDR                 	(0xb802522c)
#define  SCALEDOWN_ICH1_UZD_R_DES_CRC_VADDR                 	(0xb8025230)
#define  SCALEDOWN_ICH1_UZD_CRC_ERR_CNT_VADDR               	(0xb8025234)
#define  SCALEDOWN_ICH1_IBUFF_CTRLI_BUFF_CTRL_VADDR         	(0xb8025240)
#define  SCALEDOWN_ICH1_UZD_CHANNEL_SWAP_VADDR              	(0xb8025244)
#define  SCALEDOWN_ICH1_UZD_DB_CTRL_VADDR                   	(0xb8025248)
#define  SCALEDOWN_UZD_TIMING_MONITOR_CTRL_VADDR            	(0xb8025250)
#define  SCALEDOWN_UZD_TIMING_MONITOR_MULTI_VADDR           	(0xb8025254)
#define  SCALEDOWN_UZD_TIMING_MONITOR_COMPARE_TH_VADDR      	(0xb8025258)
#define  SCALEDOWN_UZD_TIMING_MONITOR_GOLDEN_VADDR          	(0xb802525c)
#define  SCALEDOWN_UZD_TIMING_MONITOR_RESULT1_VADDR         	(0xb8025260)
#define  SCALEDOWN_UZD_TIMING_MONITOR_RESULT2_VADDR         	(0xb8025264)
#define  SCALEDOWN_UZD_TIMING_MONITOR_RESULT3_VADDR         	(0xb8025268)
#define  SCALEDOWN_UZD_TIMING_MONITOR_RESULT4_VADDR         	(0xb802526c)
#define  SCALEDOWN_UZD_TIMING_MONITOR_MAX_VADDR             	(0xb8025270)
#define  SCALEDOWN_UZD_TIMING_MONITOR_MIN_VADDR             	(0xb8025274)
#define  SCALEDOWN_UZD_TIMING_MONITOR_ST_VADDR              	(0xb8025278)
#define  SCALEDOWN_UZD_HSIZE_DETECT_VADDR                   	(0xb802527c)
#define  SCALEDOWN_ACCESSDATA_CTRL_UZD_VADDR                	(0xb8025280)
#define  SCALEDOWN_ACCESSDATA_POSCTRL_UZD_VADDR             	(0xb8025284)
#define  SCALEDOWN_READDATA_DATA_Y1_UZD_VADDR               	(0xb8025288)
#define  SCALEDOWN_READDATA_DATA_Y2_UZD_VADDR               	(0xb802528c)
#define  SCALEDOWN_READDATA_DATA_C1_UZD_VADDR               	(0xb8025290)
#define  SCALEDOWN_READDATA_DATA_C2_UZD_VADDR               	(0xb8025294)
#define  SCALEDOWN_READDATA_DATA_C3_UZD_VADDR               	(0xb8025298)
#define  SCALEDOWN_READDATA_DATA_C4_UZD_VADDR               	(0xb802529c)
#define  SCALEDOWN_WRITEDATA_DATA_UZD_VADDR                 	(0xb80252a0)
#define  SCALEDOWN_ICH1_SDNR_BIST_FSBUF_FAIL_VADDR          	(0xb80252b0)
#define  SCALEDOWN_ICH1_SDNR_DRF_FSBUF_FAIL_VADDR           	(0xb80252b4)
#define  SCALEDOWN_ICH1_SDNR_BISR_LINEBUF_FAIL_VADDR        	(0xb80252b8)
#define  SCALEDOWN_ICH1_SDNR_DRF_LINEBUF_FAIL_VADDR         	(0xb80252bc)
#define  SCALEDOWN_ICH1_SDNR_LINEBUF_DVS_VADDR              	(0xb80252c0)
#define  SCALEDOWN_ICH1_SDNR_FSBUF_DVS01_VADDR              	(0xb80252c4)
#define  SCALEDOWN_ICH1_SDNR_FSBUF_DVS23_VADDR              	(0xb80252c8)
#define  SCALEDOWN_ICH1_SDNR_BISR_LINEBUF_REPAIRED_VADDR    	(0xb80252cc)
#define  SCALEDOWN_ICH1_SDNR_CUTOUT_RANGE_HOR_VADDR         	(0xb80252d0)
#define  SCALEDOWN_ICH1_SDNR_CUTOUT_RANGE_VER0_VADDR        	(0xb80252d4)
#define  SCALEDOWN_ICH1_SDNR_CUTOUT_RANGE_VER1_VADDR        	(0xb80252d8)
#define  SCALEDOWN_ICH1_SDNR_444TO422_CTRL_VADDR            	(0xb80252f0)
#define  SCALEDOWN_ICH1_HSD_3D_BOUNDARY_VADDR               	(0xb80252f4)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C0_VADDR          	(0xb8025300)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C2_VADDR          	(0xb8025304)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C4_VADDR          	(0xb8025308)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C6_VADDR          	(0xb802530c)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C8_VADDR          	(0xb8025310)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C10_VADDR         	(0xb8025314)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C12_VADDR         	(0xb8025318)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C14_VADDR         	(0xb802531c)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C16_VADDR         	(0xb8025320)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C18_VADDR         	(0xb8025324)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C20_VADDR         	(0xb8025328)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C22_VADDR         	(0xb802532c)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C24_VADDR         	(0xb8025330)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C26_VADDR         	(0xb8025334)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C28_VADDR         	(0xb8025338)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB1_C30_VADDR         	(0xb802533c)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C0_VADDR          	(0xb8025340)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C2_VADDR          	(0xb8025344)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C4_VADDR          	(0xb8025348)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C6_VADDR          	(0xb802534c)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C8_VADDR          	(0xb8025350)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C10_VADDR         	(0xb8025354)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C12_VADDR         	(0xb8025358)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C14_VADDR         	(0xb802535c)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C16_VADDR         	(0xb8025360)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C18_VADDR         	(0xb8025364)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C20_VADDR         	(0xb8025368)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C22_VADDR         	(0xb802536c)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C24_VADDR         	(0xb8025370)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C26_VADDR         	(0xb8025374)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C28_VADDR         	(0xb8025378)
#define  SCALEDOWN_ICH1_UZD_FIR_COEF_TAB2_C30_VADDR         	(0xb802537c)
#define  SCALEDOWN_READDATA_DATA_Y3_UZD_VADDR               	(0xb8025380)
#define  SCALEDOWN_READDATA_DATA_Y4_UZD_VADDR               	(0xb8025384)
#define  SCALEDOWN_READDATA_DATA_C5_UZD_VADDR               	(0xb8025388)
#define  SCALEDOWN_READDATA_DATA_C6_UZD_VADDR               	(0xb802538c)
#define  SCALEDOWN_READDATA_DATA_C7_UZD_VADDR               	(0xb8025390)
#define  SCALEDOWN_READDATA_DATA_C8_UZD_VADDR               	(0xb8025394)
#define  SCALEDOWN_READDATA_DATA_Y5_UZD_VADDR               	(0xb8025398)
#define  SCALEDOWN_READDATA_DATA_Y6_UZD_VADDR               	(0xb802539c)
#define  SCALEDOWN_READDATA_DATA_C9_UZD_VADDR               	(0xb80253a0)
#define  SCALEDOWN_READDATA_DATA_CA_UZD_VADDR               	(0xb80253a4)
#define  SCALEDOWN_READDATA_DATA_CB_UZD_VADDR               	(0xb80253a8)
#define  SCALEDOWN_READDATA_DATA_CC_UZD_VADDR               	(0xb80253ac)
#define  SCALEDOWN_READDATA_DATA_Y7_UZD_VADDR               	(0xb80253b0)
#define  SCALEDOWN_READDATA_DATA_Y8_UZD_VADDR               	(0xb80253b4)
#define  SCALEDOWN_READDATA_DATA_CD_UZD_VADDR               	(0xb80253b8)
#define  SCALEDOWN_READDATA_DATA_CE_UZD_VADDR               	(0xb80253bc)
#define  SCALEDOWN_READDATA_DATA_CF_UZD_VADDR               	(0xb80253c0)
#define  SCALEDOWN_READDATA_DATA_C10_UZD_VADDR              	(0xb80253c4)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======SCALEDOWN register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  en_gate:1;
        RBus_UInt32  cutout_en:1;
        RBus_UInt32  sel_3d_en:1;
        RBus_UInt32  truncationctrl:1;
        RBus_UInt32  res2:8;
        RBus_UInt32  res3:2;
        RBus_UInt32  res4:1;
        RBus_UInt32  res5:1;
        RBus_UInt32  video_comp_en:1;
        RBus_UInt32  odd_inv:1;
        RBus_UInt32  out_bit:1;
        RBus_UInt32  sort_fmt:1;
        RBus_UInt32  v_y_table_sel:1;
        RBus_UInt32  v_c_table_sel:1;
        RBus_UInt32  h_y_table_sel:1;
        RBus_UInt32  h_c_table_sel:1;
        RBus_UInt32  buffer_mode:2;
        RBus_UInt32  v_zoom_en:1;
        RBus_UInt32  h_zoom_en:1;
    };
}scaledown_ich1_uzd_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  four_tap_en:1;
        RBus_UInt32  lp121_en:1;
        RBus_UInt32  res3:9;
        RBus_UInt32  vsd_3d_boundary:13;
        RBus_UInt32  res4:1;
        RBus_UInt32  vsd_3d_mode:2;
    };
}scaledown_ich1_uzd_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  hor_fac:25;
    };
}scaledown_ich1_uzd_scale_hor_factor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:5;
        RBus_UInt32  ver_ini_int_l:1;
        RBus_UInt32  ver_ini_int:1;
        RBus_UInt32  ver_fac:25;
    };
}scaledown_ich1_uzd_scale_ver_factor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_ini_l:8;
        RBus_UInt32  ver_ini_l:8;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  ver_ini:8;
    };
}scaledown_ich1_uzd_initial_value_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  nl_d1:14;
    };
}scaledown_ich1_uzd_hor_delta1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  nl_seg1:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  nl_seg2:12;
    };
}scaledown_ich1_uzd_hor_segment_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  crc_source_vsd_hsd_sel:1;
        RBus_UInt32  r_auto_cmp_en:1;
        RBus_UInt32  l_auto_cmp_en:1;
        RBus_UInt32  crc_3d_en:1;
        RBus_UInt32  conti:1;
        RBus_UInt32  start:1;
    };
}scaledown_ich1_uzd_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_l_result:32;
    };
}scaledown_ich1_uzd_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_r_result:32;
    };
}scaledown_ich1_uzd_crc_result_right_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  l_des_crc:32;
    };
}scaledown_ich1_uzd_l_des_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  r_des_crc:32;
    };
}scaledown_ich1_uzd_r_des_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  r_crc_err_cnt:16;
        RBus_UInt32  l_crc_err_cnt:16;
    };
}scaledown_ich1_uzd_crc_err_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  ibuf_v_size:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  ibuf_h_size:13;
    };
}scaledown_ich1_ibuff_ctrli_buff_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  res2:1;
        RBus_UInt32  rgb_ch_swap:3;
    };
}scaledown_ich1_uzd_channel_swap_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:22;
        RBus_UInt32  mdom_comp_rd_sel:1;
        RBus_UInt32  mdom_comp_db_en:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  h_db_apply:1;
        RBus_UInt32  h_db_rd_sel:1;
        RBus_UInt32  h_db_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  v_db_apply:1;
        RBus_UInt32  v_db_rd_sel:1;
        RBus_UInt32  v_db_en:1;
    };
}scaledown_ich1_uzd_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  timing_monitor_en:1;
        RBus_UInt32  timing_monitor_i2rnd_mode:2;
        RBus_UInt32  timing_monitor_src:1;
        RBus_UInt32  timing_monitor_unit:1;
        RBus_UInt32  timing_monitor_multi_mode:1;
        RBus_UInt32  timing_monitor_compare:2;
        RBus_UInt32  res1:8;
        RBus_UInt32  timing_monitor_sta0:4;
        RBus_UInt32  timing_monitor_end0:4;
        RBus_UInt32  timing_monitor_sta1:4;
        RBus_UInt32  timing_monitor_end1:4;
    };
}scaledown_uzd_timing_monitor_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  timing_monitor_sta2:4;
        RBus_UInt32  timing_monitor_end2:4;
        RBus_UInt32  timing_monitor_sta3:4;
        RBus_UInt32  timing_monitor_end3:4;
        RBus_UInt32  timing_monitor_sta4:4;
        RBus_UInt32  timing_monitor_end4:4;
        RBus_UInt32  timing_monitor_sta5:4;
        RBus_UInt32  timing_monitor_end5:4;
    };
}scaledown_uzd_timing_monitor_multi_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_compare_th:28;
    };
}scaledown_uzd_timing_monitor_compare_th_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_golden:28;
    };
}scaledown_uzd_timing_monitor_golden_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous1:28;
    };
}scaledown_uzd_timing_monitor_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous2:28;
    };
}scaledown_uzd_timing_monitor_result2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous3:28;
    };
}scaledown_uzd_timing_monitor_result3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_previous4:28;
    };
}scaledown_uzd_timing_monitor_result4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_max:28;
    };
}scaledown_uzd_timing_monitor_max_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  t_m_result_min:28;
    };
}scaledown_uzd_timing_monitor_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  compare_hit:1;
        RBus_UInt32  hsync_hit_den_error:1;
        RBus_UInt32  vsync_hit_den_error:1;
    };
}scaledown_uzd_timing_monitor_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hsize_detect_en:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  hsize_err_flag:1;
    };
}scaledown_uzd_hsize_detect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  read_mode:3;
        RBus_UInt32  cross_bar_en:1;
        RBus_UInt32  write_en:1;
        RBus_UInt32  read_en:1;
    };
}scaledown_accessdata_ctrl_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  starty:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  startx:13;
    };
}scaledown_accessdata_posctrl_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  y01:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  y00:10;
    };
}scaledown_readdata_data_y1_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  y11:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  y10:10;
    };
}scaledown_readdata_data_y2_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  v00:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  u00:10;
    };
}scaledown_readdata_data_c1_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  v01:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  u01:10;
    };
}scaledown_readdata_data_c2_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  v10:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  u10:10;
    };
}scaledown_readdata_data_c3_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  v11:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  u11:10;
    };
}scaledown_readdata_data_c4_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:20;
        RBus_UInt32  v:4;
        RBus_UInt32  u:4;
        RBus_UInt32  y:4;
    };
}scaledown_writedata_data_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  res5:1;
    };
}scaledown_ich1_sdnr_bist_fsbuf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  res5:1;
    };
}scaledown_ich1_sdnr_drf_fsbuf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  res2:1;
        RBus_UInt32  bisr_linebuf_fail_2:1;
        RBus_UInt32  bisr_linebuf_fail_1:1;
        RBus_UInt32  bisr_linebuf_fail_0:1;
    };
}scaledown_ich1_sdnr_bisr_linebuf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:28;
        RBus_UInt32  res2:1;
        RBus_UInt32  sdnr_drf_linebuf_fail_2:1;
        RBus_UInt32  sdnr_drf_linebuf_fail_1:1;
        RBus_UInt32  sdnr_drf_linebuf_fail_0:1;
    };
}scaledown_ich1_sdnr_drf_linebuf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:2;
        RBus_UInt32  sdnr_linebuf_1_2_ls_en:1;
        RBus_UInt32  sdnr_linebuf_1_2_dvse:1;
        RBus_UInt32  sdnr_linebuf_1_2_dvs:4;
        RBus_UInt32  res2:2;
        RBus_UInt32  sdnr_linebuf_1_1_ls_en:1;
        RBus_UInt32  sdnr_linebuf_1_1_dvse:1;
        RBus_UInt32  sdnr_linebuf_1_1_dvs:4;
        RBus_UInt32  res3:2;
        RBus_UInt32  sdnr_linebuf_1_0_ls_en:1;
        RBus_UInt32  sdnr_linebuf_1_0_dvse:1;
        RBus_UInt32  sdnr_linebuf_1_0_dvs:4;
        RBus_UInt32  res4:2;
        RBus_UInt32  res5:1;
        RBus_UInt32  res6:1;
        RBus_UInt32  res7:4;
    };
}scaledown_ich1_sdnr_linebuf_dvs_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:4;
        RBus_UInt32  res5:10;
        RBus_UInt32  res6:1;
        RBus_UInt32  res7:1;
        RBus_UInt32  res8:4;
    };
}scaledown_ich1_sdnr_fsbuf_dvs01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:10;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:4;
        RBus_UInt32  res5:10;
        RBus_UInt32  res6:1;
        RBus_UInt32  res7:1;
        RBus_UInt32  res8:4;
    };
}scaledown_ich1_sdnr_fsbuf_dvs23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:31;
        RBus_UInt32  res2:1;
    };
}scaledown_ich1_sdnr_bisr_linebuf_repaired_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  hor_front:13;
        RBus_UInt32  res2:3;
        RBus_UInt32  hor_back:13;
    };
}scaledown_ich1_sdnr_cutout_range_hor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ver_front:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ver_back:12;
    };
}scaledown_ich1_sdnr_cutout_range_ver0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  ver_mid_top:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  ver_mid_bot:12;
    };
}scaledown_ich1_sdnr_cutout_range_ver1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:29;
        RBus_UInt32  cr_dly_cb:1;
        RBus_UInt32  drop:1;
        RBus_UInt32  dummy180252f0_0:1;
    };
}scaledown_ich1_sdnr_444to422_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:19;
        RBus_UInt32  hsd_3d_boundary:13;
    };
}scaledown_ich1_hsd_3d_boundary_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c0:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c1:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c2:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c3:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c4:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c5:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c6:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c7:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c8:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c9:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c10:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c11:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c12:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c13:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c14:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c15:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c16:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c17:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c18:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c19:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c20:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c21:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c22:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c23:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c24:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c25:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c26:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c27:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c28:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c29:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c30:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab1_c31:12;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c0:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c1:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c2:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c3:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c4:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c5:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c6:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c7:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c8:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c9:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c10:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c11:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c12:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c13:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c14:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c15:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c16:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c17:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c18:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c19:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c20:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c21:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c22:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c23:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c24:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c25:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c26:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c27:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c28:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c29:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c30:12;
        RBus_UInt32  res2:4;
        RBus_UInt32  tab2_c31:12;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  y5:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  y4:10;
    };
}scaledown_readdata_data_y3_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  y7:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  y6:10;
    };
}scaledown_readdata_data_y4_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  v4:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  u4:10;
    };
}scaledown_readdata_data_c5_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  v5:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  u5:10;
    };
}scaledown_readdata_data_c6_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  v6:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  u6:10;
    };
}scaledown_readdata_data_c7_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  v7:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  u7:10;
    };
}scaledown_readdata_data_c8_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  y9:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  y8:10;
    };
}scaledown_readdata_data_y5_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  yb:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ya:10;
    };
}scaledown_readdata_data_y6_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  v8:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  u8:10;
    };
}scaledown_readdata_data_c9_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  v9:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  u9:10;
    };
}scaledown_readdata_data_ca_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  va:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ua:10;
    };
}scaledown_readdata_data_cb_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  vb:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ub:10;
    };
}scaledown_readdata_data_cc_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  yd:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  yc:10;
    };
}scaledown_readdata_data_y7_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  yf:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ye:10;
    };
}scaledown_readdata_data_y8_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  vc:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  uc:10;
    };
}scaledown_readdata_data_cd_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  vd:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ud:10;
    };
}scaledown_readdata_data_ce_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  ve:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  ue:10;
    };
}scaledown_readdata_data_cf_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  vf:10;
        RBus_UInt32  res2:6;
        RBus_UInt32  uf:10;
    };
}scaledown_readdata_data_c10_uzd_RBUS;

#else //apply LITTLE_ENDIAN

//======SCALEDOWN register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  h_zoom_en:1;
        RBus_UInt32  v_zoom_en:1;
        RBus_UInt32  buffer_mode:2;
        RBus_UInt32  h_c_table_sel:1;
        RBus_UInt32  h_y_table_sel:1;
        RBus_UInt32  v_c_table_sel:1;
        RBus_UInt32  v_y_table_sel:1;
        RBus_UInt32  sort_fmt:1;
        RBus_UInt32  out_bit:1;
        RBus_UInt32  odd_inv:1;
        RBus_UInt32  video_comp_en:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:2;
        RBus_UInt32  res4:8;
        RBus_UInt32  truncationctrl:1;
        RBus_UInt32  sel_3d_en:1;
        RBus_UInt32  cutout_en:1;
        RBus_UInt32  en_gate:1;
        RBus_UInt32  res5:4;
    };
}scaledown_ich1_uzd_ctrl0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vsd_3d_mode:2;
        RBus_UInt32  res1:1;
        RBus_UInt32  vsd_3d_boundary:13;
        RBus_UInt32  res2:9;
        RBus_UInt32  lp121_en:1;
        RBus_UInt32  four_tap_en:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:4;
    };
}scaledown_ich1_uzd_ctrl1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_fac:25;
        RBus_UInt32  res1:7;
    };
}scaledown_ich1_uzd_scale_hor_factor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_fac:25;
        RBus_UInt32  ver_ini_int:1;
        RBus_UInt32  ver_ini_int_l:1;
        RBus_UInt32  res1:5;
    };
}scaledown_ich1_uzd_scale_ver_factor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_ini:8;
        RBus_UInt32  hor_ini:8;
        RBus_UInt32  ver_ini_l:8;
        RBus_UInt32  hor_ini_l:8;
    };
}scaledown_ich1_uzd_initial_value_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  nl_d1:14;
        RBus_UInt32  res1:18;
    };
}scaledown_ich1_uzd_hor_delta1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  nl_seg2:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  nl_seg1:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_hor_segment_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  start:1;
        RBus_UInt32  conti:1;
        RBus_UInt32  crc_3d_en:1;
        RBus_UInt32  l_auto_cmp_en:1;
        RBus_UInt32  r_auto_cmp_en:1;
        RBus_UInt32  crc_source_vsd_hsd_sel:1;
        RBus_UInt32  res1:26;
    };
}scaledown_ich1_uzd_crc_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_l_result:32;
    };
}scaledown_ich1_uzd_crc_result_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  crc_r_result:32;
    };
}scaledown_ich1_uzd_crc_result_right_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  l_des_crc:32;
    };
}scaledown_ich1_uzd_l_des_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  r_des_crc:32;
    };
}scaledown_ich1_uzd_r_des_crc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  l_crc_err_cnt:16;
        RBus_UInt32  r_crc_err_cnt:16;
    };
}scaledown_ich1_uzd_crc_err_cnt_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ibuf_h_size:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  ibuf_v_size:13;
        RBus_UInt32  res2:3;
    };
}scaledown_ich1_ibuff_ctrli_buff_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rgb_ch_swap:3;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:28;
    };
}scaledown_ich1_uzd_channel_swap_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  v_db_en:1;
        RBus_UInt32  v_db_rd_sel:1;
        RBus_UInt32  v_db_apply:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  h_db_en:1;
        RBus_UInt32  h_db_rd_sel:1;
        RBus_UInt32  h_db_apply:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  mdom_comp_db_en:1;
        RBus_UInt32  mdom_comp_rd_sel:1;
        RBus_UInt32  res3:22;
    };
}scaledown_ich1_uzd_db_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  timing_monitor_end1:4;
        RBus_UInt32  timing_monitor_sta1:4;
        RBus_UInt32  timing_monitor_end0:4;
        RBus_UInt32  timing_monitor_sta0:4;
        RBus_UInt32  res1:8;
        RBus_UInt32  timing_monitor_compare:2;
        RBus_UInt32  timing_monitor_multi_mode:1;
        RBus_UInt32  timing_monitor_unit:1;
        RBus_UInt32  timing_monitor_src:1;
        RBus_UInt32  timing_monitor_i2rnd_mode:2;
        RBus_UInt32  timing_monitor_en:1;
    };
}scaledown_uzd_timing_monitor_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  timing_monitor_end5:4;
        RBus_UInt32  timing_monitor_sta5:4;
        RBus_UInt32  timing_monitor_end4:4;
        RBus_UInt32  timing_monitor_sta4:4;
        RBus_UInt32  timing_monitor_end3:4;
        RBus_UInt32  timing_monitor_sta3:4;
        RBus_UInt32  timing_monitor_end2:4;
        RBus_UInt32  timing_monitor_sta2:4;
    };
}scaledown_uzd_timing_monitor_multi_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_compare_th:28;
        RBus_UInt32  res1:4;
    };
}scaledown_uzd_timing_monitor_compare_th_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_golden:28;
        RBus_UInt32  res1:4;
    };
}scaledown_uzd_timing_monitor_golden_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous1:28;
        RBus_UInt32  res1:4;
    };
}scaledown_uzd_timing_monitor_result1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous2:28;
        RBus_UInt32  res1:4;
    };
}scaledown_uzd_timing_monitor_result2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous3:28;
        RBus_UInt32  res1:4;
    };
}scaledown_uzd_timing_monitor_result3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_previous4:28;
        RBus_UInt32  res1:4;
    };
}scaledown_uzd_timing_monitor_result4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_max:28;
        RBus_UInt32  res1:4;
    };
}scaledown_uzd_timing_monitor_max_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  t_m_result_min:28;
        RBus_UInt32  res1:4;
    };
}scaledown_uzd_timing_monitor_min_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  vsync_hit_den_error:1;
        RBus_UInt32  hsync_hit_den_error:1;
        RBus_UInt32  compare_hit:1;
        RBus_UInt32  res1:29;
    };
}scaledown_uzd_timing_monitor_st_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hsize_err_flag:1;
        RBus_UInt32  res1:30;
        RBus_UInt32  hsize_detect_en:1;
    };
}scaledown_uzd_hsize_detect_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  read_en:1;
        RBus_UInt32  write_en:1;
        RBus_UInt32  cross_bar_en:1;
        RBus_UInt32  read_mode:3;
        RBus_UInt32  res1:26;
    };
}scaledown_accessdata_ctrl_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  startx:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  starty:13;
        RBus_UInt32  res2:3;
    };
}scaledown_accessdata_posctrl_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y00:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  y01:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_y1_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y10:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  y11:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_y2_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u00:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  v00:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_c1_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u01:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  v01:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_c2_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u10:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  v10:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_c3_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u11:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  v11:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_c4_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y:4;
        RBus_UInt32  u:4;
        RBus_UInt32  v:4;
        RBus_UInt32  res1:20;
    };
}scaledown_writedata_data_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  res5:28;
    };
}scaledown_ich1_sdnr_bist_fsbuf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:1;
        RBus_UInt32  res5:28;
    };
}scaledown_ich1_sdnr_drf_fsbuf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bisr_linebuf_fail_0:1;
        RBus_UInt32  bisr_linebuf_fail_1:1;
        RBus_UInt32  bisr_linebuf_fail_2:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:28;
    };
}scaledown_ich1_sdnr_bisr_linebuf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  sdnr_drf_linebuf_fail_0:1;
        RBus_UInt32  sdnr_drf_linebuf_fail_1:1;
        RBus_UInt32  sdnr_drf_linebuf_fail_2:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:28;
    };
}scaledown_ich1_sdnr_drf_linebuf_fail_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:2;
        RBus_UInt32  sdnr_linebuf_1_0_dvs:4;
        RBus_UInt32  sdnr_linebuf_1_0_dvse:1;
        RBus_UInt32  sdnr_linebuf_1_0_ls_en:1;
        RBus_UInt32  res5:2;
        RBus_UInt32  sdnr_linebuf_1_1_dvs:4;
        RBus_UInt32  sdnr_linebuf_1_1_dvse:1;
        RBus_UInt32  sdnr_linebuf_1_1_ls_en:1;
        RBus_UInt32  res6:2;
        RBus_UInt32  sdnr_linebuf_1_2_dvs:4;
        RBus_UInt32  sdnr_linebuf_1_2_dvse:1;
        RBus_UInt32  sdnr_linebuf_1_2_ls_en:1;
        RBus_UInt32  res7:2;
    };
}scaledown_ich1_sdnr_linebuf_dvs_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:10;
        RBus_UInt32  res5:4;
        RBus_UInt32  res6:1;
        RBus_UInt32  res7:1;
        RBus_UInt32  res8:10;
    };
}scaledown_ich1_sdnr_fsbuf_dvs01_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:4;
        RBus_UInt32  res2:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  res4:10;
        RBus_UInt32  res5:4;
        RBus_UInt32  res6:1;
        RBus_UInt32  res7:1;
        RBus_UInt32  res8:10;
    };
}scaledown_ich1_sdnr_fsbuf_dvs23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  res2:31;
    };
}scaledown_ich1_sdnr_bisr_linebuf_repaired_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hor_back:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  hor_front:13;
        RBus_UInt32  res2:3;
    };
}scaledown_ich1_sdnr_cutout_range_hor_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_back:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ver_front:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_sdnr_cutout_range_ver0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ver_mid_bot:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  ver_mid_top:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_sdnr_cutout_range_ver1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dummy180252f0_0:1;
        RBus_UInt32  drop:1;
        RBus_UInt32  cr_dly_cb:1;
        RBus_UInt32  res1:29;
    };
}scaledown_ich1_sdnr_444to422_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hsd_3d_boundary:13;
        RBus_UInt32  res1:19;
    };
}scaledown_ich1_hsd_3d_boundary_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c1:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c0:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c3:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c2:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c5:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c4:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c7:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c6:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c9:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c8:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c11:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c10:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c13:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c12:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c15:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c14:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c17:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c16:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c19:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c18:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c21:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c20:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c23:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c22:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c25:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c24:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c27:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c26:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c29:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c28:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab1_c31:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab1_c30:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab1_c30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c1:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c0:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c3:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c2:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c5:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c4:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c7:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c6:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c9:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c8:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c11:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c10:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c13:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c12:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c15:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c14:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c17:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c16:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c19:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c18:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c21:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c20:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c23:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c22:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c25:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c24:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c27:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c26:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c29:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c28:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  tab2_c31:12;
        RBus_UInt32  res1:4;
        RBus_UInt32  tab2_c30:12;
        RBus_UInt32  res2:4;
    };
}scaledown_ich1_uzd_fir_coef_tab2_c30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y4:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  y5:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_y3_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y6:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  y7:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_y4_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u4:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  v4:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_c5_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u5:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  v5:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_c6_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u6:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  v6:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_c7_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u7:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  v7:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_c8_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  y8:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  y9:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_y5_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ya:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  yb:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_y6_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u8:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  v8:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_c9_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  u9:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  v9:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_ca_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ua:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  va:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_cb_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ub:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  vb:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_cc_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  yc:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  yd:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_y7_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ye:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  yf:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_y8_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  uc:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  vc:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_cd_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ud:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  vd:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_ce_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ue:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  ve:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_cf_uzd_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  uf:10;
        RBus_UInt32  res1:6;
        RBus_UInt32  vf:10;
        RBus_UInt32  res2:6;
    };
}scaledown_readdata_data_c10_uzd_RBUS;




#endif 


#endif 
