/**
* @file rbusLg_hcicReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/3
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_LG_HCIC_REG_H_
#define _RBUS_LG_HCIC_REG_H_

#include "rbusTypes.h"



//  LG_HCIC Register Address



#define  LG_HCIC_HCIC_CTL_VADDR                             	(0xb802a500)
#define  LG_HCIC_HCIC_REG000_VADDR                          	(0xb802a504)
#define  LG_HCIC_HCIC_REG004_VADDR                          	(0xb802a508)
#define  LG_HCIC_HCIC_REG008_VADDR                          	(0xb802a50c)
#define  LG_HCIC_HCIC_REG00C_VADDR                          	(0xb802a510)
#define  LG_HCIC_HCIC_REG010_VADDR                          	(0xb802a514)
#define  LG_HCIC_HCIC_REG014_VADDR                          	(0xb802a518)
#define  LG_HCIC_HCIC_REG018_VADDR                          	(0xb802a51c)
#define  LG_HCIC_HCIC_REG01C_VADDR                          	(0xb802a520)
#define  LG_HCIC_HCIC_REG020_VADDR                          	(0xb802a524)
#define  LG_HCIC_HCIC_REG024_VADDR                          	(0xb802a528)
#define  LG_HCIC_HCIC_REG028_VADDR                          	(0xb802a52c)
#define  LG_HCIC_HCIC_REG02C_VADDR                          	(0xb802a530)
#define  LG_HCIC_HCIC_REG030_VADDR                          	(0xb802a534)
#define  LG_HCIC_HCIC_REG034_VADDR                          	(0xb802a538)
#define  LG_HCIC_HCIC_REG038_VADDR                          	(0xb802a53c)
#define  LG_HCIC_HCIC_REG03C_VADDR                          	(0xb802a540)
#define  LG_HCIC_HCIC_REG040_VADDR                          	(0xb802a544)
#define  LG_HCIC_HCIC_REG044_VADDR                          	(0xb802a548)
#define  LG_HCIC_HCIC_REG048_VADDR                          	(0xb802a54c)
#define  LG_HCIC_HCIC_REG04C_VADDR                          	(0xb802a550)
#define  LG_HCIC_HCIC_REG050_VADDR                          	(0xb802a554)
#define  LG_HCIC_HCIC_REG054_VADDR                          	(0xb802a558)
#define  LG_HCIC_HCIC_REG058_VADDR                          	(0xb802a55c)
#define  LG_HCIC_HCIC_REG05C_VADDR                          	(0xb802a560)
#define  LG_HCIC_HCIC_REG060_VADDR                          	(0xb802a564)
#define  LG_HCIC_HCIC_REG064_VADDR                          	(0xb802a568)
#define  LG_HCIC_HCIC_REG068_VADDR                          	(0xb802a56c)
#define  LG_HCIC_HCIC_REG06C_VADDR                          	(0xb802a570)
#define  LG_HCIC_HCIC_REG070_VADDR                          	(0xb802a574)
#define  LG_HCIC_HCIC_REG074_VADDR                          	(0xb802a578)
#define  LG_HCIC_HCIC_REG078_VADDR                          	(0xb802a57c)
#define  LG_HCIC_HCIC_REG07C_VADDR                          	(0xb802a580)
#define  LG_HCIC_HCIC_REG080_VADDR                          	(0xb802a584)
#define  LG_HCIC_HCIC_REG084_VADDR                          	(0xb802a588)
#define  LG_HCIC_HCIC_REG088_VADDR                          	(0xb802a58c)
#define  LG_HCIC_HCIC_REG08C_VADDR                          	(0xb802a590)
#define  LG_HCIC_HCIC_REG090_VADDR                          	(0xb802a594)
#define  LG_HCIC_HCIC_REG094_VADDR                          	(0xb802a598)
#define  LG_HCIC_HCIC_REG098_VADDR                          	(0xb802a59c)
#define  LG_HCIC_HCIC_REG09C_VADDR                          	(0xb802a5a0)
#define  LG_HCIC_HCIC_REG0A0_VADDR                          	(0xb802a5a4)
#define  LG_HCIC_HCIC_REG0A4_VADDR                          	(0xb802a5a8)
#define  LG_HCIC_HCIC_REG0A8_VADDR                          	(0xb802a5ac)
#define  LG_HCIC_HCIC_REG0AC_VADDR                          	(0xb802a5b0)
#define  LG_HCIC_HCIC_REG0B0_VADDR                          	(0xb802a5b4)
#define  LG_HCIC_HCIC_REG0B4_VADDR                          	(0xb802a5b8)
#define  LG_HCIC_HCIC_REG0B8_VADDR                          	(0xb802a5bc)
#define  LG_HCIC_HCIC_REG0BC_VADDR                          	(0xb802a5c0)
#define  LG_HCIC_HCIC_REG0C0_VADDR                          	(0xb802a5c4)
#define  LG_HCIC_HCIC_REG0C4_VADDR                          	(0xb802a5c8)
#define  LG_HCIC_HCIC_REG0C8_VADDR                          	(0xb802a5cc)
#define  LG_HCIC_HCIC_REG0CC_VADDR                          	(0xb802a5d0)
#define  LG_HCIC_HCIC_REG0D0_VADDR                          	(0xb802a5d4)
#define  LG_HCIC_HCIC_REG0D4_VADDR                          	(0xb802a5d8)
#define  LG_HCIC_HCIC_REG0D8_VADDR                          	(0xb802a5dc)
#define  LG_HCIC_HCIC_REG0DC_VADDR                          	(0xb802a5e0)
#define  LG_HCIC_HCIC_REG0E0_VADDR                          	(0xb802a5e4)
#define  LG_HCIC_HCIC_REG0E4_VADDR                          	(0xb802a5e8)
#define  LG_HCIC_HCIC_REG0E8_VADDR                          	(0xb802a5ec)
#define  LG_HCIC_HCIC_REG0EC_VADDR                          	(0xb802a5f0)
#define  LG_HCIC_HCIC_REG0F0_VADDR                          	(0xb802a5f4)
#define  LG_HCIC_HCIC_REG0F4_VADDR                          	(0xb802a5f8)
#define  LG_HCIC_HCIC_REG0F8_VADDR                          	(0xb802a5fc)
#define  LG_HCIC_HCIC_REG0FC_VADDR                          	(0xb802a600)
#define  LG_HCIC_HCIC_REG100_VADDR                          	(0xb802a604)
#define  LG_HCIC_HCIC_REG104_VADDR                          	(0xb802a608)
#define  LG_HCIC_HCIC_REG108_VADDR                          	(0xb802a60c)
#define  LG_HCIC_HCIC_REG10C_VADDR                          	(0xb802a610)
#define  LG_HCIC_HCIC_REG110_VADDR                          	(0xb802a614)
#define  LG_HCIC_HCIC_REG114_VADDR                          	(0xb802a618)
#define  LG_HCIC_HCIC_REG118_VADDR                          	(0xb802a61c)
#define  LG_HCIC_HCIC_REG11C_VADDR                          	(0xb802a620)
#define  LG_HCIC_HCIC_REG120_VADDR                          	(0xb802a624)
#define  LG_HCIC_HCIC_REG124_VADDR                          	(0xb802a628)
#define  LG_HCIC_HCIC_REG128_VADDR                          	(0xb802a62c)
#define  LG_HCIC_HCIC_REG12C_VADDR                          	(0xb802a630)
#define  LG_HCIC_HCIC_REG130_VADDR                          	(0xb802a634)
#define  LG_HCIC_HCIC_REG134_VADDR                          	(0xb802a638)
#define  LG_HCIC_HCIC_REG138_VADDR                          	(0xb802a63c)
#define  LG_HCIC_HCIC_REG13C_VADDR                          	(0xb802a640)
#define  LG_HCIC_HCIC_REG140_VADDR                          	(0xb802a644)
#define  LG_HCIC_HCIC_REG144_VADDR                          	(0xb802a648)
#define  LG_HCIC_HCIC_REG148_VADDR                          	(0xb802a64c)
#define  LG_HCIC_HCIC_REG14C_VADDR                          	(0xb802a650)
#define  LG_HCIC_HCIC_REG150_VADDR                          	(0xb802a654)
#define  LG_HCIC_HCIC_REG154_VADDR                          	(0xb802a658)
#define  LG_HCIC_HCIC_REG158_VADDR                          	(0xb802a65c)
#define  LG_HCIC_HCIC_REG15C_VADDR                          	(0xb802a660)
#define  LG_HCIC_HCIC_REG160_VADDR                          	(0xb802a664)
#define  LG_HCIC_HCIC_REG164_VADDR                          	(0xb802a668)
#define  LG_HCIC_HCIC_REG168_VADDR                          	(0xb802a66c)
#define  LG_HCIC_HCIC_REG16C_VADDR                          	(0xb802a670)
#define  LG_HCIC_HCIC_REG170_VADDR                          	(0xb802a674)
#define  LG_HCIC_HCIC_REG174_VADDR                          	(0xb802a678)
#define  LG_HCIC_HCIC_REG178_VADDR                          	(0xb802a67c)
#define  LG_HCIC_HCIC_REG17C_VADDR                          	(0xb802a680)
#define  LG_HCIC_HCIC_REG180_VADDR                          	(0xb802a684)
#define  LG_HCIC_HCIC_REG184_VADDR                          	(0xb802a688)
#define  LG_HCIC_HCIC_REG188_VADDR                          	(0xb802a68c)
#define  LG_HCIC_HCIC_REG18C_VADDR                          	(0xb802a690)
#define  LG_HCIC_HCIC_REG190_VADDR                          	(0xb802a694)
#define  LG_HCIC_HCIC_REG194_VADDR                          	(0xb802a698)
#define  LG_HCIC_HCIC_REG198_VADDR                          	(0xb802a69c)
#define  LG_HCIC_HCIC_REG19C_VADDR                          	(0xb802a6a0)
#define  LG_HCIC_HCIC_REG1A0_VADDR                          	(0xb802a6a4)
#define  LG_HCIC_HCIC_REG1A4_VADDR                          	(0xb802a6a8)
#define  LG_HCIC_HCIC_REG1A8_VADDR                          	(0xb802a6ac)
#define  LG_HCIC_HCIC_REG1AC_VADDR                          	(0xb802a6b0)
#define  LG_HCIC_HCIC_REG1B0_VADDR                          	(0xb802a6b4)
#define  LG_HCIC_HCIC_REG1B4_VADDR                          	(0xb802a6b8)
#define  LG_HCIC_HCIC_REG1B8_VADDR                          	(0xb802a6bc)
#define  LG_HCIC_HCIC_REG1BC_VADDR                          	(0xb802a6c0)
#define  LG_HCIC_HCIC_REG1C0_VADDR                          	(0xb802a6c4)
#define  LG_HCIC_HCIC_REG1C4_VADDR                          	(0xb802a6c8)
#define  LG_HCIC_HCIC_REG1C8_VADDR                          	(0xb802a6cc)
#define  LG_HCIC_HCIC_REG1CC_VADDR                          	(0xb802a6d0)
#define  LG_HCIC_HCIC_REG1D0_VADDR                          	(0xb802a6d4)
#define  LG_HCIC_HCIC_REG1D4_VADDR                          	(0xb802a6d8)
#define  LG_HCIC_HCIC_REG1D8_VADDR                          	(0xb802a6dc)
#define  LG_HCIC_HCIC_REG1DC_VADDR                          	(0xb802a6e0)
#define  LG_HCIC_HCIC_REG1E0_VADDR                          	(0xb802a6e4)
#define  LG_HCIC_HCIC_REG1E4_VADDR                          	(0xb802a6e8)
#define  LG_HCIC_HCIC_REG1E8_VADDR                          	(0xb802a6ec)
#define  LG_HCIC_HCIC_REG1EC_VADDR                          	(0xb802a6f0)
#define  LG_HCIC_HCIC_REG1F0_VADDR                          	(0xb802a6f4)
#define  LG_HCIC_HCIC_REG1F4_VADDR                          	(0xb802a6f8)
#define  LG_HCIC_HCIC_REG1F8_VADDR                          	(0xb802a6fc)
#define  LG_HCIC_HCIC_REG1FC_VADDR                          	(0xb802a700)
#define  LG_HCIC_HCIC_REG200_VADDR                          	(0xb802a704)
#define  LG_HCIC_HCIC_REG204_VADDR                          	(0xb802a708)
#define  LG_HCIC_HCIC_REG208_VADDR                          	(0xb802a70c)
#define  LG_HCIC_HCIC_REG20C_VADDR                          	(0xb802a710)
#define  LG_HCIC_HCIC_REG210_VADDR                          	(0xb802a714)
#define  LG_HCIC_HCIC_REG214_VADDR                          	(0xb802a718)
#define  LG_HCIC_HCIC_REG218_VADDR                          	(0xb802a71c)
#define  LG_HCIC_HCIC_REG21C_VADDR                          	(0xb802a720)
#define  LG_HCIC_HCIC_REG220_VADDR                          	(0xb802a724)
#define  LG_HCIC_HCIC_REG224_VADDR                          	(0xb802a728)
#define  LG_HCIC_HCIC_REG228_VADDR                          	(0xb802a72c)
#define  LG_HCIC_HCIC_REG22C_VADDR                          	(0xb802a730)
#define  LG_HCIC_HCIC_REG230_VADDR                          	(0xb802a734)
#define  LG_HCIC_HCIC_REG234_VADDR                          	(0xb802a738)
#define  LG_HCIC_HCIC_REG238_VADDR                          	(0xb802a73c)
#define  LG_HCIC_HCIC_REG23C_VADDR                          	(0xb802a740)
#define  LG_HCIC_HCIC_REG240_VADDR                          	(0xb802a744)
#define  LG_HCIC_HCIC_REG244_VADDR                          	(0xb802a748)
#define  LG_HCIC_HCIC_REG248_VADDR                          	(0xb802a74c)
#define  LG_HCIC_HCIC_REG24C_VADDR                          	(0xb802a750)
#define  LG_HCIC_HCIC_REG250_VADDR                          	(0xb802a754)
#define  LG_HCIC_HCIC_REG254_VADDR                          	(0xb802a758)
#define  LG_HCIC_HCIC_REG258_VADDR                          	(0xb802a75c)
#define  LG_HCIC_HCIC_REG25C_VADDR                          	(0xb802a760)
#define  LG_HCIC_HCIC_REG260_VADDR                          	(0xb802a764)
#define  LG_HCIC_HCIC_REG264_VADDR                          	(0xb802a768)
#define  LG_HCIC_HCIC_REG268_VADDR                          	(0xb802a76c)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======LG_HCIC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:18;
        RBus_UInt32  user_timing_sel:2;
        RBus_UInt32  res2:2;
        RBus_UInt32  auto_detect_result:2;
        RBus_UInt32  res3:3;
        RBus_UInt32  auto_detect_en:1;
        RBus_UInt32  res4:3;
        RBus_UInt32  d3_en:1;
    };
}lg_hcic_hcic_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg000:8;
        RBus_UInt32  hcic_reg001:8;
        RBus_UInt32  hcic_reg002:8;
        RBus_UInt32  hcic_reg003:8;
    };
}lg_hcic_hcic_reg000_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg004:8;
        RBus_UInt32  hcic_reg005:8;
        RBus_UInt32  hcic_reg006:8;
        RBus_UInt32  hcic_reg007:8;
    };
}lg_hcic_hcic_reg004_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg008:8;
        RBus_UInt32  hcic_reg009:8;
        RBus_UInt32  hcic_reg00a:8;
        RBus_UInt32  hcic_reg00b:8;
    };
}lg_hcic_hcic_reg008_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg00c:8;
        RBus_UInt32  hcic_reg00d:8;
        RBus_UInt32  hcic_reg00e:8;
        RBus_UInt32  hcic_reg00f:8;
    };
}lg_hcic_hcic_reg00c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg010:8;
        RBus_UInt32  hcic_reg011:8;
        RBus_UInt32  hcic_reg012:8;
        RBus_UInt32  hcic_reg013:8;
    };
}lg_hcic_hcic_reg010_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg014:8;
        RBus_UInt32  hcic_reg015:8;
        RBus_UInt32  hcic_reg016:8;
        RBus_UInt32  hcic_reg017:8;
    };
}lg_hcic_hcic_reg014_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg018:8;
        RBus_UInt32  hcic_reg019:8;
        RBus_UInt32  hcic_reg01a:8;
        RBus_UInt32  hcic_reg01b:8;
    };
}lg_hcic_hcic_reg018_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg01c:8;
        RBus_UInt32  hcic_reg01d:8;
        RBus_UInt32  hcic_reg01e:8;
        RBus_UInt32  hcic_reg01f:8;
    };
}lg_hcic_hcic_reg01c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg020:8;
        RBus_UInt32  hcic_reg021:8;
        RBus_UInt32  hcic_reg022:8;
        RBus_UInt32  hcic_reg023:8;
    };
}lg_hcic_hcic_reg020_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg024:8;
        RBus_UInt32  hcic_reg025:8;
        RBus_UInt32  hcic_reg026:8;
        RBus_UInt32  hcic_reg027:8;
    };
}lg_hcic_hcic_reg024_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg028:8;
        RBus_UInt32  hcic_reg029:8;
        RBus_UInt32  hcic_reg02a:8;
        RBus_UInt32  hcic_reg02b:8;
    };
}lg_hcic_hcic_reg028_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg02c:8;
        RBus_UInt32  hcic_reg02d:8;
        RBus_UInt32  hcic_reg02e:8;
        RBus_UInt32  hcic_reg02f:8;
    };
}lg_hcic_hcic_reg02c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg030:8;
        RBus_UInt32  hcic_reg031:8;
        RBus_UInt32  hcic_reg032:8;
        RBus_UInt32  hcic_reg033:8;
    };
}lg_hcic_hcic_reg030_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg034:8;
        RBus_UInt32  hcic_reg035:8;
        RBus_UInt32  hcic_reg036:8;
        RBus_UInt32  hcic_reg037:8;
    };
}lg_hcic_hcic_reg034_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg038:8;
        RBus_UInt32  hcic_reg039:8;
        RBus_UInt32  hcic_reg03a:8;
        RBus_UInt32  hcic_reg03b:8;
    };
}lg_hcic_hcic_reg038_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg03c:8;
        RBus_UInt32  hcic_reg03d:8;
        RBus_UInt32  hcic_reg03e:8;
        RBus_UInt32  hcic_reg03f:8;
    };
}lg_hcic_hcic_reg03c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg040:8;
        RBus_UInt32  hcic_reg041:8;
        RBus_UInt32  hcic_reg042:8;
        RBus_UInt32  hcic_reg043:8;
    };
}lg_hcic_hcic_reg040_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg044:8;
        RBus_UInt32  hcic_reg045:8;
        RBus_UInt32  hcic_reg046:8;
        RBus_UInt32  hcic_reg047:8;
    };
}lg_hcic_hcic_reg044_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg048:8;
        RBus_UInt32  hcic_reg049:8;
        RBus_UInt32  hcic_reg04a:8;
        RBus_UInt32  hcic_reg04b:8;
    };
}lg_hcic_hcic_reg048_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg04c:8;
        RBus_UInt32  hcic_reg04d:8;
        RBus_UInt32  hcic_reg04e:8;
        RBus_UInt32  hcic_reg04f:8;
    };
}lg_hcic_hcic_reg04c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg050:8;
        RBus_UInt32  hcic_reg051:8;
        RBus_UInt32  hcic_reg052:8;
        RBus_UInt32  hcic_reg053:8;
    };
}lg_hcic_hcic_reg050_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg054:8;
        RBus_UInt32  hcic_reg055:8;
        RBus_UInt32  hcic_reg056:8;
        RBus_UInt32  hcic_reg057:8;
    };
}lg_hcic_hcic_reg054_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg058:8;
        RBus_UInt32  hcic_reg059:8;
        RBus_UInt32  hcic_reg05a:8;
        RBus_UInt32  hcic_reg05b:8;
    };
}lg_hcic_hcic_reg058_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg05c:8;
        RBus_UInt32  hcic_reg05d:8;
        RBus_UInt32  hcic_reg05e:8;
        RBus_UInt32  hcic_reg05f:8;
    };
}lg_hcic_hcic_reg05c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg060:8;
        RBus_UInt32  hcic_reg061:8;
        RBus_UInt32  hcic_reg062:8;
        RBus_UInt32  hcic_reg063:8;
    };
}lg_hcic_hcic_reg060_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg064:8;
        RBus_UInt32  hcic_reg065:8;
        RBus_UInt32  hcic_reg066:8;
        RBus_UInt32  hcic_reg067:8;
    };
}lg_hcic_hcic_reg064_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg068:8;
        RBus_UInt32  hcic_reg069:8;
        RBus_UInt32  hcic_reg06a:8;
        RBus_UInt32  hcic_reg06b:8;
    };
}lg_hcic_hcic_reg068_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg06c:8;
        RBus_UInt32  hcic_reg06d:8;
        RBus_UInt32  hcic_reg06e:8;
        RBus_UInt32  hcic_reg06f:8;
    };
}lg_hcic_hcic_reg06c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg070:8;
        RBus_UInt32  hcic_reg071:8;
        RBus_UInt32  hcic_reg072:8;
        RBus_UInt32  hcic_reg073:8;
    };
}lg_hcic_hcic_reg070_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg074:8;
        RBus_UInt32  hcic_reg075:8;
        RBus_UInt32  hcic_reg076:8;
        RBus_UInt32  hcic_reg077:8;
    };
}lg_hcic_hcic_reg074_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg078:8;
        RBus_UInt32  hcic_reg079:8;
        RBus_UInt32  hcic_reg07a:8;
        RBus_UInt32  hcic_reg07b:8;
    };
}lg_hcic_hcic_reg078_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg07c:8;
        RBus_UInt32  hcic_reg07d:8;
        RBus_UInt32  hcic_reg07e:8;
        RBus_UInt32  hcic_reg07f:8;
    };
}lg_hcic_hcic_reg07c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg080:8;
        RBus_UInt32  hcic_reg081:8;
        RBus_UInt32  hcic_reg082:8;
        RBus_UInt32  hcic_reg083:8;
    };
}lg_hcic_hcic_reg080_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg084:8;
        RBus_UInt32  hcic_reg085:8;
        RBus_UInt32  hcic_reg086:8;
        RBus_UInt32  hcic_reg087:8;
    };
}lg_hcic_hcic_reg084_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg088:8;
        RBus_UInt32  hcic_reg089:8;
        RBus_UInt32  hcic_reg08a:8;
        RBus_UInt32  hcic_reg08b:8;
    };
}lg_hcic_hcic_reg088_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg08c:8;
        RBus_UInt32  hcic_reg08d:8;
        RBus_UInt32  hcic_reg08e:8;
        RBus_UInt32  hcic_reg08f:8;
    };
}lg_hcic_hcic_reg08c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg090:8;
        RBus_UInt32  hcic_reg091:8;
        RBus_UInt32  hcic_reg092:8;
        RBus_UInt32  hcic_reg093:8;
    };
}lg_hcic_hcic_reg090_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg094:8;
        RBus_UInt32  hcic_reg095:8;
        RBus_UInt32  hcic_reg096:8;
        RBus_UInt32  hcic_reg097:8;
    };
}lg_hcic_hcic_reg094_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg098:8;
        RBus_UInt32  hcic_reg099:8;
        RBus_UInt32  hcic_reg09a:8;
        RBus_UInt32  hcic_reg09b:8;
    };
}lg_hcic_hcic_reg098_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg09c:8;
        RBus_UInt32  hcic_reg09d:8;
        RBus_UInt32  hcic_reg09e:8;
        RBus_UInt32  hcic_reg09f:8;
    };
}lg_hcic_hcic_reg09c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0a0:8;
        RBus_UInt32  hcic_reg0a1:8;
        RBus_UInt32  hcic_reg0a2:8;
        RBus_UInt32  hcic_reg0a3:8;
    };
}lg_hcic_hcic_reg0a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0a4:8;
        RBus_UInt32  hcic_reg0a5:8;
        RBus_UInt32  hcic_reg0a6:8;
        RBus_UInt32  hcic_reg0a7:8;
    };
}lg_hcic_hcic_reg0a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0a8:8;
        RBus_UInt32  hcic_reg0a9:8;
        RBus_UInt32  hcic_reg0aa:8;
        RBus_UInt32  hcic_reg0ab:8;
    };
}lg_hcic_hcic_reg0a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0ac:8;
        RBus_UInt32  hcic_reg0ad:8;
        RBus_UInt32  hcic_reg0ae:8;
        RBus_UInt32  hcic_reg0af:8;
    };
}lg_hcic_hcic_reg0ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0b0:8;
        RBus_UInt32  hcic_reg0b1:8;
        RBus_UInt32  hcic_reg0b2:8;
        RBus_UInt32  hcic_reg0b3:8;
    };
}lg_hcic_hcic_reg0b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0b4:8;
        RBus_UInt32  hcic_reg0b5:8;
        RBus_UInt32  hcic_reg0b6:8;
        RBus_UInt32  hcic_reg0b7:8;
    };
}lg_hcic_hcic_reg0b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0b8:8;
        RBus_UInt32  hcic_reg0b9:8;
        RBus_UInt32  hcic_reg0ba:8;
        RBus_UInt32  hcic_reg0bb:8;
    };
}lg_hcic_hcic_reg0b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0bc:8;
        RBus_UInt32  hcic_reg0bd:8;
        RBus_UInt32  hcic_reg0be:8;
        RBus_UInt32  hcic_reg0bf:8;
    };
}lg_hcic_hcic_reg0bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0c0:8;
        RBus_UInt32  hcic_reg0c1:8;
        RBus_UInt32  hcic_reg0c2:8;
        RBus_UInt32  hcic_reg0c3:8;
    };
}lg_hcic_hcic_reg0c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0c4:8;
        RBus_UInt32  hcic_reg0c5:8;
        RBus_UInt32  hcic_reg0c6:8;
        RBus_UInt32  hcic_reg0c7:8;
    };
}lg_hcic_hcic_reg0c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0c8:8;
        RBus_UInt32  hcic_reg0c9:8;
        RBus_UInt32  hcic_reg0ca:8;
        RBus_UInt32  hcic_reg0cb:8;
    };
}lg_hcic_hcic_reg0c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0cc:8;
        RBus_UInt32  hcic_reg0cd:8;
        RBus_UInt32  hcic_reg0ce:8;
        RBus_UInt32  hcic_reg0cf:8;
    };
}lg_hcic_hcic_reg0cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0d0:8;
        RBus_UInt32  hcic_reg0d1:8;
        RBus_UInt32  hcic_reg0d2:8;
        RBus_UInt32  hcic_reg0d3:8;
    };
}lg_hcic_hcic_reg0d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0d4:8;
        RBus_UInt32  hcic_reg0d5:8;
        RBus_UInt32  hcic_reg0d6:8;
        RBus_UInt32  hcic_reg0d7:8;
    };
}lg_hcic_hcic_reg0d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0d8:8;
        RBus_UInt32  hcic_reg0d9:8;
        RBus_UInt32  hcic_reg0da:8;
        RBus_UInt32  hcic_reg0db:8;
    };
}lg_hcic_hcic_reg0d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0dc:8;
        RBus_UInt32  hcic_reg0dd:8;
        RBus_UInt32  hcic_reg0de:8;
        RBus_UInt32  hcic_reg0df:8;
    };
}lg_hcic_hcic_reg0dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0e0:8;
        RBus_UInt32  hcic_reg0e1:8;
        RBus_UInt32  hcic_reg0e2:8;
        RBus_UInt32  hcic_reg0e3:8;
    };
}lg_hcic_hcic_reg0e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0e4:8;
        RBus_UInt32  hcic_reg0e5:8;
        RBus_UInt32  hcic_reg0e6:8;
        RBus_UInt32  hcic_reg0e7:8;
    };
}lg_hcic_hcic_reg0e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0e8:8;
        RBus_UInt32  hcic_reg0e9:8;
        RBus_UInt32  hcic_reg0ea:8;
        RBus_UInt32  hcic_reg0eb:8;
    };
}lg_hcic_hcic_reg0e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0ec:8;
        RBus_UInt32  hcic_reg0ed:8;
        RBus_UInt32  hcic_reg0ee:8;
        RBus_UInt32  hcic_reg0ef:8;
    };
}lg_hcic_hcic_reg0ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0f0:8;
        RBus_UInt32  hcic_reg0f1:8;
        RBus_UInt32  hcic_reg0f2:8;
        RBus_UInt32  hcic_reg0f3:8;
    };
}lg_hcic_hcic_reg0f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0f4:8;
        RBus_UInt32  hcic_reg0f5:8;
        RBus_UInt32  hcic_reg0f6:8;
        RBus_UInt32  hcic_reg0f7:8;
    };
}lg_hcic_hcic_reg0f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0f8:8;
        RBus_UInt32  hcic_reg0f9:8;
        RBus_UInt32  hcic_reg0fa:8;
        RBus_UInt32  hcic_reg0fb:8;
    };
}lg_hcic_hcic_reg0f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0fc:8;
        RBus_UInt32  hcic_reg0fd:8;
        RBus_UInt32  hcic_reg0fe:8;
        RBus_UInt32  hcic_reg0ff:8;
    };
}lg_hcic_hcic_reg0fc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg100:8;
        RBus_UInt32  hcic_reg101:8;
        RBus_UInt32  hcic_reg102:8;
        RBus_UInt32  hcic_reg103:8;
    };
}lg_hcic_hcic_reg100_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg104:8;
        RBus_UInt32  hcic_reg105:8;
        RBus_UInt32  hcic_reg106:8;
        RBus_UInt32  hcic_reg107:8;
    };
}lg_hcic_hcic_reg104_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg108:8;
        RBus_UInt32  hcic_reg109:8;
        RBus_UInt32  hcic_reg10a:8;
        RBus_UInt32  hcic_reg10b:8;
    };
}lg_hcic_hcic_reg108_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg10c:8;
        RBus_UInt32  hcic_reg10d:8;
        RBus_UInt32  hcic_reg10e:8;
        RBus_UInt32  hcic_reg10f:8;
    };
}lg_hcic_hcic_reg10c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg110:8;
        RBus_UInt32  hcic_reg111:8;
        RBus_UInt32  hcic_reg112:8;
        RBus_UInt32  hcic_reg113:8;
    };
}lg_hcic_hcic_reg110_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg114:8;
        RBus_UInt32  hcic_reg115:8;
        RBus_UInt32  hcic_reg116:8;
        RBus_UInt32  hcic_reg117:8;
    };
}lg_hcic_hcic_reg114_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg118:8;
        RBus_UInt32  hcic_reg119:8;
        RBus_UInt32  hcic_reg11a:8;
        RBus_UInt32  hcic_reg11b:8;
    };
}lg_hcic_hcic_reg118_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg11c:8;
        RBus_UInt32  hcic_reg11d:8;
        RBus_UInt32  hcic_reg11e:8;
        RBus_UInt32  hcic_reg11f:8;
    };
}lg_hcic_hcic_reg11c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg120:8;
        RBus_UInt32  hcic_reg121:8;
        RBus_UInt32  hcic_reg122:8;
        RBus_UInt32  hcic_reg123:8;
    };
}lg_hcic_hcic_reg120_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg124:8;
        RBus_UInt32  hcic_reg125:8;
        RBus_UInt32  hcic_reg126:8;
        RBus_UInt32  hcic_reg127:8;
    };
}lg_hcic_hcic_reg124_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg128:8;
        RBus_UInt32  hcic_reg129:8;
        RBus_UInt32  hcic_reg12a:8;
        RBus_UInt32  hcic_reg12b:8;
    };
}lg_hcic_hcic_reg128_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg12c:8;
        RBus_UInt32  hcic_reg12d:8;
        RBus_UInt32  hcic_reg12e:8;
        RBus_UInt32  hcic_reg12f:8;
    };
}lg_hcic_hcic_reg12c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg130:8;
        RBus_UInt32  hcic_reg131:8;
        RBus_UInt32  hcic_reg132:8;
        RBus_UInt32  hcic_reg133:8;
    };
}lg_hcic_hcic_reg130_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg134:8;
        RBus_UInt32  hcic_reg135:8;
        RBus_UInt32  hcic_reg136:8;
        RBus_UInt32  hcic_reg137:8;
    };
}lg_hcic_hcic_reg134_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg138:8;
        RBus_UInt32  hcic_reg139:8;
        RBus_UInt32  hcic_reg13a:8;
        RBus_UInt32  hcic_reg13b:8;
    };
}lg_hcic_hcic_reg138_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg13c:8;
        RBus_UInt32  hcic_reg13d:8;
        RBus_UInt32  hcic_reg13e:8;
        RBus_UInt32  hcic_reg13f:8;
    };
}lg_hcic_hcic_reg13c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg140:8;
        RBus_UInt32  hcic_reg141:8;
        RBus_UInt32  hcic_reg142:8;
        RBus_UInt32  hcic_reg143:8;
    };
}lg_hcic_hcic_reg140_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg144:8;
        RBus_UInt32  hcic_reg145:8;
        RBus_UInt32  hcic_reg146:8;
        RBus_UInt32  hcic_reg147:8;
    };
}lg_hcic_hcic_reg144_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg148:8;
        RBus_UInt32  hcic_reg149:8;
        RBus_UInt32  hcic_reg14a:8;
        RBus_UInt32  hcic_reg14b:8;
    };
}lg_hcic_hcic_reg148_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg14c:8;
        RBus_UInt32  hcic_reg14d:8;
        RBus_UInt32  hcic_reg14e:8;
        RBus_UInt32  hcic_reg14f:8;
    };
}lg_hcic_hcic_reg14c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg150:8;
        RBus_UInt32  hcic_reg151:8;
        RBus_UInt32  hcic_reg152:8;
        RBus_UInt32  hcic_reg153:8;
    };
}lg_hcic_hcic_reg150_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg154:8;
        RBus_UInt32  hcic_reg155:8;
        RBus_UInt32  hcic_reg156:8;
        RBus_UInt32  hcic_reg157:8;
    };
}lg_hcic_hcic_reg154_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg158:8;
        RBus_UInt32  hcic_reg159:8;
        RBus_UInt32  hcic_reg15a:8;
        RBus_UInt32  hcic_reg15b:8;
    };
}lg_hcic_hcic_reg158_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg15c:8;
        RBus_UInt32  hcic_reg15d:8;
        RBus_UInt32  hcic_reg15e:8;
        RBus_UInt32  hcic_reg15f:8;
    };
}lg_hcic_hcic_reg15c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg160:8;
        RBus_UInt32  hcic_reg161:8;
        RBus_UInt32  hcic_reg162:8;
        RBus_UInt32  hcic_reg163:8;
    };
}lg_hcic_hcic_reg160_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg164:8;
        RBus_UInt32  hcic_reg165:8;
        RBus_UInt32  hcic_reg166:8;
        RBus_UInt32  hcic_reg167:8;
    };
}lg_hcic_hcic_reg164_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg168:8;
        RBus_UInt32  hcic_reg169:8;
        RBus_UInt32  hcic_reg16a:8;
        RBus_UInt32  hcic_reg16b:8;
    };
}lg_hcic_hcic_reg168_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg16c:8;
        RBus_UInt32  hcic_reg16d:8;
        RBus_UInt32  hcic_reg16e:8;
        RBus_UInt32  hcic_reg16f:8;
    };
}lg_hcic_hcic_reg16c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg170:8;
        RBus_UInt32  hcic_reg171:8;
        RBus_UInt32  hcic_reg172:8;
        RBus_UInt32  hcic_reg173:8;
    };
}lg_hcic_hcic_reg170_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg174:8;
        RBus_UInt32  hcic_reg175:8;
        RBus_UInt32  hcic_reg176:8;
        RBus_UInt32  hcic_reg177:8;
    };
}lg_hcic_hcic_reg174_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg178:8;
        RBus_UInt32  hcic_reg179:8;
        RBus_UInt32  hcic_reg17a:8;
        RBus_UInt32  hcic_reg17b:8;
    };
}lg_hcic_hcic_reg178_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg17c:8;
        RBus_UInt32  hcic_reg17d:8;
        RBus_UInt32  hcic_reg17e:8;
        RBus_UInt32  hcic_reg17f:8;
    };
}lg_hcic_hcic_reg17c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg180:8;
        RBus_UInt32  hcic_reg181:8;
        RBus_UInt32  hcic_reg182:8;
        RBus_UInt32  hcic_reg183:8;
    };
}lg_hcic_hcic_reg180_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg184:8;
        RBus_UInt32  hcic_reg185:8;
        RBus_UInt32  hcic_reg186:8;
        RBus_UInt32  hcic_reg187:8;
    };
}lg_hcic_hcic_reg184_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg188:8;
        RBus_UInt32  hcic_reg189:8;
        RBus_UInt32  hcic_reg18a:8;
        RBus_UInt32  hcic_reg18b:8;
    };
}lg_hcic_hcic_reg188_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg18c:8;
        RBus_UInt32  hcic_reg18d:8;
        RBus_UInt32  hcic_reg18e:8;
        RBus_UInt32  hcic_reg18f:8;
    };
}lg_hcic_hcic_reg18c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg190:8;
        RBus_UInt32  hcic_reg191:8;
        RBus_UInt32  hcic_reg192:8;
        RBus_UInt32  hcic_reg193:8;
    };
}lg_hcic_hcic_reg190_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg194:8;
        RBus_UInt32  hcic_reg195:8;
        RBus_UInt32  hcic_reg196:8;
        RBus_UInt32  hcic_reg197:8;
    };
}lg_hcic_hcic_reg194_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg198:8;
        RBus_UInt32  hcic_reg199:8;
        RBus_UInt32  hcic_reg19a:8;
        RBus_UInt32  hcic_reg19b:8;
    };
}lg_hcic_hcic_reg198_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg19c:8;
        RBus_UInt32  hcic_reg19d:8;
        RBus_UInt32  hcic_reg19e:8;
        RBus_UInt32  hcic_reg19f:8;
    };
}lg_hcic_hcic_reg19c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1a0:8;
        RBus_UInt32  hcic_reg1a1:8;
        RBus_UInt32  hcic_reg1a2:8;
        RBus_UInt32  hcic_reg1a3:8;
    };
}lg_hcic_hcic_reg1a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1a4:8;
        RBus_UInt32  hcic_reg1a5:8;
        RBus_UInt32  hcic_reg1a6:8;
        RBus_UInt32  hcic_reg1a7:8;
    };
}lg_hcic_hcic_reg1a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1a8:8;
        RBus_UInt32  hcic_reg1a9:8;
        RBus_UInt32  hcic_reg1aa:8;
        RBus_UInt32  hcic_reg1ab:8;
    };
}lg_hcic_hcic_reg1a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1ac:8;
        RBus_UInt32  hcic_reg1ad:8;
        RBus_UInt32  hcic_reg1ae:8;
        RBus_UInt32  hcic_reg1af:8;
    };
}lg_hcic_hcic_reg1ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1b0:8;
        RBus_UInt32  hcic_reg1b1:8;
        RBus_UInt32  hcic_reg1b2:8;
        RBus_UInt32  hcic_reg1b3:8;
    };
}lg_hcic_hcic_reg1b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1b4:8;
        RBus_UInt32  hcic_reg1b5:8;
        RBus_UInt32  hcic_reg1b6:8;
        RBus_UInt32  hcic_reg1b7:8;
    };
}lg_hcic_hcic_reg1b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1b8:8;
        RBus_UInt32  hcic_reg1b9:8;
        RBus_UInt32  hcic_reg1ba:8;
        RBus_UInt32  hcic_reg1bb:8;
    };
}lg_hcic_hcic_reg1b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1bc:8;
        RBus_UInt32  hcic_reg1bd:8;
        RBus_UInt32  hcic_reg1be:8;
        RBus_UInt32  hcic_reg1bf:8;
    };
}lg_hcic_hcic_reg1bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1c0:8;
        RBus_UInt32  hcic_reg1c1:8;
        RBus_UInt32  hcic_reg1c2:8;
        RBus_UInt32  hcic_reg1c3:8;
    };
}lg_hcic_hcic_reg1c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1c4:8;
        RBus_UInt32  hcic_reg1c5:8;
        RBus_UInt32  hcic_reg1c6:8;
        RBus_UInt32  hcic_reg1c7:8;
    };
}lg_hcic_hcic_reg1c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1c8:8;
        RBus_UInt32  hcic_reg1c9:8;
        RBus_UInt32  hcic_reg1ca:8;
        RBus_UInt32  hcic_reg1cb:8;
    };
}lg_hcic_hcic_reg1c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1cc:8;
        RBus_UInt32  hcic_reg1cd:8;
        RBus_UInt32  hcic_reg1ce:8;
        RBus_UInt32  hcic_reg1cf:8;
    };
}lg_hcic_hcic_reg1cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1d0:8;
        RBus_UInt32  hcic_reg1d1:8;
        RBus_UInt32  hcic_reg1d2:8;
        RBus_UInt32  hcic_reg1d3:8;
    };
}lg_hcic_hcic_reg1d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1d4:8;
        RBus_UInt32  hcic_reg1d5:8;
        RBus_UInt32  hcic_reg1d6:8;
        RBus_UInt32  hcic_reg1d7:8;
    };
}lg_hcic_hcic_reg1d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1d8:8;
        RBus_UInt32  hcic_reg1d9:8;
        RBus_UInt32  hcic_reg1da:8;
        RBus_UInt32  hcic_reg1db:8;
    };
}lg_hcic_hcic_reg1d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1dc:8;
        RBus_UInt32  hcic_reg1dd:8;
        RBus_UInt32  hcic_reg1de:8;
        RBus_UInt32  hcic_reg1df:8;
    };
}lg_hcic_hcic_reg1dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1e0:8;
        RBus_UInt32  hcic_reg1e1:8;
        RBus_UInt32  hcic_reg1e2:8;
        RBus_UInt32  hcic_reg1e3:8;
    };
}lg_hcic_hcic_reg1e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1e4:8;
        RBus_UInt32  hcic_reg1e5:8;
        RBus_UInt32  hcic_reg1e6:8;
        RBus_UInt32  hcic_reg1e7:8;
    };
}lg_hcic_hcic_reg1e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1e8:8;
        RBus_UInt32  hcic_reg1e9:8;
        RBus_UInt32  hcic_reg1ea:8;
        RBus_UInt32  hcic_reg1eb:8;
    };
}lg_hcic_hcic_reg1e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1ec:8;
        RBus_UInt32  hcic_reg1ed:8;
        RBus_UInt32  hcic_reg1ee:8;
        RBus_UInt32  hcic_reg1ef:8;
    };
}lg_hcic_hcic_reg1ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1f0:8;
        RBus_UInt32  hcic_reg1f1:8;
        RBus_UInt32  hcic_reg1f2:8;
        RBus_UInt32  hcic_reg1f3:8;
    };
}lg_hcic_hcic_reg1f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1f4:8;
        RBus_UInt32  hcic_reg1f5:8;
        RBus_UInt32  hcic_reg1f6:8;
        RBus_UInt32  hcic_reg1f7:8;
    };
}lg_hcic_hcic_reg1f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1f8:8;
        RBus_UInt32  hcic_reg1f9:8;
        RBus_UInt32  hcic_reg1fa:8;
        RBus_UInt32  hcic_reg1fb:8;
    };
}lg_hcic_hcic_reg1f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1fc:8;
        RBus_UInt32  hcic_reg1fd:8;
        RBus_UInt32  hcic_reg1fe:8;
        RBus_UInt32  hcic_reg1ff:8;
    };
}lg_hcic_hcic_reg1fc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg200:8;
        RBus_UInt32  hcic_reg201:8;
        RBus_UInt32  hcic_reg202:8;
        RBus_UInt32  hcic_reg203:8;
    };
}lg_hcic_hcic_reg200_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg204:8;
        RBus_UInt32  hcic_reg205:8;
        RBus_UInt32  hcic_reg206:8;
        RBus_UInt32  hcic_reg207:8;
    };
}lg_hcic_hcic_reg204_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg208:8;
        RBus_UInt32  hcic_reg209:8;
        RBus_UInt32  hcic_reg20a:8;
        RBus_UInt32  hcic_reg20b:8;
    };
}lg_hcic_hcic_reg208_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg20c:8;
        RBus_UInt32  hcic_reg20d:8;
        RBus_UInt32  hcic_reg20e:8;
        RBus_UInt32  hcic_reg20f:8;
    };
}lg_hcic_hcic_reg20c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg210:8;
        RBus_UInt32  hcic_reg211:8;
        RBus_UInt32  hcic_reg212:8;
        RBus_UInt32  hcic_reg213:8;
    };
}lg_hcic_hcic_reg210_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg214:8;
        RBus_UInt32  hcic_reg215:8;
        RBus_UInt32  hcic_reg216:8;
        RBus_UInt32  hcic_reg217:8;
    };
}lg_hcic_hcic_reg214_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg218:8;
        RBus_UInt32  hcic_reg219:8;
        RBus_UInt32  hcic_reg21a:8;
        RBus_UInt32  hcic_reg21b:8;
    };
}lg_hcic_hcic_reg218_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg21c:8;
        RBus_UInt32  hcic_reg21d:8;
        RBus_UInt32  hcic_reg21e:8;
        RBus_UInt32  hcic_reg21f:8;
    };
}lg_hcic_hcic_reg21c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg220:8;
        RBus_UInt32  hcic_reg221:8;
        RBus_UInt32  hcic_reg222:8;
        RBus_UInt32  hcic_reg223:8;
    };
}lg_hcic_hcic_reg220_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg224:8;
        RBus_UInt32  hcic_reg225:8;
        RBus_UInt32  hcic_reg226:8;
        RBus_UInt32  hcic_reg227:8;
    };
}lg_hcic_hcic_reg224_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg228:8;
        RBus_UInt32  hcic_reg229:8;
        RBus_UInt32  hcic_reg22a:8;
        RBus_UInt32  hcic_reg22b:8;
    };
}lg_hcic_hcic_reg228_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg22c:8;
        RBus_UInt32  hcic_reg22d:8;
        RBus_UInt32  hcic_reg22e:8;
        RBus_UInt32  hcic_reg22f:8;
    };
}lg_hcic_hcic_reg22c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg230:8;
        RBus_UInt32  hcic_reg231:8;
        RBus_UInt32  hcic_reg232:8;
        RBus_UInt32  hcic_reg233:8;
    };
}lg_hcic_hcic_reg230_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg234:8;
        RBus_UInt32  hcic_reg235:8;
        RBus_UInt32  hcic_reg236:8;
        RBus_UInt32  hcic_reg237:8;
    };
}lg_hcic_hcic_reg234_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg238:8;
        RBus_UInt32  hcic_reg239:8;
        RBus_UInt32  hcic_reg23a:8;
        RBus_UInt32  hcic_reg23b:8;
    };
}lg_hcic_hcic_reg238_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg23c:8;
        RBus_UInt32  hcic_reg23d:8;
        RBus_UInt32  hcic_reg23e:8;
        RBus_UInt32  hcic_reg23f:8;
    };
}lg_hcic_hcic_reg23c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg240:8;
        RBus_UInt32  hcic_reg241:8;
        RBus_UInt32  hcic_reg242:8;
        RBus_UInt32  hcic_reg243:8;
    };
}lg_hcic_hcic_reg240_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg244:8;
        RBus_UInt32  hcic_reg245:8;
        RBus_UInt32  hcic_reg246:8;
        RBus_UInt32  hcic_reg247:8;
    };
}lg_hcic_hcic_reg244_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg248:8;
        RBus_UInt32  hcic_reg249:8;
        RBus_UInt32  hcic_reg24a:8;
        RBus_UInt32  hcic_reg24b:8;
    };
}lg_hcic_hcic_reg248_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg24c:8;
        RBus_UInt32  hcic_reg24d:8;
        RBus_UInt32  hcic_reg24e:8;
        RBus_UInt32  hcic_reg24f:8;
    };
}lg_hcic_hcic_reg24c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg250:8;
        RBus_UInt32  hcic_reg251:8;
        RBus_UInt32  hcic_reg252:8;
        RBus_UInt32  hcic_reg253:8;
    };
}lg_hcic_hcic_reg250_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg254:8;
        RBus_UInt32  hcic_reg255:8;
        RBus_UInt32  hcic_reg256:8;
        RBus_UInt32  hcic_reg257:8;
    };
}lg_hcic_hcic_reg254_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg258:8;
        RBus_UInt32  hcic_reg259:8;
        RBus_UInt32  hcic_reg25a:8;
        RBus_UInt32  hcic_reg25b:8;
    };
}lg_hcic_hcic_reg258_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg25c:8;
        RBus_UInt32  hcic_reg25d:8;
        RBus_UInt32  hcic_reg25e:8;
        RBus_UInt32  hcic_reg25f:8;
    };
}lg_hcic_hcic_reg25c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg260:8;
        RBus_UInt32  hcic_reg261:8;
        RBus_UInt32  hcic_reg262:8;
        RBus_UInt32  hcic_reg263:8;
    };
}lg_hcic_hcic_reg260_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg264:8;
        RBus_UInt32  hcic_reg265:8;
        RBus_UInt32  hcic_reg266:8;
        RBus_UInt32  hcic_reg267:8;
    };
}lg_hcic_hcic_reg264_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg268:8;
        RBus_UInt32  hcic_reg269:8;
        RBus_UInt32  hcic_reg26a:8;
        RBus_UInt32  hcic_reg26b:8;
    };
}lg_hcic_hcic_reg268_RBUS;

#else //apply LITTLE_ENDIAN

//======LG_HCIC register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  d3_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  auto_detect_en:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  auto_detect_result:2;
        RBus_UInt32  res3:2;
        RBus_UInt32  user_timing_sel:2;
        RBus_UInt32  res4:18;
    };
}lg_hcic_hcic_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg003:8;
        RBus_UInt32  hcic_reg002:8;
        RBus_UInt32  hcic_reg001:8;
        RBus_UInt32  hcic_reg000:8;
    };
}lg_hcic_hcic_reg000_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg007:8;
        RBus_UInt32  hcic_reg006:8;
        RBus_UInt32  hcic_reg005:8;
        RBus_UInt32  hcic_reg004:8;
    };
}lg_hcic_hcic_reg004_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg00b:8;
        RBus_UInt32  hcic_reg00a:8;
        RBus_UInt32  hcic_reg009:8;
        RBus_UInt32  hcic_reg008:8;
    };
}lg_hcic_hcic_reg008_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg00f:8;
        RBus_UInt32  hcic_reg00e:8;
        RBus_UInt32  hcic_reg00d:8;
        RBus_UInt32  hcic_reg00c:8;
    };
}lg_hcic_hcic_reg00c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg013:8;
        RBus_UInt32  hcic_reg012:8;
        RBus_UInt32  hcic_reg011:8;
        RBus_UInt32  hcic_reg010:8;
    };
}lg_hcic_hcic_reg010_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg017:8;
        RBus_UInt32  hcic_reg016:8;
        RBus_UInt32  hcic_reg015:8;
        RBus_UInt32  hcic_reg014:8;
    };
}lg_hcic_hcic_reg014_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg01b:8;
        RBus_UInt32  hcic_reg01a:8;
        RBus_UInt32  hcic_reg019:8;
        RBus_UInt32  hcic_reg018:8;
    };
}lg_hcic_hcic_reg018_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg01f:8;
        RBus_UInt32  hcic_reg01e:8;
        RBus_UInt32  hcic_reg01d:8;
        RBus_UInt32  hcic_reg01c:8;
    };
}lg_hcic_hcic_reg01c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg023:8;
        RBus_UInt32  hcic_reg022:8;
        RBus_UInt32  hcic_reg021:8;
        RBus_UInt32  hcic_reg020:8;
    };
}lg_hcic_hcic_reg020_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg027:8;
        RBus_UInt32  hcic_reg026:8;
        RBus_UInt32  hcic_reg025:8;
        RBus_UInt32  hcic_reg024:8;
    };
}lg_hcic_hcic_reg024_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg02b:8;
        RBus_UInt32  hcic_reg02a:8;
        RBus_UInt32  hcic_reg029:8;
        RBus_UInt32  hcic_reg028:8;
    };
}lg_hcic_hcic_reg028_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg02f:8;
        RBus_UInt32  hcic_reg02e:8;
        RBus_UInt32  hcic_reg02d:8;
        RBus_UInt32  hcic_reg02c:8;
    };
}lg_hcic_hcic_reg02c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg033:8;
        RBus_UInt32  hcic_reg032:8;
        RBus_UInt32  hcic_reg031:8;
        RBus_UInt32  hcic_reg030:8;
    };
}lg_hcic_hcic_reg030_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg037:8;
        RBus_UInt32  hcic_reg036:8;
        RBus_UInt32  hcic_reg035:8;
        RBus_UInt32  hcic_reg034:8;
    };
}lg_hcic_hcic_reg034_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg03b:8;
        RBus_UInt32  hcic_reg03a:8;
        RBus_UInt32  hcic_reg039:8;
        RBus_UInt32  hcic_reg038:8;
    };
}lg_hcic_hcic_reg038_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg03f:8;
        RBus_UInt32  hcic_reg03e:8;
        RBus_UInt32  hcic_reg03d:8;
        RBus_UInt32  hcic_reg03c:8;
    };
}lg_hcic_hcic_reg03c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg043:8;
        RBus_UInt32  hcic_reg042:8;
        RBus_UInt32  hcic_reg041:8;
        RBus_UInt32  hcic_reg040:8;
    };
}lg_hcic_hcic_reg040_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg047:8;
        RBus_UInt32  hcic_reg046:8;
        RBus_UInt32  hcic_reg045:8;
        RBus_UInt32  hcic_reg044:8;
    };
}lg_hcic_hcic_reg044_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg04b:8;
        RBus_UInt32  hcic_reg04a:8;
        RBus_UInt32  hcic_reg049:8;
        RBus_UInt32  hcic_reg048:8;
    };
}lg_hcic_hcic_reg048_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg04f:8;
        RBus_UInt32  hcic_reg04e:8;
        RBus_UInt32  hcic_reg04d:8;
        RBus_UInt32  hcic_reg04c:8;
    };
}lg_hcic_hcic_reg04c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg053:8;
        RBus_UInt32  hcic_reg052:8;
        RBus_UInt32  hcic_reg051:8;
        RBus_UInt32  hcic_reg050:8;
    };
}lg_hcic_hcic_reg050_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg057:8;
        RBus_UInt32  hcic_reg056:8;
        RBus_UInt32  hcic_reg055:8;
        RBus_UInt32  hcic_reg054:8;
    };
}lg_hcic_hcic_reg054_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg05b:8;
        RBus_UInt32  hcic_reg05a:8;
        RBus_UInt32  hcic_reg059:8;
        RBus_UInt32  hcic_reg058:8;
    };
}lg_hcic_hcic_reg058_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg05f:8;
        RBus_UInt32  hcic_reg05e:8;
        RBus_UInt32  hcic_reg05d:8;
        RBus_UInt32  hcic_reg05c:8;
    };
}lg_hcic_hcic_reg05c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg063:8;
        RBus_UInt32  hcic_reg062:8;
        RBus_UInt32  hcic_reg061:8;
        RBus_UInt32  hcic_reg060:8;
    };
}lg_hcic_hcic_reg060_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg067:8;
        RBus_UInt32  hcic_reg066:8;
        RBus_UInt32  hcic_reg065:8;
        RBus_UInt32  hcic_reg064:8;
    };
}lg_hcic_hcic_reg064_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg06b:8;
        RBus_UInt32  hcic_reg06a:8;
        RBus_UInt32  hcic_reg069:8;
        RBus_UInt32  hcic_reg068:8;
    };
}lg_hcic_hcic_reg068_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg06f:8;
        RBus_UInt32  hcic_reg06e:8;
        RBus_UInt32  hcic_reg06d:8;
        RBus_UInt32  hcic_reg06c:8;
    };
}lg_hcic_hcic_reg06c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg073:8;
        RBus_UInt32  hcic_reg072:8;
        RBus_UInt32  hcic_reg071:8;
        RBus_UInt32  hcic_reg070:8;
    };
}lg_hcic_hcic_reg070_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg077:8;
        RBus_UInt32  hcic_reg076:8;
        RBus_UInt32  hcic_reg075:8;
        RBus_UInt32  hcic_reg074:8;
    };
}lg_hcic_hcic_reg074_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg07b:8;
        RBus_UInt32  hcic_reg07a:8;
        RBus_UInt32  hcic_reg079:8;
        RBus_UInt32  hcic_reg078:8;
    };
}lg_hcic_hcic_reg078_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg07f:8;
        RBus_UInt32  hcic_reg07e:8;
        RBus_UInt32  hcic_reg07d:8;
        RBus_UInt32  hcic_reg07c:8;
    };
}lg_hcic_hcic_reg07c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg083:8;
        RBus_UInt32  hcic_reg082:8;
        RBus_UInt32  hcic_reg081:8;
        RBus_UInt32  hcic_reg080:8;
    };
}lg_hcic_hcic_reg080_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg087:8;
        RBus_UInt32  hcic_reg086:8;
        RBus_UInt32  hcic_reg085:8;
        RBus_UInt32  hcic_reg084:8;
    };
}lg_hcic_hcic_reg084_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg08b:8;
        RBus_UInt32  hcic_reg08a:8;
        RBus_UInt32  hcic_reg089:8;
        RBus_UInt32  hcic_reg088:8;
    };
}lg_hcic_hcic_reg088_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg08f:8;
        RBus_UInt32  hcic_reg08e:8;
        RBus_UInt32  hcic_reg08d:8;
        RBus_UInt32  hcic_reg08c:8;
    };
}lg_hcic_hcic_reg08c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg093:8;
        RBus_UInt32  hcic_reg092:8;
        RBus_UInt32  hcic_reg091:8;
        RBus_UInt32  hcic_reg090:8;
    };
}lg_hcic_hcic_reg090_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg097:8;
        RBus_UInt32  hcic_reg096:8;
        RBus_UInt32  hcic_reg095:8;
        RBus_UInt32  hcic_reg094:8;
    };
}lg_hcic_hcic_reg094_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg09b:8;
        RBus_UInt32  hcic_reg09a:8;
        RBus_UInt32  hcic_reg099:8;
        RBus_UInt32  hcic_reg098:8;
    };
}lg_hcic_hcic_reg098_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg09f:8;
        RBus_UInt32  hcic_reg09e:8;
        RBus_UInt32  hcic_reg09d:8;
        RBus_UInt32  hcic_reg09c:8;
    };
}lg_hcic_hcic_reg09c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0a3:8;
        RBus_UInt32  hcic_reg0a2:8;
        RBus_UInt32  hcic_reg0a1:8;
        RBus_UInt32  hcic_reg0a0:8;
    };
}lg_hcic_hcic_reg0a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0a7:8;
        RBus_UInt32  hcic_reg0a6:8;
        RBus_UInt32  hcic_reg0a5:8;
        RBus_UInt32  hcic_reg0a4:8;
    };
}lg_hcic_hcic_reg0a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0ab:8;
        RBus_UInt32  hcic_reg0aa:8;
        RBus_UInt32  hcic_reg0a9:8;
        RBus_UInt32  hcic_reg0a8:8;
    };
}lg_hcic_hcic_reg0a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0af:8;
        RBus_UInt32  hcic_reg0ae:8;
        RBus_UInt32  hcic_reg0ad:8;
        RBus_UInt32  hcic_reg0ac:8;
    };
}lg_hcic_hcic_reg0ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0b3:8;
        RBus_UInt32  hcic_reg0b2:8;
        RBus_UInt32  hcic_reg0b1:8;
        RBus_UInt32  hcic_reg0b0:8;
    };
}lg_hcic_hcic_reg0b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0b7:8;
        RBus_UInt32  hcic_reg0b6:8;
        RBus_UInt32  hcic_reg0b5:8;
        RBus_UInt32  hcic_reg0b4:8;
    };
}lg_hcic_hcic_reg0b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0bb:8;
        RBus_UInt32  hcic_reg0ba:8;
        RBus_UInt32  hcic_reg0b9:8;
        RBus_UInt32  hcic_reg0b8:8;
    };
}lg_hcic_hcic_reg0b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0bf:8;
        RBus_UInt32  hcic_reg0be:8;
        RBus_UInt32  hcic_reg0bd:8;
        RBus_UInt32  hcic_reg0bc:8;
    };
}lg_hcic_hcic_reg0bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0c3:8;
        RBus_UInt32  hcic_reg0c2:8;
        RBus_UInt32  hcic_reg0c1:8;
        RBus_UInt32  hcic_reg0c0:8;
    };
}lg_hcic_hcic_reg0c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0c7:8;
        RBus_UInt32  hcic_reg0c6:8;
        RBus_UInt32  hcic_reg0c5:8;
        RBus_UInt32  hcic_reg0c4:8;
    };
}lg_hcic_hcic_reg0c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0cb:8;
        RBus_UInt32  hcic_reg0ca:8;
        RBus_UInt32  hcic_reg0c9:8;
        RBus_UInt32  hcic_reg0c8:8;
    };
}lg_hcic_hcic_reg0c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0cf:8;
        RBus_UInt32  hcic_reg0ce:8;
        RBus_UInt32  hcic_reg0cd:8;
        RBus_UInt32  hcic_reg0cc:8;
    };
}lg_hcic_hcic_reg0cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0d3:8;
        RBus_UInt32  hcic_reg0d2:8;
        RBus_UInt32  hcic_reg0d1:8;
        RBus_UInt32  hcic_reg0d0:8;
    };
}lg_hcic_hcic_reg0d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0d7:8;
        RBus_UInt32  hcic_reg0d6:8;
        RBus_UInt32  hcic_reg0d5:8;
        RBus_UInt32  hcic_reg0d4:8;
    };
}lg_hcic_hcic_reg0d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0db:8;
        RBus_UInt32  hcic_reg0da:8;
        RBus_UInt32  hcic_reg0d9:8;
        RBus_UInt32  hcic_reg0d8:8;
    };
}lg_hcic_hcic_reg0d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0df:8;
        RBus_UInt32  hcic_reg0de:8;
        RBus_UInt32  hcic_reg0dd:8;
        RBus_UInt32  hcic_reg0dc:8;
    };
}lg_hcic_hcic_reg0dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0e3:8;
        RBus_UInt32  hcic_reg0e2:8;
        RBus_UInt32  hcic_reg0e1:8;
        RBus_UInt32  hcic_reg0e0:8;
    };
}lg_hcic_hcic_reg0e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0e7:8;
        RBus_UInt32  hcic_reg0e6:8;
        RBus_UInt32  hcic_reg0e5:8;
        RBus_UInt32  hcic_reg0e4:8;
    };
}lg_hcic_hcic_reg0e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0eb:8;
        RBus_UInt32  hcic_reg0ea:8;
        RBus_UInt32  hcic_reg0e9:8;
        RBus_UInt32  hcic_reg0e8:8;
    };
}lg_hcic_hcic_reg0e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0ef:8;
        RBus_UInt32  hcic_reg0ee:8;
        RBus_UInt32  hcic_reg0ed:8;
        RBus_UInt32  hcic_reg0ec:8;
    };
}lg_hcic_hcic_reg0ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0f3:8;
        RBus_UInt32  hcic_reg0f2:8;
        RBus_UInt32  hcic_reg0f1:8;
        RBus_UInt32  hcic_reg0f0:8;
    };
}lg_hcic_hcic_reg0f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0f7:8;
        RBus_UInt32  hcic_reg0f6:8;
        RBus_UInt32  hcic_reg0f5:8;
        RBus_UInt32  hcic_reg0f4:8;
    };
}lg_hcic_hcic_reg0f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0fb:8;
        RBus_UInt32  hcic_reg0fa:8;
        RBus_UInt32  hcic_reg0f9:8;
        RBus_UInt32  hcic_reg0f8:8;
    };
}lg_hcic_hcic_reg0f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg0ff:8;
        RBus_UInt32  hcic_reg0fe:8;
        RBus_UInt32  hcic_reg0fd:8;
        RBus_UInt32  hcic_reg0fc:8;
    };
}lg_hcic_hcic_reg0fc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg103:8;
        RBus_UInt32  hcic_reg102:8;
        RBus_UInt32  hcic_reg101:8;
        RBus_UInt32  hcic_reg100:8;
    };
}lg_hcic_hcic_reg100_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg107:8;
        RBus_UInt32  hcic_reg106:8;
        RBus_UInt32  hcic_reg105:8;
        RBus_UInt32  hcic_reg104:8;
    };
}lg_hcic_hcic_reg104_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg10b:8;
        RBus_UInt32  hcic_reg10a:8;
        RBus_UInt32  hcic_reg109:8;
        RBus_UInt32  hcic_reg108:8;
    };
}lg_hcic_hcic_reg108_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg10f:8;
        RBus_UInt32  hcic_reg10e:8;
        RBus_UInt32  hcic_reg10d:8;
        RBus_UInt32  hcic_reg10c:8;
    };
}lg_hcic_hcic_reg10c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg113:8;
        RBus_UInt32  hcic_reg112:8;
        RBus_UInt32  hcic_reg111:8;
        RBus_UInt32  hcic_reg110:8;
    };
}lg_hcic_hcic_reg110_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg117:8;
        RBus_UInt32  hcic_reg116:8;
        RBus_UInt32  hcic_reg115:8;
        RBus_UInt32  hcic_reg114:8;
    };
}lg_hcic_hcic_reg114_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg11b:8;
        RBus_UInt32  hcic_reg11a:8;
        RBus_UInt32  hcic_reg119:8;
        RBus_UInt32  hcic_reg118:8;
    };
}lg_hcic_hcic_reg118_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg11f:8;
        RBus_UInt32  hcic_reg11e:8;
        RBus_UInt32  hcic_reg11d:8;
        RBus_UInt32  hcic_reg11c:8;
    };
}lg_hcic_hcic_reg11c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg123:8;
        RBus_UInt32  hcic_reg122:8;
        RBus_UInt32  hcic_reg121:8;
        RBus_UInt32  hcic_reg120:8;
    };
}lg_hcic_hcic_reg120_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg127:8;
        RBus_UInt32  hcic_reg126:8;
        RBus_UInt32  hcic_reg125:8;
        RBus_UInt32  hcic_reg124:8;
    };
}lg_hcic_hcic_reg124_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg12b:8;
        RBus_UInt32  hcic_reg12a:8;
        RBus_UInt32  hcic_reg129:8;
        RBus_UInt32  hcic_reg128:8;
    };
}lg_hcic_hcic_reg128_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg12f:8;
        RBus_UInt32  hcic_reg12e:8;
        RBus_UInt32  hcic_reg12d:8;
        RBus_UInt32  hcic_reg12c:8;
    };
}lg_hcic_hcic_reg12c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg133:8;
        RBus_UInt32  hcic_reg132:8;
        RBus_UInt32  hcic_reg131:8;
        RBus_UInt32  hcic_reg130:8;
    };
}lg_hcic_hcic_reg130_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg137:8;
        RBus_UInt32  hcic_reg136:8;
        RBus_UInt32  hcic_reg135:8;
        RBus_UInt32  hcic_reg134:8;
    };
}lg_hcic_hcic_reg134_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg13b:8;
        RBus_UInt32  hcic_reg13a:8;
        RBus_UInt32  hcic_reg139:8;
        RBus_UInt32  hcic_reg138:8;
    };
}lg_hcic_hcic_reg138_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg13f:8;
        RBus_UInt32  hcic_reg13e:8;
        RBus_UInt32  hcic_reg13d:8;
        RBus_UInt32  hcic_reg13c:8;
    };
}lg_hcic_hcic_reg13c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg143:8;
        RBus_UInt32  hcic_reg142:8;
        RBus_UInt32  hcic_reg141:8;
        RBus_UInt32  hcic_reg140:8;
    };
}lg_hcic_hcic_reg140_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg147:8;
        RBus_UInt32  hcic_reg146:8;
        RBus_UInt32  hcic_reg145:8;
        RBus_UInt32  hcic_reg144:8;
    };
}lg_hcic_hcic_reg144_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg14b:8;
        RBus_UInt32  hcic_reg14a:8;
        RBus_UInt32  hcic_reg149:8;
        RBus_UInt32  hcic_reg148:8;
    };
}lg_hcic_hcic_reg148_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg14f:8;
        RBus_UInt32  hcic_reg14e:8;
        RBus_UInt32  hcic_reg14d:8;
        RBus_UInt32  hcic_reg14c:8;
    };
}lg_hcic_hcic_reg14c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg153:8;
        RBus_UInt32  hcic_reg152:8;
        RBus_UInt32  hcic_reg151:8;
        RBus_UInt32  hcic_reg150:8;
    };
}lg_hcic_hcic_reg150_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg157:8;
        RBus_UInt32  hcic_reg156:8;
        RBus_UInt32  hcic_reg155:8;
        RBus_UInt32  hcic_reg154:8;
    };
}lg_hcic_hcic_reg154_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg15b:8;
        RBus_UInt32  hcic_reg15a:8;
        RBus_UInt32  hcic_reg159:8;
        RBus_UInt32  hcic_reg158:8;
    };
}lg_hcic_hcic_reg158_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg15f:8;
        RBus_UInt32  hcic_reg15e:8;
        RBus_UInt32  hcic_reg15d:8;
        RBus_UInt32  hcic_reg15c:8;
    };
}lg_hcic_hcic_reg15c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg163:8;
        RBus_UInt32  hcic_reg162:8;
        RBus_UInt32  hcic_reg161:8;
        RBus_UInt32  hcic_reg160:8;
    };
}lg_hcic_hcic_reg160_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg167:8;
        RBus_UInt32  hcic_reg166:8;
        RBus_UInt32  hcic_reg165:8;
        RBus_UInt32  hcic_reg164:8;
    };
}lg_hcic_hcic_reg164_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg16b:8;
        RBus_UInt32  hcic_reg16a:8;
        RBus_UInt32  hcic_reg169:8;
        RBus_UInt32  hcic_reg168:8;
    };
}lg_hcic_hcic_reg168_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg16f:8;
        RBus_UInt32  hcic_reg16e:8;
        RBus_UInt32  hcic_reg16d:8;
        RBus_UInt32  hcic_reg16c:8;
    };
}lg_hcic_hcic_reg16c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg173:8;
        RBus_UInt32  hcic_reg172:8;
        RBus_UInt32  hcic_reg171:8;
        RBus_UInt32  hcic_reg170:8;
    };
}lg_hcic_hcic_reg170_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg177:8;
        RBus_UInt32  hcic_reg176:8;
        RBus_UInt32  hcic_reg175:8;
        RBus_UInt32  hcic_reg174:8;
    };
}lg_hcic_hcic_reg174_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg17b:8;
        RBus_UInt32  hcic_reg17a:8;
        RBus_UInt32  hcic_reg179:8;
        RBus_UInt32  hcic_reg178:8;
    };
}lg_hcic_hcic_reg178_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg17f:8;
        RBus_UInt32  hcic_reg17e:8;
        RBus_UInt32  hcic_reg17d:8;
        RBus_UInt32  hcic_reg17c:8;
    };
}lg_hcic_hcic_reg17c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg183:8;
        RBus_UInt32  hcic_reg182:8;
        RBus_UInt32  hcic_reg181:8;
        RBus_UInt32  hcic_reg180:8;
    };
}lg_hcic_hcic_reg180_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg187:8;
        RBus_UInt32  hcic_reg186:8;
        RBus_UInt32  hcic_reg185:8;
        RBus_UInt32  hcic_reg184:8;
    };
}lg_hcic_hcic_reg184_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg18b:8;
        RBus_UInt32  hcic_reg18a:8;
        RBus_UInt32  hcic_reg189:8;
        RBus_UInt32  hcic_reg188:8;
    };
}lg_hcic_hcic_reg188_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg18f:8;
        RBus_UInt32  hcic_reg18e:8;
        RBus_UInt32  hcic_reg18d:8;
        RBus_UInt32  hcic_reg18c:8;
    };
}lg_hcic_hcic_reg18c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg193:8;
        RBus_UInt32  hcic_reg192:8;
        RBus_UInt32  hcic_reg191:8;
        RBus_UInt32  hcic_reg190:8;
    };
}lg_hcic_hcic_reg190_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg197:8;
        RBus_UInt32  hcic_reg196:8;
        RBus_UInt32  hcic_reg195:8;
        RBus_UInt32  hcic_reg194:8;
    };
}lg_hcic_hcic_reg194_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg19b:8;
        RBus_UInt32  hcic_reg19a:8;
        RBus_UInt32  hcic_reg199:8;
        RBus_UInt32  hcic_reg198:8;
    };
}lg_hcic_hcic_reg198_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg19f:8;
        RBus_UInt32  hcic_reg19e:8;
        RBus_UInt32  hcic_reg19d:8;
        RBus_UInt32  hcic_reg19c:8;
    };
}lg_hcic_hcic_reg19c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1a3:8;
        RBus_UInt32  hcic_reg1a2:8;
        RBus_UInt32  hcic_reg1a1:8;
        RBus_UInt32  hcic_reg1a0:8;
    };
}lg_hcic_hcic_reg1a0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1a7:8;
        RBus_UInt32  hcic_reg1a6:8;
        RBus_UInt32  hcic_reg1a5:8;
        RBus_UInt32  hcic_reg1a4:8;
    };
}lg_hcic_hcic_reg1a4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1ab:8;
        RBus_UInt32  hcic_reg1aa:8;
        RBus_UInt32  hcic_reg1a9:8;
        RBus_UInt32  hcic_reg1a8:8;
    };
}lg_hcic_hcic_reg1a8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1af:8;
        RBus_UInt32  hcic_reg1ae:8;
        RBus_UInt32  hcic_reg1ad:8;
        RBus_UInt32  hcic_reg1ac:8;
    };
}lg_hcic_hcic_reg1ac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1b3:8;
        RBus_UInt32  hcic_reg1b2:8;
        RBus_UInt32  hcic_reg1b1:8;
        RBus_UInt32  hcic_reg1b0:8;
    };
}lg_hcic_hcic_reg1b0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1b7:8;
        RBus_UInt32  hcic_reg1b6:8;
        RBus_UInt32  hcic_reg1b5:8;
        RBus_UInt32  hcic_reg1b4:8;
    };
}lg_hcic_hcic_reg1b4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1bb:8;
        RBus_UInt32  hcic_reg1ba:8;
        RBus_UInt32  hcic_reg1b9:8;
        RBus_UInt32  hcic_reg1b8:8;
    };
}lg_hcic_hcic_reg1b8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1bf:8;
        RBus_UInt32  hcic_reg1be:8;
        RBus_UInt32  hcic_reg1bd:8;
        RBus_UInt32  hcic_reg1bc:8;
    };
}lg_hcic_hcic_reg1bc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1c3:8;
        RBus_UInt32  hcic_reg1c2:8;
        RBus_UInt32  hcic_reg1c1:8;
        RBus_UInt32  hcic_reg1c0:8;
    };
}lg_hcic_hcic_reg1c0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1c7:8;
        RBus_UInt32  hcic_reg1c6:8;
        RBus_UInt32  hcic_reg1c5:8;
        RBus_UInt32  hcic_reg1c4:8;
    };
}lg_hcic_hcic_reg1c4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1cb:8;
        RBus_UInt32  hcic_reg1ca:8;
        RBus_UInt32  hcic_reg1c9:8;
        RBus_UInt32  hcic_reg1c8:8;
    };
}lg_hcic_hcic_reg1c8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1cf:8;
        RBus_UInt32  hcic_reg1ce:8;
        RBus_UInt32  hcic_reg1cd:8;
        RBus_UInt32  hcic_reg1cc:8;
    };
}lg_hcic_hcic_reg1cc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1d3:8;
        RBus_UInt32  hcic_reg1d2:8;
        RBus_UInt32  hcic_reg1d1:8;
        RBus_UInt32  hcic_reg1d0:8;
    };
}lg_hcic_hcic_reg1d0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1d7:8;
        RBus_UInt32  hcic_reg1d6:8;
        RBus_UInt32  hcic_reg1d5:8;
        RBus_UInt32  hcic_reg1d4:8;
    };
}lg_hcic_hcic_reg1d4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1db:8;
        RBus_UInt32  hcic_reg1da:8;
        RBus_UInt32  hcic_reg1d9:8;
        RBus_UInt32  hcic_reg1d8:8;
    };
}lg_hcic_hcic_reg1d8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1df:8;
        RBus_UInt32  hcic_reg1de:8;
        RBus_UInt32  hcic_reg1dd:8;
        RBus_UInt32  hcic_reg1dc:8;
    };
}lg_hcic_hcic_reg1dc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1e3:8;
        RBus_UInt32  hcic_reg1e2:8;
        RBus_UInt32  hcic_reg1e1:8;
        RBus_UInt32  hcic_reg1e0:8;
    };
}lg_hcic_hcic_reg1e0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1e7:8;
        RBus_UInt32  hcic_reg1e6:8;
        RBus_UInt32  hcic_reg1e5:8;
        RBus_UInt32  hcic_reg1e4:8;
    };
}lg_hcic_hcic_reg1e4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1eb:8;
        RBus_UInt32  hcic_reg1ea:8;
        RBus_UInt32  hcic_reg1e9:8;
        RBus_UInt32  hcic_reg1e8:8;
    };
}lg_hcic_hcic_reg1e8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1ef:8;
        RBus_UInt32  hcic_reg1ee:8;
        RBus_UInt32  hcic_reg1ed:8;
        RBus_UInt32  hcic_reg1ec:8;
    };
}lg_hcic_hcic_reg1ec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1f3:8;
        RBus_UInt32  hcic_reg1f2:8;
        RBus_UInt32  hcic_reg1f1:8;
        RBus_UInt32  hcic_reg1f0:8;
    };
}lg_hcic_hcic_reg1f0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1f7:8;
        RBus_UInt32  hcic_reg1f6:8;
        RBus_UInt32  hcic_reg1f5:8;
        RBus_UInt32  hcic_reg1f4:8;
    };
}lg_hcic_hcic_reg1f4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1fb:8;
        RBus_UInt32  hcic_reg1fa:8;
        RBus_UInt32  hcic_reg1f9:8;
        RBus_UInt32  hcic_reg1f8:8;
    };
}lg_hcic_hcic_reg1f8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg1ff:8;
        RBus_UInt32  hcic_reg1fe:8;
        RBus_UInt32  hcic_reg1fd:8;
        RBus_UInt32  hcic_reg1fc:8;
    };
}lg_hcic_hcic_reg1fc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg203:8;
        RBus_UInt32  hcic_reg202:8;
        RBus_UInt32  hcic_reg201:8;
        RBus_UInt32  hcic_reg200:8;
    };
}lg_hcic_hcic_reg200_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg207:8;
        RBus_UInt32  hcic_reg206:8;
        RBus_UInt32  hcic_reg205:8;
        RBus_UInt32  hcic_reg204:8;
    };
}lg_hcic_hcic_reg204_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg20b:8;
        RBus_UInt32  hcic_reg20a:8;
        RBus_UInt32  hcic_reg209:8;
        RBus_UInt32  hcic_reg208:8;
    };
}lg_hcic_hcic_reg208_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg20f:8;
        RBus_UInt32  hcic_reg20e:8;
        RBus_UInt32  hcic_reg20d:8;
        RBus_UInt32  hcic_reg20c:8;
    };
}lg_hcic_hcic_reg20c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg213:8;
        RBus_UInt32  hcic_reg212:8;
        RBus_UInt32  hcic_reg211:8;
        RBus_UInt32  hcic_reg210:8;
    };
}lg_hcic_hcic_reg210_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg217:8;
        RBus_UInt32  hcic_reg216:8;
        RBus_UInt32  hcic_reg215:8;
        RBus_UInt32  hcic_reg214:8;
    };
}lg_hcic_hcic_reg214_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg21b:8;
        RBus_UInt32  hcic_reg21a:8;
        RBus_UInt32  hcic_reg219:8;
        RBus_UInt32  hcic_reg218:8;
    };
}lg_hcic_hcic_reg218_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg21f:8;
        RBus_UInt32  hcic_reg21e:8;
        RBus_UInt32  hcic_reg21d:8;
        RBus_UInt32  hcic_reg21c:8;
    };
}lg_hcic_hcic_reg21c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg223:8;
        RBus_UInt32  hcic_reg222:8;
        RBus_UInt32  hcic_reg221:8;
        RBus_UInt32  hcic_reg220:8;
    };
}lg_hcic_hcic_reg220_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg227:8;
        RBus_UInt32  hcic_reg226:8;
        RBus_UInt32  hcic_reg225:8;
        RBus_UInt32  hcic_reg224:8;
    };
}lg_hcic_hcic_reg224_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg22b:8;
        RBus_UInt32  hcic_reg22a:8;
        RBus_UInt32  hcic_reg229:8;
        RBus_UInt32  hcic_reg228:8;
    };
}lg_hcic_hcic_reg228_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg22f:8;
        RBus_UInt32  hcic_reg22e:8;
        RBus_UInt32  hcic_reg22d:8;
        RBus_UInt32  hcic_reg22c:8;
    };
}lg_hcic_hcic_reg22c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg233:8;
        RBus_UInt32  hcic_reg232:8;
        RBus_UInt32  hcic_reg231:8;
        RBus_UInt32  hcic_reg230:8;
    };
}lg_hcic_hcic_reg230_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg237:8;
        RBus_UInt32  hcic_reg236:8;
        RBus_UInt32  hcic_reg235:8;
        RBus_UInt32  hcic_reg234:8;
    };
}lg_hcic_hcic_reg234_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg23b:8;
        RBus_UInt32  hcic_reg23a:8;
        RBus_UInt32  hcic_reg239:8;
        RBus_UInt32  hcic_reg238:8;
    };
}lg_hcic_hcic_reg238_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg23f:8;
        RBus_UInt32  hcic_reg23e:8;
        RBus_UInt32  hcic_reg23d:8;
        RBus_UInt32  hcic_reg23c:8;
    };
}lg_hcic_hcic_reg23c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg243:8;
        RBus_UInt32  hcic_reg242:8;
        RBus_UInt32  hcic_reg241:8;
        RBus_UInt32  hcic_reg240:8;
    };
}lg_hcic_hcic_reg240_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg247:8;
        RBus_UInt32  hcic_reg246:8;
        RBus_UInt32  hcic_reg245:8;
        RBus_UInt32  hcic_reg244:8;
    };
}lg_hcic_hcic_reg244_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg24b:8;
        RBus_UInt32  hcic_reg24a:8;
        RBus_UInt32  hcic_reg249:8;
        RBus_UInt32  hcic_reg248:8;
    };
}lg_hcic_hcic_reg248_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg24f:8;
        RBus_UInt32  hcic_reg24e:8;
        RBus_UInt32  hcic_reg24d:8;
        RBus_UInt32  hcic_reg24c:8;
    };
}lg_hcic_hcic_reg24c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg253:8;
        RBus_UInt32  hcic_reg252:8;
        RBus_UInt32  hcic_reg251:8;
        RBus_UInt32  hcic_reg250:8;
    };
}lg_hcic_hcic_reg250_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg257:8;
        RBus_UInt32  hcic_reg256:8;
        RBus_UInt32  hcic_reg255:8;
        RBus_UInt32  hcic_reg254:8;
    };
}lg_hcic_hcic_reg254_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg25b:8;
        RBus_UInt32  hcic_reg25a:8;
        RBus_UInt32  hcic_reg259:8;
        RBus_UInt32  hcic_reg258:8;
    };
}lg_hcic_hcic_reg258_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg25f:8;
        RBus_UInt32  hcic_reg25e:8;
        RBus_UInt32  hcic_reg25d:8;
        RBus_UInt32  hcic_reg25c:8;
    };
}lg_hcic_hcic_reg25c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg263:8;
        RBus_UInt32  hcic_reg262:8;
        RBus_UInt32  hcic_reg261:8;
        RBus_UInt32  hcic_reg260:8;
    };
}lg_hcic_hcic_reg260_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg267:8;
        RBus_UInt32  hcic_reg266:8;
        RBus_UInt32  hcic_reg265:8;
        RBus_UInt32  hcic_reg264:8;
    };
}lg_hcic_hcic_reg264_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  hcic_reg26b:8;
        RBus_UInt32  hcic_reg26a:8;
        RBus_UInt32  hcic_reg269:8;
        RBus_UInt32  hcic_reg268:8;
    };
}lg_hcic_hcic_reg268_RBUS;




#endif 


#endif 
