#ifndef __RTD_VERIFY_H__
#define __RTD_VERIFY_H__

#include "rtd_type.h"

/* verify functio claim here *** */
//extern int sys_verify(int argc, char *argv[]);
//extern int kern_verify(int argc, char *argv[]);
//extern int mem_verify(int argc, char *argv[]);
//extern int crt_verify(int argc, char *argv[]);
//extern int dcmt_verify(int argc, char *argv[]);
//extern int dcmt2_verifyg(int argc, char *argv[]);
//extern int sb2_verify(int argc, char *argv[]);
//extern int arm_wraper_verify(int argc, char *argv[]);
//extern int thermal_verify(int argc, char *argv[]);
//extern int reg_verify(int argc, char *argv[]);

extern int tp_verify(int argc, char *argv[]);
//extern int dmx_verify(int argc, char *argv[]);
extern int usb_verify(int argc, char *argv[]);
extern int mmc_verify(int argc, char *argv[]);
extern int etn_verify(int argc, char *argv[]);

extern int md_verify(int argc, char *argv[]);
extern int cp_verify(int argc, char *argv[]);

extern int i2c_verify(int argc, char *argv[]);
extern int irda_verify(int argc, char *argv[]);
extern int gpio_verify(int argc, char *argv[]);
extern int pwm_verify(int argc, char *argv[]);
extern int pcmcia_verify(int argc, char *argv[]);
//extern int rng_verify(int argc, char *argv[]);
//extern int otp_verify(int argc, char *argv[]);
//extern int cw_verify(int argc, char *argv[]);
extern int cec_verify(int argc, char *argv[]);
//extern int demod_verify(int argc, char *argv[]);
//extern int ademod_verify(int argc, char *argv[]);
extern int emcu_verify(int argc, char *argv[]);
//extern int rtdlog_verify(int argc, char *argv[]);
//extern int hw_monitor_verify(int argc, char *argv[]);
extern int hdmi_verify(int argc, char *argv[]);
extern int keypad_verify(int argc, char *argv[]);
extern int smc_verify(int argc, char *argv[]);

/* verify functio claim here &&& */


VERIFY_FUNC g_verify_func_list[] =
{
    //--------------
    //{"sys", "sys Plateform Verify func", sys_verify},
    //{"kern", "kernel Plateform Verify  function", kern_verify},
    //{"reg", "reg Plateform Verify func", reg_verify},
    //{"mem",  "memory Plateform Verify func", mem_verify},
    //{"crt",  "CRT Plateform Verify function", crt_verify},
    //{"dcmt", "DCMT Plateform Verify func", dcmt_verifyg},
    //{"dcmt2", "DCMT2 Plateform Verify func", dcmt2_verify},
    //{"sb2", "SB2 MT Plateform Verify func", sb2_verify},
    //{"arm_wraper", "ARM_WRAPER MT Plateform Verify func"},
    //{"thermal", "Thermal Sensor Plateform Verify func"},
    //{"dmx",  "DMX Plateform Verify func", dmx_verify},
    {"tp",   "TP Plateform Verify func",  tp_verify},
    {"usb",  "USB Plateform Verify func", usb_verify},
    {"mmc",  "MMC Plateform Verify func", mmc_verify},
    {"etn",  "ETN Plateform Verify func", etn_verify},
    {"hdmi", "hdmi Plateform Verify func",  hdmi_verify},

    // DMA related
    {"md",   "MD Plateform Verify func", md_verify},
    {"cp",   "CP Plateform Verify func", cp_verify},

    //Security drivers
    //{"otp", "OTP Plateform Verify func", otp_verify},
    //{"cw", "cw Plateform Verify func", cw_verify},

    // MSIC related
    {"i2c",  "I2C Plateform Verify func",  i2c_verify},
    {"irda", "IRDA Plateform Verify func", irda_verify},
    {"gpio", "GPIO Plateform Verify func", gpio_verify},
    {"pwm",  "PWM Plateform Verify func",  pwm_verify},
    {"pcmcia", "PCMCIA Plateform Verify func",  pcmcia_verify},
    //{"rng", "RNG Plateform Verify func",  rng_verify},
    {"cec", "RNCECG Plateform Verify func",  cec_verify},
    //{"demod", "Demod Plateform Verify func", demod_verify},
    //{"ademod", "ADemod Plateform Verify func", ademod_verify},
    {"emcu", "EMCU(8051) Plateform Verify func",  emcu_verify},
    //{"emcu", "EMCU(8051) Plateform Verify func",  emcu_verify},
    //{"logbuf", "rtd logbuf Plateform Verify func",  rtdlog_verify},
    //{"hw_monitor", "hw_monitor Plateform Verify func",  hw_monitor_verify},
    {"keypad", "keypad Plateform Verify func",  keypad_verify},
    {"smart-card", "smart-card Plateform Verify func",  keypad_verify},

};

#define VERIFY_FUNC_COUNT   (sizeof(g_verify_func_list)/sizeof(VERIFY_FUNC))

#endif  //__RTD_VERIFY_H__
