#include <config.h>
#include <common.h>
#include <command.h>
#include <linux/ctype.h>
#include <linux/string.h>

#include "i2c_pv.h"

extern int do_cmd_loop(int t_mode, int v_cnt,SUB_FUNC* func_list);

/*======================================================
 *	Local Define
 *======================================================*/

/************************************************************************
 *
 ************************************************************************/
int i2c_pv_func1(int argc, char *argv[])
{
    printf( "%s(%d)test success\n",__func__,__LINE__);

	return 0;
}


/************************************************************************
 *
 ************************************************************************/
int i2c_pv_func2(int argc, char *argv[])
{
    printf( "%s(%d)test success\n",__func__,__LINE__);

	return 0;
}


/************************************************************************
 *
 ************************************************************************/
int i2c_pv_func3(int argc, char *argv[])
{
    printf( "%s(%d)test success\n",__func__,__LINE__);

	return 0;
}

/************************************************************************
 * Always keep help func at last. It's going to be skip at auto testing mode
 ************************************************************************/
int i2c_pv_help(int argc, char *argv[])
{
    printf( "%s(%d)display more information what you want user to know\n",__func__,__LINE__);

	return 0;
}


/*======================================================
 * Func : module_name plateform verify
 *
 * Desc : main Function of verify func
 *
 * Para : argc : number of arguments
 *        argv : input Paraeters
 *
 * Rmmc : 0 : success, others : failed
 ======================================================*/
int i2c_verify(int argc, char *argv[])
{
    return do_cmd_loop(argc, I2C_PV_FUNC_COUNT,i2c_verify_func_list);
}

