#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/fcntl.h>
#include <linux/random.h>
#include "rtk_otp_sw_crc.h"
#include "rtk_otp_util.h"


int main()
{

    int i = 0;
    int fd = -1;
    int ret;
    system("rm -rf otp_burn_script.tbl");
    fd = open("otp_burn_script.tbl", O_RDWR | O_CREAT);
    if(fd < 0) {
        printf("can't open otp_burn_script.tbl\n");
        ret = -1;
        goto FAIL;
    }
    ret = otp_program_with_bitmap_with_verify(fd);
    if(ret != 0) {
        printf("do otp_burn_script.tbl fail\n");
        goto FAIL;
    }
    ret = otp_crc_auto_region(fd, 0);
    if(ret != 0) {
        printf("do otp_burn_script.tbl fail\n");
        goto FAIL;
    }
    ret = otp_crc_auto_region(fd, 1);
    if(ret != 0) {
        printf("do otp_burn_script.tbl fail\n");
        goto FAIL;
    }
    system("chmod 777 otp_burn_script.tbl");
    ret = 0;
FAIL:
    if(fd >= 0)
        close(fd);
    return ret;
    
}

