/**
* @file Merlin6_MEMC_LBMC_table
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_LBMC_TABLE_REG_H_
#define _RBUS_LBMC_TABLE_REG_H_

#include "rbus_types.h"



//  LBMC_TABLE Register Address
#define  LBMC_TABLE_LBMC_TABLE_phase0                                           0x18099F00
#define  LBMC_TABLE_LBMC_TABLE_phase0_reg_addr                                   "0xB8099F00"
#define  LBMC_TABLE_LBMC_TABLE_phase0_reg                                        0xB8099F00
#define  LBMC_TABLE_LBMC_TABLE_phase0_inst_addr                                  "0x0000"
#define  set_LBMC_TABLE_LBMC_TABLE_phase0_reg(data)                              (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase0_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase0_reg                                    (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase0_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase0_table_v_en_shift                           (31)
#define  LBMC_TABLE_LBMC_TABLE_phase0_table_h_en_shift                           (30)
#define  LBMC_TABLE_LBMC_TABLE_phase0_table_c2c5_postive_shift                   (29)
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c2_shift                            (24)
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c3_shift                            (16)
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c4_shift                            (8)
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c5_shift                            (0)
#define  LBMC_TABLE_LBMC_TABLE_phase0_table_v_en_mask                            (0x80000000)
#define  LBMC_TABLE_LBMC_TABLE_phase0_table_h_en_mask                            (0x40000000)
#define  LBMC_TABLE_LBMC_TABLE_phase0_table_c2c5_postive_mask                    (0x20000000)
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c2_mask                             (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c3_mask                             (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c4_mask                             (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c5_mask                             (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase0_table_v_en(data)                           (0x80000000&((data)<<31))
#define  LBMC_TABLE_LBMC_TABLE_phase0_table_h_en(data)                           (0x40000000&((data)<<30))
#define  LBMC_TABLE_LBMC_TABLE_phase0_table_c2c5_postive(data)                   (0x20000000&((data)<<29))
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c2(data)                            (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c3(data)                            (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c4(data)                            (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase0_phase0_c5(data)                            (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase0_get_table_v_en(data)                       ((0x80000000&(data))>>31)
#define  LBMC_TABLE_LBMC_TABLE_phase0_get_table_h_en(data)                       ((0x40000000&(data))>>30)
#define  LBMC_TABLE_LBMC_TABLE_phase0_get_table_c2c5_postive(data)               ((0x20000000&(data))>>29)
#define  LBMC_TABLE_LBMC_TABLE_phase0_get_phase0_c2(data)                        ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase0_get_phase0_c3(data)                        ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase0_get_phase0_c4(data)                        ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase0_get_phase0_c5(data)                        (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase1                                           0x18099F04
#define  LBMC_TABLE_LBMC_TABLE_phase1_reg_addr                                   "0xB8099F04"
#define  LBMC_TABLE_LBMC_TABLE_phase1_reg                                        0xB8099F04
#define  LBMC_TABLE_LBMC_TABLE_phase1_inst_addr                                  "0x0001"
#define  set_LBMC_TABLE_LBMC_TABLE_phase1_reg(data)                              (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase1_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase1_reg                                    (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase1_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c2_shift                            (24)
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c3_shift                            (16)
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c4_shift                            (8)
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c5_shift                            (0)
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c2_mask                             (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c3_mask                             (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c4_mask                             (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c5_mask                             (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c2(data)                            (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c3(data)                            (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c4(data)                            (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase1_phase1_c5(data)                            (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase1_get_phase1_c2(data)                        ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase1_get_phase1_c3(data)                        ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase1_get_phase1_c4(data)                        ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase1_get_phase1_c5(data)                        (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase2                                           0x18099F08
#define  LBMC_TABLE_LBMC_TABLE_phase2_reg_addr                                   "0xB8099F08"
#define  LBMC_TABLE_LBMC_TABLE_phase2_reg                                        0xB8099F08
#define  LBMC_TABLE_LBMC_TABLE_phase2_inst_addr                                  "0x0002"
#define  set_LBMC_TABLE_LBMC_TABLE_phase2_reg(data)                              (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase2_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase2_reg                                    (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase2_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c2_shift                            (24)
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c3_shift                            (16)
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c4_shift                            (8)
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c5_shift                            (0)
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c2_mask                             (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c3_mask                             (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c4_mask                             (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c5_mask                             (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c2(data)                            (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c3(data)                            (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c4(data)                            (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase2_phase2_c5(data)                            (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase2_get_phase2_c2(data)                        ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase2_get_phase2_c3(data)                        ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase2_get_phase2_c4(data)                        ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase2_get_phase2_c5(data)                        (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase3                                           0x18099F0C
#define  LBMC_TABLE_LBMC_TABLE_phase3_reg_addr                                   "0xB8099F0C"
#define  LBMC_TABLE_LBMC_TABLE_phase3_reg                                        0xB8099F0C
#define  LBMC_TABLE_LBMC_TABLE_phase3_inst_addr                                  "0x0003"
#define  set_LBMC_TABLE_LBMC_TABLE_phase3_reg(data)                              (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase3_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase3_reg                                    (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase3_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c2_shift                            (24)
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c3_shift                            (16)
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c4_shift                            (8)
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c5_shift                            (0)
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c2_mask                             (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c3_mask                             (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c4_mask                             (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c5_mask                             (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c2(data)                            (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c3(data)                            (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c4(data)                            (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase3_phase3_c5(data)                            (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase3_get_phase3_c2(data)                        ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase3_get_phase3_c3(data)                        ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase3_get_phase3_c4(data)                        ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase3_get_phase3_c5(data)                        (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase4                                           0x18099F10
#define  LBMC_TABLE_LBMC_TABLE_phase4_reg_addr                                   "0xB8099F10"
#define  LBMC_TABLE_LBMC_TABLE_phase4_reg                                        0xB8099F10
#define  LBMC_TABLE_LBMC_TABLE_phase4_inst_addr                                  "0x0004"
#define  set_LBMC_TABLE_LBMC_TABLE_phase4_reg(data)                              (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase4_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase4_reg                                    (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase4_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c2_shift                            (24)
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c3_shift                            (16)
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c4_shift                            (8)
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c5_shift                            (0)
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c2_mask                             (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c3_mask                             (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c4_mask                             (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c5_mask                             (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c2(data)                            (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c3(data)                            (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c4(data)                            (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase4_phase4_c5(data)                            (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase4_get_phase4_c2(data)                        ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase4_get_phase4_c3(data)                        ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase4_get_phase4_c4(data)                        ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase4_get_phase4_c5(data)                        (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase5                                           0x18099F14
#define  LBMC_TABLE_LBMC_TABLE_phase5_reg_addr                                   "0xB8099F14"
#define  LBMC_TABLE_LBMC_TABLE_phase5_reg                                        0xB8099F14
#define  LBMC_TABLE_LBMC_TABLE_phase5_inst_addr                                  "0x0005"
#define  set_LBMC_TABLE_LBMC_TABLE_phase5_reg(data)                              (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase5_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase5_reg                                    (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase5_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c2_shift                            (24)
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c3_shift                            (16)
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c4_shift                            (8)
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c5_shift                            (0)
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c2_mask                             (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c3_mask                             (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c4_mask                             (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c5_mask                             (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c2(data)                            (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c3(data)                            (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c4(data)                            (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase5_phase5_c5(data)                            (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase5_get_phase5_c2(data)                        ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase5_get_phase5_c3(data)                        ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase5_get_phase5_c4(data)                        ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase5_get_phase5_c5(data)                        (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase6                                           0x18099F18
#define  LBMC_TABLE_LBMC_TABLE_phase6_reg_addr                                   "0xB8099F18"
#define  LBMC_TABLE_LBMC_TABLE_phase6_reg                                        0xB8099F18
#define  LBMC_TABLE_LBMC_TABLE_phase6_inst_addr                                  "0x0006"
#define  set_LBMC_TABLE_LBMC_TABLE_phase6_reg(data)                              (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase6_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase6_reg                                    (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase6_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c2_shift                            (24)
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c3_shift                            (16)
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c4_shift                            (8)
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c5_shift                            (0)
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c2_mask                             (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c3_mask                             (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c4_mask                             (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c5_mask                             (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c2(data)                            (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c3(data)                            (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c4(data)                            (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase6_phase6_c5(data)                            (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase6_get_phase6_c2(data)                        ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase6_get_phase6_c3(data)                        ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase6_get_phase6_c4(data)                        ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase6_get_phase6_c5(data)                        (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase7                                           0x18099F1C
#define  LBMC_TABLE_LBMC_TABLE_phase7_reg_addr                                   "0xB8099F1C"
#define  LBMC_TABLE_LBMC_TABLE_phase7_reg                                        0xB8099F1C
#define  LBMC_TABLE_LBMC_TABLE_phase7_inst_addr                                  "0x0007"
#define  set_LBMC_TABLE_LBMC_TABLE_phase7_reg(data)                              (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase7_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase7_reg                                    (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase7_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c2_shift                            (24)
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c3_shift                            (16)
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c4_shift                            (8)
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c5_shift                            (0)
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c2_mask                             (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c3_mask                             (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c4_mask                             (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c5_mask                             (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c2(data)                            (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c3(data)                            (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c4(data)                            (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase7_phase7_c5(data)                            (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase7_get_phase7_c2(data)                        ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase7_get_phase7_c3(data)                        ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase7_get_phase7_c4(data)                        ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase7_get_phase7_c5(data)                        (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase8                                           0x18099F20
#define  LBMC_TABLE_LBMC_TABLE_phase8_reg_addr                                   "0xB8099F20"
#define  LBMC_TABLE_LBMC_TABLE_phase8_reg                                        0xB8099F20
#define  LBMC_TABLE_LBMC_TABLE_phase8_inst_addr                                  "0x0008"
#define  set_LBMC_TABLE_LBMC_TABLE_phase8_reg(data)                              (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase8_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase8_reg                                    (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase8_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c2_shift                            (24)
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c3_shift                            (16)
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c4_shift                            (8)
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c5_shift                            (0)
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c2_mask                             (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c3_mask                             (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c4_mask                             (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c5_mask                             (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c2(data)                            (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c3(data)                            (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c4(data)                            (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase8_phase8_c5(data)                            (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase8_get_phase8_c2(data)                        ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase8_get_phase8_c3(data)                        ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase8_get_phase8_c4(data)                        ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase8_get_phase8_c5(data)                        (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase9                                           0x18099F24
#define  LBMC_TABLE_LBMC_TABLE_phase9_reg_addr                                   "0xB8099F24"
#define  LBMC_TABLE_LBMC_TABLE_phase9_reg                                        0xB8099F24
#define  LBMC_TABLE_LBMC_TABLE_phase9_inst_addr                                  "0x0009"
#define  set_LBMC_TABLE_LBMC_TABLE_phase9_reg(data)                              (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase9_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase9_reg                                    (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase9_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c2_shift                            (24)
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c3_shift                            (16)
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c4_shift                            (8)
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c5_shift                            (0)
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c2_mask                             (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c3_mask                             (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c4_mask                             (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c5_mask                             (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c2(data)                            (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c3(data)                            (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c4(data)                            (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase9_phase9_c5(data)                            (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase9_get_phase9_c2(data)                        ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase9_get_phase9_c3(data)                        ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase9_get_phase9_c4(data)                        ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase9_get_phase9_c5(data)                        (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase10                                          0x18099F28
#define  LBMC_TABLE_LBMC_TABLE_phase10_reg_addr                                  "0xB8099F28"
#define  LBMC_TABLE_LBMC_TABLE_phase10_reg                                       0xB8099F28
#define  LBMC_TABLE_LBMC_TABLE_phase10_inst_addr                                 "0x000A"
#define  set_LBMC_TABLE_LBMC_TABLE_phase10_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase10_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase10_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase10_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase10_phase10_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase10_get_phase10_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase10_get_phase10_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase10_get_phase10_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase10_get_phase10_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase11                                          0x18099F2C
#define  LBMC_TABLE_LBMC_TABLE_phase11_reg_addr                                  "0xB8099F2C"
#define  LBMC_TABLE_LBMC_TABLE_phase11_reg                                       0xB8099F2C
#define  LBMC_TABLE_LBMC_TABLE_phase11_inst_addr                                 "0x000B"
#define  set_LBMC_TABLE_LBMC_TABLE_phase11_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase11_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase11_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase11_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase11_phase11_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase11_get_phase11_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase11_get_phase11_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase11_get_phase11_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase11_get_phase11_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase12                                          0x18099F30
#define  LBMC_TABLE_LBMC_TABLE_phase12_reg_addr                                  "0xB8099F30"
#define  LBMC_TABLE_LBMC_TABLE_phase12_reg                                       0xB8099F30
#define  LBMC_TABLE_LBMC_TABLE_phase12_inst_addr                                 "0x000C"
#define  set_LBMC_TABLE_LBMC_TABLE_phase12_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase12_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase12_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase12_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase12_phase12_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase12_get_phase12_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase12_get_phase12_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase12_get_phase12_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase12_get_phase12_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase13                                          0x18099F34
#define  LBMC_TABLE_LBMC_TABLE_phase13_reg_addr                                  "0xB8099F34"
#define  LBMC_TABLE_LBMC_TABLE_phase13_reg                                       0xB8099F34
#define  LBMC_TABLE_LBMC_TABLE_phase13_inst_addr                                 "0x000D"
#define  set_LBMC_TABLE_LBMC_TABLE_phase13_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase13_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase13_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase13_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase13_phase13_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase13_get_phase13_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase13_get_phase13_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase13_get_phase13_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase13_get_phase13_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase14                                          0x18099F38
#define  LBMC_TABLE_LBMC_TABLE_phase14_reg_addr                                  "0xB8099F38"
#define  LBMC_TABLE_LBMC_TABLE_phase14_reg                                       0xB8099F38
#define  LBMC_TABLE_LBMC_TABLE_phase14_inst_addr                                 "0x000E"
#define  set_LBMC_TABLE_LBMC_TABLE_phase14_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase14_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase14_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase14_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase14_phase14_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase14_get_phase14_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase14_get_phase14_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase14_get_phase14_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase14_get_phase14_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase15                                          0x18099F3C
#define  LBMC_TABLE_LBMC_TABLE_phase15_reg_addr                                  "0xB8099F3C"
#define  LBMC_TABLE_LBMC_TABLE_phase15_reg                                       0xB8099F3C
#define  LBMC_TABLE_LBMC_TABLE_phase15_inst_addr                                 "0x000F"
#define  set_LBMC_TABLE_LBMC_TABLE_phase15_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase15_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase15_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase15_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase15_phase15_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase15_get_phase15_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase15_get_phase15_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase15_get_phase15_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase15_get_phase15_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase16                                          0x18099F40
#define  LBMC_TABLE_LBMC_TABLE_phase16_reg_addr                                  "0xB8099F40"
#define  LBMC_TABLE_LBMC_TABLE_phase16_reg                                       0xB8099F40
#define  LBMC_TABLE_LBMC_TABLE_phase16_inst_addr                                 "0x0010"
#define  set_LBMC_TABLE_LBMC_TABLE_phase16_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase16_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase16_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase16_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase16_phase16_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase16_get_phase16_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase16_get_phase16_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase16_get_phase16_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase16_get_phase16_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase17                                          0x18099F44
#define  LBMC_TABLE_LBMC_TABLE_phase17_reg_addr                                  "0xB8099F44"
#define  LBMC_TABLE_LBMC_TABLE_phase17_reg                                       0xB8099F44
#define  LBMC_TABLE_LBMC_TABLE_phase17_inst_addr                                 "0x0011"
#define  set_LBMC_TABLE_LBMC_TABLE_phase17_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase17_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase17_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase17_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase17_phase17_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase17_get_phase17_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase17_get_phase17_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase17_get_phase17_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase17_get_phase17_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase18                                          0x18099F48
#define  LBMC_TABLE_LBMC_TABLE_phase18_reg_addr                                  "0xB8099F48"
#define  LBMC_TABLE_LBMC_TABLE_phase18_reg                                       0xB8099F48
#define  LBMC_TABLE_LBMC_TABLE_phase18_inst_addr                                 "0x0012"
#define  set_LBMC_TABLE_LBMC_TABLE_phase18_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase18_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase18_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase18_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase18_phase18_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase18_get_phase18_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase18_get_phase18_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase18_get_phase18_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase18_get_phase18_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase19                                          0x18099F4C
#define  LBMC_TABLE_LBMC_TABLE_phase19_reg_addr                                  "0xB8099F4C"
#define  LBMC_TABLE_LBMC_TABLE_phase19_reg                                       0xB8099F4C
#define  LBMC_TABLE_LBMC_TABLE_phase19_inst_addr                                 "0x0013"
#define  set_LBMC_TABLE_LBMC_TABLE_phase19_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase19_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase19_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase19_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase19_phase19_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase19_get_phase19_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase19_get_phase19_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase19_get_phase19_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase19_get_phase19_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase20                                          0x18099F50
#define  LBMC_TABLE_LBMC_TABLE_phase20_reg_addr                                  "0xB8099F50"
#define  LBMC_TABLE_LBMC_TABLE_phase20_reg                                       0xB8099F50
#define  LBMC_TABLE_LBMC_TABLE_phase20_inst_addr                                 "0x0014"
#define  set_LBMC_TABLE_LBMC_TABLE_phase20_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase20_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase20_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase20_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase20_phase20_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase20_get_phase20_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase20_get_phase20_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase20_get_phase20_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase20_get_phase20_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase21                                          0x18099F54
#define  LBMC_TABLE_LBMC_TABLE_phase21_reg_addr                                  "0xB8099F54"
#define  LBMC_TABLE_LBMC_TABLE_phase21_reg                                       0xB8099F54
#define  LBMC_TABLE_LBMC_TABLE_phase21_inst_addr                                 "0x0015"
#define  set_LBMC_TABLE_LBMC_TABLE_phase21_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase21_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase21_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase21_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase21_phase21_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase21_get_phase21_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase21_get_phase21_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase21_get_phase21_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase21_get_phase21_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase22                                          0x18099F58
#define  LBMC_TABLE_LBMC_TABLE_phase22_reg_addr                                  "0xB8099F58"
#define  LBMC_TABLE_LBMC_TABLE_phase22_reg                                       0xB8099F58
#define  LBMC_TABLE_LBMC_TABLE_phase22_inst_addr                                 "0x0016"
#define  set_LBMC_TABLE_LBMC_TABLE_phase22_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase22_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase22_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase22_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase22_phase22_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase22_get_phase22_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase22_get_phase22_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase22_get_phase22_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase22_get_phase22_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase23                                          0x18099F5C
#define  LBMC_TABLE_LBMC_TABLE_phase23_reg_addr                                  "0xB8099F5C"
#define  LBMC_TABLE_LBMC_TABLE_phase23_reg                                       0xB8099F5C
#define  LBMC_TABLE_LBMC_TABLE_phase23_inst_addr                                 "0x0017"
#define  set_LBMC_TABLE_LBMC_TABLE_phase23_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase23_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase23_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase23_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase23_phase23_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase23_get_phase23_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase23_get_phase23_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase23_get_phase23_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase23_get_phase23_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase24                                          0x18099F60
#define  LBMC_TABLE_LBMC_TABLE_phase24_reg_addr                                  "0xB8099F60"
#define  LBMC_TABLE_LBMC_TABLE_phase24_reg                                       0xB8099F60
#define  LBMC_TABLE_LBMC_TABLE_phase24_inst_addr                                 "0x0018"
#define  set_LBMC_TABLE_LBMC_TABLE_phase24_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase24_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase24_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase24_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase24_phase24_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase24_get_phase24_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase24_get_phase24_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase24_get_phase24_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase24_get_phase24_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase25                                          0x18099F64
#define  LBMC_TABLE_LBMC_TABLE_phase25_reg_addr                                  "0xB8099F64"
#define  LBMC_TABLE_LBMC_TABLE_phase25_reg                                       0xB8099F64
#define  LBMC_TABLE_LBMC_TABLE_phase25_inst_addr                                 "0x0019"
#define  set_LBMC_TABLE_LBMC_TABLE_phase25_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase25_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase25_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase25_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase25_phase25_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase25_get_phase25_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase25_get_phase25_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase25_get_phase25_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase25_get_phase25_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase26                                          0x18099F68
#define  LBMC_TABLE_LBMC_TABLE_phase26_reg_addr                                  "0xB8099F68"
#define  LBMC_TABLE_LBMC_TABLE_phase26_reg                                       0xB8099F68
#define  LBMC_TABLE_LBMC_TABLE_phase26_inst_addr                                 "0x001A"
#define  set_LBMC_TABLE_LBMC_TABLE_phase26_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase26_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase26_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase26_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase26_phase26_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase26_get_phase26_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase26_get_phase26_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase26_get_phase26_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase26_get_phase26_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase27                                          0x18099F6C
#define  LBMC_TABLE_LBMC_TABLE_phase27_reg_addr                                  "0xB8099F6C"
#define  LBMC_TABLE_LBMC_TABLE_phase27_reg                                       0xB8099F6C
#define  LBMC_TABLE_LBMC_TABLE_phase27_inst_addr                                 "0x001B"
#define  set_LBMC_TABLE_LBMC_TABLE_phase27_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase27_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase27_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase27_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase27_phase27_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase27_get_phase27_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase27_get_phase27_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase27_get_phase27_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase27_get_phase27_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase28                                          0x18099F70
#define  LBMC_TABLE_LBMC_TABLE_phase28_reg_addr                                  "0xB8099F70"
#define  LBMC_TABLE_LBMC_TABLE_phase28_reg                                       0xB8099F70
#define  LBMC_TABLE_LBMC_TABLE_phase28_inst_addr                                 "0x001C"
#define  set_LBMC_TABLE_LBMC_TABLE_phase28_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase28_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase28_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase28_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase28_phase28_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase28_get_phase28_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase28_get_phase28_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase28_get_phase28_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase28_get_phase28_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase29                                          0x18099F74
#define  LBMC_TABLE_LBMC_TABLE_phase29_reg_addr                                  "0xB8099F74"
#define  LBMC_TABLE_LBMC_TABLE_phase29_reg                                       0xB8099F74
#define  LBMC_TABLE_LBMC_TABLE_phase29_inst_addr                                 "0x001D"
#define  set_LBMC_TABLE_LBMC_TABLE_phase29_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase29_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase29_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase29_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase29_phase29_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase29_get_phase29_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase29_get_phase29_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase29_get_phase29_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase29_get_phase29_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase30                                          0x18099F78
#define  LBMC_TABLE_LBMC_TABLE_phase30_reg_addr                                  "0xB8099F78"
#define  LBMC_TABLE_LBMC_TABLE_phase30_reg                                       0xB8099F78
#define  LBMC_TABLE_LBMC_TABLE_phase30_inst_addr                                 "0x001E"
#define  set_LBMC_TABLE_LBMC_TABLE_phase30_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase30_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase30_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase30_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase30_phase30_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase30_get_phase30_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase30_get_phase30_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase30_get_phase30_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase30_get_phase30_c5(data)                      (0x0000001F&(data))

#define  LBMC_TABLE_LBMC_TABLE_phase31                                          0x18099F7C
#define  LBMC_TABLE_LBMC_TABLE_phase31_reg_addr                                  "0xB8099F7C"
#define  LBMC_TABLE_LBMC_TABLE_phase31_reg                                       0xB8099F7C
#define  LBMC_TABLE_LBMC_TABLE_phase31_inst_addr                                 "0x001F"
#define  set_LBMC_TABLE_LBMC_TABLE_phase31_reg(data)                             (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase31_reg)=data)
#define  get_LBMC_TABLE_LBMC_TABLE_phase31_reg                                   (*((volatile unsigned int*)LBMC_TABLE_LBMC_TABLE_phase31_reg))
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c2_shift                          (24)
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c3_shift                          (16)
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c4_shift                          (8)
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c5_shift                          (0)
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c2_mask                           (0x1F000000)
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c3_mask                           (0x007F0000)
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c4_mask                           (0x00007F00)
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c5_mask                           (0x0000001F)
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c2(data)                          (0x1F000000&((data)<<24))
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c3(data)                          (0x007F0000&((data)<<16))
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c4(data)                          (0x00007F00&((data)<<8))
#define  LBMC_TABLE_LBMC_TABLE_phase31_phase31_c5(data)                          (0x0000001F&(data))
#define  LBMC_TABLE_LBMC_TABLE_phase31_get_phase31_c2(data)                      ((0x1F000000&(data))>>24)
#define  LBMC_TABLE_LBMC_TABLE_phase31_get_phase31_c3(data)                      ((0x007F0000&(data))>>16)
#define  LBMC_TABLE_LBMC_TABLE_phase31_get_phase31_c4(data)                      ((0x00007F00&(data))>>8)
#define  LBMC_TABLE_LBMC_TABLE_phase31_get_phase31_c5(data)                      (0x0000001F&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======LBMC_TABLE register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  table_v_en:1;
        RBus_UInt32  table_h_en:1;
        RBus_UInt32  table_c2c5_postive:1;
        RBus_UInt32  phase0_c2:5;
        RBus_UInt32  res1:1;
        RBus_UInt32  phase0_c3:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase0_c4:7;
        RBus_UInt32  res3:3;
        RBus_UInt32  phase0_c5:5;
    };
}lbmc_table_lbmc_table_phase0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase1_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase1_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase1_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase1_c5:5;
    };
}lbmc_table_lbmc_table_phase1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase2_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase2_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase2_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase2_c5:5;
    };
}lbmc_table_lbmc_table_phase2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase3_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase3_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase3_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase3_c5:5;
    };
}lbmc_table_lbmc_table_phase3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase4_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase4_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase4_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase4_c5:5;
    };
}lbmc_table_lbmc_table_phase4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase5_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase5_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase5_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase5_c5:5;
    };
}lbmc_table_lbmc_table_phase5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase6_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase6_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase6_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase6_c5:5;
    };
}lbmc_table_lbmc_table_phase6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase7_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase7_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase7_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase7_c5:5;
    };
}lbmc_table_lbmc_table_phase7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase8_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase8_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase8_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase8_c5:5;
    };
}lbmc_table_lbmc_table_phase8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase9_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase9_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase9_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase9_c5:5;
    };
}lbmc_table_lbmc_table_phase9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase10_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase10_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase10_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase10_c5:5;
    };
}lbmc_table_lbmc_table_phase10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase11_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase11_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase11_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase11_c5:5;
    };
}lbmc_table_lbmc_table_phase11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase12_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase12_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase12_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase12_c5:5;
    };
}lbmc_table_lbmc_table_phase12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase13_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase13_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase13_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase13_c5:5;
    };
}lbmc_table_lbmc_table_phase13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase14_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase14_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase14_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase14_c5:5;
    };
}lbmc_table_lbmc_table_phase14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase15_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase15_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase15_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase15_c5:5;
    };
}lbmc_table_lbmc_table_phase15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase16_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase16_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase16_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase16_c5:5;
    };
}lbmc_table_lbmc_table_phase16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase17_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase17_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase17_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase17_c5:5;
    };
}lbmc_table_lbmc_table_phase17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase18_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase18_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase18_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase18_c5:5;
    };
}lbmc_table_lbmc_table_phase18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase19_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase19_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase19_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase19_c5:5;
    };
}lbmc_table_lbmc_table_phase19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase20_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase20_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase20_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase20_c5:5;
    };
}lbmc_table_lbmc_table_phase20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase21_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase21_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase21_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase21_c5:5;
    };
}lbmc_table_lbmc_table_phase21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase22_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase22_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase22_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase22_c5:5;
    };
}lbmc_table_lbmc_table_phase22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase23_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase23_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase23_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase23_c5:5;
    };
}lbmc_table_lbmc_table_phase23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase24_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase24_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase24_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase24_c5:5;
    };
}lbmc_table_lbmc_table_phase24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase25_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase25_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase25_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase25_c5:5;
    };
}lbmc_table_lbmc_table_phase25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase26_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase26_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase26_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase26_c5:5;
    };
}lbmc_table_lbmc_table_phase26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase27_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase27_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase27_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase27_c5:5;
    };
}lbmc_table_lbmc_table_phase27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase28_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase28_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase28_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase28_c5:5;
    };
}lbmc_table_lbmc_table_phase28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase29_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase29_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase29_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase29_c5:5;
    };
}lbmc_table_lbmc_table_phase29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase30_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase30_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase30_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase30_c5:5;
    };
}lbmc_table_lbmc_table_phase30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:3;
        RBus_UInt32  phase31_c2:5;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase31_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase31_c4:7;
        RBus_UInt32  res4:3;
        RBus_UInt32  phase31_c5:5;
    };
}lbmc_table_lbmc_table_phase31_RBUS;

#else //apply LITTLE_ENDIAN

//======LBMC_TABLE register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase0_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase0_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase0_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase0_c2:5;
        RBus_UInt32  table_c2c5_postive:1;
        RBus_UInt32  table_h_en:1;
        RBus_UInt32  table_v_en:1;
    };
}lbmc_table_lbmc_table_phase0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase1_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase1_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase1_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase1_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase2_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase2_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase2_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase2_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase3_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase3_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase3_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase3_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase4_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase4_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase4_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase4_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase5_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase5_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase5_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase5_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase6_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase6_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase6_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase6_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase6_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase7_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase7_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase7_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase7_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase7_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase8_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase8_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase8_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase8_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase9_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase9_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase9_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase9_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase9_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase10_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase10_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase10_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase10_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase11_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase11_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase11_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase11_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase11_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase12_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase12_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase12_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase12_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase12_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase13_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase13_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase13_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase13_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase13_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase14_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase14_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase14_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase14_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase15_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase15_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase15_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase15_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase15_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase16_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase16_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase16_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase16_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase16_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase17_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase17_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase17_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase17_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase17_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase18_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase18_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase18_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase18_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase19_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase19_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase19_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase19_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase19_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase20_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase20_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase20_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase20_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase21_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase21_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase21_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase21_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase21_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase22_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase22_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase22_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase22_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase22_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase23_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase23_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase23_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase23_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase23_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase24_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase24_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase24_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase24_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase25_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase25_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase25_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase25_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase25_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase26_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase26_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase26_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase26_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase26_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase27_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase27_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase27_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase27_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase27_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase28_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase28_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase28_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase28_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase29_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase29_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase29_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase29_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase29_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase30_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase30_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase30_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase30_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  phase31_c5:5;
        RBus_UInt32  res1:3;
        RBus_UInt32  phase31_c4:7;
        RBus_UInt32  res2:1;
        RBus_UInt32  phase31_c3:7;
        RBus_UInt32  res3:1;
        RBus_UInt32  phase31_c2:5;
        RBus_UInt32  res4:3;
    };
}lbmc_table_lbmc_table_phase31_RBUS;




#endif 


#endif 
