#include <common.h>
#include <asm/arch/io.h>
#include <rbus/sb2_reg.h>

void get_flash_shared_semaphore(void)
{
	unsigned int i;

	while(1)
	{
		if (rtd_inl(SB2_HD_SEM_NEW_2_reg) == 0x1)
		{
			break;
		}

		for(i = 0;i < 1024;i++); //reduce rbus traffic
	}
}

void release_flash_shared_semaphore(void)
{
	rtd_outl(SB2_HD_SEM_NEW_2_reg, 0x0);
}


