#include <qc_verify_common.h>

# if 0
//HDMI CEC register
#define HDMI_CEC_CR0_VADDR                      (0xb8061e00)
#define HDMI_CEC_RTCR0_VADDR                    (0xb8061e04)
#define HDMI_CEC_RXCR0_VADDR                    (0xb8061e08)
#define HDMI_CEC_TXCR0_VADDR                    (0xb8061e0c)
#define HDMI_CEC_TXDR0_VADDR                    (0xb8061e10)
#define HDMI_CEC_TXDR1_VADDR                    (0xb8061e14)
#define HDMI_CEC_TXDR2_VADDR                    (0xb8061e18)
#define HDMI_CEC_TXDR3_VADDR                    (0xb8061e1c)
#define HDMI_CEC_TXDR4_VADDR                    (0xb8061e20)
#define HDMI_CEC_RXDR1_VADDR                    (0xb8061e24)
#define HDMI_CEC_RXDR2_VADDR                    (0xb8061e28)
#define HDMI_CEC_RXDR3_VADDR                    (0xb8061e2c)
#define HDMI_CEC_RXDR4_VADDR                    (0xb8061e30)
#define HDMI_CEC_RXTCR0_VADDR                   (0xb8061e34)
#define HDMI_CEC_RXTCR0_VADDR_rx_start_low(data)                   		(0xFF000000&((data)<<24))
#define HDMI_CEC_RXTCR0_VADDR_rx_start_period(data)                   		(0x00FF0000&((data)<<16))
#define  HDMI_CEC_RXTCR0_VADDR_rx_start_low_mask                              (0xFF000000)
#define  HDMI_CEC_RXTCR0_VADDR_rx_start_period_mask                         (0x00FF0000)

#define HDMI_CEC_TXTCR0_VADDR                   (0xb8061e38)
#define HDMI_CEC_TXTCR1_VADDR                   (0xb8061e3c)
#define GDI_CEC_COMPARE_OPCODE_01_VADDR    (0xb8061e40)
#define GDI_CEC_SEND_OPCODE_01_VADDR       (0xb8061e44)
#define GDI_CEC_SEND_OPERAND_NUMBER_01_VADDR  (0xb8061e48)
#define GDI_CEC_OPERAND_01_VADDR           (0xb8061e4c)
#define GDI_CEC_OPERAND_02_VADDR           (0xb8061e50)
#define GDI_CEC_OPERAND_03_VADDR           (0xb8061e54)
#define GDI_CEC_COMPARE_OPCODE_02_VADDR    (0xb8061e58)
#define GDI_CEC_SEND_OPCODE_02_VADDR       (0xb8061e5c)
#define GDI_CEC_SEND_OPERAND_NUMBER_02_VADDR  (0xb8061e60)
#define GDI_CEC_OPERAND_04_VADDR           (0xb8061e64)
#define GDI_CEC_OPERAND_05_VADDR           (0xb8061e68)
#define GDI_CEC_OPERAND_06_VADDR           (0xb8061e6c)
#define GDI_CEC_COMPARE_OPCODE_03_VADDR    (0xb8061e70)
#define GDI_CEC_SEND_OPCODE_03_VADDR       (0xb8061e74)
#define GDI_CEC_SEND_OPERAND_NUMBER_03_VADDR  (0xb8061e78)
#define GDI_CEC_OPERAND_07_VADDR           (0xb8061e7c)
#define GDI_CEC_OPERAND_08_VADDR           (0xb8061e80)
#define GDI_CEC_OPERAND_09_VADDR           (0xb8061e84)
#define GDI_CEC_COMPARE_OPCODE_04_VADDR    (0xb8061e88)
#define GDI_CEC_SEND_OPCODE_04_VADDR       (0xb8061e8c)
#define GDI_CEC_SEND_OPERAND_NUMBER_04_VADDR  (0xb8061e90)
#define GDI_CEC_OPERAND_10_VADDR           (0xb8061e94)
#define GDI_CEC_OPERAND_11_VADDR           (0xb8061e98)
#define GDI_CEC_OPERAND_12_VADDR           (0xb8061e9c)
#define GDI_CEC_COMPARE_OPCODE_05_VADDR    (0xb8061ea0)
#define GDI_CEC_COMPARE_OPCODE_06_VADDR    (0xb8061ea4)
#define GDI_CEC_COMPARE_OPCODE_07_VADDR    (0xb8061ea8)
#define GDI_CEC_COMPARE_OPCODE_08_VADDR    (0xb8061eac)
#define GDI_CEC_COMPARE_OPCODE_09_VADDR    (0xb8061eb0)
#define GDI_CEC_COMPARE_OPCODE_10_VADDR    (0xb8061eb4)
#define GDI_CEC_COMPARE_OPCODE_11_VADDR    (0xb8061eb8)
#define GDI_CEC_COMPARE_OPCODE_12_VADDR    (0xb8061ebc)
#define GDI_CEC_COMPARE_OPCODE_13_VADDR    (0xb8061ec0)
#define GDI_CEC_COMPARE_OPCODE_14_VADDR    (0xb8061ec4)
#define GDI_CEC_COMPARE_OPCODE_15_VADDR    (0xb8061ec8)
#define GDI_CEC_OPCODE_ENABLE_VADDR        (0xb8061ecc)
#define GDI_POWER_SAVING_MODE_VADDR        (0xb8061ed0)
#define GDI_POWER_SAVING_MODE_VADDR_CEC_RSEL(data)                                (0x0000001F&(data))
#define GDI_POWER_SAVING_MODE_VADDR_CEC_RPU_EN(data)                           (0x00000020&((data)<<5))

#define CEC_RXACKTCR0_VADDR                (0xb8061ed4)
#define CEC_RXACKTCR1_VADDR                (0xb8061ed8)
#define CEC_TXRXACKOPTION_VADDR                (0xb8061edc)
#define HDMI_CEC_RXTCR1_VADDR                   (0xb8061ee0)
#define HDMI_CEC_RXTCR1_VADDR_rx_start_high(data)                                 	(0x000000ff&(data))
#define HDMI_CEC_RXTCR1_VADDR_rx_start_high_mask                                    (0x000000FF)
#endif


//  CEC Register Address
#define  CEC_CR0                                                                 0x18061E00
#define  CEC_CR0_reg_addr                                                        "0xB8061E00"
#define  CEC_CR0_reg                                                             0xB8061E00
#define  CEC_CR0_inst_addr                                                       "0x0000"
#define  set_CEC_CR0_reg(data)                                                   (*((volatile unsigned int*)CEC_CR0_reg)=data)
#define  get_CEC_CR0_reg                                                         (*((volatile unsigned int*)CEC_CR0_reg))
#define  CEC_CR0_cec_mode_shift                                                  (30)
#define  CEC_CR0_test_mode_pad_en_shift                                          (28)
#define  CEC_CR0_logical_addr_shift                                              (24)
#define  CEC_CR0_timer_div_shift                                                 (16)
#define  CEC_CR0_pre_div_shift                                                   (8)
#define  CEC_CR0_unreg_ack_en_shift                                              (7)
#define  CEC_CR0_cec_in_deb_mode_shift                                           (6)
#define  CEC_CR0_cdc_arbitration_en_shift                                        (5)
#define  CEC_CR0_test_mode_pad_data_shift                                        (0)
#define  CEC_CR0_cec_mode_mask                                                   (0xC0000000)
#define  CEC_CR0_test_mode_pad_en_mask                                           (0x10000000)
#define  CEC_CR0_logical_addr_mask                                               (0x0F000000)
#define  CEC_CR0_timer_div_mask                                                  (0x00FF0000)
#define  CEC_CR0_pre_div_mask                                                    (0x0000FF00)
#define  CEC_CR0_unreg_ack_en_mask                                               (0x00000080)
#define  CEC_CR0_cec_in_deb_mode_mask                                            (0x00000040)
#define  CEC_CR0_cdc_arbitration_en_mask                                         (0x00000020)
#define  CEC_CR0_test_mode_pad_data_mask                                         (0x0000001F)
#define  CEC_CR0_cec_mode(data)                                                  (0xC0000000&((data)<<30))
#define  CEC_CR0_test_mode_pad_en(data)                                          (0x10000000&((data)<<28))
#define  CEC_CR0_logical_addr(data)                                              (0x0F000000&((data)<<24))
#define  CEC_CR0_timer_div(data)                                                 (0x00FF0000&((data)<<16))
#define  CEC_CR0_pre_div(data)                                                   (0x0000FF00&((data)<<8))
#define  CEC_CR0_unreg_ack_en(data)                                              (0x00000080&((data)<<7))
#define  CEC_CR0_cec_in_deb_mode(data)                                           (0x00000040&((data)<<6))
#define  CEC_CR0_cdc_arbitration_en(data)                                        (0x00000020&((data)<<5))
#define  CEC_CR0_test_mode_pad_data(data)                                        (0x0000001F&(data))
#define  CEC_CR0_get_cec_mode(data)                                              ((0xC0000000&(data))>>30)
#define  CEC_CR0_get_test_mode_pad_en(data)                                      ((0x10000000&(data))>>28)
#define  CEC_CR0_get_logical_addr(data)                                          ((0x0F000000&(data))>>24)
#define  CEC_CR0_get_timer_div(data)                                             ((0x00FF0000&(data))>>16)
#define  CEC_CR0_get_pre_div(data)                                               ((0x0000FF00&(data))>>8)
#define  CEC_CR0_get_unreg_ack_en(data)                                          ((0x00000080&(data))>>7)
#define  CEC_CR0_get_cec_in_deb_mode(data)                                       ((0x00000040&(data))>>6)
#define  CEC_CR0_get_cdc_arbitration_en(data)                                    ((0x00000020&(data))>>5)
#define  CEC_CR0_get_test_mode_pad_data(data)                                    (0x0000001F&(data))

#define  CEC_RTCR0                                                               0x18061E04
#define  CEC_RTCR0_reg_addr                                                      "0xB8061E04"
#define  CEC_RTCR0_reg                                                           0xB8061E04
#define  CEC_RTCR0_inst_addr                                                     "0x0001"
#define  set_CEC_RTCR0_reg(data)                                                 (*((volatile unsigned int*)CEC_RTCR0_reg)=data)
#define  get_CEC_RTCR0_reg                                                       (*((volatile unsigned int*)CEC_RTCR0_reg))
#define  CEC_RTCR0_cec_pad_in_shift                                              (31)
#define  CEC_RTCR0_dummy_30_18_shift                                             (18)
#define  CEC_RTCR0_cec_pad_en_shift                                              (17)
#define  CEC_RTCR0_cec_pad_en_mode_shift                                         (16)
#define  CEC_RTCR0_dummy_15_14_shift                                             (14)
#define  CEC_RTCR0_cec_hw_retry_mode_shift                                       (13)
#define  CEC_RTCR0_cec_hw_retry_en_shift                                         (12)
#define  CEC_RTCR0_clear_cec_int_shift                                           (11)
#define  CEC_RTCR0_wt_cnt_shift                                                  (5)
#define  CEC_RTCR0_lattest_shift                                                 (4)
#define  CEC_RTCR0_retry_no_shift                                                (0)
#define  CEC_RTCR0_cec_pad_in_mask                                               (0x80000000)
#define  CEC_RTCR0_dummy_30_18_mask                                              (0x7FFC0000)
#define  CEC_RTCR0_cec_pad_en_mask                                               (0x00020000)
#define  CEC_RTCR0_cec_pad_en_mode_mask                                          (0x00010000)
#define  CEC_RTCR0_dummy_15_14_mask                                              (0x0000C000)
#define  CEC_RTCR0_cec_hw_retry_mode_mask                                        (0x00002000)
#define  CEC_RTCR0_cec_hw_retry_en_mask                                          (0x00001000)
#define  CEC_RTCR0_clear_cec_int_mask                                            (0x00000800)
#define  CEC_RTCR0_wt_cnt_mask                                                   (0x000007E0)
#define  CEC_RTCR0_lattest_mask                                                  (0x00000010)
#define  CEC_RTCR0_retry_no_mask                                                 (0x0000000F)
#define  CEC_RTCR0_cec_pad_in(data)                                              (0x80000000&((data)<<31))
#define  CEC_RTCR0_dummy_30_18(data)                                             (0x7FFC0000&((data)<<18))
#define  CEC_RTCR0_cec_pad_en(data)                                              (0x00020000&((data)<<17))
#define  CEC_RTCR0_cec_pad_en_mode(data)                                         (0x00010000&((data)<<16))
#define  CEC_RTCR0_dummy_15_14(data)                                             (0x0000C000&((data)<<14))
#define  CEC_RTCR0_cec_hw_retry_mode(data)                                       (0x00002000&((data)<<13))
#define  CEC_RTCR0_cec_hw_retry_en(data)                                         (0x00001000&((data)<<12))
#define  CEC_RTCR0_clear_cec_int(data)                                           (0x00000800&((data)<<11))
#define  CEC_RTCR0_wt_cnt(data)                                                  (0x000007E0&((data)<<5))
#define  CEC_RTCR0_lattest(data)                                                 (0x00000010&((data)<<4))
#define  CEC_RTCR0_retry_no(data)                                                (0x0000000F&(data))
#define  CEC_RTCR0_get_cec_pad_in(data)                                          ((0x80000000&(data))>>31)
#define  CEC_RTCR0_get_dummy_30_18(data)                                         ((0x7FFC0000&(data))>>18)
#define  CEC_RTCR0_get_cec_pad_en(data)                                          ((0x00020000&(data))>>17)
#define  CEC_RTCR0_get_cec_pad_en_mode(data)                                     ((0x00010000&(data))>>16)
#define  CEC_RTCR0_get_dummy_15_14(data)                                         ((0x0000C000&(data))>>14)
#define  CEC_RTCR0_get_cec_hw_retry_mode(data)                                   ((0x00002000&(data))>>13)
#define  CEC_RTCR0_get_cec_hw_retry_en(data)                                     ((0x00001000&(data))>>12)
#define  CEC_RTCR0_get_clear_cec_int(data)                                       ((0x00000800&(data))>>11)
#define  CEC_RTCR0_get_wt_cnt(data)                                              ((0x000007E0&(data))>>5)
#define  CEC_RTCR0_get_lattest(data)                                             ((0x00000010&(data))>>4)
#define  CEC_RTCR0_get_retry_no(data)                                            (0x0000000F&(data))

#define  CEC_RxCR0                                                               0x18061E08
#define  CEC_RxCR0_reg_addr                                                      "0xB8061E08"
#define  CEC_RxCR0_reg                                                           0xB8061E08
#define  CEC_RxCR0_inst_addr                                                     "0x0002"
#define  set_CEC_RxCR0_reg(data)                                                 (*((volatile unsigned int*)CEC_RxCR0_reg)=data)
#define  get_CEC_RxCR0_reg                                                       (*((volatile unsigned int*)CEC_RxCR0_reg))
#define  CEC_RxCR0_broadcast_addr_shift                                          (31)
#define  CEC_RxCR0_rx_same_la_direct_nack_shift                                  (26)
#define  CEC_RxCR0_rx_no_accept_command_data_shift                               (25)
#define  CEC_RxCR0_rx_same_la_ack_shift                                          (24)
#define  CEC_RxCR0_rx_clear_fifo_data_en_shift                                   (23)
#define  CEC_RxCR0_rx_clear_fifo_data_mode_shift                                 (22)
#define  CEC_RxCR0_rx_clear_fifo_data_fw_shift                                   (21)
#define  CEC_RxCR0_standby_addr_sel_shift                                        (20)
#define  CEC_RxCR0_standby_init_addr_shift                                       (16)
#define  CEC_RxCR0_rx_en_shift                                                   (15)
#define  CEC_RxCR0_rx_rst_shift                                                  (14)
#define  CEC_RxCR0_rx_continuous_shift                                           (13)
#define  CEC_RxCR0_rx_int_en_shift                                               (12)
#define  CEC_RxCR0_init_addr_shift                                               (8)
#define  CEC_RxCR0_rx_eom_shift                                                  (7)
#define  CEC_RxCR0_rx_int_shift                                                  (6)
#define  CEC_RxCR0_rx_fifo_ov_shift                                              (5)
#define  CEC_RxCR0_rx_fifo_cnt_shift                                             (0)
#define  CEC_RxCR0_broadcast_addr_mask                                           (0x80000000)
#define  CEC_RxCR0_rx_same_la_direct_nack_mask                                   (0x04000000)
#define  CEC_RxCR0_rx_no_accept_command_data_mask                                (0x02000000)
#define  CEC_RxCR0_rx_same_la_ack_mask                                           (0x01000000)
#define  CEC_RxCR0_rx_clear_fifo_data_en_mask                                    (0x00800000)
#define  CEC_RxCR0_rx_clear_fifo_data_mode_mask                                  (0x00400000)
#define  CEC_RxCR0_rx_clear_fifo_data_fw_mask                                    (0x00200000)
#define  CEC_RxCR0_standby_addr_sel_mask                                         (0x00100000)
#define  CEC_RxCR0_standby_init_addr_mask                                        (0x000F0000)
#define  CEC_RxCR0_rx_en_mask                                                    (0x00008000)
#define  CEC_RxCR0_rx_rst_mask                                                   (0x00004000)
#define  CEC_RxCR0_rx_continuous_mask                                            (0x00002000)
#define  CEC_RxCR0_rx_int_en_mask                                                (0x00001000)
#define  CEC_RxCR0_init_addr_mask                                                (0x00000F00)
#define  CEC_RxCR0_rx_eom_mask                                                   (0x00000080)
#define  CEC_RxCR0_rx_int_mask                                                   (0x00000040)
#define  CEC_RxCR0_rx_fifo_ov_mask                                               (0x00000020)
#define  CEC_RxCR0_rx_fifo_cnt_mask                                              (0x0000001F)
#define  CEC_RxCR0_broadcast_addr(data)                                          (0x80000000&((data)<<31))
#define  CEC_RxCR0_rx_same_la_direct_nack(data)                                  (0x04000000&((data)<<26))
#define  CEC_RxCR0_rx_no_accept_command_data(data)                               (0x02000000&((data)<<25))
#define  CEC_RxCR0_rx_same_la_ack(data)                                          (0x01000000&((data)<<24))
#define  CEC_RxCR0_rx_clear_fifo_data_en(data)                                   (0x00800000&((data)<<23))
#define  CEC_RxCR0_rx_clear_fifo_data_mode(data)                                 (0x00400000&((data)<<22))
#define  CEC_RxCR0_rx_clear_fifo_data_fw(data)                                   (0x00200000&((data)<<21))
#define  CEC_RxCR0_standby_addr_sel(data)                                        (0x00100000&((data)<<20))
#define  CEC_RxCR0_standby_init_addr(data)                                       (0x000F0000&((data)<<16))
#define  CEC_RxCR0_rx_en(data)                                                   (0x00008000&((data)<<15))
#define  CEC_RxCR0_rx_rst(data)                                                  (0x00004000&((data)<<14))
#define  CEC_RxCR0_rx_continuous(data)                                           (0x00002000&((data)<<13))
#define  CEC_RxCR0_rx_int_en(data)                                               (0x00001000&((data)<<12))
#define  CEC_RxCR0_init_addr(data)                                               (0x00000F00&((data)<<8))
#define  CEC_RxCR0_rx_eom(data)                                                  (0x00000080&((data)<<7))
#define  CEC_RxCR0_rx_int(data)                                                  (0x00000040&((data)<<6))
#define  CEC_RxCR0_rx_fifo_ov(data)                                              (0x00000020&((data)<<5))
#define  CEC_RxCR0_rx_fifo_cnt(data)                                             (0x0000001F&(data))
#define  CEC_RxCR0_get_broadcast_addr(data)                                      ((0x80000000&(data))>>31)
#define  CEC_RxCR0_get_rx_same_la_direct_nack(data)                              ((0x04000000&(data))>>26)
#define  CEC_RxCR0_get_rx_no_accept_command_data(data)                           ((0x02000000&(data))>>25)
#define  CEC_RxCR0_get_rx_same_la_ack(data)                                      ((0x01000000&(data))>>24)
#define  CEC_RxCR0_get_rx_clear_fifo_data_en(data)                               ((0x00800000&(data))>>23)
#define  CEC_RxCR0_get_rx_clear_fifo_data_mode(data)                             ((0x00400000&(data))>>22)
#define  CEC_RxCR0_get_rx_clear_fifo_data_fw(data)                               ((0x00200000&(data))>>21)
#define  CEC_RxCR0_get_standby_addr_sel(data)                                    ((0x00100000&(data))>>20)
#define  CEC_RxCR0_get_standby_init_addr(data)                                   ((0x000F0000&(data))>>16)
#define  CEC_RxCR0_get_rx_en(data)                                               ((0x00008000&(data))>>15)
#define  CEC_RxCR0_get_rx_rst(data)                                              ((0x00004000&(data))>>14)
#define  CEC_RxCR0_get_rx_continuous(data)                                       ((0x00002000&(data))>>13)
#define  CEC_RxCR0_get_rx_int_en(data)                                           ((0x00001000&(data))>>12)
#define  CEC_RxCR0_get_init_addr(data)                                           ((0x00000F00&(data))>>8)
#define  CEC_RxCR0_get_rx_eom(data)                                              ((0x00000080&(data))>>7)
#define  CEC_RxCR0_get_rx_int(data)                                              ((0x00000040&(data))>>6)
#define  CEC_RxCR0_get_rx_fifo_ov(data)                                          ((0x00000020&(data))>>5)
#define  CEC_RxCR0_get_rx_fifo_cnt(data)                                         (0x0000001F&(data))

#define  CEC_TxCR0                                                               0x18061E0C
#define  CEC_TxCR0_reg_addr                                                      "0xB8061E0C"
#define  CEC_TxCR0_reg                                                           0xB8061E0C
#define  CEC_TxCR0_inst_addr                                                     "0x0003"
#define  set_CEC_TxCR0_reg(data)                                                 (*((volatile unsigned int*)CEC_TxCR0_reg)=data)
#define  get_CEC_TxCR0_reg                                                       (*((volatile unsigned int*)CEC_TxCR0_reg))
#define  CEC_TxCR0_tx_addr_en_shift                                              (20)
#define  CEC_TxCR0_tx_addr_shift                                                 (16)
#define  CEC_TxCR0_tx_en_shift                                                   (15)
#define  CEC_TxCR0_tx_rst_shift                                                  (14)
#define  CEC_TxCR0_tx_continuous_shift                                           (13)
#define  CEC_TxCR0_tx_int_en_shift                                               (12)
#define  CEC_TxCR0_dest_addr_shift                                               (8)
#define  CEC_TxCR0_tx_eom_shift                                                  (7)
#define  CEC_TxCR0_tx_int_shift                                                  (6)
#define  CEC_TxCR0_tx_fifo_ud_shift                                              (5)
#define  CEC_TxCR0_tx_fifo_cnt_shift                                             (0)
#define  CEC_TxCR0_tx_addr_en_mask                                               (0x00100000)
#define  CEC_TxCR0_tx_addr_mask                                                  (0x000F0000)
#define  CEC_TxCR0_tx_en_mask                                                    (0x00008000)
#define  CEC_TxCR0_tx_rst_mask                                                   (0x00004000)
#define  CEC_TxCR0_tx_continuous_mask                                            (0x00002000)
#define  CEC_TxCR0_tx_int_en_mask                                                (0x00001000)
#define  CEC_TxCR0_dest_addr_mask                                                (0x00000F00)
#define  CEC_TxCR0_tx_eom_mask                                                   (0x00000080)
#define  CEC_TxCR0_tx_int_mask                                                   (0x00000040)
#define  CEC_TxCR0_tx_fifo_ud_mask                                               (0x00000020)
#define  CEC_TxCR0_tx_fifo_cnt_mask                                              (0x0000001F)
#define  CEC_TxCR0_tx_addr_en(data)                                              (0x00100000&((data)<<20))
#define  CEC_TxCR0_tx_addr(data)                                                 (0x000F0000&((data)<<16))
#define  CEC_TxCR0_tx_en(data)                                                   (0x00008000&((data)<<15))
#define  CEC_TxCR0_tx_rst(data)                                                  (0x00004000&((data)<<14))
#define  CEC_TxCR0_tx_continuous(data)                                           (0x00002000&((data)<<13))
#define  CEC_TxCR0_tx_int_en(data)                                               (0x00001000&((data)<<12))
#define  CEC_TxCR0_dest_addr(data)                                               (0x00000F00&((data)<<8))
#define  CEC_TxCR0_tx_eom(data)                                                  (0x00000080&((data)<<7))
#define  CEC_TxCR0_tx_int(data)                                                  (0x00000040&((data)<<6))
#define  CEC_TxCR0_tx_fifo_ud(data)                                              (0x00000020&((data)<<5))
#define  CEC_TxCR0_tx_fifo_cnt(data)                                             (0x0000001F&(data))
#define  CEC_TxCR0_get_tx_addr_en(data)                                          ((0x00100000&(data))>>20)
#define  CEC_TxCR0_get_tx_addr(data)                                             ((0x000F0000&(data))>>16)
#define  CEC_TxCR0_get_tx_en(data)                                               ((0x00008000&(data))>>15)
#define  CEC_TxCR0_get_tx_rst(data)                                              ((0x00004000&(data))>>14)
#define  CEC_TxCR0_get_tx_continuous(data)                                       ((0x00002000&(data))>>13)
#define  CEC_TxCR0_get_tx_int_en(data)                                           ((0x00001000&(data))>>12)
#define  CEC_TxCR0_get_dest_addr(data)                                           ((0x00000F00&(data))>>8)
#define  CEC_TxCR0_get_tx_eom(data)                                              ((0x00000080&(data))>>7)
#define  CEC_TxCR0_get_tx_int(data)                                              ((0x00000040&(data))>>6)
#define  CEC_TxCR0_get_tx_fifo_ud(data)                                          ((0x00000020&(data))>>5)
#define  CEC_TxCR0_get_tx_fifo_cnt(data)                                         (0x0000001F&(data))

#define  CEC_TxDR0                                                               0x18061E10
#define  CEC_TxDR0_reg_addr                                                      "0xB8061E10"
#define  CEC_TxDR0_reg                                                           0xB8061E10
#define  CEC_TxDR0_inst_addr                                                     "0x0004"
#define  set_CEC_TxDR0_reg(data)                                                 (*((volatile unsigned int*)CEC_TxDR0_reg)=data)
#define  get_CEC_TxDR0_reg                                                       (*((volatile unsigned int*)CEC_TxDR0_reg))
#define  CEC_TxDR0_tx_add_cnt_shift                                              (6)
#define  CEC_TxDR0_rx_sub_cnt_shift                                              (5)
#define  CEC_TxDR0_fifo_cnt_shift                                                (0)
#define  CEC_TxDR0_tx_add_cnt_mask                                               (0x00000040)
#define  CEC_TxDR0_rx_sub_cnt_mask                                               (0x00000020)
#define  CEC_TxDR0_fifo_cnt_mask                                                 (0x0000001F)
#define  CEC_TxDR0_tx_add_cnt(data)                                              (0x00000040&((data)<<6))
#define  CEC_TxDR0_rx_sub_cnt(data)                                              (0x00000020&((data)<<5))
#define  CEC_TxDR0_fifo_cnt(data)                                                (0x0000001F&(data))
#define  CEC_TxDR0_get_tx_add_cnt(data)                                          ((0x00000040&(data))>>6)
#define  CEC_TxDR0_get_rx_sub_cnt(data)                                          ((0x00000020&(data))>>5)
#define  CEC_TxDR0_get_fifo_cnt(data)                                            (0x0000001F&(data))

#define  CEC_TxDR1                                                               0x18061E14
#define  CEC_TxDR1_reg_addr                                                      "0xB8061E14"
#define  CEC_TxDR1_reg                                                           0xB8061E14
#define  CEC_TxDR1_inst_addr                                                     "0x0005"
#define  set_CEC_TxDR1_reg(data)                                                 (*((volatile unsigned int*)CEC_TxDR1_reg)=data)
#define  get_CEC_TxDR1_reg                                                       (*((volatile unsigned int*)CEC_TxDR1_reg))
#define  CEC_TxDR1_tx_fifo_0_shift                                               (24)
#define  CEC_TxDR1_tx_fifo_1_shift                                               (16)
#define  CEC_TxDR1_tx_fifo_2_shift                                               (8)
#define  CEC_TxDR1_tx_fifo_3_shift                                               (0)
#define  CEC_TxDR1_tx_fifo_0_mask                                                (0xFF000000)
#define  CEC_TxDR1_tx_fifo_1_mask                                                (0x00FF0000)
#define  CEC_TxDR1_tx_fifo_2_mask                                                (0x0000FF00)
#define  CEC_TxDR1_tx_fifo_3_mask                                                (0x000000FF)
#define  CEC_TxDR1_tx_fifo_0(data)                                               (0xFF000000&((data)<<24))
#define  CEC_TxDR1_tx_fifo_1(data)                                               (0x00FF0000&((data)<<16))
#define  CEC_TxDR1_tx_fifo_2(data)                                               (0x0000FF00&((data)<<8))
#define  CEC_TxDR1_tx_fifo_3(data)                                               (0x000000FF&(data))
#define  CEC_TxDR1_get_tx_fifo_0(data)                                           ((0xFF000000&(data))>>24)
#define  CEC_TxDR1_get_tx_fifo_1(data)                                           ((0x00FF0000&(data))>>16)
#define  CEC_TxDR1_get_tx_fifo_2(data)                                           ((0x0000FF00&(data))>>8)
#define  CEC_TxDR1_get_tx_fifo_3(data)                                           (0x000000FF&(data))

#define  CEC_TxDR2                                                               0x18061E18
#define  CEC_TxDR2_reg_addr                                                      "0xB8061E18"
#define  CEC_TxDR2_reg                                                           0xB8061E18
#define  CEC_TxDR2_inst_addr                                                     "0x0006"
#define  set_CEC_TxDR2_reg(data)                                                 (*((volatile unsigned int*)CEC_TxDR2_reg)=data)
#define  get_CEC_TxDR2_reg                                                       (*((volatile unsigned int*)CEC_TxDR2_reg))
#define  CEC_TxDR2_tx_fifo_4_shift                                               (24)
#define  CEC_TxDR2_tx_fifo_5_shift                                               (16)
#define  CEC_TxDR2_tx_fifo_6_shift                                               (8)
#define  CEC_TxDR2_tx_fifo_7_shift                                               (0)
#define  CEC_TxDR2_tx_fifo_4_mask                                                (0xFF000000)
#define  CEC_TxDR2_tx_fifo_5_mask                                                (0x00FF0000)
#define  CEC_TxDR2_tx_fifo_6_mask                                                (0x0000FF00)
#define  CEC_TxDR2_tx_fifo_7_mask                                                (0x000000FF)
#define  CEC_TxDR2_tx_fifo_4(data)                                               (0xFF000000&((data)<<24))
#define  CEC_TxDR2_tx_fifo_5(data)                                               (0x00FF0000&((data)<<16))
#define  CEC_TxDR2_tx_fifo_6(data)                                               (0x0000FF00&((data)<<8))
#define  CEC_TxDR2_tx_fifo_7(data)                                               (0x000000FF&(data))
#define  CEC_TxDR2_get_tx_fifo_4(data)                                           ((0xFF000000&(data))>>24)
#define  CEC_TxDR2_get_tx_fifo_5(data)                                           ((0x00FF0000&(data))>>16)
#define  CEC_TxDR2_get_tx_fifo_6(data)                                           ((0x0000FF00&(data))>>8)
#define  CEC_TxDR2_get_tx_fifo_7(data)                                           (0x000000FF&(data))

#define  CEC_TxDR3                                                               0x18061E1C
#define  CEC_TxDR3_reg_addr                                                      "0xB8061E1C"
#define  CEC_TxDR3_reg                                                           0xB8061E1C
#define  CEC_TxDR3_inst_addr                                                     "0x0007"
#define  set_CEC_TxDR3_reg(data)                                                 (*((volatile unsigned int*)CEC_TxDR3_reg)=data)
#define  get_CEC_TxDR3_reg                                                       (*((volatile unsigned int*)CEC_TxDR3_reg))
#define  CEC_TxDR3_tx_fifo_8_shift                                               (24)
#define  CEC_TxDR3_tx_fifo_9_shift                                               (16)
#define  CEC_TxDR3_tx_fifo_a_shift                                               (8)
#define  CEC_TxDR3_tx_fifo_b_shift                                               (0)
#define  CEC_TxDR3_tx_fifo_8_mask                                                (0xFF000000)
#define  CEC_TxDR3_tx_fifo_9_mask                                                (0x00FF0000)
#define  CEC_TxDR3_tx_fifo_a_mask                                                (0x0000FF00)
#define  CEC_TxDR3_tx_fifo_b_mask                                                (0x000000FF)
#define  CEC_TxDR3_tx_fifo_8(data)                                               (0xFF000000&((data)<<24))
#define  CEC_TxDR3_tx_fifo_9(data)                                               (0x00FF0000&((data)<<16))
#define  CEC_TxDR3_tx_fifo_a(data)                                               (0x0000FF00&((data)<<8))
#define  CEC_TxDR3_tx_fifo_b(data)                                               (0x000000FF&(data))
#define  CEC_TxDR3_get_tx_fifo_8(data)                                           ((0xFF000000&(data))>>24)
#define  CEC_TxDR3_get_tx_fifo_9(data)                                           ((0x00FF0000&(data))>>16)
#define  CEC_TxDR3_get_tx_fifo_a(data)                                           ((0x0000FF00&(data))>>8)
#define  CEC_TxDR3_get_tx_fifo_b(data)                                           (0x000000FF&(data))

#define  CEC_TxDR4                                                               0x18061E20
#define  CEC_TxDR4_reg_addr                                                      "0xB8061E20"
#define  CEC_TxDR4_reg                                                           0xB8061E20
#define  CEC_TxDR4_inst_addr                                                     "0x0008"
#define  set_CEC_TxDR4_reg(data)                                                 (*((volatile unsigned int*)CEC_TxDR4_reg)=data)
#define  get_CEC_TxDR4_reg                                                       (*((volatile unsigned int*)CEC_TxDR4_reg))
#define  CEC_TxDR4_tx_fifo_c_shift                                               (24)
#define  CEC_TxDR4_tx_fifo_d_shift                                               (16)
#define  CEC_TxDR4_tx_fifo_e_shift                                               (8)
#define  CEC_TxDR4_tx_fifo_f_shift                                               (0)
#define  CEC_TxDR4_tx_fifo_c_mask                                                (0xFF000000)
#define  CEC_TxDR4_tx_fifo_d_mask                                                (0x00FF0000)
#define  CEC_TxDR4_tx_fifo_e_mask                                                (0x0000FF00)
#define  CEC_TxDR4_tx_fifo_f_mask                                                (0x000000FF)
#define  CEC_TxDR4_tx_fifo_c(data)                                               (0xFF000000&((data)<<24))
#define  CEC_TxDR4_tx_fifo_d(data)                                               (0x00FF0000&((data)<<16))
#define  CEC_TxDR4_tx_fifo_e(data)                                               (0x0000FF00&((data)<<8))
#define  CEC_TxDR4_tx_fifo_f(data)                                               (0x000000FF&(data))
#define  CEC_TxDR4_get_tx_fifo_c(data)                                           ((0xFF000000&(data))>>24)
#define  CEC_TxDR4_get_tx_fifo_d(data)                                           ((0x00FF0000&(data))>>16)
#define  CEC_TxDR4_get_tx_fifo_e(data)                                           ((0x0000FF00&(data))>>8)
#define  CEC_TxDR4_get_tx_fifo_f(data)                                           (0x000000FF&(data))

#define  CEC_RxDR1                                                               0x18061E24
#define  CEC_RxDR1_reg_addr                                                      "0xB8061E24"
#define  CEC_RxDR1_reg                                                           0xB8061E24
#define  CEC_RxDR1_inst_addr                                                     "0x0009"
#define  set_CEC_RxDR1_reg(data)                                                 (*((volatile unsigned int*)CEC_RxDR1_reg)=data)
#define  get_CEC_RxDR1_reg                                                       (*((volatile unsigned int*)CEC_RxDR1_reg))
#define  CEC_RxDR1_rx_fifo_0_shift                                               (24)
#define  CEC_RxDR1_rx_fifo_1_shift                                               (16)
#define  CEC_RxDR1_rx_fifo_2_shift                                               (8)
#define  CEC_RxDR1_rx_fifo_3_shift                                               (0)
#define  CEC_RxDR1_rx_fifo_0_mask                                                (0xFF000000)
#define  CEC_RxDR1_rx_fifo_1_mask                                                (0x00FF0000)
#define  CEC_RxDR1_rx_fifo_2_mask                                                (0x0000FF00)
#define  CEC_RxDR1_rx_fifo_3_mask                                                (0x000000FF)
#define  CEC_RxDR1_rx_fifo_0(data)                                               (0xFF000000&((data)<<24))
#define  CEC_RxDR1_rx_fifo_1(data)                                               (0x00FF0000&((data)<<16))
#define  CEC_RxDR1_rx_fifo_2(data)                                               (0x0000FF00&((data)<<8))
#define  CEC_RxDR1_rx_fifo_3(data)                                               (0x000000FF&(data))
#define  CEC_RxDR1_get_rx_fifo_0(data)                                           ((0xFF000000&(data))>>24)
#define  CEC_RxDR1_get_rx_fifo_1(data)                                           ((0x00FF0000&(data))>>16)
#define  CEC_RxDR1_get_rx_fifo_2(data)                                           ((0x0000FF00&(data))>>8)
#define  CEC_RxDR1_get_rx_fifo_3(data)                                           (0x000000FF&(data))

#define  CEC_RxDR2                                                               0x18061E28
#define  CEC_RxDR2_reg_addr                                                      "0xB8061E28"
#define  CEC_RxDR2_reg                                                           0xB8061E28
#define  CEC_RxDR2_inst_addr                                                     "0x000A"
#define  set_CEC_RxDR2_reg(data)                                                 (*((volatile unsigned int*)CEC_RxDR2_reg)=data)
#define  get_CEC_RxDR2_reg                                                       (*((volatile unsigned int*)CEC_RxDR2_reg))
#define  CEC_RxDR2_rx_fifo_4_shift                                               (24)
#define  CEC_RxDR2_rx_fifo_5_shift                                               (16)
#define  CEC_RxDR2_rx_fifo_6_shift                                               (8)
#define  CEC_RxDR2_rx_fifo_7_shift                                               (0)
#define  CEC_RxDR2_rx_fifo_4_mask                                                (0xFF000000)
#define  CEC_RxDR2_rx_fifo_5_mask                                                (0x00FF0000)
#define  CEC_RxDR2_rx_fifo_6_mask                                                (0x0000FF00)
#define  CEC_RxDR2_rx_fifo_7_mask                                                (0x000000FF)
#define  CEC_RxDR2_rx_fifo_4(data)                                               (0xFF000000&((data)<<24))
#define  CEC_RxDR2_rx_fifo_5(data)                                               (0x00FF0000&((data)<<16))
#define  CEC_RxDR2_rx_fifo_6(data)                                               (0x0000FF00&((data)<<8))
#define  CEC_RxDR2_rx_fifo_7(data)                                               (0x000000FF&(data))
#define  CEC_RxDR2_get_rx_fifo_4(data)                                           ((0xFF000000&(data))>>24)
#define  CEC_RxDR2_get_rx_fifo_5(data)                                           ((0x00FF0000&(data))>>16)
#define  CEC_RxDR2_get_rx_fifo_6(data)                                           ((0x0000FF00&(data))>>8)
#define  CEC_RxDR2_get_rx_fifo_7(data)                                           (0x000000FF&(data))

#define  CEC_RxDR3                                                               0x18061E2C
#define  CEC_RxDR3_reg_addr                                                      "0xB8061E2C"
#define  CEC_RxDR3_reg                                                           0xB8061E2C
#define  CEC_RxDR3_inst_addr                                                     "0x000B"
#define  set_CEC_RxDR3_reg(data)                                                 (*((volatile unsigned int*)CEC_RxDR3_reg)=data)
#define  get_CEC_RxDR3_reg                                                       (*((volatile unsigned int*)CEC_RxDR3_reg))
#define  CEC_RxDR3_rx_fifo_8_shift                                               (24)
#define  CEC_RxDR3_rx_fifo_9_shift                                               (16)
#define  CEC_RxDR3_rx_fifo_a_shift                                               (8)
#define  CEC_RxDR3_rx_fifo_b_shift                                               (0)
#define  CEC_RxDR3_rx_fifo_8_mask                                                (0xFF000000)
#define  CEC_RxDR3_rx_fifo_9_mask                                                (0x00FF0000)
#define  CEC_RxDR3_rx_fifo_a_mask                                                (0x0000FF00)
#define  CEC_RxDR3_rx_fifo_b_mask                                                (0x000000FF)
#define  CEC_RxDR3_rx_fifo_8(data)                                               (0xFF000000&((data)<<24))
#define  CEC_RxDR3_rx_fifo_9(data)                                               (0x00FF0000&((data)<<16))
#define  CEC_RxDR3_rx_fifo_a(data)                                               (0x0000FF00&((data)<<8))
#define  CEC_RxDR3_rx_fifo_b(data)                                               (0x000000FF&(data))
#define  CEC_RxDR3_get_rx_fifo_8(data)                                           ((0xFF000000&(data))>>24)
#define  CEC_RxDR3_get_rx_fifo_9(data)                                           ((0x00FF0000&(data))>>16)
#define  CEC_RxDR3_get_rx_fifo_a(data)                                           ((0x0000FF00&(data))>>8)
#define  CEC_RxDR3_get_rx_fifo_b(data)                                           (0x000000FF&(data))

#define  CEC_RxDR4                                                               0x18061E30
#define  CEC_RxDR4_reg_addr                                                      "0xB8061E30"
#define  CEC_RxDR4_reg                                                           0xB8061E30
#define  CEC_RxDR4_inst_addr                                                     "0x000C"
#define  set_CEC_RxDR4_reg(data)                                                 (*((volatile unsigned int*)CEC_RxDR4_reg)=data)
#define  get_CEC_RxDR4_reg                                                       (*((volatile unsigned int*)CEC_RxDR4_reg))
#define  CEC_RxDR4_rx_fifo_c_shift                                               (24)
#define  CEC_RxDR4_rx_fifo_d_shift                                               (16)
#define  CEC_RxDR4_rx_fifo_e_shift                                               (8)
#define  CEC_RxDR4_rx_fifo_f_shift                                               (0)
#define  CEC_RxDR4_rx_fifo_c_mask                                                (0xFF000000)
#define  CEC_RxDR4_rx_fifo_d_mask                                                (0x00FF0000)
#define  CEC_RxDR4_rx_fifo_e_mask                                                (0x0000FF00)
#define  CEC_RxDR4_rx_fifo_f_mask                                                (0x000000FF)
#define  CEC_RxDR4_rx_fifo_c(data)                                               (0xFF000000&((data)<<24))
#define  CEC_RxDR4_rx_fifo_d(data)                                               (0x00FF0000&((data)<<16))
#define  CEC_RxDR4_rx_fifo_e(data)                                               (0x0000FF00&((data)<<8))
#define  CEC_RxDR4_rx_fifo_f(data)                                               (0x000000FF&(data))
#define  CEC_RxDR4_get_rx_fifo_c(data)                                           ((0xFF000000&(data))>>24)
#define  CEC_RxDR4_get_rx_fifo_d(data)                                           ((0x00FF0000&(data))>>16)
#define  CEC_RxDR4_get_rx_fifo_e(data)                                           ((0x0000FF00&(data))>>8)
#define  CEC_RxDR4_get_rx_fifo_f(data)                                           (0x000000FF&(data))

#define  CEC_RxTCR0                                                              0x18061E34
#define  CEC_RxTCR0_reg_addr                                                     "0xB8061E34"
#define  CEC_RxTCR0_reg                                                          0xB8061E34
#define  CEC_RxTCR0_inst_addr                                                    "0x000D"
#define  set_CEC_RxTCR0_reg(data)                                                (*((volatile unsigned int*)CEC_RxTCR0_reg)=data)
#define  get_CEC_RxTCR0_reg                                                      (*((volatile unsigned int*)CEC_RxTCR0_reg))
#define  CEC_RxTCR0_rx_start_low_shift                                           (24)
#define  CEC_RxTCR0_rx_start_period_shift                                        (16)
#define  CEC_RxTCR0_rx_data_sample_shift                                         (8)
#define  CEC_RxTCR0_rx_data_period_shift                                         (0)
#define  CEC_RxTCR0_rx_start_low_mask                                            (0xFF000000)
#define  CEC_RxTCR0_rx_start_period_mask                                         (0x00FF0000)
#define  CEC_RxTCR0_rx_data_sample_mask                                          (0x0000FF00)
#define  CEC_RxTCR0_rx_data_period_mask                                          (0x000000FF)
#define  CEC_RxTCR0_rx_start_low(data)                                           (0xFF000000&((data)<<24))
#define  CEC_RxTCR0_rx_start_period(data)                                        (0x00FF0000&((data)<<16))
#define  CEC_RxTCR0_rx_data_sample(data)                                         (0x0000FF00&((data)<<8))
#define  CEC_RxTCR0_rx_data_period(data)                                         (0x000000FF&(data))
#define  CEC_RxTCR0_get_rx_start_low(data)                                       ((0xFF000000&(data))>>24)
#define  CEC_RxTCR0_get_rx_start_period(data)                                    ((0x00FF0000&(data))>>16)
#define  CEC_RxTCR0_get_rx_data_sample(data)                                     ((0x0000FF00&(data))>>8)
#define  CEC_RxTCR0_get_rx_data_period(data)                                     (0x000000FF&(data))

#define  CEC_RxTCR1                                                              0x18061EE0
#define  CEC_RxTCR1_reg_addr                                                     "0xB8061EE0"
#define  CEC_RxTCR1_reg                                                          0xB8061EE0
#define  CEC_RxTCR1_inst_addr                                                    "0x000E"
#define  set_CEC_RxTCR1_reg(data)                                                (*((volatile unsigned int*)CEC_RxTCR1_reg)=data)
#define  get_CEC_RxTCR1_reg                                                      (*((volatile unsigned int*)CEC_RxTCR1_reg))
#define  CEC_RxTCR1_rx_data_period_chk_shift                                     (8)
#define  CEC_RxTCR1_rx_start_high_shift                                          (0)
#define  CEC_RxTCR1_rx_data_period_chk_mask                                      (0x0000FF00)
#define  CEC_RxTCR1_rx_start_high_mask                                           (0x000000FF)
#define  CEC_RxTCR1_rx_data_period_chk(data)                                     (0x0000FF00&((data)<<8))
#define  CEC_RxTCR1_rx_start_high(data)                                          (0x000000FF&(data))
#define  CEC_RxTCR1_get_rx_data_period_chk(data)                                 ((0x0000FF00&(data))>>8)
#define  CEC_RxTCR1_get_rx_start_high(data)                                      (0x000000FF&(data))

#define  CEC_TxTCR0                                                              0x18061E38
#define  CEC_TxTCR0_reg_addr                                                     "0xB8061E38"
#define  CEC_TxTCR0_reg                                                          0xB8061E38
#define  CEC_TxTCR0_inst_addr                                                    "0x000F"
#define  set_CEC_TxTCR0_reg(data)                                                (*((volatile unsigned int*)CEC_TxTCR0_reg)=data)
#define  get_CEC_TxTCR0_reg                                                      (*((volatile unsigned int*)CEC_TxTCR0_reg))
#define  CEC_TxTCR0_tx_start_low_shift                                           (8)
#define  CEC_TxTCR0_tx_start_high_shift                                          (0)
#define  CEC_TxTCR0_tx_start_low_mask                                            (0x0000FF00)
#define  CEC_TxTCR0_tx_start_high_mask                                           (0x000000FF)
#define  CEC_TxTCR0_tx_start_low(data)                                           (0x0000FF00&((data)<<8))
#define  CEC_TxTCR0_tx_start_high(data)                                          (0x000000FF&(data))
#define  CEC_TxTCR0_get_tx_start_low(data)                                       ((0x0000FF00&(data))>>8)
#define  CEC_TxTCR0_get_tx_start_high(data)                                      (0x000000FF&(data))

#define  CEC_TxTCR1                                                              0x18061E3C
#define  CEC_TxTCR1_reg_addr                                                     "0xB8061E3C"
#define  CEC_TxTCR1_reg                                                          0xB8061E3C
#define  CEC_TxTCR1_inst_addr                                                    "0x0010"
#define  set_CEC_TxTCR1_reg(data)                                                (*((volatile unsigned int*)CEC_TxTCR1_reg)=data)
#define  get_CEC_TxTCR1_reg                                                      (*((volatile unsigned int*)CEC_TxTCR1_reg))
#define  CEC_TxTCR1_tx_data_low_shift                                            (16)
#define  CEC_TxTCR1_tx_data_01_shift                                             (8)
#define  CEC_TxTCR1_tx_data_high_shift                                           (0)
#define  CEC_TxTCR1_tx_data_low_mask                                             (0x00FF0000)
#define  CEC_TxTCR1_tx_data_01_mask                                              (0x0000FF00)
#define  CEC_TxTCR1_tx_data_high_mask                                            (0x000000FF)
#define  CEC_TxTCR1_tx_data_low(data)                                            (0x00FF0000&((data)<<16))
#define  CEC_TxTCR1_tx_data_01(data)                                             (0x0000FF00&((data)<<8))
#define  CEC_TxTCR1_tx_data_high(data)                                           (0x000000FF&(data))
#define  CEC_TxTCR1_get_tx_data_low(data)                                        ((0x00FF0000&(data))>>16)
#define  CEC_TxTCR1_get_tx_data_01(data)                                         ((0x0000FF00&(data))>>8)
#define  CEC_TxTCR1_get_tx_data_high(data)                                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_01                                                   0x18061E40
#define  CEC_COMPARE_OPCODE_01_reg_addr                                          "0xB8061E40"
#define  CEC_COMPARE_OPCODE_01_reg                                               0xB8061E40
#define  CEC_COMPARE_OPCODE_01_inst_addr                                         "0x0011"
#define  set_CEC_COMPARE_OPCODE_01_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_01_reg)=data)
#define  get_CEC_COMPARE_OPCODE_01_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_01_reg))
#define  CEC_COMPARE_OPCODE_01_compare_opcode_01_shift                           (0)
#define  CEC_COMPARE_OPCODE_01_compare_opcode_01_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_01_compare_opcode_01(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_01_get_compare_opcode_01(data)                       (0x000000FF&(data))

#define  CEC_SEND_OPCODE_01                                                      0x18061E44
#define  CEC_SEND_OPCODE_01_reg_addr                                             "0xB8061E44"
#define  CEC_SEND_OPCODE_01_reg                                                  0xB8061E44
#define  CEC_SEND_OPCODE_01_inst_addr                                            "0x0012"
#define  set_CEC_SEND_OPCODE_01_reg(data)                                        (*((volatile unsigned int*)CEC_SEND_OPCODE_01_reg)=data)
#define  get_CEC_SEND_OPCODE_01_reg                                              (*((volatile unsigned int*)CEC_SEND_OPCODE_01_reg))
#define  CEC_SEND_OPCODE_01_send_init_address_01_shift                           (12)
#define  CEC_SEND_OPCODE_01_init_address_01_shift                                (8)
#define  CEC_SEND_OPCODE_01_send_opcode_01_shift                                 (0)
#define  CEC_SEND_OPCODE_01_send_init_address_01_mask                            (0x00001000)
#define  CEC_SEND_OPCODE_01_init_address_01_mask                                 (0x00000F00)
#define  CEC_SEND_OPCODE_01_send_opcode_01_mask                                  (0x000000FF)
#define  CEC_SEND_OPCODE_01_send_init_address_01(data)                           (0x00001000&((data)<<12))
#define  CEC_SEND_OPCODE_01_init_address_01(data)                                (0x00000F00&((data)<<8))
#define  CEC_SEND_OPCODE_01_send_opcode_01(data)                                 (0x000000FF&(data))
#define  CEC_SEND_OPCODE_01_get_send_init_address_01(data)                       ((0x00001000&(data))>>12)
#define  CEC_SEND_OPCODE_01_get_init_address_01(data)                            ((0x00000F00&(data))>>8)
#define  CEC_SEND_OPCODE_01_get_send_opcode_01(data)                             (0x000000FF&(data))

#define  CEC_SEND_OPERAND_NUMBER_01                                              0x18061E48
#define  CEC_SEND_OPERAND_NUMBER_01_reg_addr                                     "0xB8061E48"
#define  CEC_SEND_OPERAND_NUMBER_01_reg                                          0xB8061E48
#define  CEC_SEND_OPERAND_NUMBER_01_inst_addr                                    "0x0013"
#define  set_CEC_SEND_OPERAND_NUMBER_01_reg(data)                                (*((volatile unsigned int*)CEC_SEND_OPERAND_NUMBER_01_reg)=data)
#define  get_CEC_SEND_OPERAND_NUMBER_01_reg                                      (*((volatile unsigned int*)CEC_SEND_OPERAND_NUMBER_01_reg))
#define  CEC_SEND_OPERAND_NUMBER_01_operand_number_01_shift                      (0)
#define  CEC_SEND_OPERAND_NUMBER_01_operand_number_01_mask                       (0x00000003)
#define  CEC_SEND_OPERAND_NUMBER_01_operand_number_01(data)                      (0x00000003&(data))
#define  CEC_SEND_OPERAND_NUMBER_01_get_operand_number_01(data)                  (0x00000003&(data))

#define  CEC_OPERAND_01                                                          0x18061E4C
#define  CEC_OPERAND_01_reg_addr                                                 "0xB8061E4C"
#define  CEC_OPERAND_01_reg                                                      0xB8061E4C
#define  CEC_OPERAND_01_inst_addr                                                "0x0014"
#define  set_CEC_OPERAND_01_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_01_reg)=data)
#define  get_CEC_OPERAND_01_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_01_reg))
#define  CEC_OPERAND_01_operand_01_shift                                         (0)
#define  CEC_OPERAND_01_operand_01_mask                                          (0x000000FF)
#define  CEC_OPERAND_01_operand_01(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_01_get_operand_01(data)                                     (0x000000FF&(data))

#define  CEC_OPERAND_02                                                          0x18061E50
#define  CEC_OPERAND_02_reg_addr                                                 "0xB8061E50"
#define  CEC_OPERAND_02_reg                                                      0xB8061E50
#define  CEC_OPERAND_02_inst_addr                                                "0x0015"
#define  set_CEC_OPERAND_02_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_02_reg)=data)
#define  get_CEC_OPERAND_02_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_02_reg))
#define  CEC_OPERAND_02_operand_02_shift                                         (0)
#define  CEC_OPERAND_02_operand_02_mask                                          (0x000000FF)
#define  CEC_OPERAND_02_operand_02(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_02_get_operand_02(data)                                     (0x000000FF&(data))

#define  CEC_OPERAND_03                                                          0x18061E54
#define  CEC_OPERAND_03_reg_addr                                                 "0xB8061E54"
#define  CEC_OPERAND_03_reg                                                      0xB8061E54
#define  CEC_OPERAND_03_inst_addr                                                "0x0016"
#define  set_CEC_OPERAND_03_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_03_reg)=data)
#define  get_CEC_OPERAND_03_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_03_reg))
#define  CEC_OPERAND_03_operand_03_shift                                         (0)
#define  CEC_OPERAND_03_operand_03_mask                                          (0x000000FF)
#define  CEC_OPERAND_03_operand_03(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_03_get_operand_03(data)                                     (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_02                                                   0x18061E58
#define  CEC_COMPARE_OPCODE_02_reg_addr                                          "0xB8061E58"
#define  CEC_COMPARE_OPCODE_02_reg                                               0xB8061E58
#define  CEC_COMPARE_OPCODE_02_inst_addr                                         "0x0017"
#define  set_CEC_COMPARE_OPCODE_02_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_02_reg)=data)
#define  get_CEC_COMPARE_OPCODE_02_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_02_reg))
#define  CEC_COMPARE_OPCODE_02_compare_opcode_02_shift                           (0)
#define  CEC_COMPARE_OPCODE_02_compare_opcode_02_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_02_compare_opcode_02(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_02_get_compare_opcode_02(data)                       (0x000000FF&(data))

#define  CEC_SEND_OPCODE_02                                                      0x18061E5C
#define  CEC_SEND_OPCODE_02_reg_addr                                             "0xB8061E5C"
#define  CEC_SEND_OPCODE_02_reg                                                  0xB8061E5C
#define  CEC_SEND_OPCODE_02_inst_addr                                            "0x0018"
#define  set_CEC_SEND_OPCODE_02_reg(data)                                        (*((volatile unsigned int*)CEC_SEND_OPCODE_02_reg)=data)
#define  get_CEC_SEND_OPCODE_02_reg                                              (*((volatile unsigned int*)CEC_SEND_OPCODE_02_reg))
#define  CEC_SEND_OPCODE_02_send_init_address_02_shift                           (12)
#define  CEC_SEND_OPCODE_02_init_address_02_shift                                (8)
#define  CEC_SEND_OPCODE_02_send_opcode_02_shift                                 (0)
#define  CEC_SEND_OPCODE_02_send_init_address_02_mask                            (0x00001000)
#define  CEC_SEND_OPCODE_02_init_address_02_mask                                 (0x00000F00)
#define  CEC_SEND_OPCODE_02_send_opcode_02_mask                                  (0x000000FF)
#define  CEC_SEND_OPCODE_02_send_init_address_02(data)                           (0x00001000&((data)<<12))
#define  CEC_SEND_OPCODE_02_init_address_02(data)                                (0x00000F00&((data)<<8))
#define  CEC_SEND_OPCODE_02_send_opcode_02(data)                                 (0x000000FF&(data))
#define  CEC_SEND_OPCODE_02_get_send_init_address_02(data)                       ((0x00001000&(data))>>12)
#define  CEC_SEND_OPCODE_02_get_init_address_02(data)                            ((0x00000F00&(data))>>8)
#define  CEC_SEND_OPCODE_02_get_send_opcode_02(data)                             (0x000000FF&(data))

#define  CEC_SEND_OPERAND_NUMBER_02                                              0x18061E60
#define  CEC_SEND_OPERAND_NUMBER_02_reg_addr                                     "0xB8061E60"
#define  CEC_SEND_OPERAND_NUMBER_02_reg                                          0xB8061E60
#define  CEC_SEND_OPERAND_NUMBER_02_inst_addr                                    "0x0019"
#define  set_CEC_SEND_OPERAND_NUMBER_02_reg(data)                                (*((volatile unsigned int*)CEC_SEND_OPERAND_NUMBER_02_reg)=data)
#define  get_CEC_SEND_OPERAND_NUMBER_02_reg                                      (*((volatile unsigned int*)CEC_SEND_OPERAND_NUMBER_02_reg))
#define  CEC_SEND_OPERAND_NUMBER_02_operand_number_02_shift                      (0)
#define  CEC_SEND_OPERAND_NUMBER_02_operand_number_02_mask                       (0x00000003)
#define  CEC_SEND_OPERAND_NUMBER_02_operand_number_02(data)                      (0x00000003&(data))
#define  CEC_SEND_OPERAND_NUMBER_02_get_operand_number_02(data)                  (0x00000003&(data))

#define  CEC_OPERAND_04                                                          0x18061E64
#define  CEC_OPERAND_04_reg_addr                                                 "0xB8061E64"
#define  CEC_OPERAND_04_reg                                                      0xB8061E64
#define  CEC_OPERAND_04_inst_addr                                                "0x001A"
#define  set_CEC_OPERAND_04_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_04_reg)=data)
#define  get_CEC_OPERAND_04_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_04_reg))
#define  CEC_OPERAND_04_operand_04_shift                                         (0)
#define  CEC_OPERAND_04_operand_04_mask                                          (0x000000FF)
#define  CEC_OPERAND_04_operand_04(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_04_get_operand_04(data)                                     (0x000000FF&(data))

#define  CEC_OPERAND_05                                                          0x18061E68
#define  CEC_OPERAND_05_reg_addr                                                 "0xB8061E68"
#define  CEC_OPERAND_05_reg                                                      0xB8061E68
#define  CEC_OPERAND_05_inst_addr                                                "0x001B"
#define  set_CEC_OPERAND_05_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_05_reg)=data)
#define  get_CEC_OPERAND_05_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_05_reg))
#define  CEC_OPERAND_05_operand_05_shift                                         (0)
#define  CEC_OPERAND_05_operand_05_mask                                          (0x000000FF)
#define  CEC_OPERAND_05_operand_05(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_05_get_operand_05(data)                                     (0x000000FF&(data))

#define  CEC_OPERAND_06                                                          0x18061E6C
#define  CEC_OPERAND_06_reg_addr                                                 "0xB8061E6C"
#define  CEC_OPERAND_06_reg                                                      0xB8061E6C
#define  CEC_OPERAND_06_inst_addr                                                "0x001C"
#define  set_CEC_OPERAND_06_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_06_reg)=data)
#define  get_CEC_OPERAND_06_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_06_reg))
#define  CEC_OPERAND_06_operand_06_shift                                         (0)
#define  CEC_OPERAND_06_operand_06_mask                                          (0x000000FF)
#define  CEC_OPERAND_06_operand_06(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_06_get_operand_06(data)                                     (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_03                                                   0x18061E70
#define  CEC_COMPARE_OPCODE_03_reg_addr                                          "0xB8061E70"
#define  CEC_COMPARE_OPCODE_03_reg                                               0xB8061E70
#define  CEC_COMPARE_OPCODE_03_inst_addr                                         "0x001D"
#define  set_CEC_COMPARE_OPCODE_03_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_03_reg)=data)
#define  get_CEC_COMPARE_OPCODE_03_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_03_reg))
#define  CEC_COMPARE_OPCODE_03_compare_opcode_03_shift                           (0)
#define  CEC_COMPARE_OPCODE_03_compare_opcode_03_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_03_compare_opcode_03(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_03_get_compare_opcode_03(data)                       (0x000000FF&(data))

#define  CEC_SEND_OPCODE_03                                                      0x18061E74
#define  CEC_SEND_OPCODE_03_reg_addr                                             "0xB8061E74"
#define  CEC_SEND_OPCODE_03_reg                                                  0xB8061E74
#define  CEC_SEND_OPCODE_03_inst_addr                                            "0x001E"
#define  set_CEC_SEND_OPCODE_03_reg(data)                                        (*((volatile unsigned int*)CEC_SEND_OPCODE_03_reg)=data)
#define  get_CEC_SEND_OPCODE_03_reg                                              (*((volatile unsigned int*)CEC_SEND_OPCODE_03_reg))
#define  CEC_SEND_OPCODE_03_send_init_address_03_shift                           (12)
#define  CEC_SEND_OPCODE_03_init_address_03_shift                                (8)
#define  CEC_SEND_OPCODE_03_send_opcode_03_shift                                 (0)
#define  CEC_SEND_OPCODE_03_send_init_address_03_mask                            (0x00001000)
#define  CEC_SEND_OPCODE_03_init_address_03_mask                                 (0x00000F00)
#define  CEC_SEND_OPCODE_03_send_opcode_03_mask                                  (0x000000FF)
#define  CEC_SEND_OPCODE_03_send_init_address_03(data)                           (0x00001000&((data)<<12))
#define  CEC_SEND_OPCODE_03_init_address_03(data)                                (0x00000F00&((data)<<8))
#define  CEC_SEND_OPCODE_03_send_opcode_03(data)                                 (0x000000FF&(data))
#define  CEC_SEND_OPCODE_03_get_send_init_address_03(data)                       ((0x00001000&(data))>>12)
#define  CEC_SEND_OPCODE_03_get_init_address_03(data)                            ((0x00000F00&(data))>>8)
#define  CEC_SEND_OPCODE_03_get_send_opcode_03(data)                             (0x000000FF&(data))

#define  CEC_SEND_OPERAND_NUMBER_03                                              0x18061E78
#define  CEC_SEND_OPERAND_NUMBER_03_reg_addr                                     "0xB8061E78"
#define  CEC_SEND_OPERAND_NUMBER_03_reg                                          0xB8061E78
#define  CEC_SEND_OPERAND_NUMBER_03_inst_addr                                    "0x001F"
#define  set_CEC_SEND_OPERAND_NUMBER_03_reg(data)                                (*((volatile unsigned int*)CEC_SEND_OPERAND_NUMBER_03_reg)=data)
#define  get_CEC_SEND_OPERAND_NUMBER_03_reg                                      (*((volatile unsigned int*)CEC_SEND_OPERAND_NUMBER_03_reg))
#define  CEC_SEND_OPERAND_NUMBER_03_operand_number_03_shift                      (0)
#define  CEC_SEND_OPERAND_NUMBER_03_operand_number_03_mask                       (0x00000003)
#define  CEC_SEND_OPERAND_NUMBER_03_operand_number_03(data)                      (0x00000003&(data))
#define  CEC_SEND_OPERAND_NUMBER_03_get_operand_number_03(data)                  (0x00000003&(data))

#define  CEC_OPERAND_07                                                          0x18061E7C
#define  CEC_OPERAND_07_reg_addr                                                 "0xB8061E7C"
#define  CEC_OPERAND_07_reg                                                      0xB8061E7C
#define  CEC_OPERAND_07_inst_addr                                                "0x0020"
#define  set_CEC_OPERAND_07_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_07_reg)=data)
#define  get_CEC_OPERAND_07_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_07_reg))
#define  CEC_OPERAND_07_operand_07_shift                                         (0)
#define  CEC_OPERAND_07_operand_07_mask                                          (0x000000FF)
#define  CEC_OPERAND_07_operand_07(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_07_get_operand_07(data)                                     (0x000000FF&(data))

#define  CEC_OPERAND_08                                                          0x18061E80
#define  CEC_OPERAND_08_reg_addr                                                 "0xB8061E80"
#define  CEC_OPERAND_08_reg                                                      0xB8061E80
#define  CEC_OPERAND_08_inst_addr                                                "0x0021"
#define  set_CEC_OPERAND_08_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_08_reg)=data)
#define  get_CEC_OPERAND_08_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_08_reg))
#define  CEC_OPERAND_08_operand_08_shift                                         (0)
#define  CEC_OPERAND_08_operand_08_mask                                          (0x000000FF)
#define  CEC_OPERAND_08_operand_08(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_08_get_operand_08(data)                                     (0x000000FF&(data))

#define  CEC_OPERAND_09                                                          0x18061E84
#define  CEC_OPERAND_09_reg_addr                                                 "0xB8061E84"
#define  CEC_OPERAND_09_reg                                                      0xB8061E84
#define  CEC_OPERAND_09_inst_addr                                                "0x0022"
#define  set_CEC_OPERAND_09_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_09_reg)=data)
#define  get_CEC_OPERAND_09_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_09_reg))
#define  CEC_OPERAND_09_operand_09_shift                                         (0)
#define  CEC_OPERAND_09_operand_09_mask                                          (0x000000FF)
#define  CEC_OPERAND_09_operand_09(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_09_get_operand_09(data)                                     (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_04                                                   0x18061E88
#define  CEC_COMPARE_OPCODE_04_reg_addr                                          "0xB8061E88"
#define  CEC_COMPARE_OPCODE_04_reg                                               0xB8061E88
#define  CEC_COMPARE_OPCODE_04_inst_addr                                         "0x0023"
#define  set_CEC_COMPARE_OPCODE_04_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_04_reg)=data)
#define  get_CEC_COMPARE_OPCODE_04_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_04_reg))
#define  CEC_COMPARE_OPCODE_04_compare_opcode_04_shift                           (0)
#define  CEC_COMPARE_OPCODE_04_compare_opcode_04_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_04_compare_opcode_04(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_04_get_compare_opcode_04(data)                       (0x000000FF&(data))

#define  CEC_SEND_OPCODE_04                                                      0x18061E8C
#define  CEC_SEND_OPCODE_04_reg_addr                                             "0xB8061E8C"
#define  CEC_SEND_OPCODE_04_reg                                                  0xB8061E8C
#define  CEC_SEND_OPCODE_04_inst_addr                                            "0x0024"
#define  set_CEC_SEND_OPCODE_04_reg(data)                                        (*((volatile unsigned int*)CEC_SEND_OPCODE_04_reg)=data)
#define  get_CEC_SEND_OPCODE_04_reg                                              (*((volatile unsigned int*)CEC_SEND_OPCODE_04_reg))
#define  CEC_SEND_OPCODE_04_send_init_address_04_shift                           (12)
#define  CEC_SEND_OPCODE_04_init_address_04_shift                                (8)
#define  CEC_SEND_OPCODE_04_send_opcode_04_shift                                 (0)
#define  CEC_SEND_OPCODE_04_send_init_address_04_mask                            (0x00001000)
#define  CEC_SEND_OPCODE_04_init_address_04_mask                                 (0x00000F00)
#define  CEC_SEND_OPCODE_04_send_opcode_04_mask                                  (0x000000FF)
#define  CEC_SEND_OPCODE_04_send_init_address_04(data)                           (0x00001000&((data)<<12))
#define  CEC_SEND_OPCODE_04_init_address_04(data)                                (0x00000F00&((data)<<8))
#define  CEC_SEND_OPCODE_04_send_opcode_04(data)                                 (0x000000FF&(data))
#define  CEC_SEND_OPCODE_04_get_send_init_address_04(data)                       ((0x00001000&(data))>>12)
#define  CEC_SEND_OPCODE_04_get_init_address_04(data)                            ((0x00000F00&(data))>>8)
#define  CEC_SEND_OPCODE_04_get_send_opcode_04(data)                             (0x000000FF&(data))

#define  CEC_SEND_OPERAND_NUMBER_04                                              0x18061E90
#define  CEC_SEND_OPERAND_NUMBER_04_reg_addr                                     "0xB8061E90"
#define  CEC_SEND_OPERAND_NUMBER_04_reg                                          0xB8061E90
#define  CEC_SEND_OPERAND_NUMBER_04_inst_addr                                    "0x0025"
#define  set_CEC_SEND_OPERAND_NUMBER_04_reg(data)                                (*((volatile unsigned int*)CEC_SEND_OPERAND_NUMBER_04_reg)=data)
#define  get_CEC_SEND_OPERAND_NUMBER_04_reg                                      (*((volatile unsigned int*)CEC_SEND_OPERAND_NUMBER_04_reg))
#define  CEC_SEND_OPERAND_NUMBER_04_operand_number_04_shift                      (0)
#define  CEC_SEND_OPERAND_NUMBER_04_operand_number_04_mask                       (0x00000003)
#define  CEC_SEND_OPERAND_NUMBER_04_operand_number_04(data)                      (0x00000003&(data))
#define  CEC_SEND_OPERAND_NUMBER_04_get_operand_number_04(data)                  (0x00000003&(data))

#define  CEC_OPERAND_10                                                          0x18061E94
#define  CEC_OPERAND_10_reg_addr                                                 "0xB8061E94"
#define  CEC_OPERAND_10_reg                                                      0xB8061E94
#define  CEC_OPERAND_10_inst_addr                                                "0x0026"
#define  set_CEC_OPERAND_10_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_10_reg)=data)
#define  get_CEC_OPERAND_10_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_10_reg))
#define  CEC_OPERAND_10_operand_10_shift                                         (0)
#define  CEC_OPERAND_10_operand_10_mask                                          (0x000000FF)
#define  CEC_OPERAND_10_operand_10(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_10_get_operand_10(data)                                     (0x000000FF&(data))

#define  CEC_OPERAND_11                                                          0x18061E98
#define  CEC_OPERAND_11_reg_addr                                                 "0xB8061E98"
#define  CEC_OPERAND_11_reg                                                      0xB8061E98
#define  CEC_OPERAND_11_inst_addr                                                "0x0027"
#define  set_CEC_OPERAND_11_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_11_reg)=data)
#define  get_CEC_OPERAND_11_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_11_reg))
#define  CEC_OPERAND_11_operand_11_shift                                         (0)
#define  CEC_OPERAND_11_operand_11_mask                                          (0x000000FF)
#define  CEC_OPERAND_11_operand_11(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_11_get_operand_11(data)                                     (0x000000FF&(data))

#define  CEC_OPERAND_12                                                          0x18061E9C
#define  CEC_OPERAND_12_reg_addr                                                 "0xB8061E9C"
#define  CEC_OPERAND_12_reg                                                      0xB8061E9C
#define  CEC_OPERAND_12_inst_addr                                                "0x0028"
#define  set_CEC_OPERAND_12_reg(data)                                            (*((volatile unsigned int*)CEC_OPERAND_12_reg)=data)
#define  get_CEC_OPERAND_12_reg                                                  (*((volatile unsigned int*)CEC_OPERAND_12_reg))
#define  CEC_OPERAND_12_operand_12_shift                                         (0)
#define  CEC_OPERAND_12_operand_12_mask                                          (0x000000FF)
#define  CEC_OPERAND_12_operand_12(data)                                         (0x000000FF&(data))
#define  CEC_OPERAND_12_get_operand_12(data)                                     (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_05                                                   0x18061EA0
#define  CEC_COMPARE_OPCODE_05_reg_addr                                          "0xB8061EA0"
#define  CEC_COMPARE_OPCODE_05_reg                                               0xB8061EA0
#define  CEC_COMPARE_OPCODE_05_inst_addr                                         "0x0029"
#define  set_CEC_COMPARE_OPCODE_05_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_05_reg)=data)
#define  get_CEC_COMPARE_OPCODE_05_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_05_reg))
#define  CEC_COMPARE_OPCODE_05_compare_opcode_05_shift                           (0)
#define  CEC_COMPARE_OPCODE_05_compare_opcode_05_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_05_compare_opcode_05(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_05_get_compare_opcode_05(data)                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_06                                                   0x18061EA4
#define  CEC_COMPARE_OPCODE_06_reg_addr                                          "0xB8061EA4"
#define  CEC_COMPARE_OPCODE_06_reg                                               0xB8061EA4
#define  CEC_COMPARE_OPCODE_06_inst_addr                                         "0x002A"
#define  set_CEC_COMPARE_OPCODE_06_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_06_reg)=data)
#define  get_CEC_COMPARE_OPCODE_06_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_06_reg))
#define  CEC_COMPARE_OPCODE_06_compare_opcode_06_shift                           (0)
#define  CEC_COMPARE_OPCODE_06_compare_opcode_06_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_06_compare_opcode_06(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_06_get_compare_opcode_06(data)                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_07                                                   0x18061EA8
#define  CEC_COMPARE_OPCODE_07_reg_addr                                          "0xB8061EA8"
#define  CEC_COMPARE_OPCODE_07_reg                                               0xB8061EA8
#define  CEC_COMPARE_OPCODE_07_inst_addr                                         "0x002B"
#define  set_CEC_COMPARE_OPCODE_07_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_07_reg)=data)
#define  get_CEC_COMPARE_OPCODE_07_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_07_reg))
#define  CEC_COMPARE_OPCODE_07_compare_opcode_07_shift                           (0)
#define  CEC_COMPARE_OPCODE_07_compare_opcode_07_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_07_compare_opcode_07(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_07_get_compare_opcode_07(data)                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_08                                                   0x18061EAC
#define  CEC_COMPARE_OPCODE_08_reg_addr                                          "0xB8061EAC"
#define  CEC_COMPARE_OPCODE_08_reg                                               0xB8061EAC
#define  CEC_COMPARE_OPCODE_08_inst_addr                                         "0x002C"
#define  set_CEC_COMPARE_OPCODE_08_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_08_reg)=data)
#define  get_CEC_COMPARE_OPCODE_08_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_08_reg))
#define  CEC_COMPARE_OPCODE_08_compare_opcode_08_shift                           (0)
#define  CEC_COMPARE_OPCODE_08_compare_opcode_08_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_08_compare_opcode_08(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_08_get_compare_opcode_08(data)                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_09                                                   0x18061EB0
#define  CEC_COMPARE_OPCODE_09_reg_addr                                          "0xB8061EB0"
#define  CEC_COMPARE_OPCODE_09_reg                                               0xB8061EB0
#define  CEC_COMPARE_OPCODE_09_inst_addr                                         "0x002D"
#define  set_CEC_COMPARE_OPCODE_09_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_09_reg)=data)
#define  get_CEC_COMPARE_OPCODE_09_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_09_reg))
#define  CEC_COMPARE_OPCODE_09_compare_opcode_09_shift                           (0)
#define  CEC_COMPARE_OPCODE_09_compare_opcode_09_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_09_compare_opcode_09(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_09_get_compare_opcode_09(data)                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_10                                                   0x18061EB4
#define  CEC_COMPARE_OPCODE_10_reg_addr                                          "0xB8061EB4"
#define  CEC_COMPARE_OPCODE_10_reg                                               0xB8061EB4
#define  CEC_COMPARE_OPCODE_10_inst_addr                                         "0x002E"
#define  set_CEC_COMPARE_OPCODE_10_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_10_reg)=data)
#define  get_CEC_COMPARE_OPCODE_10_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_10_reg))
#define  CEC_COMPARE_OPCODE_10_compare_opcode_10_shift                           (0)
#define  CEC_COMPARE_OPCODE_10_compare_opcode_10_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_10_compare_opcode_10(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_10_get_compare_opcode_10(data)                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_11                                                   0x18061EB8
#define  CEC_COMPARE_OPCODE_11_reg_addr                                          "0xB8061EB8"
#define  CEC_COMPARE_OPCODE_11_reg                                               0xB8061EB8
#define  CEC_COMPARE_OPCODE_11_inst_addr                                         "0x002F"
#define  set_CEC_COMPARE_OPCODE_11_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_11_reg)=data)
#define  get_CEC_COMPARE_OPCODE_11_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_11_reg))
#define  CEC_COMPARE_OPCODE_11_compare_opcode_11_shift                           (0)
#define  CEC_COMPARE_OPCODE_11_compare_opcode_11_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_11_compare_opcode_11(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_11_get_compare_opcode_11(data)                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_12                                                   0x18061EBC
#define  CEC_COMPARE_OPCODE_12_reg_addr                                          "0xB8061EBC"
#define  CEC_COMPARE_OPCODE_12_reg                                               0xB8061EBC
#define  CEC_COMPARE_OPCODE_12_inst_addr                                         "0x0030"
#define  set_CEC_COMPARE_OPCODE_12_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_12_reg)=data)
#define  get_CEC_COMPARE_OPCODE_12_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_12_reg))
#define  CEC_COMPARE_OPCODE_12_compare_opcode_12_shift                           (0)
#define  CEC_COMPARE_OPCODE_12_compare_opcode_12_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_12_compare_opcode_12(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_12_get_compare_opcode_12(data)                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_13                                                   0x18061EC0
#define  CEC_COMPARE_OPCODE_13_reg_addr                                          "0xB8061EC0"
#define  CEC_COMPARE_OPCODE_13_reg                                               0xB8061EC0
#define  CEC_COMPARE_OPCODE_13_inst_addr                                         "0x0031"
#define  set_CEC_COMPARE_OPCODE_13_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_13_reg)=data)
#define  get_CEC_COMPARE_OPCODE_13_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_13_reg))
#define  CEC_COMPARE_OPCODE_13_compare_opcode_13_shift                           (0)
#define  CEC_COMPARE_OPCODE_13_compare_opcode_13_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_13_compare_opcode_13(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_13_get_compare_opcode_13(data)                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_14                                                   0x18061EC4
#define  CEC_COMPARE_OPCODE_14_reg_addr                                          "0xB8061EC4"
#define  CEC_COMPARE_OPCODE_14_reg                                               0xB8061EC4
#define  CEC_COMPARE_OPCODE_14_inst_addr                                         "0x0032"
#define  set_CEC_COMPARE_OPCODE_14_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_14_reg)=data)
#define  get_CEC_COMPARE_OPCODE_14_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_14_reg))
#define  CEC_COMPARE_OPCODE_14_compare_opcode_14_shift                           (0)
#define  CEC_COMPARE_OPCODE_14_compare_opcode_14_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_14_compare_opcode_14(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_14_get_compare_opcode_14(data)                       (0x000000FF&(data))

#define  CEC_COMPARE_OPCODE_15                                                   0x18061EC8
#define  CEC_COMPARE_OPCODE_15_reg_addr                                          "0xB8061EC8"
#define  CEC_COMPARE_OPCODE_15_reg                                               0xB8061EC8
#define  CEC_COMPARE_OPCODE_15_inst_addr                                         "0x0033"
#define  set_CEC_COMPARE_OPCODE_15_reg(data)                                     (*((volatile unsigned int*)CEC_COMPARE_OPCODE_15_reg)=data)
#define  get_CEC_COMPARE_OPCODE_15_reg                                           (*((volatile unsigned int*)CEC_COMPARE_OPCODE_15_reg))
#define  CEC_COMPARE_OPCODE_15_compare_opcode_15_shift                           (0)
#define  CEC_COMPARE_OPCODE_15_compare_opcode_15_mask                            (0x000000FF)
#define  CEC_COMPARE_OPCODE_15_compare_opcode_15(data)                           (0x000000FF&(data))
#define  CEC_COMPARE_OPCODE_15_get_compare_opcode_15(data)                       (0x000000FF&(data))

#define  CEC_OPCODE_ENABLE                                                       0x18061ECC
#define  CEC_OPCODE_ENABLE_reg_addr                                              "0xB8061ECC"
#define  CEC_OPCODE_ENABLE_reg                                                   0xB8061ECC
#define  CEC_OPCODE_ENABLE_inst_addr                                             "0x0034"
#define  set_CEC_OPCODE_ENABLE_reg(data)                                         (*((volatile unsigned int*)CEC_OPCODE_ENABLE_reg)=data)
#define  get_CEC_OPCODE_ENABLE_reg                                               (*((volatile unsigned int*)CEC_OPCODE_ENABLE_reg))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_15_shift                            (14)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_14_shift                            (13)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_13_shift                            (12)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_12_shift                            (11)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_11_shift                            (10)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_10_shift                            (9)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_09_shift                            (8)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_08_shift                            (7)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_07_shift                            (6)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_06_shift                            (5)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_05_shift                            (4)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_04_shift                            (3)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_03_shift                            (2)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_02_shift                            (1)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_01_shift                            (0)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_15_mask                             (0x00004000)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_14_mask                             (0x00002000)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_13_mask                             (0x00001000)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_12_mask                             (0x00000800)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_11_mask                             (0x00000400)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_10_mask                             (0x00000200)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_09_mask                             (0x00000100)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_08_mask                             (0x00000080)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_07_mask                             (0x00000040)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_06_mask                             (0x00000020)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_05_mask                             (0x00000010)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_04_mask                             (0x00000008)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_03_mask                             (0x00000004)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_02_mask                             (0x00000002)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_01_mask                             (0x00000001)
#define  CEC_OPCODE_ENABLE_en_compare_opcode_15(data)                            (0x00004000&((data)<<14))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_14(data)                            (0x00002000&((data)<<13))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_13(data)                            (0x00001000&((data)<<12))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_12(data)                            (0x00000800&((data)<<11))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_11(data)                            (0x00000400&((data)<<10))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_10(data)                            (0x00000200&((data)<<9))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_09(data)                            (0x00000100&((data)<<8))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_08(data)                            (0x00000080&((data)<<7))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_07(data)                            (0x00000040&((data)<<6))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_06(data)                            (0x00000020&((data)<<5))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_05(data)                            (0x00000010&((data)<<4))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_04(data)                            (0x00000008&((data)<<3))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_03(data)                            (0x00000004&((data)<<2))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_02(data)                            (0x00000002&((data)<<1))
#define  CEC_OPCODE_ENABLE_en_compare_opcode_01(data)                            (0x00000001&(data))
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_15(data)                        ((0x00004000&(data))>>14)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_14(data)                        ((0x00002000&(data))>>13)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_13(data)                        ((0x00001000&(data))>>12)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_12(data)                        ((0x00000800&(data))>>11)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_11(data)                        ((0x00000400&(data))>>10)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_10(data)                        ((0x00000200&(data))>>9)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_09(data)                        ((0x00000100&(data))>>8)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_08(data)                        ((0x00000080&(data))>>7)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_07(data)                        ((0x00000040&(data))>>6)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_06(data)                        ((0x00000020&(data))>>5)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_05(data)                        ((0x00000010&(data))>>4)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_04(data)                        ((0x00000008&(data))>>3)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_03(data)                        ((0x00000004&(data))>>2)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_02(data)                        ((0x00000002&(data))>>1)
#define  CEC_OPCODE_ENABLE_get_en_compare_opcode_01(data)                        (0x00000001&(data))

#define  CEC_POWER_SAVING_MODE                                                   0x18061ED0
#define  CEC_POWER_SAVING_MODE_reg_addr                                          "0xB8061ED0"
#define  CEC_POWER_SAVING_MODE_reg                                               0xB8061ED0
#define  CEC_POWER_SAVING_MODE_inst_addr                                         "0x0035"
#define  set_CEC_POWER_SAVING_MODE_reg(data)                                     (*((volatile unsigned int*)CEC_POWER_SAVING_MODE_reg)=data)
#define  get_CEC_POWER_SAVING_MODE_reg                                           (*((volatile unsigned int*)CEC_POWER_SAVING_MODE_reg))
#define  CEC_POWER_SAVING_MODE_irq_pending_shift                                 (31)
#define  CEC_POWER_SAVING_MODE_cec_msg_status_01_shift                           (25)
#define  CEC_POWER_SAVING_MODE_cec_msg_status_02_shift                           (24)
#define  CEC_POWER_SAVING_MODE_irq_by_cec_receive_special_cmd_shift              (8)
#define  CEC_POWER_SAVING_MODE_cec_rpu_en_shift                                  (5)
#define  CEC_POWER_SAVING_MODE_cec_rsel_shift                                    (0)
#define  CEC_POWER_SAVING_MODE_irq_pending_mask                                  (0x80000000)
#define  CEC_POWER_SAVING_MODE_cec_msg_status_01_mask                            (0x02000000)
#define  CEC_POWER_SAVING_MODE_cec_msg_status_02_mask                            (0x01000000)
#define  CEC_POWER_SAVING_MODE_irq_by_cec_receive_special_cmd_mask               (0x00000100)
#define  CEC_POWER_SAVING_MODE_cec_rpu_en_mask                                   (0x00000020)
#define  CEC_POWER_SAVING_MODE_cec_rsel_mask                                     (0x0000001F)
#define  CEC_POWER_SAVING_MODE_irq_pending(data)                                 (0x80000000&((data)<<31))
#define  CEC_POWER_SAVING_MODE_cec_msg_status_01(data)                           (0x02000000&((data)<<25))
#define  CEC_POWER_SAVING_MODE_cec_msg_status_02(data)                           (0x01000000&((data)<<24))
#define  CEC_POWER_SAVING_MODE_irq_by_cec_receive_special_cmd(data)              (0x00000100&((data)<<8))
#define  CEC_POWER_SAVING_MODE_cec_rpu_en(data)                                  (0x00000020&((data)<<5))
#define  CEC_POWER_SAVING_MODE_cec_rsel(data)                                    (0x0000001F&(data))
#define  CEC_POWER_SAVING_MODE_get_irq_pending(data)                             ((0x80000000&(data))>>31)
#define  CEC_POWER_SAVING_MODE_get_cec_msg_status_01(data)                       ((0x02000000&(data))>>25)
#define  CEC_POWER_SAVING_MODE_get_cec_msg_status_02(data)                       ((0x01000000&(data))>>24)
#define  CEC_POWER_SAVING_MODE_get_irq_by_cec_receive_special_cmd(data)          ((0x00000100&(data))>>8)
#define  CEC_POWER_SAVING_MODE_get_cec_rpu_en(data)                              ((0x00000020&(data))>>5)
#define  CEC_POWER_SAVING_MODE_get_cec_rsel(data)                                (0x0000001F&(data))

#define  CEC_RxACKTCR0                                                           0x18061ED4
#define  CEC_RxACKTCR0_reg_addr                                                  "0xB8061ED4"
#define  CEC_RxACKTCR0_reg                                                       0xB8061ED4
#define  CEC_RxACKTCR0_inst_addr                                                 "0x0036"
#define  set_CEC_RxACKTCR0_reg(data)                                             (*((volatile unsigned int*)CEC_RxACKTCR0_reg)=data)
#define  get_CEC_RxACKTCR0_reg                                                   (*((volatile unsigned int*)CEC_RxACKTCR0_reg))
#define  CEC_RxACKTCR0_rx_ack_wait_1_sel_shift                                   (26)
#define  CEC_RxACKTCR0_rx_ack_wait_2_sel_shift                                   (25)
#define  CEC_RxACKTCR0_rx_ack_wait_3_sel_shift                                   (24)
#define  CEC_RxACKTCR0_rx_ack_wait_1_shift                                       (16)
#define  CEC_RxACKTCR0_rx_ack_wait_2_shift                                       (8)
#define  CEC_RxACKTCR0_rx_ack_wait_3_shift                                       (0)
#define  CEC_RxACKTCR0_rx_ack_wait_1_sel_mask                                    (0x04000000)
#define  CEC_RxACKTCR0_rx_ack_wait_2_sel_mask                                    (0x02000000)
#define  CEC_RxACKTCR0_rx_ack_wait_3_sel_mask                                    (0x01000000)
#define  CEC_RxACKTCR0_rx_ack_wait_1_mask                                        (0x00FF0000)
#define  CEC_RxACKTCR0_rx_ack_wait_2_mask                                        (0x0000FF00)
#define  CEC_RxACKTCR0_rx_ack_wait_3_mask                                        (0x000000FF)
#define  CEC_RxACKTCR0_rx_ack_wait_1_sel(data)                                   (0x04000000&((data)<<26))
#define  CEC_RxACKTCR0_rx_ack_wait_2_sel(data)                                   (0x02000000&((data)<<25))
#define  CEC_RxACKTCR0_rx_ack_wait_3_sel(data)                                   (0x01000000&((data)<<24))
#define  CEC_RxACKTCR0_rx_ack_wait_1(data)                                       (0x00FF0000&((data)<<16))
#define  CEC_RxACKTCR0_rx_ack_wait_2(data)                                       (0x0000FF00&((data)<<8))
#define  CEC_RxACKTCR0_rx_ack_wait_3(data)                                       (0x000000FF&(data))
#define  CEC_RxACKTCR0_get_rx_ack_wait_1_sel(data)                               ((0x04000000&(data))>>26)
#define  CEC_RxACKTCR0_get_rx_ack_wait_2_sel(data)                               ((0x02000000&(data))>>25)
#define  CEC_RxACKTCR0_get_rx_ack_wait_3_sel(data)                               ((0x01000000&(data))>>24)
#define  CEC_RxACKTCR0_get_rx_ack_wait_1(data)                                   ((0x00FF0000&(data))>>16)
#define  CEC_RxACKTCR0_get_rx_ack_wait_2(data)                                   ((0x0000FF00&(data))>>8)
#define  CEC_RxACKTCR0_get_rx_ack_wait_3(data)                                   (0x000000FF&(data))

#define  CEC_RxACKTCR1                                                           0x18061ED8
#define  CEC_RxACKTCR1_reg_addr                                                  "0xB8061ED8"
#define  CEC_RxACKTCR1_reg                                                       0xB8061ED8
#define  CEC_RxACKTCR1_inst_addr                                                 "0x0037"
#define  set_CEC_RxACKTCR1_reg(data)                                             (*((volatile unsigned int*)CEC_RxACKTCR1_reg)=data)
#define  get_CEC_RxACKTCR1_reg                                                   (*((volatile unsigned int*)CEC_RxACKTCR1_reg))
#define  CEC_RxACKTCR1_rx_ack_low_sel_shift                                      (26)
#define  CEC_RxACKTCR1_rx_ack_bit_sel_shift                                      (25)
#define  CEC_RxACKTCR1_rx_ack_line_err_sel_shift                                 (24)
#define  CEC_RxACKTCR1_rx_ack_low_shift                                          (16)
#define  CEC_RxACKTCR1_rx_ack_bit_shift                                          (8)
#define  CEC_RxACKTCR1_rx_ack_line_err_shift                                     (0)
#define  CEC_RxACKTCR1_rx_ack_low_sel_mask                                       (0x04000000)
#define  CEC_RxACKTCR1_rx_ack_bit_sel_mask                                       (0x02000000)
#define  CEC_RxACKTCR1_rx_ack_line_err_sel_mask                                  (0x01000000)
#define  CEC_RxACKTCR1_rx_ack_low_mask                                           (0x00FF0000)
#define  CEC_RxACKTCR1_rx_ack_bit_mask                                           (0x0000FF00)
#define  CEC_RxACKTCR1_rx_ack_line_err_mask                                      (0x000000FF)
#define  CEC_RxACKTCR1_rx_ack_low_sel(data)                                      (0x04000000&((data)<<26))
#define  CEC_RxACKTCR1_rx_ack_bit_sel(data)                                      (0x02000000&((data)<<25))
#define  CEC_RxACKTCR1_rx_ack_line_err_sel(data)                                 (0x01000000&((data)<<24))
#define  CEC_RxACKTCR1_rx_ack_low(data)                                          (0x00FF0000&((data)<<16))
#define  CEC_RxACKTCR1_rx_ack_bit(data)                                          (0x0000FF00&((data)<<8))
#define  CEC_RxACKTCR1_rx_ack_line_err(data)                                     (0x000000FF&(data))
#define  CEC_RxACKTCR1_get_rx_ack_low_sel(data)                                  ((0x04000000&(data))>>26)
#define  CEC_RxACKTCR1_get_rx_ack_bit_sel(data)                                  ((0x02000000&(data))>>25)
#define  CEC_RxACKTCR1_get_rx_ack_line_err_sel(data)                             ((0x01000000&(data))>>24)
#define  CEC_RxACKTCR1_get_rx_ack_low(data)                                      ((0x00FF0000&(data))>>16)
#define  CEC_RxACKTCR1_get_rx_ack_bit(data)                                      ((0x0000FF00&(data))>>8)
#define  CEC_RxACKTCR1_get_rx_ack_line_err(data)                                 (0x000000FF&(data))

#define  CEC_TxRxACKOPTION                                                       0x18061EDC
#define  CEC_TxRxACKOPTION_reg_addr                                              "0xB8061EDC"
#define  CEC_TxRxACKOPTION_reg                                                   0xB8061EDC
#define  CEC_TxRxACKOPTION_inst_addr                                             "0x0038"
#define  set_CEC_TxRxACKOPTION_reg(data)                                         (*((volatile unsigned int*)CEC_TxRxACKOPTION_reg)=data)
#define  get_CEC_TxRxACKOPTION_reg                                               (*((volatile unsigned int*)CEC_TxRxACKOPTION_reg))
#define  CEC_TxRxACKOPTION_tx_send_another_shift                                 (16)
#define  CEC_TxRxACKOPTION_other_device_access_after_ack_shift                   (8)
#define  CEC_TxRxACKOPTION_tx_re_send_shift                                      (0)
#define  CEC_TxRxACKOPTION_tx_send_another_mask                                  (0x000F0000)
#define  CEC_TxRxACKOPTION_other_device_access_after_ack_mask                    (0x00000F00)
#define  CEC_TxRxACKOPTION_tx_re_send_mask                                       (0x0000000F)
#define  CEC_TxRxACKOPTION_tx_send_another(data)                                 (0x000F0000&((data)<<16))
#define  CEC_TxRxACKOPTION_other_device_access_after_ack(data)                   (0x00000F00&((data)<<8))
#define  CEC_TxRxACKOPTION_tx_re_send(data)                                      (0x0000000F&(data))
#define  CEC_TxRxACKOPTION_get_tx_send_another(data)                             ((0x000F0000&(data))>>16)
#define  CEC_TxRxACKOPTION_get_other_device_access_after_ack(data)               ((0x00000F00&(data))>>8)
#define  CEC_TxRxACKOPTION_get_tx_re_send(data)                                  (0x0000000F&(data))

#define  CEC_HW_DUMMY                                                            0x18061EE4
#define  CEC_HW_DUMMY_reg_addr                                                   "0xB8061EE4"
#define  CEC_HW_DUMMY_reg                                                        0xB8061EE4
#define  CEC_HW_DUMMY_inst_addr                                                  "0x0039"
#define  set_CEC_HW_DUMMY_reg(data)                                              (*((volatile unsigned int*)CEC_HW_DUMMY_reg)=data)
#define  get_CEC_HW_DUMMY_reg                                                    (*((volatile unsigned int*)CEC_HW_DUMMY_reg))
#define  CEC_HW_DUMMY_dummy_hw_shift                                             (0)
#define  CEC_HW_DUMMY_dummy_hw_mask                                              (0xFFFFFFFF)
#define  CEC_HW_DUMMY_dummy_hw(data)                                             (0xFFFFFFFF&(data))
#define  CEC_HW_DUMMY_get_dummy_hw(data)                                         (0xFFFFFFFF&(data))







#define CEC_CTS_7_9 0
#define GDI_POWER_SAVING 0
#define HDMI_CEC_TEST 1


#define CEC_Z0 0x10
//#define rx_start_low 0x8c		//standard is 3.5ms
#define rx_start_low 0x60		//LG request is 2.4ms
//#define rx_start_period 0xbc	//standard is 4.7ms
#define rx_start_period 0xc8	//LG request is 5ms
#define rx_start_high 0xa0
#define timer_div 25
#define pre_div 250	//RBUS=250M



void  cec_wait_ms(unsigned long ms)
{
	while(ms-->0)
		udelay(1000);
}

int CCec_Test(void)
{
#if !CEC_CTS_7_9	//Loopback test
	UINT32 CEC_DATA[2][4];
	UINT8 i,timeoutcnt=255;
	
	CEC_DATA[0][0]=0x00112233;
	CEC_DATA[0][1]=0x44556677;
	CEC_DATA[0][2]=0x8899aabb;
	CEC_DATA[0][3]=0xccddee00;
	rtd_maskl(CEC_RTCR0_reg,~(CEC_RTCR0_cec_pad_en_mask | CEC_RTCR0_cec_pad_en_mode_mask), (CEC_RTCR0_cec_pad_en(1)|CEC_RTCR0_cec_pad_en_mode(1)));//FW mode, let loopback output waveform correct, and default pull high
	//rtd_outl(CEC_POWER_SAVING_MODE_reg,0x00000033);  //CEC pull high from 2.7 to 3.16
	rtd_maskl(CEC_POWER_SAVING_MODE_reg,~(CEC_POWER_SAVING_MODE_cec_rsel_mask),CEC_POWER_SAVING_MODE_cec_rsel(CEC_Z0));  //CEC pull high Z0 set
	rtd_maskl(CEC_POWER_SAVING_MODE_reg,~(CEC_POWER_SAVING_MODE_cec_rpu_en_mask),CEC_POWER_SAVING_MODE_cec_rpu_en(1));  //CEC pull high Z0 enable

	rtd_maskl(CEC_RxTCR0_reg,~ (CEC_RxTCR0_rx_start_low_mask|CEC_RxTCR0_rx_start_period_mask),(CEC_RxTCR0_rx_start_low(rx_start_low)|CEC_RxTCR0_rx_start_period(rx_start_period)));  //RX detect margin
	rtd_maskl(CEC_RxTCR1_reg,~ (CEC_RxTCR1_rx_start_high_mask),(CEC_RxTCR1_rx_start_high(rx_start_high)));  //RX detect margin

	cec_wait_ms(10);
	printk("CEC Z0 27K pull high....\n");
	// bit 30 31 & device logic 0x7 ([27:24])  & timer_dev[23:16] =20 
	//rtd_outl(CEC_CR0_reg,0xc714fc00);		//CEC loop back enable, RBUS=202MHz, addr is 0x7
	//rtd_outl(CEC_CR0_reg, 0xc719fa00);		//CEC loop back enable, RBUS=250MHz, addr is 0x7
	//rtd_outl(HDMI_CEC_CR0_ADDR,0xc714221f);		//CEC loop back enable, RBUS=27MHz, addr is 0x7

	rtd_maskl(CEC_CR0_reg,~CEC_CR0_cec_mode_mask ,CEC_CR0_cec_mode(3));	//CEC loopback mode; 0:disable,1:enable,2:test mode,3:loopback
	rtd_maskl(CEC_CR0_reg,~CEC_CR0_logical_addr_mask ,CEC_CR0_logical_addr(7));	// logic addr is 7
	rtd_maskl(CEC_CR0_reg,~(CEC_CR0_timer_div_mask|CEC_CR0_pre_div_mask) ,(CEC_CR0_timer_div(timer_div)|CEC_CR0_pre_div(pre_div)));	//pre_div , timer_div
	

	//rtd_outl(CEC_TxCR0_reg,0x0507c0);		//CEC TX addr is 0x5, dest addr is 0x7 &
	rtd_maskl(CEC_TxCR0_reg,~(CEC_TxCR0_tx_addr_mask|CEC_TxCR0_dest_addr_mask),(CEC_TxCR0_tx_addr(5)|CEC_TxCR0_dest_addr(7)));	//TX addr is 5, dest addr is 7
	rtd_maskl(CEC_TxCR0_reg,~CEC_TxCR0_tx_addr_en_mask,CEC_TxCR0_tx_addr_en(1));		//CEC TX addr enable

	rtd_outl(CEC_TxDR1_reg,CEC_DATA[0][0]);		//CEC TX FIFO 
	rtd_outl(CEC_TxDR2_reg,CEC_DATA[0][1]);		//CEC TX FIFO
	rtd_outl(CEC_TxDR3_reg,CEC_DATA[0][2]);		//CEC TX FIFO
	rtd_outl(CEC_TxDR4_reg,CEC_DATA[0][3]);		//CEC TX FIFO
	rtd_outl(CEC_TxDR0_reg,0xf);					//CEC TX FIFO num

	rtd_maskl(CEC_RxCR0_reg,~CEC_RxCR0_rx_rst_mask,CEC_RxCR0_rx_rst(1));		//CEC RX reset
	rtd_maskl(CEC_TxCR0_reg,~CEC_TxCR0_tx_rst_mask,CEC_TxCR0_tx_rst(1));		//CEC TX reset
	udelay(1000);
	rtd_maskl(CEC_RxCR0_reg,~CEC_RxCR0_rx_rst_mask,CEC_RxCR0_rx_rst(0));		//CEC RX release
	rtd_maskl(CEC_TxCR0_reg,~CEC_TxCR0_tx_rst_mask,CEC_TxCR0_tx_rst(0));		//CEC TX release
	udelay(1000);

	rtd_maskl(CEC_TxDR0_reg,~CEC_TxDR0_tx_add_cnt_mask,CEC_TxDR0_tx_add_cnt(1));		//CEC TX FIFO num double buffer load
	rtd_maskl(CEC_RxCR0_reg,~CEC_RxCR0_rx_en_mask,CEC_RxCR0_rx_en(1));		//CEC RX enable
	rtd_maskl(CEC_RxCR0_reg,~CEC_RxCR0_rx_int_mask,CEC_RxCR0_rx_int(1));		//clr RX interrupt flag
	udelay(1000);
	rtd_maskl(CEC_TxCR0_reg,~CEC_TxCR0_tx_en_mask,CEC_TxCR0_tx_en(1));		//CEC TX enable
	//rtd_maskl(CEC_RxCR0_reg,~_BIT6,_BIT6);		//clr RX interrupt flag
	
	do 											//wait RX ok flag
	{
		udelay(5000);
		if((rtd_inl(CEC_RxCR0_reg) & _BIT6))
			break;
 	} while (--timeoutcnt);
	if (timeoutcnt==0)
		printk("wait CEC Loopback test timeout!!!\n");

	CEC_DATA[1][0]=rtd_inl(CEC_RxDR1_reg);
	CEC_DATA[1][1]=rtd_inl(CEC_RxDR2_reg);
	CEC_DATA[1][2]=rtd_inl(CEC_RxDR3_reg);
	CEC_DATA[1][3]=rtd_inl(CEC_RxDR4_reg);

	for (i=0;i<4;i++)
		{
		if (CEC_DATA[0][i]!=CEC_DATA[1][i])
			return FALSE;		
		}
	return TRUE;

#else	//CEC_CTS_7_9
	
	UINT32 CEC_DATA[2][4];
	UINT32 timeoutcnt=25500;
	UINT32 init_addr,broadcast_flag;
	UINT8  i=0,rx_len=0,j=0;

	
	
while(i<2){	
	printk("CEC Init for CTS ...\n");
	i++;
	CEC_DATA[0][0]=0x00112233;
	CEC_DATA[0][1]=0x44556677;
	CEC_DATA[0][2]=0x8899aabb;
	CEC_DATA[0][3]=0xccddee00;

	rtd_maskl(CEC_RTCR0_reg,~(CEC_RTCR0_cec_pad_en_mask | CEC_RTCR0_cec_pad_en_mode_mask), (CEC_RTCR0_cec_pad_en(1)|CEC_RTCR0_cec_pad_en_mode(1)));//FW mode, let loopback output waveform correct, and default pull high
	//rtd_outl(CEC_POWER_SAVING_MODE_reg,0x00000037); //CEC pull high to 3V3
	rtd_maskl(CEC_POWER_SAVING_MODE_reg,~(CEC_POWER_SAVING_MODE_cec_rsel_mask),CEC_POWER_SAVING_MODE_cec_rsel(CEC_Z0));  //CEC pull high Z0 set
	rtd_maskl(CEC_POWER_SAVING_MODE_reg,~(CEC_POWER_SAVING_MODE_cec_rpu_en_mask),CEC_POWER_SAVING_MODE_cec_rpu_en(1));  //CEC pull high Z0 enable

      // CEC mode EN [31:30]   
	//rtd_outl(CEC_CR0_reg,0x4014fc00);		//CEC enable, RBUS=202MHz, addr is 0x0 Pad_rise_time set 0x4 or ox1f occur error
	//rtd_outl(CEC_CR0_reg,0x4019fa00);		//RBUS=250M
	//rtd_outl(HDMI_CEC_CR0_ADDR,0x40142200);		//CEC enable, RBUS=27MHz, addr is 0x0
      rtd_maskl(CEC_CR0_reg,~CEC_CR0_cec_mode_mask ,CEC_CR0_cec_mode(1));	//CEC loopback mode; 0:disable,1:enable,2:test mode,3:loopback
	rtd_maskl(CEC_CR0_reg,~CEC_CR0_logical_addr_mask ,CEC_CR0_logical_addr(0));	// logic add is 0
	rtd_maskl(CEC_CR0_reg,~(CEC_CR0_timer_div_mask|CEC_CR0_pre_div_mask) ,(CEC_CR0_timer_div(timer_div)|CEC_CR0_pre_div(pre_div)));	//pre_div , timer_div

	rtd_maskl(CEC_RxTCR0_reg,~ (CEC_RxTCR0_rx_start_low_mask|CEC_RxTCR0_rx_start_period_mask),(CEC_RxTCR0_rx_start_low(rx_start_low)|CEC_RxTCR0_rx_start_period(rx_start_period)));  //RX detect margin
	rtd_maskl(CEC_RxTCR1_reg,~ (CEC_RxTCR1_rx_start_high_mask),(CEC_RxTCR1_rx_start_high(rx_start_high)));  //RX detect margin
	
	//rtd_outl(CEC_TxCR0_reg,0x0507c0);		//CEC TX addr is 0x5, dest addr is 0x7 
	rtd_maskl(CEC_TxCR0_reg,~(CEC_TxCR0_tx_addr_mask|CEC_TxCR0_dest_addr_mask),(CEC_TxCR0_tx_addr(5)|CEC_TxCR0_dest_addr(7)));	//TX addr is 5, dest addr is 7
	//rtd_maskl(HDMI_CEC_TxCR0_ADDR,~_BIT20,_BIT20);		//CEC TX addr enable
	
	rtd_outl(CEC_TxDR1_reg,CEC_DATA[0][0]);		//CEC TX FIFO 
	rtd_outl(CEC_TxDR2_reg,CEC_DATA[0][1]);		//CEC TX FIFO
	rtd_outl(CEC_TxDR3_reg,CEC_DATA[0][2]);		//CEC TX FIFO
	rtd_outl(CEC_TxDR4_reg,CEC_DATA[0][3]);		//CEC TX FIFO
	
	rtd_maskl(CEC_RxCR0_reg,~CEC_RxCR0_rx_rst_mask,CEC_RxCR0_rx_rst(1));		//CEC RX reset
	rtd_maskl(CEC_TxCR0_reg,~CEC_TxCR0_tx_rst_mask,CEC_TxCR0_tx_rst(1));		//CEC TX reset
	udelay(1000);
	rtd_maskl(CEC_RxCR0_reg,~CEC_RxCR0_rx_rst_mask,CEC_RxCR0_rx_rst(0));		//CEC RX release
	rtd_maskl(CEC_TxCR0_reg,~CEC_TxCR0_tx_rst_mask,CEC_TxCR0_tx_rst(0));		//CEC TX release
	udelay(1000);
	rtd_maskl(CEC_RxCR0_reg,~CEC_RxCR0_rx_en_mask,CEC_RxCR0_rx_en(1));		//CEC RX enable
	udelay(1000);
	rtd_maskl(CEC_RxCR0_reg,~CEC_RxCR0_rx_int_mask,CEC_RxCR0_rx_int(1));		//clr RX interrupt flag



#if GDI_POWER_SAVING
	rtd_outl(CEC_COMPARE_OPCODE_01_reg,0xff);	//set wake up command1
	rtd_outl(CEC_SEND_OPCODE_01_reg,0x00);		//set auto reply command1
	rtd_outl(CEC_COMPARE_OPCODE_02_reg,0x83);	//set wake up command2
	rtd_outl(CEC_SEND_OPCODE_02_reg,0x84);		//set auto reply command2	
	rtd_outl(CEC_OPERAND_04_reg,0x10);
	rtd_outl(CEC_OPERAND_05_reg,0x00);
	rtd_outl(CEC_SEND_OPERAND_NUMBER_01_reg,0x00);		//opcode number = 0
	rtd_outl(CEC_SEND_OPERAND_NUMBER_02_reg,0x02);		//opcode number = 2
	rtd_outl(CEC_OPCODE_ENABLE_reg,0x03);				//compare opcode1,opcode2 enable
	rtd_maskl(CEC_POWER_SAVING_MODE_reg,~_BIT8,_BIT8);		//Irq enable
#endif 

	do 											//wait RX ok flag
	{
		udelay(5000);
		//if((rtd_inl(CEC_RxCR0_reg) & _BIT6))
		if(CEC_RxCR0_get_rx_int(rtd_inl(CEC_RxCR0_reg)))		//wait RX receive flag
			break;
 	} while (--timeoutcnt);
	if (timeoutcnt==0)
		printk("wait CEC RX timeout!!!\n");
	
	//init_addr=(rtd_inl(CEC_RxCR0_reg)&0x0f00);
	init_addr=CEC_RxCR0_get_init_addr(rtd_inl(CEC_RxCR0_reg));	//get initiator addr
	//broadcast_flag = (rtd_inl(CEC_RxCR0_reg)>>31);
	broadcast_flag = CEC_RxCR0_get_broadcast_addr(rtd_inl(CEC_RxCR0_reg));	//get broadcast flag
	//rx_len= rtd_inl(CEC_RxCR0_reg)&0x1f;
	rx_len= CEC_RxCR0_get_rx_fifo_cnt(rtd_inl(CEC_RxCR0_reg));	//get RX FIFO length
	CEC_DATA[1][0]=rtd_inl(CEC_RxDR1_reg);
	CEC_DATA[1][1]=rtd_inl(CEC_RxDR2_reg);
	CEC_DATA[1][2]=rtd_inl(CEC_RxDR3_reg);
	CEC_DATA[1][3]=rtd_inl(CEC_RxDR4_reg);

	printk("init_addr = %x\n",init_addr);
	printk("broadcast_flag = %x\n",broadcast_flag);
	printk("rx_len = %d\n",rx_len);
	if (rx_len>0)
		printk("CEC_DATA[1][0] = %x\n",CEC_DATA[1][0]);

	if(rx_len>4)
		printk("CEC_DATA[1][1] = %x\n",CEC_DATA[1][1]);
	
	if(rx_len>8)
		printk("CEC_DATA[1][2] = %x\n",CEC_DATA[1][2]);	

	if(rx_len>12)
		printk("CEC_DATA[1][3] = %x\n",CEC_DATA[1][3]);

#if GDI_POWER_SAVING
	//if((rtd_inl(CEC_POWER_SAVING_MODE_reg) & _BIT31))
	if(CEC_POWER_SAVING_MODE_get_irq_pending(rtd_inl(CEC_POWER_SAVING_MODE_reg)))
		printk("GDI_POWER_SAVING_MODE IRQ PENDING\n");

	rtd_maskl(CEC_POWER_SAVING_MODE_reg,~CEC_POWER_SAVING_MODE_irq_pending_mask,CEC_POWER_SAVING_MODE_irq_pending(1));		//clr Irq
#if 0
	j=20;
	do 										
	{
		udelay(5000);

 	} while (--j);
#endif
#else

	if (((CEC_DATA[1][0]>>24) == 0xff)&&(broadcast_flag == 0))//cmd=Abort
	{
		CEC_DATA[0][0]=(0x00<<24);
		rtd_outl(CEC_TxDR1_reg,CEC_DATA[0][0]);		//CEC TX FIFO 
		rtd_outl(CEC_TxDR0_reg,0x1);					//CEC TX FIFO num=1
		rtd_maskl(CEC_TxDR0_reg,~CEC_TxDR0_tx_add_cnt_mask,CEC_TxDR0_tx_add_cnt(1));		//CEC TX FIFO num double buffer load
		rtd_maskl(CEC_TxCR0_reg,~CEC_TxCR0_dest_addr_mask,CEC_TxCR0_dest_addr(init_addr));		//use initiator addr to set dest addr	
		rtd_maskl(CEC_TxCR0_reg,~CEC_TxCR0_tx_en_mask,CEC_TxCR0_tx_en(1));		//CEC TX enable
		printk("CEC TX send <Feature Abort >\n");
		do 											//wait TX ok flag
		{
			udelay(5000);
			//if((rtd_inl(CEC_TxCR0_reg) & _BIT6))
			if(CEC_TxCR0_get_tx_int(rtd_inl(CEC_TxCR0_reg)))		//TX int flag
				break;
	 	} while (--timeoutcnt);

		if (timeoutcnt==0)
			printk("wait CEC TX timeout!!!\n");
	}
	else if (((CEC_DATA[1][0]>>24)== 0x83)&&(broadcast_flag == 0))	//cmd=Give Physical Address(request)
	{
		init_addr = 0xf;	//broadcast
		CEC_DATA[0][0]=(0x84<<24)|(0x10<<16)|(0x00<<8);	//cmd=report physical address is 0x1000
		rtd_outl(CEC_TxDR1_reg,CEC_DATA[0][0]);		//CEC TX FIFO 
		rtd_outl(CEC_TxDR0_reg,0x3);					//CEC TX FIFO num=3 
		rtd_maskl(CEC_TxDR0_reg,~CEC_TxDR0_tx_add_cnt_mask,CEC_TxDR0_tx_add_cnt(1));		//CEC TX FIFO num double buffer load
		rtd_maskl(CEC_TxCR0_reg,~CEC_TxCR0_dest_addr_mask,CEC_TxCR0_dest_addr(init_addr));		//use initiator addr to set dest addr	
		rtd_maskl(CEC_TxCR0_reg,~CEC_TxCR0_tx_en_mask,CEC_TxCR0_tx_en(1));		//CEC TX enable
		printk("CEC TX send <Report Physical Address> = %x\n",CEC_DATA[0][0]);
		do 											//wait TX ok flag
		{
			udelay(5000);
			//if((rtd_inl(CEC_TxCR0_reg) & _BIT6))
			if(CEC_TxCR0_get_tx_int(rtd_inl(CEC_TxCR0_reg)))		//TX int flag
				break;
	 	} while (--timeoutcnt);

		if (timeoutcnt==0)
			printk("wait CEC TX timeout!!!\n");
	}
#endif
}
#endif

	return TRUE;
//#endif
}



int CEC_Pad_Check(void)
{

    //test_mode_pad_en set 1 enable
    // DAC test [31:30] =10   [28]= 1   logic addr [27:24]= 0x7 test mode pad enable
    rtd_outl(CEC_CR0_reg,0x9019fa1f);     //CEC test output high

	//rtd_maskl(0xb8060208,~(_BIT15|_BIT14|_BIT13|_BIT12),(_BIT15|_BIT14|_BIT13|_BIT12));     //PAD_ST_GPIO_10  pin share
	//rtd_maskl(0xb8061100,~_BIT10,0);        //PAD_ST_GPIO_10 set to GPI
	//rtd_maskl(0xb806020c,~(_BIT23|_BIT22|_BIT21|_BIT20),(_BIT23|_BIT22|_BIT21|_BIT20));     //PAD_ST_GPIO_5  pin share GPIO
	//rtd_maskl(0xb8060204,~(_BIT23|_BIT22|_BIT21|_BIT20),(_BIT23|_BIT22|_BIT21|_BIT20));     //PAD_ST_GPIO_5  pin share GPIO
#if (CONFIG_Merlin6_CEC)
	rtd_maskl(0xb80008a0,~(_BIT7|_BIT6|_BIT5|_BIT4),(_BIT7|_BIT6|_BIT5|_BIT4));     //pad_gpio_138_io pin share GPIO

	rtd_maskl(0xb801bd10,~(_BIT15),0);     //pad_gpio_138_io set to GPI

	udelay(10000);
	if (!(rtd_inl(0xb801bd40)&_BIT15))	//detect pad_gpio_138_io value
	{
		printk("CEC pad FAIL at high\n");
		return FALSE;
	}
/*
	rtd_outl(CEC_CR0_reg,0x9019fa00);	  //CEC test output low
	udelay(10000);
	if (rtd_inl(0xb8061110)&_BIT12)
	{
		printk("CEC pad FAIL at low\n");
		return FALSE;
	}
*/
#else
	rtd_maskl(0xb8060228,~(_BIT7|_BIT6|_BIT5|_BIT4),(_BIT7|_BIT6|_BIT5|_BIT4));     //PAD_ST_GPIO_54  pin share GPIO
	//rtd_maskl(0xb8061100,~_BIT5,0);        //PAD_ST_GPIO_5 set to GPI
	//rtd_outl(0xb8061100,0x40);        //PAD_ST_GPIO_5 set to GPI

	rtd_outl(0xb8061104,0x1000000);        //PAD_ST_GPIO_54 set to GPI
	
    udelay(10000);
    if (!(rtd_inl(0xb8061114)&_BIT24))	//detect ST_GPIO_54 value
    {
        printk("CEC pad FAIL at high\n");
        return FALSE;
    }

    rtd_outl(CEC_CR0_reg,0x9019fa00);     //CEC test output low
    udelay(10000);
    if (rtd_inl(0xb8061114)&_BIT24)
    {
        printk("CEC pad FAIL at low\n");
        return FALSE;
    }
#endif

    return TRUE;

}



int QC_Verifier_CEC(void)
{
#if HDMI_CEC_TEST
	bool verifyResult = 0;

	//check bandgap init, if bootcode not setting
	//bus clock 202M
//	rtd_outl(0xb8000420,0x00351B52);	//max 405, set 27*15 = 405MHz
	

	rtd_outl(0xb8060044,0x00000081); //cec clock enable 
	rtd_outl(0xb8060034,0x00000081); // cec reset release
	
	if (!CCec_Test())
	{
		printk("CEC loop back test FAIL#\n");
		verifyResult = FAILED;
	}
	else
		printk("CEC loop back test PASS@\n");

	
#if !CEC_CTS_7_9
	 if (!CEC_Pad_Check())
	 {
        	printk("CEC Pad FAIL#\n"),
       	 verifyResult = FAILED;
	 }
        else
       	 printk("CEC Pad PASS@\n");
#endif

	return verifyResult;


	
#endif
} 

