#include <qc_verify_common.h>
#include "Dolby_HDR_qc.h"
//#include "../include/DOLBY_HDR/Merlin3/rbusDMReg.h"
#include "../include/DOLBY_HDR/Mac7p/rbusDMReg.h"


void module_DOLBY_HDR_bringup_script(void)
{

	//m3, from MD_Domain
	/*
	rtd_outl(0xb8000114, 0x60002803);// enable TVSB1~3,APLL_ADC,I/M/D domain clock 
	rtd_outl(0xb8000114, 0x60002802);// disable TVSB1~3,APLL_ADC,I/M/D domain clock	
	rtd_outl(0xb8000104, 0xE0002806);// hold TVSB1~3,APLL_ADC,I/M/D domain reset	
	rtd_outl(0xb8000104, 0xE0002807);// release TVSB1~3,APLL_ADC,I/M/D domain reset	
	udelay(100000); 	
	rtd_outl(0xb8000114, 0x60002803);// enable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8000108,  0x03000000);// RESET TVSB1~3,APLL_ADC,I/M/D domain clock	
	rtd_outl(0xb8000108,  0x03000001);// disable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8000118,  0x03000001);// disable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8029000,	0x00000000);// disable PTG	

	//UINT32 PANEL_CRC = 0x3a79a0c2; //color bar:0xB9AA3A1D;	
	#if SpeedUp
	#include "../include/VIP/Merlin3/Bring_up_script/case14_ipg1080p_frc_uhd_speedup.tbl"
	//rtd_maskl(0xb8028000, 0xfbffffff, 0x01000000); //frame sync mode		rtd_outl(0xb8028000,0x81000000);
	#else			
		
	//#include "./Merlin3/case14_ipg1080p_frc_uhd.tbl"
	#include "../include/VIP/Merlin3/Bring_up_script/case14_ipg1080p_frc_uhd.tbl"
	#endif

	rtd_maskl(0xb802210c, ~0x1, 0x0); //IPTG disable
	rtd_maskl(0xb802210c, ~0x1, 0x1); //IPTG enable
	rtd_maskl(0xb8022210, 0xf7ffffff, 0x08000000); //change to random pattern [27]=1		
	udelay(1000);*/

	//Mac7p 
	rtd_outl(0xb800010c, 0x00002001);
	rtd_outl(0xb8000114, 0x60002803);// enable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8000114, 0x60002802);// disable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8000104, 0xE0002806);// hold TVSB1~3,APLL_ADC,I/M/D domain reset
	rtd_outl(0xb8000104, 0xE0002807);// release TVSB1~3,APLL_ADC,I/M/D domain reset
	rtd_outl(0xb800010c, 0x00002001);// release D3 reset
	udelay(100000);
	rtd_outl(0xb8000114, 0x60002803);// enable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8000108,  0x03000000);// RESET TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8000108,  0x03000001);// disable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8000118,  0x03000001);// disable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8029000,	0x00000000);// disable PTG

	#include"../include/DOLBY_HDR/Mac7p/Bring_up_script/case15_ipg1080p_frc_uhd.tbl"
	//mini lvds using low-speed phy, epi/vby1 high-speed phy. share the same low-speed phy in MD test.		   
	rtd_maskl(0xb80006C8, 0x7FFFFFFF, 0x00000000);	// DPLL use LS APHY

	rtd_maskl(0xb802210c, ~0x1, 0x0); //IPTG disable
	rtd_maskl(0xb802210c, ~0x1, 0x1); //IPTG enable
	rtd_maskl(0xb8022210, 0xf7ffffff, 0x08000000); //change to random pattern [27]=1		
	udelay(1000);

	// DISABLE DMA
	// CapSub
	rtd_outl(0xB802742c, 0x00000000); // disps_en
	//I3DDMA
	rtd_outl(0xb8025870, 0x00000000); // cap_en
	//DC2H
	rtd_outl(0xb8029d80, 0x00000000); // cap_en

	rtd_outl(0xB8027334, 0x00070007); // double buffer
}

void DOLBY_HDR_setting_script(void)
{
}

UINT32 DOLBY_HDR_1_CRC(void)
{
#if 0
	rtdf_setBits(DM_HDR_CRC_CTRL0_VADDR, _BIT0);
	rtdf_setBits(DM_HDR_CRC_CTRL0_VADDR, _BIT1);	// continus mode
#endif

	udelay(200);
	//Mac7p TBD, We don't have DM_HDR_CRC_RESULT_VADDR??
	return 0x00000000;//rtd_inl(DM_HDR_CRC_CTRL1_VADDR);
}

UINT32 DOLBY_HDR_2_CRC(void)
{
#if 0
	rtdf_setBits(DM_HDR_CRC_CTRL0_VADDR, _BIT0);
	rtdf_setBits(DM_HDR_CRC_CTRL0_VADDR, _BIT1);	// continus mode
#endif

	udelay(200);
	return 0x00000000;//rtd_inl(DM_HDR_CRC_CTRL2_VADDR);
}

bool compare_DOLBY_HDR_CRC(void)
{

    UINT32 CRCGoldenTable[DOLBY_HDR_CRC_TEMPLATE_NUM][DOLBY_HDR_CRC_ITEM_NUM] =//(run md -> memc)
    {
		{0x00000000, 0x00000000}
    };

	UINT32 CRCGoldenTable_2[DOLBY_HDR_CRC_TEMPLATE_NUM][DOLBY_HDR_CRC_ITEM_NUM] =//(run md -> memc)
    {
		{0x00000000, 0x00000000}
    };

	UINT32 CRCGoldenTable_3[DOLBY_HDR_CRC_TEMPLATE_NUM][DOLBY_HDR_CRC_ITEM_NUM] =//(run md -> memc)
    {
		{0x00000000, 0x00000000}
    };


    FUNCPTR_CRC_En FUNC_CRC_En[DOLBY_HDR_CRC_ITEM_NUM] = { &DOLBY_HDR_1_CRC,  &DOLBY_HDR_2_CRC };
    CRC CRC_get = {0};

    int i, j;
    bool VerifyResultFlag = FALSE;

    // GET CRC
    for( i=0; i<DOLBY_HDR_CRC_ITEM_NUM; i++ ) CRC_get.CRCValue[i] = FUNC_CRC_En[i]();

    // COMPARE TO ALL THE TEMPLATE
    for( i=0; i<DOLBY_HDR_CRC_TEMPLATE_NUM; i++)
    {
        bool ItemVerifyPassFlag = TRUE;
        for( j=0; j<DOLBY_HDR_CRC_ITEM_NUM; j++ )
        {
            ItemVerifyPassFlag = (ItemVerifyPassFlag &( (CRC_get.CRCValue[j]==CRCGoldenTable[i][j]) | (CRC_get.CRCValue[j]==CRCGoldenTable_2[i][j]) ));
        }
        VerifyResultFlag = (VerifyResultFlag | ItemVerifyPassFlag);
    }

    if(1)
    {
        for( i=0; i<DOLBY_HDR_CRC_ITEM_NUM; i++)
        {
            printk("Item %d : Cur CRC [0x%08X]\n", i, CRC_get.CRCValue[i]);
        }
    }

    return VerifyResultFlag;
}

int QC_Verifier_Dolby_HDR(void)
{
	
	int ErrorCount=0;
	int DolbyHDRstatus=0;
	int i;
	int VerifyLoop = 5;
	

	printk("===== DOLBY_HDR Verifier =====\n\n");
	module_DOLBY_HDR_bringup_script(); //m3 tmp mark for PERIPHERAL
	printk("===== Bring up finish =====\n\n");

	//DOLBY_HDR_setting_script();
	//printk("[DolbyHDR] : setting finish\n\n");

	for( i=0; i<3; i++ )
	{
		compare_DOLBY_HDR_CRC();
		udelay(333333);//set  =  1/60(Hz)  - delta
	}

	for( i=0; i<VerifyLoop; i++ )
	{
		bool IterFlag;
		IterFlag = compare_DOLBY_HDR_CRC();
		udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)

		if( !IterFlag )
		{
			ErrorCount++;
			printk("[DolbyHDR] : FAIL!\n");
		}
		else
		{
			printk("[DolbyHDR] : PASS!\n");
		}

	}

	if(ErrorCount > 0 && ErrorCount <11)
	{

		ErrorCount = 0;

		for( i=0; i<VerifyLoop; i++ )
		{
			bool IterFlag;
			IterFlag = compare_DOLBY_HDR_CRC();
			udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)

			printk("!!!!!!!!!!!!!! check crc !!!!!!!!!!!!!!!!!!!!!!!!!!!!\n");

			if( !IterFlag )
			{
				ErrorCount++;
				printk("[DolbyHDR] : FAIL!\n");
			}
			else
			{
				printk("[DolbyHDR] : PASS!\n");
			}

		}
	}

	if(ErrorCount > 0 && ErrorCount <3)
	{
		ErrorCount = 0;
	}

	DolbyHDRstatus = ErrorCount;

	return DolbyHDRstatus;
} 
