#define ScalerTimer_DelayXms(mSec)		udelay(mSec)

//item
#define DOLBY_HDR_CRC_ITEM_NUM            2
#define DOLBY_HDR_CRC_TEMPLATE_NUM        1

#ifndef _ZERO
#define _ZERO   						0x00000000
#endif
#ifndef _BIT0
#define _BIT0   						0x00000001
#endif
#ifndef _BIT1
#define _BIT1   						0x00000002
#endif
#ifndef _BIT2
#define _BIT2   						0x00000004
#endif
#ifndef _BIT3
#define _BIT3   						0x00000008
#endif
#ifndef _BIT4
#define _BIT4   						0x00000010
#endif
#ifndef _BIT5
#define _BIT5   						0x00000020
#endif
#ifndef _BIT6
#define _BIT6   						0x00000040
#endif
#ifndef _BIT7
#define _BIT7   						0x00000080
#endif
#ifndef _BIT8
#define _BIT8   						0x00000100
#endif
#ifndef _BIT9
#define _BIT9   						0x00000200
#endif
#ifndef _BIT10
#define _BIT10  						0x00000400
#endif
#ifndef _BIT11
#define _BIT11  						0x00000800
#endif
#ifndef _BIT12
#define _BIT12  						0x00001000
#endif
#ifndef _BIT13
#define _BIT13  						0x00002000
#endif
#ifndef _BIT14
#define _BIT14  						0x00004000
#endif
#ifndef _BIT15
#define _BIT15  						0x00008000
#endif
#ifndef _BIT16
#define _BIT16   						0x00010000
#endif
#ifndef _BIT17
#define _BIT17  						0x00020000
#endif
#ifndef _BIT18
#define _BIT18   						0x00040000
#endif
#ifndef _BIT19
#define _BIT19   						0x00080000
#endif
#ifndef _BIT20
#define _BIT20   						0x00100000
#endif
#ifndef _BIT21
#define _BIT21   						0x00200000
#endif
#ifndef _BIT22
#define _BIT22   						0x00400000
#endif
#ifndef _BIT23
#define _BIT23   						0x00800000
#endif
#ifndef _BIT24
#define _BIT24   						0x01000000
#endif
#ifndef _BIT25
#define _BIT25   						0x02000000
#endif
#ifndef _BIT26
#define _BIT26  						0x04000000
#endif
#ifndef _BIT27
#define _BIT27  						0x08000000
#endif
#ifndef _BIT28
#define _BIT28  						0x10000000
#endif
#ifndef _BIT29
#define _BIT29  						0x20000000
#endif
#ifndef _BIT30
#define _BIT30  						0x40000000
#endif
#ifndef _BIT31
#define _BIT31  						0x80000000
#endif


typedef	struct __CRC
{
		UINT32 VGIP;
		UINT32 RGB2YUV;
		UINT32 Peaking;
		UINT32 UZD;
		UINT32 MEM;
		UINT32 UZU;
		UINT32 VIVIC;
		UINT32 Dither;
		UINT32 OD;

		UINT32 VGIP1;
		UINT32 HSD1;
		UINT32 DI;
		UINT32 UZD1;
		UINT32 MEM1;
		UINT32 UZU1;
		UINT32 SHP1;
		UINT32 ICM1;

        UINT32 CRCValue[DOLBY_HDR_CRC_ITEM_NUM];
		struct  __GIBI
		{
			UINT32 Ch1;
			UINT32 Ch2;
			UINT32 Ch3;
			UINT32 Ch4;
		} GIBI;
} CRC;

#ifndef rtdf_setBits
#define rtdf_setBits(offset, Mask) rtd_outl(offset, (rtd_inl(offset) |Mask))
#endif
#ifndef rtdf_clearBits
#define rtdf_clearBits(offset, Mask) rtd_outl(offset, ((rtd_inl(offset) & ~(Mask))))
#endif


#define UINT32    unsigned int
#define UINT8     unsigned char
#define PASS      0
#define FAIL      1
#define main      0 
#define sub       1
#define _CHANNEL1 0

typedef UINT32 (*FUNCPTR_CRC_En)(void);

