#include "config.h"
#include "../tb_util.h"

#if GP_M470_MP_F052_GP_IRQ

static char* pattern_0 ="\
80000020: ........ 00080001 00000000 00000001\n\
80000030: 00000001 ........ ........ ........\n";

static test_vector gp_m470_mp_F052_GP_IRQ_vector = {
	.vector_name = "gp_m470_mp_F052_GP_IRQ",
	.cmd_string = "reset\n\
timeout 10000\n\
writereg 8000002c 00000001\n\
writereg 80000024 00000001\n\
dump_reg 80000024 80000034 > 0\n\
wait posedge irq\n\
quit\n",
	{NULL},
	.load_pattern_num = 0,
	{NULL},
	{0},
	.pattern_num = 0,
};

mali_error_code gp_m470_mp_F052_GP_IRQ(void){
	mali_error_code err = MALI_ERROR_NO_ERROR;
	gp_m470_mp_F052_GP_IRQ_vector.pattern[0] = pattern_0;
	gp_m470_mp_F052_GP_IRQ_vector.pattern_num = 1;
	gp_m470_mp_F052_GP_IRQ_vector.pattern_offset[0] = 0;
	gp_m470_mp_F052_GP_IRQ_vector.pattern_offset[1] = 0;
	gp_m470_mp_F052_GP_IRQ_vector.pattern_offset[2] = 0;
	IPRINTF("\n\n\n\n>>>>>enter function gp_m470_mp_F052_GP_IRQ <<<<<\n");
	err = cmd_read_configtxt(&gp_m470_mp_F052_GP_IRQ_vector);
	closing(&gp_m470_mp_F052_GP_IRQ_vector);
	return err;

}

#endif
