#include <qc_verify_common.h>
#include <qc_verify.h>
#include "MEMC_qc.h"

//include rbus
//#include "../include/MEMC/rbusColor_icmReg.h"
//#include "../include/MEMC/rbusDitherReg.h"


//#if defined(CONFIG_RTD289X_QC) || defined(CONFIG_RTD289XP_QC)
#include "../include/MEMC/Merlin6/memc_mux_reg.h"
#include "../include/MEMC/Merlin6/dither_reg.h"
//#endif

//end_include rbus

// Merlin2 henry
// avoid affecting other test caaes
// finish MEMC test disable RW DMA
#define MEMC_dma_rw_en 0
#define MEMC_CHECK 1
#define BIST_BUG_TEST_IN_QC_CODE 0

#if 0
//juwen, 0505
/* timestamp example */
#include "stdio.h"      /* printf */
#include "time.h"       /* time_t, time (for timestamp in second) */
#include "sys/timeb.h"  /* ftime, timeb (for timestamp in millisecond) */
#include "sys/time.h"   /* gettimeofday, timeval (for timestamp in microsecond) */

void printTime_microSec(void)
{
  /* Example of timestamp in microsecond. */
  struct timeval timer_usec;
  long long int timestamp_usec; /* timestamp in microsecond */
  if (!gettimeofday(&timer_usec, NULL)) {
    timestamp_usec = ((long long int) timer_usec.tv_sec) * 1000000ll +
                        (long long int) timer_usec.tv_usec;
  }
  else {
    timestamp_usec = -1;
  }
  printk("%lld microseconds since epoch\n", timestamp_usec);

}
#endif

void print_PIF_CRC(void)
{

UINT32 PIF_crc;

	rtdf_setBits(0xB802D910, _BIT0|_BIT1); // read start addr (cannot be 0 when HSD enabled)
	udelay(10000);
	PIF_crc = rtd_inl(0xB802D914);

//#if defined(CONFIG_RTD289X_QC) || defined(CONFIG_RTD289XP_QC)
	if(PIF_crc != 0xee4dc883){
//#endif
		printk("%x\t(PIF_crc ), PIF_crc != golden\n",PIF_crc);
	}
	else{
		printk("%x\t(PIF_crc )\n",PIF_crc);
	}
}


void printMEMC_errorFlag(void)
{
	int MEMC_error_flag;

//juwen, clear memc error flag
	rtd_outl(0xb80994f8, 0xffffffff);
	rtd_outl(0xb80994fc, 0xffffffff);


	MEMC_error_flag =  rtd_inl(0xb80994f8);//e@line O_Ū쨬mc rdma data

      printk("0xb80994f8: %x\n",MEMC_error_flag);
      printk("regr_kmc_02_dec_fetch_err: %x\n",(MEMC_error_flag&63) );
      printk("regr_kmc_03_dec_fetch_err: %x\n",(MEMC_error_flag&4032) );
      printk("regr_kmc_04_dec_fetch_err: %x\n",(MEMC_error_flag&258048) );
      printk("regr_kmc_05_dec_fetch_err: %x\n",(MEMC_error_flag&16515072) );//18~23
      printk("regr_kmc_06_dec_fetch_err: %x\n",(MEMC_error_flag&1056964608) );//24~29

	MEMC_error_flag =  rtd_inl(0xb80994fc);
      printk("0xb80994fc: %x\n",MEMC_error_flag);
      printk("regr_kmc_00_wram_rw_err: %x\n",(MEMC_error_flag&63) );
      printk("regr_kmc_01_wram_rw_err: %x\n",(MEMC_error_flag&128) );
/*
regr_kmc_02_dec_fetch_err   0xb80994f8[5:0]
regr_kmc_03_dec_fetch_err   0xb80994f8[11:6]
regr_kmc_04_dec_fetch_err   0xb80994f8[17:12]
regr_kmc_05_dec_fetch_err   0xb80994f8[23:18]
regr_kmc_06_dec_fetch_err   0xb80994f8[29:24]
regr_kmc_07_dec_fetch_err   0xb80994fc[5:0]
regr_kmc_00_wram_rw_err     0xb80994fc[6]
regr_kmc_01_wram_rw_err     0xb80994fc[7]
*/
}

void module_MEMC_bringup_script(void)
{
	rtd_outl(0xb8000114, 0x60002803);// enable TVSB1~3,APLL_ADC,I/M/D domain clock 
	rtd_outl(0xb8000114, 0x60002802);// disable TVSB1~3,APLL_ADC,I/M/D domain clock	
	rtd_outl(0xb8000104, 0xE0002806);// hold TVSB1~3,APLL_ADC,I/M/D domain reset	
	rtd_outl(0xb8000104, 0xE0002807);// release TVSB1~3,APLL_ADC,I/M/D domain reset	
	udelay(100000); 	
	rtd_outl(0xb8000114, 0x60002803);// enable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8000108, 0x03000000);// RESET TVSB1~3,APLL_ADC,I/M/D domain clock	
	rtd_outl(0xb8000108, 0x03000001);// disable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8000118, 0x03000001);// disable TVSB1~3,APLL_ADC,I/M/D domain clock
	rtd_outl(0xb8029000, 0x00000000);// disable PTG

	// DISABLE DMA
	// CapSub
	rtd_outl(0xB802742c, 0x00000000); // disps_en
	//I3DDMA
	rtd_outl(0xb8025870, 0x00000000); // cap_en
	//DC2H
	rtd_outl(0xb8029d80, 0x00000000); // cap_en
	rtd_outl(0xB8027334, 0x00070007); // double buffer
	
		//UINT32 PANEL_CRC = 0x3a79a0c2; //color bar:0xB9AA3A1D;	
		#if SpeedUp
		#include"../include/MEMC/Merlin6/Case/case22_ipg1080p_frc_uhd.tbl"

		rtd_maskl(0xb8028000, 0xfbffffff, 0x01000000); //frame sync mode		rtd_outl(0xb8028000,0x81000000);
		rtd_maskl(0xb8028300, 0xffffefff, 0x00008000);
		#else
		#include"../include/MEMC/Merlin6/Case/case22_ipg1080p_frc_uhd.tbl"
		#endif

	//#include "./Merlin2/Ddomain_LPhy.tbl"
	//mini lvds using low-speed phy, epi/vby1 high-speed phy. share the same low-speed phy in MD test.		   
	//rtd_maskl(0xb80006C8, 0x7FFFFFFF, 0x00000000);	// DPLL use LS APHY

	rtd_maskl(0xb802210c, ~0x1, 0x0); //IPTG disable
	rtd_maskl(0xb802210c, ~0x1, 0x1); //IPTG enable
	rtd_maskl(0xb8022210, 0xf7ffffff, 0x08000000); //change to random pattern [27]=1		
	
	rtd_outl(0xb8029000, 0x0000000d);// enable DPTG random
	udelay(1000);

}

#if 1
UINT32 MEMC_Input_CRC(void)
{
	int k=0;

	rtdf_setBits(MEMC_MUX_MEMC_MUX_CRC_CTRL_reg, _BIT0);
	rtdf_setBits(MEMC_MUX_MEMC_MUX_CRC_CTRL_reg, _BIT1);	// continus mode

	udelay(200);

	//return rtd_inl(MEMC_MUX_MEMC_MUX_IN_R_CRC_RESULT_VADDR);
	return rtd_inl(MEMC_MUX_MEMC_MUX_IN_L_CRC_RESULT_reg);

}

UINT32 MEMC_Output_CRC(void)
{
	int k=0;
	//rtdf_clearBits(MEMC_MUX_MEMC_MUX_CRC_CTRL_VADDR, _BIT2);
	rtdf_setBits(MEMC_MUX_MEMC_MUX_CRC_CTRL_reg, _BIT5);
	rtdf_setBits(MEMC_MUX_MEMC_MUX_CRC_CTRL_reg, _BIT6);	// cotinus mode

	udelay(200);
	
	//return rtd_inl(MEMC_MUX_MEMC_MUX_OUT_R_CRC_RESULT_VADDR);
	return rtd_inl(MEMC_MUX_MEMC_MUX_OUT_L_CRC_RESULT_reg);
}
#endif

bool compare_CRC(void)
{
	/*
	KPOST 0xd17ba22c
	KMC    0xcc6ad9f6
	IPPRE  0x81400113
	DPat    0xb12f567c
	*/

    UINT32 CRCGoldenTable[MEMC_CRC_TEMPLATE_NUM][MEMC_CRC_ITEM_NUM] =//(run md -> memc)
    {
    		/*    input            output  */
		{0x35F4AE8E, 0xB12F567C}, // only MEMC
		{0xD64DAED6, 0xDB107963}
    };

    UINT32 CRCGoldenTable_2[MEMC_CRC_TEMPLATE_NUM][MEMC_CRC_ITEM_NUM] =//(run md -> memc)
    {
		{0xF5C60C72, 0xE908E4CE}, // VD+VIP
		{0xF5C60C72, 0xE908E4CE}
    };

    UINT32 CRCGoldenTable_3[MEMC_CRC_TEMPLATE_NUM][MEMC_CRC_ITEM_NUM] =//(run md -> memc)
    {
		{0xF5C60C72, 0xFE1DAD7B}, //0xD6BC912E
		{0xF5C60C72, 0xFE1DAD7B}
    };


    FUNCPTR_CRC_En FUNC_CRC_En[MEMC_CRC_ITEM_NUM] = { &MEMC_Input_CRC,  &MEMC_Output_CRC };
    CRC CRC_get = {0};

    int i, j;
    bool VerifyResultFlag = FALSE;

    // GET CRC
    for( i=0; i<MEMC_CRC_ITEM_NUM; i++ ) CRC_get.CRCValue[i] = FUNC_CRC_En[i]();

    // COMPARE TO ALL THE TEMPLATE
    for( i=0; i<MEMC_CRC_TEMPLATE_NUM; i++)
    {
        bool ItemVerifyPassFlag = TRUE;
        for( j=0; j<MEMC_CRC_ITEM_NUM; j++ )
        {
            ItemVerifyPassFlag = (ItemVerifyPassFlag &( (CRC_get.CRCValue[j]==CRCGoldenTable[i][j]) | (CRC_get.CRCValue[j]==CRCGoldenTable_2[i][j]) | (CRC_get.CRCValue[j]==CRCGoldenTable_3[i][j]) ));
        }
        VerifyResultFlag = (VerifyResultFlag | ItemVerifyPassFlag);
    }

    if(1)
    {
        for( i=0; i<MEMC_CRC_ITEM_NUM; i++)
        {
            printk("[%s][%d]Item %d : Cur CRC [0x%08X]->[%d][%d][%d]\n", __FUNCTION__, __LINE__,
				i, CRC_get.CRCValue[i],  
				(CRC_get.CRCValue[i]==CRCGoldenTable[0][i]), (CRC_get.CRCValue[i]==CRCGoldenTable_2[0][i]), (CRC_get.CRCValue[i]==CRCGoldenTable_3[0][i]));
        }
    }

    return VerifyResultFlag;
}

bool compare_CRC_Bist(int input, int output)
{
    UINT32 CRCGoldenTable[MEMC_CRC_TEMPLATE_NUM_BIST][MEMC_CRC_ITEM_NUM] =//(run md -> memc)
    {
		{0xD64DAED6, 0xE908E4CE}, // only MEMC
		{0xDB107963, 0xE908E4CE},
		{0xD64DAED6, 0xE908E4CE},
		{0xDB107963, 0xE908E4CE},
    };

    UINT32 CRCGoldenTable_2[MEMC_CRC_TEMPLATE_NUM_BIST][MEMC_CRC_ITEM_NUM] =//(run md -> memc)
    {
		{0xF5C60C72, 0xE908E4CE}, // VD+VIP
		{0xF5C60C72, 0xE908E4CE},
		{0xF5C60C72, 0xE908E4CE}, // VD+VIP
		{0xF5C60C72, 0xE908E4CE},
    };

    UINT32 CRCGoldenTable_3[MEMC_CRC_TEMPLATE_NUM_BIST][MEMC_CRC_ITEM_NUM] =//(run md -> memc)
    {
		{0xF5C60C72, 0xFE1DAD7B}, //0xD6BC912E
		{0xF5C60C72, 0xFE1DAD7B},
		{0xF5C60C72, 0xFE1DAD7B}, //0xD6BC912E
		{0xF5C60C72, 0xFE1DAD7B},
    };


    FUNCPTR_CRC_En FUNC_CRC_En[MEMC_CRC_ITEM_NUM] = { &MEMC_Input_CRC,  &MEMC_Output_CRC };
    CRC CRC_get = {0};

    int i, j;
    bool VerifyResultFlag = FALSE;

    // GET CRC
    for( i=0; i<MEMC_CRC_ITEM_NUM; i++ ) CRC_get.CRCValue[i] = FUNC_CRC_En[i]();

    // COMPARE TO ALL THE TEMPLATE
    for( i=0; i<MEMC_CRC_TEMPLATE_NUM_BIST; i++)
    {
        bool ItemVerifyPassFlag = TRUE;
        for( j=0; j<MEMC_CRC_ITEM_NUM; j++ )
        {
        	if ((input == 1 && j == 0) || (output == 1 && j == 1))
			ItemVerifyPassFlag = (ItemVerifyPassFlag &( (CRC_get.CRCValue[j]==CRCGoldenTable[i][j]) | (CRC_get.CRCValue[j]==CRCGoldenTable_2[i][j]) | (CRC_get.CRCValue[j]==CRCGoldenTable_3[i][j]) ));
        }
        VerifyResultFlag = (VerifyResultFlag | ItemVerifyPassFlag);
    }

    if(1)
    {
        for( i=0; i<MEMC_CRC_ITEM_NUM; i++)
        {
        	if ((input == 1 && i == 0) || (output == 1 && i == 1)) {
			printk("[%s][%d]Item %d : Cur CRC [0x%08X]->[%d][%d][%d]\n", __FUNCTION__, __LINE__,
				i, CRC_get.CRCValue[i], 
				(CRC_get.CRCValue[i]==CRCGoldenTable[0][i] |CRC_get.CRCValue[i]==CRCGoldenTable[1][i] | CRC_get.CRCValue[i]==CRCGoldenTable[2][i] | CRC_get.CRCValue[i]==CRCGoldenTable[3][i]), 
				(CRC_get.CRCValue[i]==CRCGoldenTable_2[0][i] | CRC_get.CRCValue[i]==CRCGoldenTable_2[1][i] | CRC_get.CRCValue[i]==CRCGoldenTable_2[2][i] | CRC_get.CRCValue[i]==CRCGoldenTable_2[3][i]), 
				(CRC_get.CRCValue[i]==CRCGoldenTable_3[0][i] | CRC_get.CRCValue[i]==CRCGoldenTable_3[1][i] | CRC_get.CRCValue[i]==CRCGoldenTable_3[2][i] | CRC_get.CRCValue[i]==CRCGoldenTable_3[3][i]));
        	}
        }
    }

    return VerifyResultFlag;
}


void MEMC_setting_script(void)
{
	rtd_setbits(0xb8028100,_BIT13); // bypass disable
	rtd_outl(0xb802847c,0x00000000); // double buffer

	//rtdf_setBits(0xb8029000, _BIT0);
	//rtdf_clearBits(0xb8029000, _BIT1);

	//memc setting
	#include "../include/MEMC/Merlin6/Bring_up_script/1.M6_memc_0409_firmware_final.tbl"
	#include "../include/MEMC/Merlin6/Bring_up_script/2.k5Lp_phase_table_0111.tbl"
	udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)

	rtd_outl(0xb802e800, 0x00000001);//memc mux function

	/*
	printk("[MEMC] : b802e800: %x\n", rtd_inl(0xb802e800));
	printk("[MEMC] : b8000234: %x\n", rtd_inl(0xb8000234));
	printk("[MEMC] : b8000120: %x\n", rtd_inl(0xb8000120));
	printk("[MEMC] : b8000130: %x\n", rtd_inl(0xb8000130));
	printk("[MEMC] : b8000208: %x\n", rtd_inl(0xb8000208));
	printk("[MEMC] : b809e114: %x\n", rtd_inl(0xb809e114));
	printk("[MEMC] : b809e118: %x\n", rtd_inl(0xb809e118));
	printk("[MEMC] : b802847c: %x\n", rtd_inl(0xb802847c));
	printk("[MEMC] : b8028644: %x\n", rtd_inl(0xb8028644));
	*/
	
}

void MEMC_Enable_DISPD_clock(void)
{
	//rtd_maskl(0xb800011c, 0x1FFFFFFE, 0xE8000001);
	rtd_outl(0xb800011c, 0xFFFFFFFF);
	rtd_maskl(0xb800010c, 0x1FFFFFFE, 0xE8000001);

	rtd_outl(0xb8000234, 0x00210121);

	// mc function clock
	rtd_maskl(0xb8000120, 0xFFFFFFFA, 0x00000005);
	rtd_maskl(0xb8000130, 0xFFFFFFFA, 0x00000005);

	// me clock
	rtd_maskl(0xb8000208, 0xDFFFFFFF, 0x20000000);
	
	// BW
	// rtd_outl(0xb809e114, 0x00000000); // b809e114 = 0
	// rtd_outl(0xb809e118, 0x00000000); // b809e118 = 0

	rtd_outl(0xb8028644, 0x008a0099);
	rtd_maskl(0xb802847c, 0xFFFEFFFF, 0x00010000); // db , need remove
}

bool BISTR()
{
	UINT32 BISR_Done, BISR_Fail;
	// Initial setting
	
	// set hold remap reset
	rtd_outl(0xb8000f54,0x00000000); //set BISR Hold Remap
	
	// assert BIST Mode
	rtd_outl(0xb8000f50,0x000000ff); //kmc assert BISR Mode       
	    
	// wait BISR Done
	//ScalerTimer_DelayXms(0x500); //wait bist done time
	udelay(333333*5);

	BISR_Done = rtd_inl(0xb8000f58);//(0x000000ff) //kmc read BISR Done
	
	// read BIST Fail
	BISR_Fail = rtd_inl(0xb809f124);//(0x00000000) //kmc read BISR Fail   

	// set hold remap
	rtd_outl(0xb8000f54,0x000000ff); //set BISR Hold Remap

	if (BISR_Done != 0x000000ff || BISR_Fail != 0x00000000)
	{
		printf("[MEMC] BISTR Done: %08x , Fail: %08x\n", BISR_Done, BISR_Fail);
		return false;
	}
	else
	{
		printf("[MEMC] BISTR PASS\n");
		return true;
	}
}

void Thermal_Setting()
{
	//modify default setting
	rtd_outl(0xb8000380,0x08130000);//reg_a=29'h08130000
	rtd_outl(0xb8000384,0xDC84CC11);//reg_b=22'h372133,CHOPEN=1
	rtd_outl(0xb800038C,0x00000010);//REG_HOLD_DLY<1:0>  2b01

	rtd_outl(0xb8000388,0x00000020);//tm_pow=1
	rtd_outl(0xb8000390,0x00001000);//tm_rstb=0
	rtd_outl(0xb8000390,0x80001000);//tm_rstb=1

	rtd_outl(0xb8000108,0x10000001);//release thermal rst
	rtd_outl(0xb8000118,0x10000001);//enable thermal clk
}

int QC_Verifier_MEMC(void)
{
#if BIST_BUG_TEST_IN_QC_CODE // remove when bist not QC code testing
	bool ERR_MEMC = false, ERR_bist1 = false, ERR_bist2 = false;
#endif
	//#if defined(CONFIG_RTD289X_QC) || defined(CONFIG_RTD289XP_QC)
	int ErrorCount=0;
	int EC_LF_I=0, EC_LF_P=0, EC_HF_I=0, EC_HF_P=0;
	int MEMCstatus=0;
	int i, loop;
	int VerifyLoop = 5;
	//int for_loop_DMA_RW = 1;

	Thermal_Setting();

	printk("[MEMC] : QC Verifier : memc boot\n");
	printk("[MEMC] : Loading pattern befor setting memc\n");
	//memc itself set pattern, clock
	module_MEMC_bringup_script();
	printk("[MEMC] : Bring up finish\n\n");

	MEMC_Enable_DISPD_clock();
	printk("===== DISPD_clock finish =====\n\n");

	MEMC_setting_script();// LG setting
	printk("[MEMC] : setting finish\n\n");

	if (BISTR() == false)
	{
		printk("[MEMC] BISTR fail !!!!!\n\n");
		ErrorCount = 20;
	}
#if MEMC_CHECK
	udelay(333333*100); // *200

	// henry enable d-dither crc 160901
	rtdf_setBits(DITHER_Dither_CRC_CTRL_reg,_BIT0);
	rtdf_setBits(DITHER_Dither_CRC_CTRL_reg,_BIT1);

	for( i=0; i<15; i++ )//m3 tmp, m2 <3
	{
		compare_CRC();
		udelay(333333);//set  =  1/60(Hz)  - delta
	}

	for( i=0; i<VerifyLoop; i++ )
	{
		bool IterFlag;
		IterFlag = compare_CRC();
		//udelay(1000);
		udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)

		if( !IterFlag )
		{
			ErrorCount++;
			printk("[MEMC] : FAIL!\n");
		}
		else
		{
			printk("[MEMC] : PASS!\n");
		}

	}

	if(ErrorCount > 0 && ErrorCount <11)
	{

		ErrorCount = 0;

		for( i=0; i<VerifyLoop; i++ )
		{
			bool IterFlag;
			IterFlag = compare_CRC();
			//udelay(1000);
			udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)


			printk("!!!!!!!!!!!!!! check crc !!!!!!!!!!!!!!!!!!!!!!!!!!!!\n");

			if( !IterFlag )
			{
				ErrorCount++;
				printk("[MEMC] : FAIL!\n");
			}
			else
			{
				printk("[MEMC] : PASS!\n");
			}

		}
	}

	if(ErrorCount > 0 && ErrorCount <5)//m3 tmp, m2 <3
	{
		ErrorCount = 0;
	}

	// check d-dither crc 160901 henry
	printk("\n======= Compare D-Dither CRC =======\n");
	UINT32 goldDDitherCRC[2] = {0xEC9A01D3, 0x999C2A58};  // only MEMC
	UINT32 goldDDitherCRC2 = 0xFD57CFC8; // 7th or 8th buffer
	UINT32 curDDitherCRC = 0;

	for (loop = 0; loop < 1; loop++)
	{
		// ErrorCount = 0;
		for( i=0; i<5; i++ )
		{
			udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)
			curDDitherCRC = rtd_inl(DITHER_Dither_CRC_RESULT_reg);
			// printk("[%s][%d]D-Dither Cur CRC [0x%08X]->[%d][%d][%d]\n", __FUNCTION__, __LINE__, curDDitherCRC, (curDDitherCRC==goldDDitherCRC[0]), (curDDitherCRC==goldDDitherCRC[1]), (curDDitherCRC==goldDDitherCRC2));
			
			if(curDDitherCRC != goldDDitherCRC[0] && curDDitherCRC != goldDDitherCRC[1] && curDDitherCRC != goldDDitherCRC2)
			{
				ErrorCount++;
				printk("D-Dither CRC compare FAIL!\n");
				//printk("D-Dither CRC compare FAIL!(%d times), [0x%08X]\n", ErrorCount, curDDitherCRC);
			}
			else
				printk("D-Dither CRC compare PASS!\n");

			printk("D-Dither cur CRC is [0x%08X]\n\n", curDDitherCRC);
			udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)
		}

		rtd_outl(0xb8099120, 0x00000780); // IPPRE pattern gen
		rtd_outl(0xb8099160, 0x0501fa40); // remove move
		
		EC_LF_I = 0;
		EC_LF_P = 0;
		EC_HF_I = 0;
		EC_HF_P = 0;
		rtd_outl(0xb8099228, 0xffffffff);
		rtd_outl(0xb80992a8, 0xffffffff);
		rtd_outl(0xb8099810, 0xffff0000);
		rtd_outl(0xb8099810, 0x0000ffff);
		rtd_outl(0xb8099890, 0xffff0000);
		rtd_outl(0xb8099890, 0x0000ffff);
		for( i=0; i<5; i++ )
		{
			udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)

			/*
			clean all status
			Register::MC_LF_PQ_CMP_IRQ_ST    0x18099228
			Register::MC_HF_PQ_CMP_IRQ_ST   0x180992A8
			Register::MC_LF_PQ_DECMP_IRQ_st        0x18099810 [31:16]
			Register::MC_LF_PQ_DECMP_IRQ_st        0x18099810 [15:0]
			Register::MC_HF_PQ_DECMP_IRQ_st        0x18099890 [31:16]
			Register::MC_HF_PQ_DECMP_IRQ_st        0x18099890 [15:0]
			*/		
			UINT32 MC_LF_PQ_CMP_IRQ_ST, MC_HF_PQ_CMP_IRQ_ST, MC_LF_PQ_DECMP_IRQ_st_I, MC_LF_PQ_DECMP_IRQ_st_P, MC_HF_PQ_DECMP_IRQ_st_I, MC_HF_PQ_DECMP_IRQ_st_P;
			MC_LF_PQ_CMP_IRQ_ST = rtd_inl(0xb8099228);
			MC_HF_PQ_CMP_IRQ_ST = rtd_inl(0xb80992a8);
			MC_LF_PQ_DECMP_IRQ_st_I = (rtd_inl(0xb8099810) & 0xffff0000)>>16;
			MC_LF_PQ_DECMP_IRQ_st_P = rtd_inl(0xb8099810) & 0x0000ffff;
			MC_HF_PQ_DECMP_IRQ_st_I = (rtd_inl(0xb8099890) & 0xffff0000)>>16;
			MC_HF_PQ_DECMP_IRQ_st_P = rtd_inl(0xb8099890) & 0x0000ffff;

			if (MC_LF_PQ_CMP_IRQ_ST != 0)
			{
				printk("LF_CMP_Error: %x\n", MC_LF_PQ_CMP_IRQ_ST);
				rtd_outl(0xb8099228, 0xffffffff);
			}
			if (MC_HF_PQ_CMP_IRQ_ST != 0)
			{
				printk("HF_CMP_Error: %x\n", MC_HF_PQ_CMP_IRQ_ST);
				rtd_outl(0xb80992a8, 0xffffffff);
			}
			if (MC_LF_PQ_DECMP_IRQ_st_I != 0)
			{
				EC_LF_I++;
				printk("I LF_DECMP_Error: %x\n", MC_LF_PQ_DECMP_IRQ_st_I);
				rtd_outl(0xb8099810, 0xffff0000);
			}
			if (MC_LF_PQ_DECMP_IRQ_st_P != 0)
			{
				EC_LF_P++;
				printk("P LF_DECMP_Error: %x\n", MC_LF_PQ_DECMP_IRQ_st_P);
				rtd_outl(0xb8099810, 0x0000ffff);
			}
			if (MC_HF_PQ_DECMP_IRQ_st_I != 0)
			{
				EC_HF_I++;
				printk("I HF_DECMP_Error: %x\n", MC_HF_PQ_DECMP_IRQ_st_I);
				rtd_outl(0xb8099890, 0xffff0000);
			}
			if (MC_HF_PQ_DECMP_IRQ_st_P != 0)
			{
				EC_HF_P++;
				printk("P HF_DECMP_Error: %x\n", MC_HF_PQ_DECMP_IRQ_st_P);
				rtd_outl(0xb8099890, 0x0000ffff);
			}

			udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)
		}
		
		UINT32 thermal = rtd_inl(0xb80003A0);
		printk("[%5d]: Dither Fail count: %d (LF_I:%d, LF_P:%d, HF_I:%d, HF_P:%d), Thermal: %d.%d C\n", loop, ErrorCount, EC_LF_I, EC_LF_P, EC_HF_I, EC_HF_P, (thermal/1024), ((thermal%1024)*10/1024) );
	}

	MEMCstatus = ErrorCount + EC_LF_I + EC_LF_P + EC_HF_I + EC_HF_P;
#endif

#if BIST_BUG_TEST_IN_QC_CODE
	/****************** MEMC BIST SRAM TEST ******************/
	// UZU PTG
#if 1
	rtd_outl(0xb8029000, 0x00000041);
	rtd_outl(0xb8029004, 0x00114000);//sylin add for uzu bypass
	rtd_outl(0xb8029028, 0x0f000870);//sylin add for uzu bypass
	rtd_outl(0xb8029064, 0x00008080);
	rtd_outl(0xb8029068, 0x00008080);
	rtd_outl(0xb802906c, 0x00808080);
	rtd_outl(0xb8029070, 0x00808080);
	rtd_outl(0xb8029074, 0x0205dbff);
	rtd_outl(0xb8029078, 0x000bb7ff);
	//rtd_maskl(0xb802e940, 0xffffffcf, 0x00000000); // disable dither
	//udelay(333333);

	rtd_part_outl(0xb8028100, 13, 13, 0x0); // enable memc
	rtd_outl(0xb809be00, 0x8700080a);
	rtd_outl(0xb809be04, 0x00000000);
	rtd_outl(0xb809be08, 0x00000080);
	rtd_outl(0xb809be0c, 0x00000000);
	rtd_outl(0xb809be10, 0x00000000);
	rtd_outl(0xb809be14, 0x00000000);
	rtd_outl(0xb809be18, 0x00000000);
	rtd_outl(0xb809be1c, 0x00000000);
	rtd_outl(0xb809be20, 0x00000000);
	rtd_outl(0xb809be68, 0x001fffff);
	rtd_outl(0xb809be6c, 0x001003ff);
	rtd_outl(0xb809be84, 0x018b524f);
	rtd_outl(0xb809be88, 0x00242800);
	rtd_outl(0xb809bf84, 0x00000000);
	rtd_outl(0xb809bf88, 0x00000000);
	rtd_outl(0xb809bf8c, 0x00000000);
	rtd_outl(0xb809bf90, 0x00000000);
	rtd_outl(0xb809bf2c, 0x001040c6);
	rtd_outl(0xb809bf30, 0x00000000);
	rtd_outl(0xb809bf34, 0x00000000);
	rtd_outl(0xb809bf38, 0x00020100);
	rtd_outl(0xb809bf3c, 0x00000000);
	rtd_outl(0xb809bf40, 0x00000000);
	rtd_outl(0xb809bf44, 0x00020100);
	rtd_outl(0xb809bf48, 0x00000000);
	rtd_outl(0xb809bf4c, 0x00000000);
	rtd_outl(0xb809bf50, 0x00020100);
	rtd_outl(0xb809bf54, 0x00ffff00);
	rtd_outl(0xb809bf58, 0x00000000);
	rtd_outl(0xb809bf5c, 0x00030201);
	rtd_outl(0xb809bf60, 0x00ffffff);
	rtd_outl(0xb809bf64, 0x00000000);
	rtd_outl(0xb809bfd0, 0x00000000);
	rtd_outl(0xb809bfc4, 0x3fffffff);
	rtd_outl(0xb809bfd4, 0x3fffffff);
	rtd_outl(0xb809befc, 0x00000001);
	rtd_outl(0xb809bfe4, 0x00000000);
	rtd_outl(0xb80996d8, 0x80000000);
	rtd_outl(0xb80996dc, 0x00007503);
	rtd_outl(0xb8099720, 0x080114ff);
	rtd_outl(0xb80996d4, 0x00000080);
	// willy add
	rtd_part_outl(0xb8028100, 13, 13, 0x1); // enable memc
	rtd_outl(0xb809cd10, 0xf0430b8a); // disable dehalo
	// skyred add for force iz mode
	rtd_outl(0xb8099628, 0x24005803);
	rtd_outl(0xb8099630, 0x00000100);
	rtd_outl(0xb80996b0, 0x00033301);
	rtd_outl(0xb8099750, 0x00040c0c);
	udelay(333333);
	// position adjust
	rtd_outl(0xb8028644, 0x004006f0);
	udelay(333333);
#endif

	
#if 0
	rtd_maskl(0xb809be00, 0xfffff00f, 0x00000800); // 0xb809be00, 4, 11
	rtd_maskl(0xb809be00, 0xfff00fff, 0x00000000); // 0xb809be00, 12, 19
	rtd_maskl(0xb809be04, 0xffffff00, 0x00000000); // 0xb809be04, 0, 7
	rtd_maskl(0xb809be04, 0xffff00ff, 0x00000000); // 0xb809be04, 8, 15
	rtd_maskl(0xb809be08, 0xffffff00, 0x00000080); // 0xb809be08, 0, 7
	rtd_maskl(0xb809be08, 0xffff00ff, 0x00000000); // 0xb809be08, 8, 15
	rtd_maskl(0xb809be0c, 0xffffff00, 0x00000000); // 0xb809be0c, 0, 7
	rtd_maskl(0xb809be0c, 0xffff00ff, 0x00000000); // 0xb809be0c, 8, 15
	rtd_maskl(0xb809be10, 0xffffffe0, 0x00000000); // 0xb809be10, 0, 4
	rtd_maskl(0xb809be14, 0x00000000, 0x00000000); // 0xb809be14, 0, 31
	rtd_maskl(0xb809be18, 0x00000000, 0x00000000); // 0xb809be18, 0, 31
	rtd_maskl(0xb809be1c, 0x00000000, 0x00000000); // 0xb809be1c, 0, 31
	rtd_maskl(0xb809be20, 0x00000000, 0x00000000); // 0xb809be20, 0, 31
	rtd_maskl(0xb809be68, 0xfffff800, 0x000007ff); // 0xb809be68, 0, 10
	rtd_maskl(0xb809be68, 0xffe007ff, 0x001ff800); // 0xb809be68, 11, 20
	rtd_maskl(0xb809be6c, 0xfffffc00, 0x000003ff); // 0xb809be6c, 0, 9
	rtd_maskl(0xb809be6c, 0xfff003ff, 0x00000000); // 0xb809be6c, 10, 19
	rtd_maskl(0xb809be84, 0xfdffffff, 0x00000000); // 0xb809be84, 25, 25
	rtd_maskl(0xb809be88, 0xffffff00, 0x00000000); // 0xb809be88, 0, 7
	rtd_maskl(0xb809bf84, 0xffffff00, 0x00000000); // 0xb809bf84, 0, 7
	rtd_maskl(0xb809bf84, 0xffff00ff, 0x00000000); // 0xb809bf84, 8, 15
	rtd_maskl(0xb809bf84, 0xff00ffff, 0x00000000); // 0xb809bf84, 16, 23
	rtd_maskl(0xb809bf84, 0x00ffffff, 0x00000000); // 0xb809bf84, 24, 31
	rtd_maskl(0xb809bf88, 0xffffff00, 0x00000000); // 0xb809bf88, 0, 7
	rtd_maskl(0xb809bf88, 0xffff00ff, 0x00000000); // 0xb809bf88, 8, 15
	rtd_maskl(0xb809bf88, 0xff00ffff, 0x00000000); // 0xb809bf88, 16, 23
	rtd_maskl(0xb809bf88, 0x00ffffff, 0x00000000); // 0xb809bf88, 24, 31
	rtd_maskl(0xb809bf8c, 0xffffff00, 0x00000000); // 0xb809bf8c, 0, 7
	rtd_maskl(0xb809bf8c, 0xffff00ff, 0x00000000); // 0xb809bf8c, 8, 15
	rtd_maskl(0xb809bf8c, 0xff00ffff, 0x00000000); // 0xb809bf8c, 16, 23
	rtd_maskl(0xb809bf8c, 0x00ffffff, 0x00000000); // 0xb809bf8c, 24, 31
	rtd_maskl(0xb809bf90, 0xffffff00, 0x00000000); // 0xb809bf90, 0, 7
	rtd_maskl(0xb809bf90, 0xffff00ff, 0x00000000); // 0xb809bf90, 8, 15
	rtd_maskl(0xb809bf90, 0xff00ffff, 0x00000000); // 0xb809bf90, 16, 23
	rtd_maskl(0xb809bf2c, 0xffffc1ff, 0x00000000); // 0xb809bf2c, 9, 13
	rtd_maskl(0xb809bf2c, 0xfff83fff, 0x00004000); // 0xb809bf2c, 14, 18
	rtd_maskl(0xb809bf2c, 0xff07ffff, 0x00100000); // 0xb809bf2c, 19, 23
	rtd_maskl(0xb809bf30, 0xffffff00, 0x00000000); // 0xb809bf30, 0, 7
	rtd_maskl(0xb809bf30, 0xffff00ff, 0x00000000); // 0xb809bf30, 8, 15
	rtd_maskl(0xb809bf30, 0xff00ffff, 0x00000000); // 0xb809bf30, 16, 23
	rtd_maskl(0xb809bf34, 0xffffffe0, 0x00000000); // 0xb809bf34, 0, 4
	rtd_maskl(0xb809bf34, 0xfffffc1f, 0x00000000); // 0xb809bf34, 5, 9
	rtd_maskl(0xb809bf38, 0xffffff00, 0x00000000); // 0xb809bf38, 0, 7
	rtd_maskl(0xb809bf38, 0xffff00ff, 0x00000100); // 0xb809bf38, 8, 15
	rtd_maskl(0xb809bf38, 0xff00ffff, 0x00020000); // 0xb809bf38, 16, 23
	rtd_maskl(0xb809bf3c, 0xffffff00, 0x00000000); // 0xb809bf3c, 0, 7
	rtd_maskl(0xb809bf3c, 0xffff00ff, 0x00000000); // 0xb809bf3c, 8, 15
	rtd_maskl(0xb809bf3c, 0xff00ffff, 0x00000000); // 0xb809bf3c, 16, 23
	rtd_maskl(0xb809bf40, 0xffffffc0, 0x00000000); // 0xb809bf40, 0, 5
	rtd_maskl(0xb809bf40, 0xfffff03f, 0x00000000); // 0xb809bf40, 6, 11
	rtd_maskl(0xb809bf44, 0xffffff00, 0x00000000); // 0xb809bf44, 0, 7
	rtd_maskl(0xb809bf44, 0xffff00ff, 0x00000100); // 0xb809bf44, 8, 15
	rtd_maskl(0xb809bf44, 0xff00ffff, 0x00020000); // 0xb809bf44, 16, 23
	rtd_maskl(0xb809bf48, 0xffffff00, 0x00000000); // 0xb809bf48, 0, 7
	rtd_maskl(0xb809bf48, 0xffff00ff, 0x00000000); // 0xb809bf48, 8, 15
	rtd_maskl(0xb809bf48, 0xff00ffff, 0x00000000); // 0xb809bf48, 16, 23
	rtd_maskl(0xb809bf4c, 0xffffffc0, 0x00000000); // 0xb809bf4c, 0, 5
	rtd_maskl(0xb809bf4c, 0xfffff03f, 0x00000000); // 0xb809bf4c, 6, 11
	rtd_maskl(0xb809bf50, 0xffffff00, 0x00000000); // 0xb809bf50, 0, 7
	rtd_maskl(0xb809bf50, 0xffff00ff, 0x00000100); // 0xb809bf50, 8, 15
	rtd_maskl(0xb809bf50, 0xff00ffff, 0x00020000); // 0xb809bf50, 16, 23
	rtd_maskl(0xb809bf54, 0xffffff00, 0x00000000); // 0xb809bf54, 0, 7
	rtd_maskl(0xb809bf54, 0xffff00ff, 0x0000ff00); // 0xb809bf54, 8, 15
	rtd_maskl(0xb809bf54, 0xff00ffff, 0x00ff0000); // 0xb809bf54, 16, 23
	rtd_maskl(0xb809bf58, 0xffffffc0, 0x00000000); // 0xb809bf58, 0, 5
	rtd_maskl(0xb809bf58, 0xfffff03f, 0x00000000); // 0xb809bf58, 6, 11
	rtd_maskl(0xb809bf5c, 0xffffff00, 0x00000001); // 0xb809bf5c, 0, 7
	rtd_maskl(0xb809bf5c, 0xffff00ff, 0x00000200); // 0xb809bf5c, 8, 15
	rtd_maskl(0xb809bf5c, 0xff00ffff, 0x00030000); // 0xb809bf5c, 16, 23
	rtd_maskl(0xb809bf60, 0xffffff00, 0x000000ff); // 0xb809bf60, 0, 7
	rtd_maskl(0xb809bf60, 0xffff00ff, 0x0000ff00); // 0xb809bf60, 8, 15
	rtd_maskl(0xb809bf60, 0xff00ffff, 0x00ff0000); // 0xb809bf60, 16, 23
	rtd_maskl(0xb809bf64, 0xffffffc0, 0x00000000); // 0xb809bf64, 0, 5
	rtd_maskl(0xb809bf64, 0xfffff03f, 0x00000000); // 0xb809bf64, 6, 11
	rtd_maskl(0xb809bfd0, 0xc0000000, 0x00000000); // 0xb809bfd0, 0, 29
	rtd_maskl(0xb809bfc4, 0xc0000000, 0x3fffffff); // 0xb809bfc4, 0, 29
	rtd_maskl(0xb809bfd4, 0xc0000000, 0x3fffffff); // 0xb809bfd4, 0, 29
	rtd_maskl(0xb809befc, 0xfffffffd, 0x00000000); // 0xb809befc, 1, 1
	rtd_maskl(0xb809bfe4, 0x00000000, 0x00000000); // 0xb809bfe4, 0, 31
	rtd_maskl(0xb80996d8, 0xfffffc00, 0x00000000); // 0xb80996d8, 0, 9
	rtd_maskl(0xb80996d8, 0xf800ffff, 0x00000000); // 0xb80996d8, 16, 26
	rtd_maskl(0xb80996d8, 0x7fffffff, 0x80000000); // 0xb80996d8, 31, 31
	rtd_maskl(0xb80996dc, 0xfffffff0, 0x00000003); // 0xb80996dc, 0, 3
	rtd_maskl(0xb80996dc, 0xfffff0ff, 0x00000500); // 0xb80996dc, 8, 11
	rtd_maskl(0xb8099720, 0xfffffc3f, 0x000000c0); // 0xb8099720, 6, 9
	rtd_maskl(0xb80996d4, 0xffffff80, 0x00000000); // 0xb80996d4, 0, 6
	rtd_maskl(0xb80996d4, 0xffffff7f, 0x00000080); // 0xb80996d4, 7, 7
#endif
#if 0
	printk("rtd_outl(0xb809be00, 0x%08x);\n", rtd_inl(0xb809be00));
	printk("rtd_outl(0xb809be04, 0x%08x);\n", rtd_inl(0xb809be04));
	printk("rtd_outl(0xb809be08, 0x%08x);\n", rtd_inl(0xb809be08));
	printk("rtd_outl(0xb809be0c, 0x%08x);\n", rtd_inl(0xb809be0c));
	printk("rtd_outl(0xb809be10, 0x%08x);\n", rtd_inl(0xb809be10));
	printk("rtd_outl(0xb809be14, 0x%08x);\n", rtd_inl(0xb809be14));
	printk("rtd_outl(0xb809be18, 0x%08x);\n", rtd_inl(0xb809be18));
	printk("rtd_outl(0xb809be1c, 0x%08x);\n", rtd_inl(0xb809be1c));
	printk("rtd_outl(0xb809be20, 0x%08x);\n", rtd_inl(0xb809be20));
	printk("rtd_outl(0xb809be68, 0x%08x);\n", rtd_inl(0xb809be68));
	printk("rtd_outl(0xb809be6c, 0x%08x);\n", rtd_inl(0xb809be6c));
	printk("rtd_outl(0xb809be84, 0x%08x);\n", rtd_inl(0xb809be84));
	printk("rtd_outl(0xb809be88, 0x%08x);\n", rtd_inl(0xb809be88));
	printk("rtd_outl(0xb809bf84, 0x%08x);\n", rtd_inl(0xb809bf84));
	printk("rtd_outl(0xb809bf88, 0x%08x);\n", rtd_inl(0xb809bf88));
	printk("rtd_outl(0xb809bf8c, 0x%08x);\n", rtd_inl(0xb809bf8c));
	printk("rtd_outl(0xb809bf90, 0x%08x);\n", rtd_inl(0xb809bf90));
	printk("rtd_outl(0xb809bf2c, 0x%08x);\n", rtd_inl(0xb809bf2c));
	printk("rtd_outl(0xb809bf30, 0x%08x);\n", rtd_inl(0xb809bf30));
	printk("rtd_outl(0xb809bf34, 0x%08x);\n", rtd_inl(0xb809bf34));
	printk("rtd_outl(0xb809bf38, 0x%08x);\n", rtd_inl(0xb809bf38));
	printk("rtd_outl(0xb809bf3c, 0x%08x);\n", rtd_inl(0xb809bf3c));
	printk("rtd_outl(0xb809bf40, 0x%08x);\n", rtd_inl(0xb809bf40));
	printk("rtd_outl(0xb809bf44, 0x%08x);\n", rtd_inl(0xb809bf44));
	printk("rtd_outl(0xb809bf48, 0x%08x);\n", rtd_inl(0xb809bf48));
	printk("rtd_outl(0xb809bf4c, 0x%08x);\n", rtd_inl(0xb809bf4c));
	printk("rtd_outl(0xb809bf50, 0x%08x);\n", rtd_inl(0xb809bf50));
	printk("rtd_outl(0xb809bf54, 0x%08x);\n", rtd_inl(0xb809bf54));
	printk("rtd_outl(0xb809bf58, 0x%08x);\n", rtd_inl(0xb809bf58));
	printk("rtd_outl(0xb809bf5c, 0x%08x);\n", rtd_inl(0xb809bf5c));
	printk("rtd_outl(0xb809bf60, 0x%08x);\n", rtd_inl(0xb809bf60));
	printk("rtd_outl(0xb809bf64, 0x%08x);\n", rtd_inl(0xb809bf64));
	printk("rtd_outl(0xb809bfd0, 0x%08x);\n", rtd_inl(0xb809bfd0));
	printk("rtd_outl(0xb809bfc4, 0x%08x);\n", rtd_inl(0xb809bfc4));
	printk("rtd_outl(0xb809bfd4, 0x%08x);\n", rtd_inl(0xb809bfd4));
	printk("rtd_outl(0xb809befc, 0x%08x);\n", rtd_inl(0xb809befc));
	printk("rtd_outl(0xb809bfe4, 0x%08x);\n", rtd_inl(0xb809bfe4));
	printk("rtd_outl(0xb80996d8, 0x%08x);\n", rtd_inl(0xb80996d8));
	printk("rtd_outl(0xb80996dc, 0x%08x);\n", rtd_inl(0xb80996dc));
	printk("rtd_outl(0xb8099720, 0x%08x);\n", rtd_inl(0xb8099720));
	printk("rtd_outl(0xb80996d4, 0x%08x);\n", rtd_inl(0xb80996d4));
#endif
	

#if 1
	// henry enable d-dither crc 160901
	rtdf_setBits(DITHER_Dither_CRC_CTRL_reg,_BIT0);
	rtdf_setBits(DITHER_Dither_CRC_CTRL_reg,_BIT1);
	udelay(333333);

	ErrorCount = 0;

	for( i=0; i<5; i++ )//m3 tmp, m2 <3
	{
		compare_CRC_Bist(1, 0);
		udelay(333333);//set  =  1/60(Hz)  - delta
	}

	for( i=0; i<VerifyLoop; i++ )
	{
		bool IterFlag;
		IterFlag = compare_CRC_Bist(1, 0);
		//udelay(1000);
		udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)

		if( !IterFlag )
		{
			ErrorCount++;
			printk("[MEMC] : FAIL!\n");
		}
		else
		{
			printk("[MEMC] : PASS!\n");
		}

	}

	if(ErrorCount > 0 && ErrorCount <11)
	{

		ErrorCount = 0;

		for( i=0; i<VerifyLoop; i++ )
		{
			bool IterFlag;
			IterFlag = compare_CRC_Bist(1, 0);
			//udelay(1000);
			udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)


			printk("!!!!!!!!!!!!!! check crc !!!!!!!!!!!!!!!!!!!!!!!!!!!!\n");

			if( !IterFlag )
			{
				ErrorCount++;
				printk("[MEMC] : FAIL!\n");
			}
			else
			{
				printk("[MEMC] : PASS!\n");
			}

		}
	}

	if(ErrorCount > 0 && ErrorCount <5)//m3 tmp, m2 <3
	{
		ErrorCount = 0;
	}
	
	ERR_MEMC = ErrorCount;
	
	// check d-dither crc 160901 henry
	printk("\n======= Compare D-Dither CRC =======\n");
	UINT32 goldDDitherCRC_Bist[6] = {0x09450945, 0xD67A4632, 0xDB495ADC, 0xDA4D5845, 0x892E59D8, 0x3A8BB1B5};  // only MEMC
	UINT32 curDDitherCRC = 0;

	udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)
	curDDitherCRC = rtd_inl(DITHER_Dither_CRC_RESULT_reg);
	printk("[%s][%d]D-Dither Cur CRC [0x%08X]->[%d][%d][%d][%d][%d][%d]\n", __FUNCTION__, __LINE__, curDDitherCRC, 
		(curDDitherCRC==goldDDitherCRC_Bist[0]), (curDDitherCRC==goldDDitherCRC_Bist[1]), 
		(curDDitherCRC==goldDDitherCRC_Bist[2]), (curDDitherCRC==goldDDitherCRC_Bist[3]), 
		(curDDitherCRC==goldDDitherCRC_Bist[4]), (curDDitherCRC==goldDDitherCRC_Bist[5]));

	if (curDDitherCRC != goldDDitherCRC_Bist[0] && curDDitherCRC != goldDDitherCRC_Bist[1] && 
		curDDitherCRC != goldDDitherCRC_Bist[2] && curDDitherCRC != goldDDitherCRC_Bist[3] && 
		curDDitherCRC != goldDDitherCRC_Bist[4] && curDDitherCRC != goldDDitherCRC_Bist[5])
	{
		ErrorCount++;
		printk("D-Dither CRC compare FAIL!\n");
	}
	else
		printk("D-Dither CRC compare PASS!\n");

	printk("D-Dither cur CRC is [0x%08X]\n\n", curDDitherCRC);

	ERR_bist1 =  ErrorCount;

#endif
	
#if 1
	// case 2
	rtd_maskl(0xb809be88, 0xffffff00, 0x00000001); // 0xb809be88, 0, 7
	rtd_maskl(0xb809bf84, 0xffffff00, 0x000000ff); // 0xb809bf84, 0, 7
	rtd_maskl(0xb809bf84, 0xffff00ff, 0x0000ff00); // 0xb809bf84, 8, 15
	rtd_maskl(0xb809bf84, 0xff00ffff, 0x00ff0000); // 0xb809bf84, 16, 23
	rtd_maskl(0xb809bf84, 0x00ffffff, 0xff000000); // 0xb809bf84, 24, 31
	rtd_maskl(0xb809bf88, 0xffffff00, 0x000000ff); // 0xb809bf88, 0, 7
	rtd_maskl(0xb809bf88, 0xffff00ff, 0x0000ff00); // 0xb809bf88, 8, 15
	rtd_maskl(0xb809bf88, 0xff00ffff, 0x00ff0000); // 0xb809bf88, 16, 23
	rtd_maskl(0xb809bf88, 0x00ffffff, 0xff000000); // 0xb809bf88, 24, 31
	rtd_maskl(0xb809bf8c, 0xffffff00, 0x000000ff); // 0xb809bf8c, 0, 7
	rtd_maskl(0xb809bf8c, 0xffff00ff, 0x0000ff00); // 0xb809bf8c, 8, 15
	rtd_maskl(0xb809bf8c, 0xff00ffff, 0x00ff0000); // 0xb809bf8c, 16, 23
	rtd_maskl(0xb809bf8c, 0x00ffffff, 0xff000000); // 0xb809bf8c, 24, 31
	rtd_maskl(0xb809bf90, 0xffffff00, 0x000000ff); // 0xb809bf90, 0, 7
	rtd_maskl(0xb809bf90, 0xffff00ff, 0x0000ff00); // 0xb809bf90, 8, 15
	rtd_maskl(0xb809bf90, 0xff00ffff, 0x00ff0000); // 0xb809bf90, 16, 23
	rtd_maskl(0xb809bf54, 0xffffff00, 0x00000000); // 0xb809bf54, 0, 7
	rtd_maskl(0xb809bf54, 0xffff00ff, 0x00000000); // 0xb809bf54, 8, 15
	rtd_maskl(0xb809bf54, 0xff00ffff, 0x00000000); // 0xb809bf54, 16, 23
	rtd_maskl(0xb809bf60, 0xffffff00, 0x000000ff); // 0xb809bf60, 0, 7
	rtd_maskl(0xb809bf60, 0xffff00ff, 0x00000000); // 0xb809bf60, 8, 15
	rtd_maskl(0xb809bf60, 0xff00ffff, 0x00000000); // 0xb809bf60, 16, 23
	
	ErrorCount = 0;

	// check d-dither crc 160901 henry
	udelay(333333);//( 60Hz ~ 1.67x10^(7)ns)
	curDDitherCRC = rtd_inl(DITHER_Dither_CRC_RESULT_reg);
	printk("[%s][%d]D-Dither Cur CRC [0x%08X]->[%d][%d][%d][%d][%d][%d]\n", __FUNCTION__, __LINE__, curDDitherCRC, 
		(curDDitherCRC==goldDDitherCRC_Bist[0]), (curDDitherCRC==goldDDitherCRC_Bist[1]), 
		(curDDitherCRC==goldDDitherCRC_Bist[2]), (curDDitherCRC==goldDDitherCRC_Bist[3]), 
		(curDDitherCRC==goldDDitherCRC_Bist[4]), (curDDitherCRC==goldDDitherCRC_Bist[5]));

	if (curDDitherCRC != goldDDitherCRC_Bist[0] && curDDitherCRC != goldDDitherCRC_Bist[1] && 
		curDDitherCRC != goldDDitherCRC_Bist[2] && curDDitherCRC != goldDDitherCRC_Bist[3] && 
		curDDitherCRC != goldDDitherCRC_Bist[4] && curDDitherCRC != goldDDitherCRC_Bist[5])
	{
		ErrorCount++;
		printk("D-Dither CRC compare FAIL!\n");
	}
	else
		printk("D-Dither CRC compare PASS!\n");

	printk("D-Dither cur CRC is [0x%08X]\n\n", curDDitherCRC);
	
	ERR_bist2 =  ErrorCount;
#endif


	/************************** END **************************/
#endif

#if BIST_BUG_TEST_IN_QC_CODE
	/*
	rtd_outl(0xb8029000, 0x00000000);
	rtd_outl(0xb8029004, 0x002a8003);
	rtd_outl(0xb8029028, 0x07800438);
	rtd_outl(0xb8029064, 0x00208080);
	rtd_outl(0xb8029068, 0x00608080);
	rtd_outl(0xb802906c, 0x00a08080);
	rtd_outl(0xb8029070, 0x00d08080);
	rtd_outl(0xb8029074, 0x00000009);
	rtd_outl(0xb8029078, 0x00000013);
	*/

	printk("********** MEMC SUMMARIZE RESULT **********\n");
	printk("input checking ... %s\n", (ERR_MEMC == 0)?"pass":"fail");
	printk("BIST1 checking ... %s\n", (ERR_bist1 == 0)?"pass":"fail");
	printk("BIST2 checking ... %s\n", (ERR_bist2 == 0)?"pass":"fail");
	
	return (MEMCstatus + ERR_bist1 + ERR_bist2);
#else
	return MEMCstatus;
#endif

	//#endif

}


