/**
* @file Mac7p-DesignSpec-D-Domain_MEMC_mux
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2019/11/22
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_MEMC_MUX_REG_H_
#define _RBUS_MEMC_MUX_REG_H_

#include "rbusTypes.h"



//  MEMC_MUX Register Address



#define  MEMC_MUX_MEMC_MUX_FUNC_CTRL_VADDR                  	(0xb802e800)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======MEMC_MUX register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:24;
        RBus_UInt32  memc_mux_fifoof:1;
        RBus_UInt32  memc_mux_fifofull:1;
        RBus_UInt32  memc_mux_fifouf:1;
        RBus_UInt32  memc_mux_fifoempty:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  memc_mux_en:1;
    };
}memc_mux_memc_mux_func_ctrl_RBUS;

#else //apply LITTLE_ENDIAN

//======MEMC_MUX register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  memc_mux_en:1;
        RBus_UInt32  res1:3;
        RBus_UInt32  memc_mux_fifoempty:1;
        RBus_UInt32  memc_mux_fifouf:1;
        RBus_UInt32  memc_mux_fifofull:1;
        RBus_UInt32  memc_mux_fifoof:1;
        RBus_UInt32  res2:24;
    };
}memc_mux_memc_mux_func_ctrl_RBUS;




#endif 


#endif 
