/**
* @file rbusLg_m_plusReg.h
* RBus systemc program.
*
* @author RS_MM2_SD
* @email jason9.ccc@realtek.com
 * @date 2016/6/3
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_LG_M_PLUS_REG_H_
#define _RBUS_LG_M_PLUS_REG_H_

#include "rbusTypes.h"



//  LG_M_PLUS Register Address



#define  LG_M_PLUS_M_PLUS_CTL_VADDR                         	(0xb8028c00)
#define  LG_M_PLUS_M_PLUS_REG00_VADDR                       	(0xb8028c04)
#define  LG_M_PLUS_M_PLUS_REG04_VADDR                       	(0xb8028c08)
#define  LG_M_PLUS_M_PLUS_REG08_VADDR                       	(0xb8028c0c)
#define  LG_M_PLUS_M_PLUS_REG0C_VADDR                       	(0xb8028c10)
#define  LG_M_PLUS_M_PLUS_REG10_VADDR                       	(0xb8028c14)
#define  LG_M_PLUS_M_PLUS_REG14_VADDR                       	(0xb8028c18)
#define  LG_M_PLUS_M_PLUS_REG18_VADDR                       	(0xb8028c1c)
#define  LG_M_PLUS_M_PLUS_REG1C_VADDR                       	(0xb8028c20)
#define  LG_M_PLUS_M_PLUS_REG20_VADDR                       	(0xb8028c24)
#define  LG_M_PLUS_M_PLUS_REG24_VADDR                       	(0xb8028c28)
#define  LG_M_PLUS_M_PLUS_REG28_VADDR                       	(0xb8028c2c)
#define  LG_M_PLUS_M_PLUS_REG2C_VADDR                       	(0xb8028c30)
#define  LG_M_PLUS_M_PLUS_REG30_VADDR                       	(0xb8028c34)
#define  LG_M_PLUS_M_PLUS_REG34_VADDR                       	(0xb8028c38)
#define  LG_M_PLUS_M_PLUS_REG38_VADDR                       	(0xb8028c3c)
#define  LG_M_PLUS_M_PLUS_REG3C_VADDR                       	(0xb8028c40)
#define  LG_M_PLUS_M_PLUS_REG40_VADDR                       	(0xb8028c44)
#define  LG_M_PLUS_M_PLUS_REG44_VADDR                       	(0xb8028c48)
#define  LG_M_PLUS_M_PLUS_REG48_VADDR                       	(0xb8028c4c)
#define  LG_M_PLUS_M_PLUS_REG4C_VADDR                       	(0xb8028c50)
#define  LG_M_PLUS_M_PLUS_REG50_VADDR                       	(0xb8028c54)
#define  LG_M_PLUS_M_PLUS_REG54_VADDR                       	(0xb8028c58)
#define  LG_M_PLUS_M_PLUS_REG58_VADDR                       	(0xb8028c5c)
#define  LG_M_PLUS_M_PLUS_REG5C_VADDR                       	(0xb8028c60)
#define  LG_M_PLUS_M_PLUS_REG60_VADDR                       	(0xb8028c64)
#define  LG_M_PLUS_M_PLUS_REG64_VADDR                       	(0xb8028c68)
#define  LG_M_PLUS_M_PLUS_REG68_VADDR                       	(0xb8028c6c)
#define  LG_M_PLUS_M_PLUS_REG6C_VADDR                       	(0xb8028c70)
#define  LG_M_PLUS_M_PLUS_REG70_VADDR                       	(0xb8028c74)
#define  LG_M_PLUS_M_PLUS_REG74_VADDR                       	(0xb8028c78)
#define  LG_M_PLUS_M_PLUS_REG78_VADDR                       	(0xb8028c7c)
#define  LG_M_PLUS_M_PLUS_REG7C_VADDR                       	(0xb8028c80)
#define  LG_M_PLUS_M_PLUS_REG80_VADDR                       	(0xb8028c84)
#define  LG_M_PLUS_M_PLUS_REG84_VADDR                       	(0xb8028c88)
#define  LG_M_PLUS_M_PLUS_REG88_VADDR                       	(0xb8028c8c)
#define  LG_M_PLUS_M_PLUS_REG8C_VADDR                       	(0xb8028c90)
#define  LG_M_PLUS_M_PLUS_REG90_VADDR                       	(0xb8028c94)
#define  LG_M_PLUS_M_PLUS_REG94_VADDR                       	(0xb8028c98)
#define  LG_M_PLUS_M_PLUS_REG98_VADDR                       	(0xb8028c9c)
#define  LG_M_PLUS_M_PLUS_REG9C_VADDR                       	(0xb8028ca0)
#define  LG_M_PLUS_M_PLUS_REGA0_VADDR                       	(0xb8028ca4)
#define  LG_M_PLUS_M_PLUS_REGA4_VADDR                       	(0xb8028ca8)
#define  LG_M_PLUS_M_PLUS_REGA8_VADDR                       	(0xb8028cac)
#define  LG_M_PLUS_M_PLUS_REGAC_VADDR                       	(0xb8028cb0)
#define  LG_M_PLUS_M_PLUS_REGB0_VADDR                       	(0xb8028cb4)
#define  LG_M_PLUS_M_PLUS_REGB4_VADDR                       	(0xb8028cb8)
#define  LG_M_PLUS_M_PLUS_REGB8_VADDR                       	(0xb8028cbc)
#define  LG_M_PLUS_M_PLUS_REGBC_VADDR                       	(0xb8028cc0)
#define  LG_M_PLUS_M_PLUS_REGC0_VADDR                       	(0xb8028cc4)
#define  LG_M_PLUS_M_PLUS_REGC4_VADDR                       	(0xb8028cc8)
#define  LG_M_PLUS_M_PLUS_REGC8_VADDR                       	(0xb8028ccc)
#define  LG_M_PLUS_M_PLUS_REGCC_VADDR                       	(0xb8028cd0)
#define  LG_M_PLUS_M_PLUS_REGD0_VADDR                       	(0xb8028cd4)
#define  LG_M_PLUS_M_PLUS_REGD4_VADDR                       	(0xb8028cd8)
#define  LG_M_PLUS_M_PLUS_REGD8_VADDR                       	(0xb8028cdc)
#define  LG_M_PLUS_M_PLUS_REGDC_VADDR                       	(0xb8028ce0)
#define  LG_M_PLUS_M_PLUS_WPR_REGE0_VADDR                   	(0xb8028ce4)
#define  LG_M_PLUS_M_PLUS_WPR_REGE4_VADDR                   	(0xb8028ce8)
#define  LG_M_PLUS_M_PLUS_WPR_REGE8_VADDR                   	(0xb8028cec)
#define  LG_M_PLUS_M_PLUS_WPR_REGEC_VADDR                   	(0xb8028cf0)
#define  LG_M_PLUS_M_PLUS_DIMMING_DUTY_CTRL_VADDR           	(0xb8028cf4)
#define  LG_M_PLUS_M_PLUS_DIMMING_DUTY_READ_VADDR           	(0xb8028cf8)
#define  LG_M_PLUS_M_PLUS_SRAM_BIST0_VADDR                  	(0xb8028d00)
#define  LG_M_PLUS_M_PLUS_SRAM_BIST1_VADDR                  	(0xb8028d04)
#define  LG_M_PLUS_M_PLUS_ROM_BIST_VADDR                    	(0xb8028d08)
#define  LG_M_PLUS_M_PLUS_SRAM_BIST2_VADDR                  	(0xb8028d0c)
#define  LG_M_PLUS_M_PLUS_SRAM_BIST3_VADDR                  	(0xb8028d10)
#define  LG_M_PLUS_M_PLUS_SRAM_BIST4_VADDR                  	(0xb8028d14)
#define  LG_M_PLUS_M_PLUS_ROM_BIST1_VADDR                   	(0xb8028d18)
#define  LG_M_PLUS_M_PLUS_WPR_REGF0_VADDR                   	(0xb8028d1c)
#define  LG_M_PLUS_M_PLUS_WPR_REGF4_VADDR                   	(0xb8028d20)
#define  LG_M_PLUS_M_PLUS_WPR_REGF8_VADDR                   	(0xb8028d24)
#define  LG_M_PLUS_M_PLUS_WPR_REGFC_VADDR                   	(0xb8028d28)
#define  LG_M_PLUS_M_PLUS_WPR_REG100_VADDR                  	(0xb8028d2c)
#define  LG_M_PLUS_M_PLUS_WPR_REG104_VADDR                  	(0xb8028d30)
#define  LG_M_PLUS_M_PLUS_WPR_REG108_VADDR                  	(0xb8028d34)
#define  LG_M_PLUS_M_PLUS_WPR_REG10C_VADDR                  	(0xb8028d38)
#define  LG_M_PLUS_M_PLUS_WPR_REG110_VADDR                  	(0xb8028d3c)
#define  LG_M_PLUS_M_PLUS_WPR_REG114_VADDR                  	(0xb8028d40)
#define  LG_M_PLUS_M_PLUS_WPR_REG118_VADDR                  	(0xb8028d44)
#define  LG_M_PLUS_M_PLUS_WPR_REG11C_VADDR                  	(0xb8028d48)
#define  LG_M_PLUS_M_PLUS_WPR_REG120_VADDR                  	(0xb8028d4c)
#define  LG_M_PLUS_M_PLUS_WPR_REG124_VADDR                  	(0xb8028d50)
#define  LG_M_PLUS_M_PLUS_WPR_REG128_VADDR                  	(0xb8028d54)
#define  LG_M_PLUS_M_PLUS_WPR_REG12C_VADDR                  	(0xb8028d58)
#define  LG_M_PLUS_M_PLUS_SRAM_BIST5_VADDR                  	(0xb8028d5c)



#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======LG_M_PLUS register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_on:1;
        RBus_UInt32  opc_on:1;
        RBus_UInt32  wse_on:1;
        RBus_UInt32  res1:16;
        RBus_UInt32  user_timing_sel:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  auto_detect_result:1;
        RBus_UInt32  res3:1;
        RBus_UInt32  type_sel:1;
        RBus_UInt32  bypass_on:1;
        RBus_UInt32  auto_detect_en:1;
        RBus_UInt32  mode_3d:1;
        RBus_UInt32  test_mode:1;
        RBus_UInt32  mode_sel:2;
    };
}lg_m_plus_m_plus_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg00:8;
        RBus_UInt32  wpr_reg01:8;
        RBus_UInt32  wpr_reg02:8;
        RBus_UInt32  wpr_reg03:8;
    };
}lg_m_plus_m_plus_reg00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg04:8;
        RBus_UInt32  wpr_reg05:8;
        RBus_UInt32  wpr_reg06:8;
        RBus_UInt32  wpr_reg07:8;
    };
}lg_m_plus_m_plus_reg04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg08:8;
        RBus_UInt32  wpr_reg09:8;
        RBus_UInt32  wpr_reg0a:8;
        RBus_UInt32  wpr_reg0b:8;
    };
}lg_m_plus_m_plus_reg08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg0c:8;
        RBus_UInt32  wpr_reg0d:8;
        RBus_UInt32  wpr_reg0e:8;
        RBus_UInt32  wpr_reg0f:8;
    };
}lg_m_plus_m_plus_reg0c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg10:8;
        RBus_UInt32  wpr_reg11:8;
        RBus_UInt32  wpr_reg12:8;
        RBus_UInt32  wpr_reg13:8;
    };
}lg_m_plus_m_plus_reg10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg14:8;
        RBus_UInt32  wpr_reg15:8;
        RBus_UInt32  wpr_reg16:8;
        RBus_UInt32  wpr_reg17:8;
    };
}lg_m_plus_m_plus_reg14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg18:8;
        RBus_UInt32  wpr_reg19:8;
        RBus_UInt32  wpr_reg1a:8;
        RBus_UInt32  wpr_reg1b:8;
    };
}lg_m_plus_m_plus_reg18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1c:8;
        RBus_UInt32  wpr_reg1d:8;
        RBus_UInt32  wpr_reg1e:8;
        RBus_UInt32  wpr_reg1f:8;
    };
}lg_m_plus_m_plus_reg1c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg20:8;
        RBus_UInt32  wpr_reg21:8;
        RBus_UInt32  wpr_reg22:8;
        RBus_UInt32  wpr_reg23:8;
    };
}lg_m_plus_m_plus_reg20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg24:8;
        RBus_UInt32  wpr_reg25:8;
        RBus_UInt32  wpr_reg26:8;
        RBus_UInt32  wpr_reg27:8;
    };
}lg_m_plus_m_plus_reg24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg28:8;
        RBus_UInt32  wpr_reg29:8;
        RBus_UInt32  wpr_reg2a:8;
        RBus_UInt32  wpr_reg2b:8;
    };
}lg_m_plus_m_plus_reg28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg2c:8;
        RBus_UInt32  wpr_reg2d:8;
        RBus_UInt32  wpr_reg2e:8;
        RBus_UInt32  wpr_reg2f:8;
    };
}lg_m_plus_m_plus_reg2c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg30:8;
        RBus_UInt32  wpr_reg31:8;
        RBus_UInt32  wpr_reg32:8;
        RBus_UInt32  wpr_reg33:8;
    };
}lg_m_plus_m_plus_reg30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg34:8;
        RBus_UInt32  wpr_reg35:8;
        RBus_UInt32  wpr_reg36:8;
        RBus_UInt32  wpr_reg37:8;
    };
}lg_m_plus_m_plus_reg34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg38:8;
        RBus_UInt32  wpr_reg39:8;
        RBus_UInt32  wpr_reg3a:8;
        RBus_UInt32  wpr_reg3b:8;
    };
}lg_m_plus_m_plus_reg38_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg3c:8;
        RBus_UInt32  wpr_reg3d:8;
        RBus_UInt32  wpr_reg3e:8;
        RBus_UInt32  wpr_reg3f:8;
    };
}lg_m_plus_m_plus_reg3c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg40:8;
        RBus_UInt32  wpr_reg41:8;
        RBus_UInt32  wpr_reg42:8;
        RBus_UInt32  wpr_reg43:8;
    };
}lg_m_plus_m_plus_reg40_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg44:8;
        RBus_UInt32  wpr_reg45:8;
        RBus_UInt32  wpr_reg46:8;
        RBus_UInt32  wpr_reg47:8;
    };
}lg_m_plus_m_plus_reg44_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg48:8;
        RBus_UInt32  wpr_reg49:8;
        RBus_UInt32  wpr_reg4a:8;
        RBus_UInt32  wpr_reg4b:8;
    };
}lg_m_plus_m_plus_reg48_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg4c:8;
        RBus_UInt32  wpr_reg4d:8;
        RBus_UInt32  wpr_reg4e:8;
        RBus_UInt32  wpr_reg4f:8;
    };
}lg_m_plus_m_plus_reg4c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg50:8;
        RBus_UInt32  wpr_reg51:8;
        RBus_UInt32  wpr_reg52:8;
        RBus_UInt32  wpr_reg53:8;
    };
}lg_m_plus_m_plus_reg50_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg54:8;
        RBus_UInt32  wpr_reg55:8;
        RBus_UInt32  wpr_reg56:8;
        RBus_UInt32  wpr_reg57:8;
    };
}lg_m_plus_m_plus_reg54_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg58:8;
        RBus_UInt32  wpr_reg59:8;
        RBus_UInt32  wpr_reg5a:8;
        RBus_UInt32  wpr_reg5b:8;
    };
}lg_m_plus_m_plus_reg58_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg5c:8;
        RBus_UInt32  wpr_reg5d:8;
        RBus_UInt32  wpr_reg5e:8;
        RBus_UInt32  wpr_reg5f:8;
    };
}lg_m_plus_m_plus_reg5c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg60:8;
        RBus_UInt32  wpr_reg61:8;
        RBus_UInt32  wpr_reg62:8;
        RBus_UInt32  wpr_reg63:8;
    };
}lg_m_plus_m_plus_reg60_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg64:8;
        RBus_UInt32  wpr_reg65:8;
        RBus_UInt32  wpr_reg66:8;
        RBus_UInt32  wpr_reg67:8;
    };
}lg_m_plus_m_plus_reg64_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg68:8;
        RBus_UInt32  wpr_reg69:8;
        RBus_UInt32  wpr_reg6a:8;
        RBus_UInt32  wpr_reg6b:8;
    };
}lg_m_plus_m_plus_reg68_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg6c:8;
        RBus_UInt32  wpr_reg6d:8;
        RBus_UInt32  wpr_reg6e:8;
        RBus_UInt32  wpr_reg6f:8;
    };
}lg_m_plus_m_plus_reg6c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg70:8;
        RBus_UInt32  wpr_reg71:8;
        RBus_UInt32  wpr_reg72:8;
        RBus_UInt32  wpr_reg73:8;
    };
}lg_m_plus_m_plus_reg70_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg74:8;
        RBus_UInt32  wpr_reg75:8;
        RBus_UInt32  wpr_reg76:8;
        RBus_UInt32  wpr_reg77:8;
    };
}lg_m_plus_m_plus_reg74_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg78:8;
        RBus_UInt32  wpr_reg79:8;
        RBus_UInt32  wpr_reg7a:8;
        RBus_UInt32  wpr_reg7b:8;
    };
}lg_m_plus_m_plus_reg78_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg7c:8;
        RBus_UInt32  wpr_reg7d:8;
        RBus_UInt32  wpr_reg7e:8;
        RBus_UInt32  wpr_reg7f:8;
    };
}lg_m_plus_m_plus_reg7c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg80:8;
        RBus_UInt32  wpr_reg81:8;
        RBus_UInt32  wpr_reg82:8;
        RBus_UInt32  wpr_reg83:8;
    };
}lg_m_plus_m_plus_reg80_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg84:8;
        RBus_UInt32  wpr_reg85:8;
        RBus_UInt32  wpr_reg86:8;
        RBus_UInt32  wpr_reg87:8;
    };
}lg_m_plus_m_plus_reg84_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg88:8;
        RBus_UInt32  wpr_reg89:8;
        RBus_UInt32  wpr_reg8a:8;
        RBus_UInt32  wpr_reg8b:8;
    };
}lg_m_plus_m_plus_reg88_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg8c:8;
        RBus_UInt32  wpr_reg8d:8;
        RBus_UInt32  wpr_reg8e:8;
        RBus_UInt32  wpr_reg8f:8;
    };
}lg_m_plus_m_plus_reg8c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg90:8;
        RBus_UInt32  wpr_reg91:8;
        RBus_UInt32  wpr_reg92:8;
        RBus_UInt32  wpr_reg93:8;
    };
}lg_m_plus_m_plus_reg90_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg94:8;
        RBus_UInt32  wpr_reg95:8;
        RBus_UInt32  wpr_reg96:8;
        RBus_UInt32  wpr_reg97:8;
    };
}lg_m_plus_m_plus_reg94_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg98:8;
        RBus_UInt32  wpr_reg99:8;
        RBus_UInt32  wpr_reg9a:8;
        RBus_UInt32  wpr_reg9b:8;
    };
}lg_m_plus_m_plus_reg98_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg9c:8;
        RBus_UInt32  wpr_reg9d:8;
        RBus_UInt32  wpr_reg9e:8;
        RBus_UInt32  wpr_reg9f:8;
    };
}lg_m_plus_m_plus_reg9c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rega0:8;
        RBus_UInt32  wpr_rega1:8;
        RBus_UInt32  wpr_rega2:8;
        RBus_UInt32  wpr_rega3:8;
    };
}lg_m_plus_m_plus_rega0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rega4:8;
        RBus_UInt32  wpr_rega5:8;
        RBus_UInt32  wpr_rega6:8;
        RBus_UInt32  wpr_rega7:8;
    };
}lg_m_plus_m_plus_rega4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rega8:8;
        RBus_UInt32  wpr_rega9:8;
        RBus_UInt32  wpr_regaa:8;
        RBus_UInt32  wpr_regab:8;
    };
}lg_m_plus_m_plus_rega8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regac:8;
        RBus_UInt32  wpr_regad:8;
        RBus_UInt32  wpr_regae:8;
        RBus_UInt32  wpr_regaf:8;
    };
}lg_m_plus_m_plus_regac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regb0:8;
        RBus_UInt32  wpr_regb1:8;
        RBus_UInt32  wpr_regb2:8;
        RBus_UInt32  wpr_regb3:8;
    };
}lg_m_plus_m_plus_regb0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regb4:8;
        RBus_UInt32  wpr_regb5:8;
        RBus_UInt32  wpr_regb6:8;
        RBus_UInt32  wpr_regb7:8;
    };
}lg_m_plus_m_plus_regb4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regb8:8;
        RBus_UInt32  wpr_regb9:8;
        RBus_UInt32  wpr_regba:8;
        RBus_UInt32  wpr_regbb:8;
    };
}lg_m_plus_m_plus_regb8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regbc:8;
        RBus_UInt32  wpr_regbd:8;
        RBus_UInt32  wpr_regbe:8;
        RBus_UInt32  wpr_regbf:8;
    };
}lg_m_plus_m_plus_regbc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regc0:8;
        RBus_UInt32  wpr_regc1:8;
        RBus_UInt32  wpr_regc2:8;
        RBus_UInt32  wpr_regc3:8;
    };
}lg_m_plus_m_plus_regc0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regc4:8;
        RBus_UInt32  wpr_regc5:8;
        RBus_UInt32  wpr_regc6:8;
        RBus_UInt32  wpr_regc7:8;
    };
}lg_m_plus_m_plus_regc4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regc8:8;
        RBus_UInt32  wpr_regc9:8;
        RBus_UInt32  wpr_regca:8;
        RBus_UInt32  wpr_regcb:8;
    };
}lg_m_plus_m_plus_regc8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regcc:8;
        RBus_UInt32  wpr_regcd:8;
        RBus_UInt32  wpr_regce:8;
        RBus_UInt32  wpr_regcf:8;
    };
}lg_m_plus_m_plus_regcc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regd0:8;
        RBus_UInt32  wpr_regd1:8;
        RBus_UInt32  wpr_regd2:8;
        RBus_UInt32  wpr_regd3:8;
    };
}lg_m_plus_m_plus_regd0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regd4:8;
        RBus_UInt32  wpr_regd5:8;
        RBus_UInt32  wpr_regd6:8;
        RBus_UInt32  wpr_regd7:8;
    };
}lg_m_plus_m_plus_regd4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regd8:8;
        RBus_UInt32  wpr_regd9:8;
        RBus_UInt32  wpr_regda:8;
        RBus_UInt32  wpr_regdb:8;
    };
}lg_m_plus_m_plus_regd8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regdc:8;
        RBus_UInt32  wpr_regdd:8;
        RBus_UInt32  wpr_regde:8;
        RBus_UInt32  wpr_regdf:8;
    };
}lg_m_plus_m_plus_regdc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rege0:8;
        RBus_UInt32  wpr_rege1:8;
        RBus_UInt32  wpr_rege2:8;
        RBus_UInt32  wpr_rege3:8;
    };
}lg_m_plus_m_plus_wpr_rege0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rege4:8;
        RBus_UInt32  wpr_rege5:8;
        RBus_UInt32  wpr_rege6:8;
        RBus_UInt32  wpr_rege7:8;
    };
}lg_m_plus_m_plus_wpr_rege4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rege8:8;
        RBus_UInt32  wpr_rege9:8;
        RBus_UInt32  wpr_regea:8;
        RBus_UInt32  wpr_regeb:8;
    };
}lg_m_plus_m_plus_wpr_rege8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regec:8;
        RBus_UInt32  wpr_reged:8;
        RBus_UInt32  wpr_regee:8;
        RBus_UInt32  wpr_regef:8;
    };
}lg_m_plus_m_plus_wpr_regec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dimming_duty_force_en:1;
        RBus_UInt32  res1:2;
        RBus_UInt32  dimming_duty_force_value:13;
        RBus_UInt32  res2:2;
        RBus_UInt32  dimming_duty_gain:6;
        RBus_UInt32  dimming_duty_shift:8;
    };
}lg_m_plus_m_plus_dimming_duty_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  irq_en:1;
        RBus_UInt32  dimming_duty_update:1;
        RBus_UInt32  res1:6;
        RBus_UInt32  frame_cnt:8;
        RBus_UInt32  res2:3;
        RBus_UInt32  dimming_duty:13;
    };
}lg_m_plus_m_plus_dimming_duty_read_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  ls:1;
        RBus_UInt32  rme_6:1;
        RBus_UInt32  rme_5:1;
        RBus_UInt32  rme_4:1;
        RBus_UInt32  rme_3:1;
        RBus_UInt32  rme_2:1;
        RBus_UInt32  rme_1:1;
        RBus_UInt32  rme_0:1;
        RBus_UInt32  rme_7:1;
        RBus_UInt32  drf_bist_fail_6:1;
        RBus_UInt32  drf_bist_fail_5:1;
        RBus_UInt32  drf_bist_fail_4:1;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  drf_bist_fail_7:1;
        RBus_UInt32  bist_fail_6:1;
        RBus_UInt32  bist_fail_5:1;
        RBus_UInt32  bist_fail_4:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  bist_fail_7:1;
        RBus_UInt32  testrwm_6:1;
        RBus_UInt32  testrwm_5:1;
        RBus_UInt32  testrwm_4:1;
        RBus_UInt32  testrwm_3:1;
        RBus_UInt32  testrwm_2:1;
        RBus_UInt32  testrwm_1:1;
        RBus_UInt32  testrwm_0:1;
    };
}lg_m_plus_m_plus_sram_bist0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_7:4;
        RBus_UInt32  rm_6:4;
        RBus_UInt32  rm_5:4;
        RBus_UInt32  rm_4:4;
        RBus_UInt32  rm_3:4;
        RBus_UInt32  rm_2:4;
        RBus_UInt32  rm_1:4;
        RBus_UInt32  rm_0:4;
    };
}lg_m_plus_m_plus_sram_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  rme_r2:1;
        RBus_UInt32  rme_g2:1;
        RBus_UInt32  rme_b2:1;
        RBus_UInt32  rme_r1:1;
        RBus_UInt32  rme_g1:1;
        RBus_UInt32  rme_b1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  rm_r2:4;
        RBus_UInt32  rm_g2:4;
        RBus_UInt32  rm_b2:4;
        RBus_UInt32  rm_r1:4;
        RBus_UInt32  rm_g1:4;
        RBus_UInt32  rm_b1:4;
    };
}lg_m_plus_m_plus_rom_bist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:7;
        RBus_UInt32  testrwm_7:1;
        RBus_UInt32  rme_2_2:1;
        RBus_UInt32  rme_2_1:1;
        RBus_UInt32  rme_2_0:1;
        RBus_UInt32  drf_bist_fail_2_2:1;
        RBus_UInt32  drf_bist_fail_2_1:1;
        RBus_UInt32  drf_bist_fail_2_0:1;
        RBus_UInt32  bist_fail_2_2:1;
        RBus_UInt32  bist_fail_2_1:1;
        RBus_UInt32  bist_fail_2_0:1;
        RBus_UInt32  testrwm_2_2:1;
        RBus_UInt32  testrwm_2_1:1;
        RBus_UInt32  testrwm_2_0:1;
        RBus_UInt32  rm_2_2:4;
        RBus_UInt32  rm_2_1:4;
        RBus_UInt32  rm_2_0:4;
    };
}lg_m_plus_m_plus_sram_bist2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:17;
        RBus_UInt32  rme_3_4:1;
        RBus_UInt32  rme_3_3:1;
        RBus_UInt32  rme_3_2:1;
        RBus_UInt32  rme_3_1:1;
        RBus_UInt32  rme_3_0:1;
        RBus_UInt32  drf_bist_fail_3_4:1;
        RBus_UInt32  drf_bist_fail_3_3:1;
        RBus_UInt32  drf_bist_fail_3_2:1;
        RBus_UInt32  drf_bist_fail_3_1:1;
        RBus_UInt32  drf_bist_fail_3_0:1;
        RBus_UInt32  bist_fail_3_4:1;
        RBus_UInt32  bist_fail_3_3:1;
        RBus_UInt32  bist_fail_3_2:1;
        RBus_UInt32  bist_fail_3_1:1;
        RBus_UInt32  bist_fail_3_0:1;
    };
}lg_m_plus_m_plus_sram_bist3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:12;
        RBus_UInt32  rm_3_4:4;
        RBus_UInt32  rm_3_3:4;
        RBus_UInt32  rm_3_2:4;
        RBus_UInt32  rm_3_1:4;
        RBus_UInt32  rm_3_0:4;
    };
}lg_m_plus_m_plus_sram_bist4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  rme_2_r2:1;
        RBus_UInt32  rme_2_g2:1;
        RBus_UInt32  rme_2_b2:1;
        RBus_UInt32  rme_2_r1:1;
        RBus_UInt32  rme_2_g1:1;
        RBus_UInt32  rme_2_b1:1;
        RBus_UInt32  res2:1;
        RBus_UInt32  rm_2_r2:4;
        RBus_UInt32  rm_2_g2:4;
        RBus_UInt32  rm_2_b2:4;
        RBus_UInt32  rm_2_r1:4;
        RBus_UInt32  rm_2_g1:4;
        RBus_UInt32  rm_2_b1:4;
    };
}lg_m_plus_m_plus_rom_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regf0:8;
        RBus_UInt32  wpr_regf1:8;
        RBus_UInt32  wpr_regf2:8;
        RBus_UInt32  wpr_regf3:8;
    };
}lg_m_plus_m_plus_wpr_regf0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regf4:8;
        RBus_UInt32  wpr_regf5:8;
        RBus_UInt32  wpr_regf6:8;
        RBus_UInt32  wpr_regf7:8;
    };
}lg_m_plus_m_plus_wpr_regf4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regf8:8;
        RBus_UInt32  wpr_regf9:8;
        RBus_UInt32  wpr_regfa:8;
        RBus_UInt32  wpr_regfb:8;
    };
}lg_m_plus_m_plus_wpr_regf8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regfc:8;
        RBus_UInt32  wpr_regfd:8;
        RBus_UInt32  wpr_regfe:8;
        RBus_UInt32  wpr_regff:8;
    };
}lg_m_plus_m_plus_wpr_regfc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg100:8;
        RBus_UInt32  wpr_reg101:8;
        RBus_UInt32  wpr_reg102:8;
        RBus_UInt32  wpr_reg103:8;
    };
}lg_m_plus_m_plus_wpr_reg100_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg104:8;
        RBus_UInt32  wpr_reg105:8;
        RBus_UInt32  wpr_reg106:8;
        RBus_UInt32  wpr_reg107:8;
    };
}lg_m_plus_m_plus_wpr_reg104_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg108:8;
        RBus_UInt32  wpr_reg109:8;
        RBus_UInt32  wpr_reg10a:8;
        RBus_UInt32  wpr_reg10b:8;
    };
}lg_m_plus_m_plus_wpr_reg108_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg10c:8;
        RBus_UInt32  wpr_reg10d:8;
        RBus_UInt32  wpr_reg10e:8;
        RBus_UInt32  wpr_reg10f:8;
    };
}lg_m_plus_m_plus_wpr_reg10c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg110:8;
        RBus_UInt32  wpr_reg111:8;
        RBus_UInt32  wpr_reg112:8;
        RBus_UInt32  wpr_reg113:8;
    };
}lg_m_plus_m_plus_wpr_reg110_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg114:8;
        RBus_UInt32  wpr_reg115:8;
        RBus_UInt32  wpr_reg116:8;
        RBus_UInt32  wpr_reg117:8;
    };
}lg_m_plus_m_plus_wpr_reg114_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg118:8;
        RBus_UInt32  wpr_reg119:8;
        RBus_UInt32  wpr_reg11a:8;
        RBus_UInt32  wpr_reg11b:8;
    };
}lg_m_plus_m_plus_wpr_reg118_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg11c:8;
        RBus_UInt32  wpr_reg11d:8;
        RBus_UInt32  wpr_reg11e:8;
        RBus_UInt32  wpr_reg11f:8;
    };
}lg_m_plus_m_plus_wpr_reg11c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg120:8;
        RBus_UInt32  wpr_reg121:8;
        RBus_UInt32  wpr_reg122:8;
        RBus_UInt32  wpr_reg123:8;
    };
}lg_m_plus_m_plus_wpr_reg120_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg124:8;
        RBus_UInt32  wpr_reg125:8;
        RBus_UInt32  wpr_reg126:8;
        RBus_UInt32  wpr_reg127:8;
    };
}lg_m_plus_m_plus_wpr_reg124_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg128:8;
        RBus_UInt32  wpr_reg129:8;
        RBus_UInt32  wpr_reg12a:8;
        RBus_UInt32  wpr_reg12b:8;
    };
}lg_m_plus_m_plus_wpr_reg128_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg12c:8;
        RBus_UInt32  wpr_reg12d:8;
        RBus_UInt32  wpr_reg12e:8;
        RBus_UInt32  wpr_reg12f:8;
    };
}lg_m_plus_m_plus_wpr_reg12c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}lg_m_plus_m_plus_sram_bist5_RBUS;

#else //apply LITTLE_ENDIAN

//======LG_M_PLUS register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  mode_sel:2;
        RBus_UInt32  test_mode:1;
        RBus_UInt32  mode_3d:1;
        RBus_UInt32  auto_detect_en:1;
        RBus_UInt32  bypass_on:1;
        RBus_UInt32  type_sel:1;
        RBus_UInt32  res1:1;
        RBus_UInt32  auto_detect_result:1;
        RBus_UInt32  res2:3;
        RBus_UInt32  user_timing_sel:1;
        RBus_UInt32  res3:16;
        RBus_UInt32  wse_on:1;
        RBus_UInt32  opc_on:1;
        RBus_UInt32  wpr_on:1;
    };
}lg_m_plus_m_plus_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg03:8;
        RBus_UInt32  wpr_reg02:8;
        RBus_UInt32  wpr_reg01:8;
        RBus_UInt32  wpr_reg00:8;
    };
}lg_m_plus_m_plus_reg00_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg07:8;
        RBus_UInt32  wpr_reg06:8;
        RBus_UInt32  wpr_reg05:8;
        RBus_UInt32  wpr_reg04:8;
    };
}lg_m_plus_m_plus_reg04_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg0b:8;
        RBus_UInt32  wpr_reg0a:8;
        RBus_UInt32  wpr_reg09:8;
        RBus_UInt32  wpr_reg08:8;
    };
}lg_m_plus_m_plus_reg08_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg0f:8;
        RBus_UInt32  wpr_reg0e:8;
        RBus_UInt32  wpr_reg0d:8;
        RBus_UInt32  wpr_reg0c:8;
    };
}lg_m_plus_m_plus_reg0c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg13:8;
        RBus_UInt32  wpr_reg12:8;
        RBus_UInt32  wpr_reg11:8;
        RBus_UInt32  wpr_reg10:8;
    };
}lg_m_plus_m_plus_reg10_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg17:8;
        RBus_UInt32  wpr_reg16:8;
        RBus_UInt32  wpr_reg15:8;
        RBus_UInt32  wpr_reg14:8;
    };
}lg_m_plus_m_plus_reg14_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1b:8;
        RBus_UInt32  wpr_reg1a:8;
        RBus_UInt32  wpr_reg19:8;
        RBus_UInt32  wpr_reg18:8;
    };
}lg_m_plus_m_plus_reg18_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg1f:8;
        RBus_UInt32  wpr_reg1e:8;
        RBus_UInt32  wpr_reg1d:8;
        RBus_UInt32  wpr_reg1c:8;
    };
}lg_m_plus_m_plus_reg1c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg23:8;
        RBus_UInt32  wpr_reg22:8;
        RBus_UInt32  wpr_reg21:8;
        RBus_UInt32  wpr_reg20:8;
    };
}lg_m_plus_m_plus_reg20_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg27:8;
        RBus_UInt32  wpr_reg26:8;
        RBus_UInt32  wpr_reg25:8;
        RBus_UInt32  wpr_reg24:8;
    };
}lg_m_plus_m_plus_reg24_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg2b:8;
        RBus_UInt32  wpr_reg2a:8;
        RBus_UInt32  wpr_reg29:8;
        RBus_UInt32  wpr_reg28:8;
    };
}lg_m_plus_m_plus_reg28_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg2f:8;
        RBus_UInt32  wpr_reg2e:8;
        RBus_UInt32  wpr_reg2d:8;
        RBus_UInt32  wpr_reg2c:8;
    };
}lg_m_plus_m_plus_reg2c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg33:8;
        RBus_UInt32  wpr_reg32:8;
        RBus_UInt32  wpr_reg31:8;
        RBus_UInt32  wpr_reg30:8;
    };
}lg_m_plus_m_plus_reg30_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg37:8;
        RBus_UInt32  wpr_reg36:8;
        RBus_UInt32  wpr_reg35:8;
        RBus_UInt32  wpr_reg34:8;
    };
}lg_m_plus_m_plus_reg34_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg3b:8;
        RBus_UInt32  wpr_reg3a:8;
        RBus_UInt32  wpr_reg39:8;
        RBus_UInt32  wpr_reg38:8;
    };
}lg_m_plus_m_plus_reg38_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg3f:8;
        RBus_UInt32  wpr_reg3e:8;
        RBus_UInt32  wpr_reg3d:8;
        RBus_UInt32  wpr_reg3c:8;
    };
}lg_m_plus_m_plus_reg3c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg43:8;
        RBus_UInt32  wpr_reg42:8;
        RBus_UInt32  wpr_reg41:8;
        RBus_UInt32  wpr_reg40:8;
    };
}lg_m_plus_m_plus_reg40_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg47:8;
        RBus_UInt32  wpr_reg46:8;
        RBus_UInt32  wpr_reg45:8;
        RBus_UInt32  wpr_reg44:8;
    };
}lg_m_plus_m_plus_reg44_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg4b:8;
        RBus_UInt32  wpr_reg4a:8;
        RBus_UInt32  wpr_reg49:8;
        RBus_UInt32  wpr_reg48:8;
    };
}lg_m_plus_m_plus_reg48_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg4f:8;
        RBus_UInt32  wpr_reg4e:8;
        RBus_UInt32  wpr_reg4d:8;
        RBus_UInt32  wpr_reg4c:8;
    };
}lg_m_plus_m_plus_reg4c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg53:8;
        RBus_UInt32  wpr_reg52:8;
        RBus_UInt32  wpr_reg51:8;
        RBus_UInt32  wpr_reg50:8;
    };
}lg_m_plus_m_plus_reg50_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg57:8;
        RBus_UInt32  wpr_reg56:8;
        RBus_UInt32  wpr_reg55:8;
        RBus_UInt32  wpr_reg54:8;
    };
}lg_m_plus_m_plus_reg54_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg5b:8;
        RBus_UInt32  wpr_reg5a:8;
        RBus_UInt32  wpr_reg59:8;
        RBus_UInt32  wpr_reg58:8;
    };
}lg_m_plus_m_plus_reg58_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg5f:8;
        RBus_UInt32  wpr_reg5e:8;
        RBus_UInt32  wpr_reg5d:8;
        RBus_UInt32  wpr_reg5c:8;
    };
}lg_m_plus_m_plus_reg5c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg63:8;
        RBus_UInt32  wpr_reg62:8;
        RBus_UInt32  wpr_reg61:8;
        RBus_UInt32  wpr_reg60:8;
    };
}lg_m_plus_m_plus_reg60_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg67:8;
        RBus_UInt32  wpr_reg66:8;
        RBus_UInt32  wpr_reg65:8;
        RBus_UInt32  wpr_reg64:8;
    };
}lg_m_plus_m_plus_reg64_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg6b:8;
        RBus_UInt32  wpr_reg6a:8;
        RBus_UInt32  wpr_reg69:8;
        RBus_UInt32  wpr_reg68:8;
    };
}lg_m_plus_m_plus_reg68_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg6f:8;
        RBus_UInt32  wpr_reg6e:8;
        RBus_UInt32  wpr_reg6d:8;
        RBus_UInt32  wpr_reg6c:8;
    };
}lg_m_plus_m_plus_reg6c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg73:8;
        RBus_UInt32  wpr_reg72:8;
        RBus_UInt32  wpr_reg71:8;
        RBus_UInt32  wpr_reg70:8;
    };
}lg_m_plus_m_plus_reg70_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg77:8;
        RBus_UInt32  wpr_reg76:8;
        RBus_UInt32  wpr_reg75:8;
        RBus_UInt32  wpr_reg74:8;
    };
}lg_m_plus_m_plus_reg74_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg7b:8;
        RBus_UInt32  wpr_reg7a:8;
        RBus_UInt32  wpr_reg79:8;
        RBus_UInt32  wpr_reg78:8;
    };
}lg_m_plus_m_plus_reg78_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg7f:8;
        RBus_UInt32  wpr_reg7e:8;
        RBus_UInt32  wpr_reg7d:8;
        RBus_UInt32  wpr_reg7c:8;
    };
}lg_m_plus_m_plus_reg7c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg83:8;
        RBus_UInt32  wpr_reg82:8;
        RBus_UInt32  wpr_reg81:8;
        RBus_UInt32  wpr_reg80:8;
    };
}lg_m_plus_m_plus_reg80_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg87:8;
        RBus_UInt32  wpr_reg86:8;
        RBus_UInt32  wpr_reg85:8;
        RBus_UInt32  wpr_reg84:8;
    };
}lg_m_plus_m_plus_reg84_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg8b:8;
        RBus_UInt32  wpr_reg8a:8;
        RBus_UInt32  wpr_reg89:8;
        RBus_UInt32  wpr_reg88:8;
    };
}lg_m_plus_m_plus_reg88_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg8f:8;
        RBus_UInt32  wpr_reg8e:8;
        RBus_UInt32  wpr_reg8d:8;
        RBus_UInt32  wpr_reg8c:8;
    };
}lg_m_plus_m_plus_reg8c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg93:8;
        RBus_UInt32  wpr_reg92:8;
        RBus_UInt32  wpr_reg91:8;
        RBus_UInt32  wpr_reg90:8;
    };
}lg_m_plus_m_plus_reg90_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg97:8;
        RBus_UInt32  wpr_reg96:8;
        RBus_UInt32  wpr_reg95:8;
        RBus_UInt32  wpr_reg94:8;
    };
}lg_m_plus_m_plus_reg94_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg9b:8;
        RBus_UInt32  wpr_reg9a:8;
        RBus_UInt32  wpr_reg99:8;
        RBus_UInt32  wpr_reg98:8;
    };
}lg_m_plus_m_plus_reg98_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg9f:8;
        RBus_UInt32  wpr_reg9e:8;
        RBus_UInt32  wpr_reg9d:8;
        RBus_UInt32  wpr_reg9c:8;
    };
}lg_m_plus_m_plus_reg9c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rega3:8;
        RBus_UInt32  wpr_rega2:8;
        RBus_UInt32  wpr_rega1:8;
        RBus_UInt32  wpr_rega0:8;
    };
}lg_m_plus_m_plus_rega0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rega7:8;
        RBus_UInt32  wpr_rega6:8;
        RBus_UInt32  wpr_rega5:8;
        RBus_UInt32  wpr_rega4:8;
    };
}lg_m_plus_m_plus_rega4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regab:8;
        RBus_UInt32  wpr_regaa:8;
        RBus_UInt32  wpr_rega9:8;
        RBus_UInt32  wpr_rega8:8;
    };
}lg_m_plus_m_plus_rega8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regaf:8;
        RBus_UInt32  wpr_regae:8;
        RBus_UInt32  wpr_regad:8;
        RBus_UInt32  wpr_regac:8;
    };
}lg_m_plus_m_plus_regac_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regb3:8;
        RBus_UInt32  wpr_regb2:8;
        RBus_UInt32  wpr_regb1:8;
        RBus_UInt32  wpr_regb0:8;
    };
}lg_m_plus_m_plus_regb0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regb7:8;
        RBus_UInt32  wpr_regb6:8;
        RBus_UInt32  wpr_regb5:8;
        RBus_UInt32  wpr_regb4:8;
    };
}lg_m_plus_m_plus_regb4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regbb:8;
        RBus_UInt32  wpr_regba:8;
        RBus_UInt32  wpr_regb9:8;
        RBus_UInt32  wpr_regb8:8;
    };
}lg_m_plus_m_plus_regb8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regbf:8;
        RBus_UInt32  wpr_regbe:8;
        RBus_UInt32  wpr_regbd:8;
        RBus_UInt32  wpr_regbc:8;
    };
}lg_m_plus_m_plus_regbc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regc3:8;
        RBus_UInt32  wpr_regc2:8;
        RBus_UInt32  wpr_regc1:8;
        RBus_UInt32  wpr_regc0:8;
    };
}lg_m_plus_m_plus_regc0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regc7:8;
        RBus_UInt32  wpr_regc6:8;
        RBus_UInt32  wpr_regc5:8;
        RBus_UInt32  wpr_regc4:8;
    };
}lg_m_plus_m_plus_regc4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regcb:8;
        RBus_UInt32  wpr_regca:8;
        RBus_UInt32  wpr_regc9:8;
        RBus_UInt32  wpr_regc8:8;
    };
}lg_m_plus_m_plus_regc8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regcf:8;
        RBus_UInt32  wpr_regce:8;
        RBus_UInt32  wpr_regcd:8;
        RBus_UInt32  wpr_regcc:8;
    };
}lg_m_plus_m_plus_regcc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regd3:8;
        RBus_UInt32  wpr_regd2:8;
        RBus_UInt32  wpr_regd1:8;
        RBus_UInt32  wpr_regd0:8;
    };
}lg_m_plus_m_plus_regd0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regd7:8;
        RBus_UInt32  wpr_regd6:8;
        RBus_UInt32  wpr_regd5:8;
        RBus_UInt32  wpr_regd4:8;
    };
}lg_m_plus_m_plus_regd4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regdb:8;
        RBus_UInt32  wpr_regda:8;
        RBus_UInt32  wpr_regd9:8;
        RBus_UInt32  wpr_regd8:8;
    };
}lg_m_plus_m_plus_regd8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regdf:8;
        RBus_UInt32  wpr_regde:8;
        RBus_UInt32  wpr_regdd:8;
        RBus_UInt32  wpr_regdc:8;
    };
}lg_m_plus_m_plus_regdc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rege3:8;
        RBus_UInt32  wpr_rege2:8;
        RBus_UInt32  wpr_rege1:8;
        RBus_UInt32  wpr_rege0:8;
    };
}lg_m_plus_m_plus_wpr_rege0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_rege7:8;
        RBus_UInt32  wpr_rege6:8;
        RBus_UInt32  wpr_rege5:8;
        RBus_UInt32  wpr_rege4:8;
    };
}lg_m_plus_m_plus_wpr_rege4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regeb:8;
        RBus_UInt32  wpr_regea:8;
        RBus_UInt32  wpr_rege9:8;
        RBus_UInt32  wpr_rege8:8;
    };
}lg_m_plus_m_plus_wpr_rege8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regef:8;
        RBus_UInt32  wpr_regee:8;
        RBus_UInt32  wpr_reged:8;
        RBus_UInt32  wpr_regec:8;
    };
}lg_m_plus_m_plus_wpr_regec_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dimming_duty_shift:8;
        RBus_UInt32  dimming_duty_gain:6;
        RBus_UInt32  res1:2;
        RBus_UInt32  dimming_duty_force_value:13;
        RBus_UInt32  res2:2;
        RBus_UInt32  dimming_duty_force_en:1;
    };
}lg_m_plus_m_plus_dimming_duty_ctrl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dimming_duty:13;
        RBus_UInt32  res1:3;
        RBus_UInt32  frame_cnt:8;
        RBus_UInt32  res2:6;
        RBus_UInt32  dimming_duty_update:1;
        RBus_UInt32  irq_en:1;
    };
}lg_m_plus_m_plus_dimming_duty_read_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  testrwm_0:1;
        RBus_UInt32  testrwm_1:1;
        RBus_UInt32  testrwm_2:1;
        RBus_UInt32  testrwm_3:1;
        RBus_UInt32  testrwm_4:1;
        RBus_UInt32  testrwm_5:1;
        RBus_UInt32  testrwm_6:1;
        RBus_UInt32  bist_fail_7:1;
        RBus_UInt32  bist_fail_0:1;
        RBus_UInt32  bist_fail_1:1;
        RBus_UInt32  bist_fail_2:1;
        RBus_UInt32  bist_fail_3:1;
        RBus_UInt32  bist_fail_4:1;
        RBus_UInt32  bist_fail_5:1;
        RBus_UInt32  bist_fail_6:1;
        RBus_UInt32  drf_bist_fail_7:1;
        RBus_UInt32  drf_bist_fail_0:1;
        RBus_UInt32  drf_bist_fail_1:1;
        RBus_UInt32  drf_bist_fail_2:1;
        RBus_UInt32  drf_bist_fail_3:1;
        RBus_UInt32  drf_bist_fail_4:1;
        RBus_UInt32  drf_bist_fail_5:1;
        RBus_UInt32  drf_bist_fail_6:1;
        RBus_UInt32  rme_7:1;
        RBus_UInt32  rme_0:1;
        RBus_UInt32  rme_1:1;
        RBus_UInt32  rme_2:1;
        RBus_UInt32  rme_3:1;
        RBus_UInt32  rme_4:1;
        RBus_UInt32  rme_5:1;
        RBus_UInt32  rme_6:1;
        RBus_UInt32  ls:1;
    };
}lg_m_plus_m_plus_sram_bist0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_0:4;
        RBus_UInt32  rm_1:4;
        RBus_UInt32  rm_2:4;
        RBus_UInt32  rm_3:4;
        RBus_UInt32  rm_4:4;
        RBus_UInt32  rm_5:4;
        RBus_UInt32  rm_6:4;
        RBus_UInt32  rm_7:4;
    };
}lg_m_plus_m_plus_sram_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_b1:4;
        RBus_UInt32  rm_g1:4;
        RBus_UInt32  rm_r1:4;
        RBus_UInt32  rm_b2:4;
        RBus_UInt32  rm_g2:4;
        RBus_UInt32  rm_r2:4;
        RBus_UInt32  res1:1;
        RBus_UInt32  rme_b1:1;
        RBus_UInt32  rme_g1:1;
        RBus_UInt32  rme_r1:1;
        RBus_UInt32  rme_b2:1;
        RBus_UInt32  rme_g2:1;
        RBus_UInt32  rme_r2:1;
        RBus_UInt32  res2:1;
    };
}lg_m_plus_m_plus_rom_bist_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_2_0:4;
        RBus_UInt32  rm_2_1:4;
        RBus_UInt32  rm_2_2:4;
        RBus_UInt32  testrwm_2_0:1;
        RBus_UInt32  testrwm_2_1:1;
        RBus_UInt32  testrwm_2_2:1;
        RBus_UInt32  bist_fail_2_0:1;
        RBus_UInt32  bist_fail_2_1:1;
        RBus_UInt32  bist_fail_2_2:1;
        RBus_UInt32  drf_bist_fail_2_0:1;
        RBus_UInt32  drf_bist_fail_2_1:1;
        RBus_UInt32  drf_bist_fail_2_2:1;
        RBus_UInt32  rme_2_0:1;
        RBus_UInt32  rme_2_1:1;
        RBus_UInt32  rme_2_2:1;
        RBus_UInt32  testrwm_7:1;
        RBus_UInt32  res1:7;
    };
}lg_m_plus_m_plus_sram_bist2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  bist_fail_3_0:1;
        RBus_UInt32  bist_fail_3_1:1;
        RBus_UInt32  bist_fail_3_2:1;
        RBus_UInt32  bist_fail_3_3:1;
        RBus_UInt32  bist_fail_3_4:1;
        RBus_UInt32  drf_bist_fail_3_0:1;
        RBus_UInt32  drf_bist_fail_3_1:1;
        RBus_UInt32  drf_bist_fail_3_2:1;
        RBus_UInt32  drf_bist_fail_3_3:1;
        RBus_UInt32  drf_bist_fail_3_4:1;
        RBus_UInt32  rme_3_0:1;
        RBus_UInt32  rme_3_1:1;
        RBus_UInt32  rme_3_2:1;
        RBus_UInt32  rme_3_3:1;
        RBus_UInt32  rme_3_4:1;
        RBus_UInt32  res1:17;
    };
}lg_m_plus_m_plus_sram_bist3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_3_0:4;
        RBus_UInt32  rm_3_1:4;
        RBus_UInt32  rm_3_2:4;
        RBus_UInt32  rm_3_3:4;
        RBus_UInt32  rm_3_4:4;
        RBus_UInt32  res1:12;
    };
}lg_m_plus_m_plus_sram_bist4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rm_2_b1:4;
        RBus_UInt32  rm_2_g1:4;
        RBus_UInt32  rm_2_r1:4;
        RBus_UInt32  rm_2_b2:4;
        RBus_UInt32  rm_2_g2:4;
        RBus_UInt32  rm_2_r2:4;
        RBus_UInt32  res1:1;
        RBus_UInt32  rme_2_b1:1;
        RBus_UInt32  rme_2_g1:1;
        RBus_UInt32  rme_2_r1:1;
        RBus_UInt32  rme_2_b2:1;
        RBus_UInt32  rme_2_g2:1;
        RBus_UInt32  rme_2_r2:1;
        RBus_UInt32  res2:1;
    };
}lg_m_plus_m_plus_rom_bist1_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regf3:8;
        RBus_UInt32  wpr_regf2:8;
        RBus_UInt32  wpr_regf1:8;
        RBus_UInt32  wpr_regf0:8;
    };
}lg_m_plus_m_plus_wpr_regf0_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regf7:8;
        RBus_UInt32  wpr_regf6:8;
        RBus_UInt32  wpr_regf5:8;
        RBus_UInt32  wpr_regf4:8;
    };
}lg_m_plus_m_plus_wpr_regf4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regfb:8;
        RBus_UInt32  wpr_regfa:8;
        RBus_UInt32  wpr_regf9:8;
        RBus_UInt32  wpr_regf8:8;
    };
}lg_m_plus_m_plus_wpr_regf8_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_regff:8;
        RBus_UInt32  wpr_regfe:8;
        RBus_UInt32  wpr_regfd:8;
        RBus_UInt32  wpr_regfc:8;
    };
}lg_m_plus_m_plus_wpr_regfc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg103:8;
        RBus_UInt32  wpr_reg102:8;
        RBus_UInt32  wpr_reg101:8;
        RBus_UInt32  wpr_reg100:8;
    };
}lg_m_plus_m_plus_wpr_reg100_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg107:8;
        RBus_UInt32  wpr_reg106:8;
        RBus_UInt32  wpr_reg105:8;
        RBus_UInt32  wpr_reg104:8;
    };
}lg_m_plus_m_plus_wpr_reg104_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg10b:8;
        RBus_UInt32  wpr_reg10a:8;
        RBus_UInt32  wpr_reg109:8;
        RBus_UInt32  wpr_reg108:8;
    };
}lg_m_plus_m_plus_wpr_reg108_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg10f:8;
        RBus_UInt32  wpr_reg10e:8;
        RBus_UInt32  wpr_reg10d:8;
        RBus_UInt32  wpr_reg10c:8;
    };
}lg_m_plus_m_plus_wpr_reg10c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg113:8;
        RBus_UInt32  wpr_reg112:8;
        RBus_UInt32  wpr_reg111:8;
        RBus_UInt32  wpr_reg110:8;
    };
}lg_m_plus_m_plus_wpr_reg110_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg117:8;
        RBus_UInt32  wpr_reg116:8;
        RBus_UInt32  wpr_reg115:8;
        RBus_UInt32  wpr_reg114:8;
    };
}lg_m_plus_m_plus_wpr_reg114_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg11b:8;
        RBus_UInt32  wpr_reg11a:8;
        RBus_UInt32  wpr_reg119:8;
        RBus_UInt32  wpr_reg118:8;
    };
}lg_m_plus_m_plus_wpr_reg118_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg11f:8;
        RBus_UInt32  wpr_reg11e:8;
        RBus_UInt32  wpr_reg11d:8;
        RBus_UInt32  wpr_reg11c:8;
    };
}lg_m_plus_m_plus_wpr_reg11c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg123:8;
        RBus_UInt32  wpr_reg122:8;
        RBus_UInt32  wpr_reg121:8;
        RBus_UInt32  wpr_reg120:8;
    };
}lg_m_plus_m_plus_wpr_reg120_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg127:8;
        RBus_UInt32  wpr_reg126:8;
        RBus_UInt32  wpr_reg125:8;
        RBus_UInt32  wpr_reg124:8;
    };
}lg_m_plus_m_plus_wpr_reg124_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg12b:8;
        RBus_UInt32  wpr_reg12a:8;
        RBus_UInt32  wpr_reg129:8;
        RBus_UInt32  wpr_reg128:8;
    };
}lg_m_plus_m_plus_wpr_reg128_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wpr_reg12f:8;
        RBus_UInt32  wpr_reg12e:8;
        RBus_UInt32  wpr_reg12d:8;
        RBus_UInt32  wpr_reg12c:8;
    };
}lg_m_plus_m_plus_wpr_reg12c_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:32;
    };
}lg_m_plus_m_plus_sram_bist5_RBUS;




#endif 


#endif 
