#ifndef __LSADC_REG_RTD_H__
#define __LSADC_REG_RTD_H__
#include <rbus/rbus_types.h>
#include <rbus/lsadc_reg.h>

#define  ST_PAD0_reg                  (LSADC_ST_pad0)
#define  ST_PAD1_reg                  (LSADC_ST_pad1)
#define  ST_PAD2_reg                  (LSADC_ST_pad2)
#define  ST_PAD3_reg                  (LSADC_ST_pad3)
#define  ST_PAD4_reg                  (LSADC_ST_pad4)
#define  ST_PAD5_reg                  (LSADC_ST_pad5)
#define  ST_PAD6_reg                  (LSADC_ST_pad6)
#define  ST_PAD7_reg                  (LSADC_ST_pad7)
#define  ST_PAD8_reg                  (LSADC_ST_pad8)

#define  ST_LSADC_CTRL_reg            (LSADC_ST_LSADC_ctrl)
#define  ST_LSADC_STATUS_reg          (LSADC_ST_LSADC_status)
#define  ST_LSADC_ANALOG_CTRL_reg     (LSADC_ST_LSADC_analog_ctrl)

#define  LSADC_PAD5_LEVEL_SET0_reg    (LSADC_LSADC_pad1_level_set0)
#define  LSADC_PAD5_LEVEL_SET1_reg    (LSADC_LSADC_pad1_level_set1)
#define  LSADC_PAD5_LEVEL_SET2_reg    (LSADC_LSADC_pad1_level_set2)
#define  LSADC_PAD5_LEVEL_SET3_reg    (LSADC_LSADC_pad1_level_set3)
#define  LSADC_PAD5_LEVEL_SET4_reg    (LSADC_LSADC_pad1_level_set4)
#define  LSADC_PAD5_LEVEL_SET5_reg    (LSADC_LSADC_pad1_level_set5)
#define  LSADC_PAD6_LEVEL_SET0_reg    (LSADC_LSADC_pad2_level_set0)
#define  LSADC_PAD6_LEVEL_SET1_reg    (LSADC_LSADC_pad2_level_set1)
#define  LSADC_PAD6_LEVEL_SET2_reg    (LSADC_LSADC_pad2_level_set2)
#define  LSADC_PAD6_LEVEL_SET3_reg    (LSADC_LSADC_pad2_level_set3)
#define  LSADC_PAD6_LEVEL_SET4_reg    (LSADC_LSADC_pad2_level_set4)
#define  LSADC_PAD6_LEVEL_SET5_reg    (LSADC_LSADC_pad2_level_set5)
#define  LSADC_PAD7_LEVEL_SET0_reg    (LSADC_LSADC_pad3_level_set0)
#define  LSADC_PAD7_LEVEL_SET1_reg    (LSADC_LSADC_pad3_level_set1)
#define  LSADC_PAD7_LEVEL_SET2_reg    (LSADC_LSADC_pad3_level_set2)
#define  LSADC_PAD7_LEVEL_SET3_reg    (LSADC_LSADC_pad3_level_set3)
#define  LSADC_PAD7_LEVEL_SET4_reg    (LSADC_LSADC_pad3_level_set4)
#define  LSADC_PAD7_LEVEL_SET5_reg    (LSADC_LSADC_pad3_level_set5)
#define  LSADC_INT_PAD5_reg           (LSADC_LSADC_INT_pad1)
#define  LSADC_INT_PAD6_reg           (LSADC_LSADC_INT_pad2)
#define  LSADC_INT_PAD7_reg           (LSADC_LSADC_INT_pad3)

#endif


