#ifndef _RTK_MD_DRIVER_H_
#define _RTK_MD_DRIVER_H_

void rtk_md_init(void);
int32_t rtk_md_memcpy_seq(uint32_t addrdst, uint32_t addrsrc, int32_t len, int32_t op,
                       int32_t movebyte, int32_t datamode, int32_t dir, uint32_t is_wait);
int32_t rtk_md_memcpy_pitch(uint32_t addrdst, uint32_t dstpitch, uint32_t addrsrc,
                                                    uint32_t srcpitch, uint32_t hlen, uint32_t wlen, 
                                                    int32_t movebyte, uint32_t is_wait);
int32_t rtk_md_memcpy_blk(uint32_t h_blk, uint32_t w_blk, uint32_t x_blk,
                                                    uint32_t  y_blk, uint32_t dcu_index, int32_t seq_addr,
                                                    uint32_t len, int32_t movebyte, int32_t datamode, uint32_t is_wait);


#define MD_READ_ONLY_ENABLE                       1
#define MD_READ_ONLY_DISABLE                      0

uint32_t rtk_md_get_r_crc(uint32_t addrsrc, uint32_t addrdst, uint32_t len, uint32_t read_only);
uint32_t rtk_md_get_w_crc(uint32_t addrsrc, uint32_t len);


uint16_t smd_memfill(uint32_t addrDst, int32_t len, uint32_t value);                       
uint16_t smd_memcpy(uint32_t addrDst, uint32_t addrSrc, int32_t len);
bool smd_checkFinish(uint16_t sw_cnt);
bool smd_checkComplete(uint16_t sw_cnt);

#endif /* _MD_H_ */
