/**
* @file Merlin6_LGCY_VE_CABACP2_arch_spec
* RBus systemc program.
*
* @author RS_MM2_SD
* @email mm_mm2_rd_sw_kernel@realtek.com
* @ingroup model_rbus
 * @version { 1.0 }
 **
 */

#ifndef _RBUS_LGCY_CABAC_P2_REG_H_
#define _RBUS_LGCY_CABAC_P2_REG_H_

#include "rbus_types.h"



//  LGCY_CABAC_P2 Register Address
#define  LGCY_CABAC_P2_cabac_lefttop_0                                          0x1800E030
#define  LGCY_CABAC_P2_cabac_lefttop_0_reg_addr                                  "0xB800E030"
#define  LGCY_CABAC_P2_cabac_lefttop_0_reg                                       0xB800E030
#define  LGCY_CABAC_P2_cabac_lefttop_0_inst_addr                                 "0x0000"
#define  set_LGCY_CABAC_P2_cabac_lefttop_0_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_0_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_lefttop_0_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_0_reg))
#define  LGCY_CABAC_P2_cabac_lefttop_0_left_top_shift                            (0)
#define  LGCY_CABAC_P2_cabac_lefttop_0_left_top_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_lefttop_0_left_top(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_lefttop_0_get_left_top(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_lefttop_1                                          0x1800E034
#define  LGCY_CABAC_P2_cabac_lefttop_1_reg_addr                                  "0xB800E034"
#define  LGCY_CABAC_P2_cabac_lefttop_1_reg                                       0xB800E034
#define  LGCY_CABAC_P2_cabac_lefttop_1_inst_addr                                 "0x0001"
#define  set_LGCY_CABAC_P2_cabac_lefttop_1_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_1_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_lefttop_1_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_1_reg))
#define  LGCY_CABAC_P2_cabac_lefttop_1_left_top_shift                            (0)
#define  LGCY_CABAC_P2_cabac_lefttop_1_left_top_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_lefttop_1_left_top(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_lefttop_1_get_left_top(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_lefttop_2                                          0x1800E038
#define  LGCY_CABAC_P2_cabac_lefttop_2_reg_addr                                  "0xB800E038"
#define  LGCY_CABAC_P2_cabac_lefttop_2_reg                                       0xB800E038
#define  LGCY_CABAC_P2_cabac_lefttop_2_inst_addr                                 "0x0002"
#define  set_LGCY_CABAC_P2_cabac_lefttop_2_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_2_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_lefttop_2_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_2_reg))
#define  LGCY_CABAC_P2_cabac_lefttop_2_left_top_shift                            (0)
#define  LGCY_CABAC_P2_cabac_lefttop_2_left_top_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_lefttop_2_left_top(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_lefttop_2_get_left_top(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_lefttop_3                                          0x1800E03C
#define  LGCY_CABAC_P2_cabac_lefttop_3_reg_addr                                  "0xB800E03C"
#define  LGCY_CABAC_P2_cabac_lefttop_3_reg                                       0xB800E03C
#define  LGCY_CABAC_P2_cabac_lefttop_3_inst_addr                                 "0x0003"
#define  set_LGCY_CABAC_P2_cabac_lefttop_3_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_3_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_lefttop_3_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_3_reg))
#define  LGCY_CABAC_P2_cabac_lefttop_3_left_top_shift                            (0)
#define  LGCY_CABAC_P2_cabac_lefttop_3_left_top_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_lefttop_3_left_top(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_lefttop_3_get_left_top(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_lefttop_4                                          0x1800E040
#define  LGCY_CABAC_P2_cabac_lefttop_4_reg_addr                                  "0xB800E040"
#define  LGCY_CABAC_P2_cabac_lefttop_4_reg                                       0xB800E040
#define  LGCY_CABAC_P2_cabac_lefttop_4_inst_addr                                 "0x0004"
#define  set_LGCY_CABAC_P2_cabac_lefttop_4_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_4_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_lefttop_4_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_4_reg))
#define  LGCY_CABAC_P2_cabac_lefttop_4_left_top_shift                            (0)
#define  LGCY_CABAC_P2_cabac_lefttop_4_left_top_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_lefttop_4_left_top(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_lefttop_4_get_left_top(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_lefttop_5                                          0x1800E044
#define  LGCY_CABAC_P2_cabac_lefttop_5_reg_addr                                  "0xB800E044"
#define  LGCY_CABAC_P2_cabac_lefttop_5_reg                                       0xB800E044
#define  LGCY_CABAC_P2_cabac_lefttop_5_inst_addr                                 "0x0005"
#define  set_LGCY_CABAC_P2_cabac_lefttop_5_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_5_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_lefttop_5_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_lefttop_5_reg))
#define  LGCY_CABAC_P2_cabac_lefttop_5_left_top_shift                            (0)
#define  LGCY_CABAC_P2_cabac_lefttop_5_left_top_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_lefttop_5_left_top(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_lefttop_5_get_left_top(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_leftbot_0                                          0x1800E050
#define  LGCY_CABAC_P2_cabac_leftbot_0_reg_addr                                  "0xB800E050"
#define  LGCY_CABAC_P2_cabac_leftbot_0_reg                                       0xB800E050
#define  LGCY_CABAC_P2_cabac_leftbot_0_inst_addr                                 "0x0006"
#define  set_LGCY_CABAC_P2_cabac_leftbot_0_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_0_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_leftbot_0_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_0_reg))
#define  LGCY_CABAC_P2_cabac_leftbot_0_left_bot_shift                            (0)
#define  LGCY_CABAC_P2_cabac_leftbot_0_left_bot_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_leftbot_0_left_bot(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_leftbot_0_get_left_bot(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_leftbot_1                                          0x1800E054
#define  LGCY_CABAC_P2_cabac_leftbot_1_reg_addr                                  "0xB800E054"
#define  LGCY_CABAC_P2_cabac_leftbot_1_reg                                       0xB800E054
#define  LGCY_CABAC_P2_cabac_leftbot_1_inst_addr                                 "0x0007"
#define  set_LGCY_CABAC_P2_cabac_leftbot_1_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_1_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_leftbot_1_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_1_reg))
#define  LGCY_CABAC_P2_cabac_leftbot_1_left_bot_shift                            (0)
#define  LGCY_CABAC_P2_cabac_leftbot_1_left_bot_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_leftbot_1_left_bot(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_leftbot_1_get_left_bot(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_leftbot_2                                          0x1800E058
#define  LGCY_CABAC_P2_cabac_leftbot_2_reg_addr                                  "0xB800E058"
#define  LGCY_CABAC_P2_cabac_leftbot_2_reg                                       0xB800E058
#define  LGCY_CABAC_P2_cabac_leftbot_2_inst_addr                                 "0x0008"
#define  set_LGCY_CABAC_P2_cabac_leftbot_2_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_2_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_leftbot_2_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_2_reg))
#define  LGCY_CABAC_P2_cabac_leftbot_2_left_bot_shift                            (0)
#define  LGCY_CABAC_P2_cabac_leftbot_2_left_bot_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_leftbot_2_left_bot(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_leftbot_2_get_left_bot(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_leftbot_3                                          0x1800E05C
#define  LGCY_CABAC_P2_cabac_leftbot_3_reg_addr                                  "0xB800E05C"
#define  LGCY_CABAC_P2_cabac_leftbot_3_reg                                       0xB800E05C
#define  LGCY_CABAC_P2_cabac_leftbot_3_inst_addr                                 "0x0009"
#define  set_LGCY_CABAC_P2_cabac_leftbot_3_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_3_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_leftbot_3_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_3_reg))
#define  LGCY_CABAC_P2_cabac_leftbot_3_left_bot_shift                            (0)
#define  LGCY_CABAC_P2_cabac_leftbot_3_left_bot_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_leftbot_3_left_bot(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_leftbot_3_get_left_bot(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_leftbot_4                                          0x1800E060
#define  LGCY_CABAC_P2_cabac_leftbot_4_reg_addr                                  "0xB800E060"
#define  LGCY_CABAC_P2_cabac_leftbot_4_reg                                       0xB800E060
#define  LGCY_CABAC_P2_cabac_leftbot_4_inst_addr                                 "0x000A"
#define  set_LGCY_CABAC_P2_cabac_leftbot_4_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_4_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_leftbot_4_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_4_reg))
#define  LGCY_CABAC_P2_cabac_leftbot_4_left_bot_shift                            (0)
#define  LGCY_CABAC_P2_cabac_leftbot_4_left_bot_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_leftbot_4_left_bot(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_leftbot_4_get_left_bot(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_leftbot_5                                          0x1800E064
#define  LGCY_CABAC_P2_cabac_leftbot_5_reg_addr                                  "0xB800E064"
#define  LGCY_CABAC_P2_cabac_leftbot_5_reg                                       0xB800E064
#define  LGCY_CABAC_P2_cabac_leftbot_5_inst_addr                                 "0x000B"
#define  set_LGCY_CABAC_P2_cabac_leftbot_5_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_5_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_leftbot_5_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_leftbot_5_reg))
#define  LGCY_CABAC_P2_cabac_leftbot_5_left_bot_shift                            (0)
#define  LGCY_CABAC_P2_cabac_leftbot_5_left_bot_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_cabac_leftbot_5_left_bot(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_cabac_leftbot_5_get_left_bot(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_cabac_p2_cntl3                                           0x1800E360
#define  LGCY_CABAC_P2_cabac_p2_cntl3_reg_addr                                   "0xB800E360"
#define  LGCY_CABAC_P2_cabac_p2_cntl3_reg                                        0xB800E360
#define  LGCY_CABAC_P2_cabac_p2_cntl3_inst_addr                                  "0x000C"
#define  set_LGCY_CABAC_P2_cabac_p2_cntl3_reg(data)                              (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_p2_cntl3_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_p2_cntl3_reg                                    (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_p2_cntl3_reg))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable7_shift                        (30)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_reset_cabacp2_bsfifo_shift                 (29)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable6_shift                        (28)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_decode_en_cabacp2_shift                    (27)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable5_shift                        (26)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_cabac_1p_mode_shift                        (25)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable4_shift                        (24)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_cabac_p2_p3_shift                          (23)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable3_shift                        (22)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_cabac_p2_go_shift                          (21)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable2_shift                        (20)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_latch_enable_shift                         (19)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable1_shift                        (18)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_codioffset_shift                           (9)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_codirange_shift                            (0)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable7_mask                         (0x40000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_reset_cabacp2_bsfifo_mask                  (0x20000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable6_mask                         (0x10000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_decode_en_cabacp2_mask                     (0x08000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable5_mask                         (0x04000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_cabac_1p_mode_mask                         (0x02000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable4_mask                         (0x01000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_cabac_p2_p3_mask                           (0x00800000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable3_mask                         (0x00400000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_cabac_p2_go_mask                           (0x00200000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable2_mask                         (0x00100000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_latch_enable_mask                          (0x00080000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable1_mask                         (0x00040000)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_codioffset_mask                            (0x0003FE00)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_codirange_mask                             (0x000001FF)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable7(data)                        (0x40000000&((data)<<30))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_reset_cabacp2_bsfifo(data)                 (0x20000000&((data)<<29))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable6(data)                        (0x10000000&((data)<<28))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_decode_en_cabacp2(data)                    (0x08000000&((data)<<27))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable5(data)                        (0x04000000&((data)<<26))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_cabac_1p_mode(data)                        (0x02000000&((data)<<25))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable4(data)                        (0x01000000&((data)<<24))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_cabac_p2_p3(data)                          (0x00800000&((data)<<23))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable3(data)                        (0x00400000&((data)<<22))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_cabac_p2_go(data)                          (0x00200000&((data)<<21))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable2(data)                        (0x00100000&((data)<<20))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_latch_enable(data)                         (0x00080000&((data)<<19))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_write_enable1(data)                        (0x00040000&((data)<<18))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_codioffset(data)                           (0x0003FE00&((data)<<9))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_codirange(data)                            (0x000001FF&(data))
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_write_enable7(data)                    ((0x40000000&(data))>>30)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_reset_cabacp2_bsfifo(data)             ((0x20000000&(data))>>29)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_write_enable6(data)                    ((0x10000000&(data))>>28)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_decode_en_cabacp2(data)                ((0x08000000&(data))>>27)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_write_enable5(data)                    ((0x04000000&(data))>>26)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_cabac_1p_mode(data)                    ((0x02000000&(data))>>25)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_write_enable4(data)                    ((0x01000000&(data))>>24)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_cabac_p2_p3(data)                      ((0x00800000&(data))>>23)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_write_enable3(data)                    ((0x00400000&(data))>>22)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_cabac_p2_go(data)                      ((0x00200000&(data))>>21)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_write_enable2(data)                    ((0x00100000&(data))>>20)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_latch_enable(data)                     ((0x00080000&(data))>>19)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_write_enable1(data)                    ((0x00040000&(data))>>18)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_codioffset(data)                       ((0x0003FE00&(data))>>9)
#define  LGCY_CABAC_P2_cabac_p2_cntl3_get_codirange(data)                        (0x000001FF&(data))

#define  LGCY_CABAC_P2_cabac_p2_cntl4                                           0x1800E3D0
#define  LGCY_CABAC_P2_cabac_p2_cntl4_reg_addr                                   "0xB800E3D0"
#define  LGCY_CABAC_P2_cabac_p2_cntl4_reg                                        0xB800E3D0
#define  LGCY_CABAC_P2_cabac_p2_cntl4_inst_addr                                  "0x000D"
#define  set_LGCY_CABAC_P2_cabac_p2_cntl4_reg(data)                              (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_p2_cntl4_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_p2_cntl4_reg                                    (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_p2_cntl4_reg))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable5_shift                        (30)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_arb_wait_value_shift                       (25)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable4_shift                        (24)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_haltcabacp2_done_shift                     (23)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable3_shift                        (22)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_haltcabacp2_shift                          (21)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable2_shift                        (20)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_cabacp2_idle_shift                         (19)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable1_shift                        (18)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_cabacp2_header_byte_cnt_shift              (0)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable5_mask                         (0x40000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_arb_wait_value_mask                        (0x3E000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable4_mask                         (0x01000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_haltcabacp2_done_mask                      (0x00800000)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable3_mask                         (0x00400000)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_haltcabacp2_mask                           (0x00200000)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable2_mask                         (0x00100000)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_cabacp2_idle_mask                          (0x00080000)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable1_mask                         (0x00040000)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_cabacp2_header_byte_cnt_mask               (0x0003FFFF)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable5(data)                        (0x40000000&((data)<<30))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_arb_wait_value(data)                       (0x3E000000&((data)<<25))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable4(data)                        (0x01000000&((data)<<24))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_haltcabacp2_done(data)                     (0x00800000&((data)<<23))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable3(data)                        (0x00400000&((data)<<22))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_haltcabacp2(data)                          (0x00200000&((data)<<21))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable2(data)                        (0x00100000&((data)<<20))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_cabacp2_idle(data)                         (0x00080000&((data)<<19))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_write_enable1(data)                        (0x00040000&((data)<<18))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_cabacp2_header_byte_cnt(data)              (0x0003FFFF&(data))
#define  LGCY_CABAC_P2_cabac_p2_cntl4_get_write_enable5(data)                    ((0x40000000&(data))>>30)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_get_arb_wait_value(data)                   ((0x3E000000&(data))>>25)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_get_write_enable4(data)                    ((0x01000000&(data))>>24)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_get_haltcabacp2_done(data)                 ((0x00800000&(data))>>23)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_get_write_enable3(data)                    ((0x00400000&(data))>>22)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_get_haltcabacp2(data)                      ((0x00200000&(data))>>21)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_get_write_enable2(data)                    ((0x00100000&(data))>>20)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_get_cabacp2_idle(data)                     ((0x00080000&(data))>>19)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_get_write_enable1(data)                    ((0x00040000&(data))>>18)
#define  LGCY_CABAC_P2_cabac_p2_cntl4_get_cabacp2_header_byte_cnt(data)          (0x0003FFFF&(data))

#define  LGCY_CABAC_P2_p2_neighbor_loc                                          0x1800E398
#define  LGCY_CABAC_P2_p2_neighbor_loc_reg_addr                                  "0xB800E398"
#define  LGCY_CABAC_P2_p2_neighbor_loc_reg                                       0xB800E398
#define  LGCY_CABAC_P2_p2_neighbor_loc_inst_addr                                 "0x000E"
#define  set_LGCY_CABAC_P2_p2_neighbor_loc_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_p2_neighbor_loc_reg)=data)
#define  get_LGCY_CABAC_P2_p2_neighbor_loc_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_p2_neighbor_loc_reg))
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_v_shift                      (20)
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_u_shift                      (14)
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_hor_shift                    (8)
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_shift                        (2)
#define  LGCY_CABAC_P2_p2_neighbor_loc_neighbor_loc_shift                        (0)
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_v_mask                       (0x03F00000)
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_u_mask                       (0x000FC000)
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_hor_mask                     (0x00003F00)
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_mask                         (0x000000FC)
#define  LGCY_CABAC_P2_p2_neighbor_loc_neighbor_loc_mask                         (0x00000003)
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_v(data)                      (0x03F00000&((data)<<20))
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_u(data)                      (0x000FC000&((data)<<14))
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level_hor(data)                    (0x00003F00&((data)<<8))
#define  LGCY_CABAC_P2_p2_neighbor_loc_filter_level(data)                        (0x000000FC&((data)<<2))
#define  LGCY_CABAC_P2_p2_neighbor_loc_neighbor_loc(data)                        (0x00000003&(data))
#define  LGCY_CABAC_P2_p2_neighbor_loc_get_filter_level_v(data)                  ((0x03F00000&(data))>>20)
#define  LGCY_CABAC_P2_p2_neighbor_loc_get_filter_level_u(data)                  ((0x000FC000&(data))>>14)
#define  LGCY_CABAC_P2_p2_neighbor_loc_get_filter_level_hor(data)                ((0x00003F00&(data))>>8)
#define  LGCY_CABAC_P2_p2_neighbor_loc_get_filter_level(data)                    ((0x000000FC&(data))>>2)
#define  LGCY_CABAC_P2_p2_neighbor_loc_get_neighbor_loc(data)                    (0x00000003&(data))

#define  LGCY_CABAC_P2_cabacp2_int_status                                       0x1800E3D4
#define  LGCY_CABAC_P2_cabacp2_int_status_reg_addr                               "0xB800E3D4"
#define  LGCY_CABAC_P2_cabacp2_int_status_reg                                    0xB800E3D4
#define  LGCY_CABAC_P2_cabacp2_int_status_inst_addr                              "0x000F"
#define  set_LGCY_CABAC_P2_cabacp2_int_status_reg(data)                          (*((volatile unsigned int*)LGCY_CABAC_P2_cabacp2_int_status_reg)=data)
#define  get_LGCY_CABAC_P2_cabacp2_int_status_reg                                (*((volatile unsigned int*)LGCY_CABAC_P2_cabacp2_int_status_reg))
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_wfifo_err_shift               (4)
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_bsfifo_err_shift              (3)
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_dec_err_shift                 (2)
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_done_shift                    (1)
#define  LGCY_CABAC_P2_cabacp2_int_status_write_data_shift                       (0)
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_wfifo_err_mask                (0x00000010)
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_bsfifo_err_mask               (0x00000008)
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_dec_err_mask                  (0x00000004)
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_done_mask                     (0x00000002)
#define  LGCY_CABAC_P2_cabacp2_int_status_write_data_mask                        (0x00000001)
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_wfifo_err(data)               (0x00000010&((data)<<4))
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_bsfifo_err(data)              (0x00000008&((data)<<3))
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_dec_err(data)                 (0x00000004&((data)<<2))
#define  LGCY_CABAC_P2_cabacp2_int_status_cabac_p2_done(data)                    (0x00000002&((data)<<1))
#define  LGCY_CABAC_P2_cabacp2_int_status_write_data(data)                       (0x00000001&(data))
#define  LGCY_CABAC_P2_cabacp2_int_status_get_cabac_p2_wfifo_err(data)           ((0x00000010&(data))>>4)
#define  LGCY_CABAC_P2_cabacp2_int_status_get_cabac_p2_bsfifo_err(data)          ((0x00000008&(data))>>3)
#define  LGCY_CABAC_P2_cabacp2_int_status_get_cabac_p2_dec_err(data)             ((0x00000004&(data))>>2)
#define  LGCY_CABAC_P2_cabacp2_int_status_get_cabac_p2_done(data)                ((0x00000002&(data))>>1)
#define  LGCY_CABAC_P2_cabacp2_int_status_get_write_data(data)                   (0x00000001&(data))

#define  LGCY_CABAC_P2_cabacp2_int_en                                           0x1800E3D8
#define  LGCY_CABAC_P2_cabacp2_int_en_reg_addr                                   "0xB800E3D8"
#define  LGCY_CABAC_P2_cabacp2_int_en_reg                                        0xB800E3D8
#define  LGCY_CABAC_P2_cabacp2_int_en_inst_addr                                  "0x0010"
#define  set_LGCY_CABAC_P2_cabacp2_int_en_reg(data)                              (*((volatile unsigned int*)LGCY_CABAC_P2_cabacp2_int_en_reg)=data)
#define  get_LGCY_CABAC_P2_cabacp2_int_en_reg                                    (*((volatile unsigned int*)LGCY_CABAC_P2_cabacp2_int_en_reg))
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_wfifo_err_ie_shift                (4)
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_bsfifo_err_ie_shift               (3)
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_dec_err_ie_shift                  (2)
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_done_ie_shift                     (1)
#define  LGCY_CABAC_P2_cabacp2_int_en_write_data_shift                           (0)
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_wfifo_err_ie_mask                 (0x00000010)
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_bsfifo_err_ie_mask                (0x00000008)
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_dec_err_ie_mask                   (0x00000004)
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_done_ie_mask                      (0x00000002)
#define  LGCY_CABAC_P2_cabacp2_int_en_write_data_mask                            (0x00000001)
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_wfifo_err_ie(data)                (0x00000010&((data)<<4))
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_bsfifo_err_ie(data)               (0x00000008&((data)<<3))
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_dec_err_ie(data)                  (0x00000004&((data)<<2))
#define  LGCY_CABAC_P2_cabacp2_int_en_cabac_p2_done_ie(data)                     (0x00000002&((data)<<1))
#define  LGCY_CABAC_P2_cabacp2_int_en_write_data(data)                           (0x00000001&(data))
#define  LGCY_CABAC_P2_cabacp2_int_en_get_cabac_p2_wfifo_err_ie(data)            ((0x00000010&(data))>>4)
#define  LGCY_CABAC_P2_cabacp2_int_en_get_cabac_p2_bsfifo_err_ie(data)           ((0x00000008&(data))>>3)
#define  LGCY_CABAC_P2_cabacp2_int_en_get_cabac_p2_dec_err_ie(data)              ((0x00000004&(data))>>2)
#define  LGCY_CABAC_P2_cabacp2_int_en_get_cabac_p2_done_ie(data)                 ((0x00000002&(data))>>1)
#define  LGCY_CABAC_P2_cabacp2_int_en_get_write_data(data)                       (0x00000001&(data))

#define  LGCY_CABAC_P2_cabac_p2_cntl5                                           0x1800E3DC
#define  LGCY_CABAC_P2_cabac_p2_cntl5_reg_addr                                   "0xB800E3DC"
#define  LGCY_CABAC_P2_cabac_p2_cntl5_reg                                        0xB800E3DC
#define  LGCY_CABAC_P2_cabac_p2_cntl5_inst_addr                                  "0x0011"
#define  set_LGCY_CABAC_P2_cabac_p2_cntl5_reg(data)                              (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_p2_cntl5_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_p2_cntl5_reg                                    (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_p2_cntl5_reg))
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable4_shift                        (30)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_hevc_eos_shift                             (29)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_hevc_p2_err_shift                          (28)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable3_shift                        (27)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_coding_type_shift                          (22)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable2_shift                        (21)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_cabacp2_pred_counter_shift                 (11)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable1_shift                        (10)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_cabacp2_curmb_addr_shift                   (0)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable4_mask                         (0x40000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_hevc_eos_mask                              (0x20000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_hevc_p2_err_mask                           (0x10000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable3_mask                         (0x08000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_coding_type_mask                           (0x07C00000)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable2_mask                         (0x00200000)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_cabacp2_pred_counter_mask                  (0x001FF800)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable1_mask                         (0x00000400)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_cabacp2_curmb_addr_mask                    (0x000003FF)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable4(data)                        (0x40000000&((data)<<30))
#define  LGCY_CABAC_P2_cabac_p2_cntl5_hevc_eos(data)                             (0x20000000&((data)<<29))
#define  LGCY_CABAC_P2_cabac_p2_cntl5_hevc_p2_err(data)                          (0x10000000&((data)<<28))
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable3(data)                        (0x08000000&((data)<<27))
#define  LGCY_CABAC_P2_cabac_p2_cntl5_coding_type(data)                          (0x07C00000&((data)<<22))
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable2(data)                        (0x00200000&((data)<<21))
#define  LGCY_CABAC_P2_cabac_p2_cntl5_cabacp2_pred_counter(data)                 (0x001FF800&((data)<<11))
#define  LGCY_CABAC_P2_cabac_p2_cntl5_write_enable1(data)                        (0x00000400&((data)<<10))
#define  LGCY_CABAC_P2_cabac_p2_cntl5_cabacp2_curmb_addr(data)                   (0x000003FF&(data))
#define  LGCY_CABAC_P2_cabac_p2_cntl5_get_write_enable4(data)                    ((0x40000000&(data))>>30)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_get_hevc_eos(data)                         ((0x20000000&(data))>>29)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_get_hevc_p2_err(data)                      ((0x10000000&(data))>>28)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_get_write_enable3(data)                    ((0x08000000&(data))>>27)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_get_coding_type(data)                      ((0x07C00000&(data))>>22)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_get_write_enable2(data)                    ((0x00200000&(data))>>21)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_get_cabacp2_pred_counter(data)             ((0x001FF800&(data))>>11)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_get_write_enable1(data)                    ((0x00000400&(data))>>10)
#define  LGCY_CABAC_P2_cabac_p2_cntl5_get_cabacp2_curmb_addr(data)               (0x000003FF&(data))

#define  LGCY_CABAC_P2_p2_bscntl                                                0x1800E3E0
#define  LGCY_CABAC_P2_p2_bscntl_reg_addr                                        "0xB800E3E0"
#define  LGCY_CABAC_P2_p2_bscntl_reg                                             0xB800E3E0
#define  LGCY_CABAC_P2_p2_bscntl_inst_addr                                       "0x0012"
#define  set_LGCY_CABAC_P2_p2_bscntl_reg(data)                                   (*((volatile unsigned int*)LGCY_CABAC_P2_p2_bscntl_reg)=data)
#define  get_LGCY_CABAC_P2_p2_bscntl_reg                                         (*((volatile unsigned int*)LGCY_CABAC_P2_p2_bscntl_reg))
#define  LGCY_CABAC_P2_p2_bscntl_write_enable3_shift                             (6)
#define  LGCY_CABAC_P2_p2_bscntl_p2_startcode_prevnt_en_shift                    (5)
#define  LGCY_CABAC_P2_p2_bscntl_write_enable2_shift                             (4)
#define  LGCY_CABAC_P2_p2_bscntl_detect_startcode_error_shift                    (3)
#define  LGCY_CABAC_P2_p2_bscntl_write_enable1_shift                             (2)
#define  LGCY_CABAC_P2_p2_bscntl_min_xfer_size_shift                             (0)
#define  LGCY_CABAC_P2_p2_bscntl_write_enable3_mask                              (0x00000040)
#define  LGCY_CABAC_P2_p2_bscntl_p2_startcode_prevnt_en_mask                     (0x00000020)
#define  LGCY_CABAC_P2_p2_bscntl_write_enable2_mask                              (0x00000010)
#define  LGCY_CABAC_P2_p2_bscntl_detect_startcode_error_mask                     (0x00000008)
#define  LGCY_CABAC_P2_p2_bscntl_write_enable1_mask                              (0x00000004)
#define  LGCY_CABAC_P2_p2_bscntl_min_xfer_size_mask                              (0x00000003)
#define  LGCY_CABAC_P2_p2_bscntl_write_enable3(data)                             (0x00000040&((data)<<6))
#define  LGCY_CABAC_P2_p2_bscntl_p2_startcode_prevnt_en(data)                    (0x00000020&((data)<<5))
#define  LGCY_CABAC_P2_p2_bscntl_write_enable2(data)                             (0x00000010&((data)<<4))
#define  LGCY_CABAC_P2_p2_bscntl_detect_startcode_error(data)                    (0x00000008&((data)<<3))
#define  LGCY_CABAC_P2_p2_bscntl_write_enable1(data)                             (0x00000004&((data)<<2))
#define  LGCY_CABAC_P2_p2_bscntl_min_xfer_size(data)                             (0x00000003&(data))
#define  LGCY_CABAC_P2_p2_bscntl_get_write_enable3(data)                         ((0x00000040&(data))>>6)
#define  LGCY_CABAC_P2_p2_bscntl_get_p2_startcode_prevnt_en(data)                ((0x00000020&(data))>>5)
#define  LGCY_CABAC_P2_p2_bscntl_get_write_enable2(data)                         ((0x00000010&(data))>>4)
#define  LGCY_CABAC_P2_p2_bscntl_get_detect_startcode_error(data)                ((0x00000008&(data))>>3)
#define  LGCY_CABAC_P2_p2_bscntl_get_write_enable1(data)                         ((0x00000004&(data))>>2)
#define  LGCY_CABAC_P2_p2_bscntl_get_min_xfer_size(data)                         (0x00000003&(data))

#define  LGCY_CABAC_P2_p2_bs_min_thr                                            0x1800E3E4
#define  LGCY_CABAC_P2_p2_bs_min_thr_reg_addr                                    "0xB800E3E4"
#define  LGCY_CABAC_P2_p2_bs_min_thr_reg                                         0xB800E3E4
#define  LGCY_CABAC_P2_p2_bs_min_thr_inst_addr                                   "0x0013"
#define  set_LGCY_CABAC_P2_p2_bs_min_thr_reg(data)                               (*((volatile unsigned int*)LGCY_CABAC_P2_p2_bs_min_thr_reg)=data)
#define  get_LGCY_CABAC_P2_p2_bs_min_thr_reg                                     (*((volatile unsigned int*)LGCY_CABAC_P2_p2_bs_min_thr_reg))
#define  LGCY_CABAC_P2_p2_bs_min_thr_min_thre_shift                              (0)
#define  LGCY_CABAC_P2_p2_bs_min_thr_min_thre_mask                               (0x0000007F)
#define  LGCY_CABAC_P2_p2_bs_min_thr_min_thre(data)                              (0x0000007F&(data))
#define  LGCY_CABAC_P2_p2_bs_min_thr_get_min_thre(data)                          (0x0000007F&(data))

#define  LGCY_CABAC_P2_p2_bstimer                                               0x1800E3E8
#define  LGCY_CABAC_P2_p2_bstimer_reg_addr                                       "0xB800E3E8"
#define  LGCY_CABAC_P2_p2_bstimer_reg                                            0xB800E3E8
#define  LGCY_CABAC_P2_p2_bstimer_inst_addr                                      "0x0014"
#define  set_LGCY_CABAC_P2_p2_bstimer_reg(data)                                  (*((volatile unsigned int*)LGCY_CABAC_P2_p2_bstimer_reg)=data)
#define  get_LGCY_CABAC_P2_p2_bstimer_reg                                        (*((volatile unsigned int*)LGCY_CABAC_P2_p2_bstimer_reg))
#define  LGCY_CABAC_P2_p2_bstimer_timer_value_shift                              (0)
#define  LGCY_CABAC_P2_p2_bstimer_timer_value_mask                               (0x00FFFFFF)
#define  LGCY_CABAC_P2_p2_bstimer_timer_value(data)                              (0x00FFFFFF&(data))
#define  LGCY_CABAC_P2_p2_bstimer_get_timer_value(data)                          (0x00FFFFFF&(data))

#define  LGCY_CABAC_P2_p2_rfifo_base                                            0x1800E364
#define  LGCY_CABAC_P2_p2_rfifo_base_reg_addr                                    "0xB800E364"
#define  LGCY_CABAC_P2_p2_rfifo_base_reg                                         0xB800E364
#define  LGCY_CABAC_P2_p2_rfifo_base_inst_addr                                   "0x0015"
#define  set_LGCY_CABAC_P2_p2_rfifo_base_reg(data)                               (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_base_reg)=data)
#define  get_LGCY_CABAC_P2_p2_rfifo_base_reg                                     (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_base_reg))
#define  LGCY_CABAC_P2_p2_rfifo_base_base_addr_shift                             (0)
#define  LGCY_CABAC_P2_p2_rfifo_base_base_addr_mask                              (0xFFFFFFFF)
#define  LGCY_CABAC_P2_p2_rfifo_base_base_addr(data)                             (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_p2_rfifo_base_get_base_addr(data)                         (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_p2_rfifo_limit                                           0x1800E368
#define  LGCY_CABAC_P2_p2_rfifo_limit_reg_addr                                   "0xB800E368"
#define  LGCY_CABAC_P2_p2_rfifo_limit_reg                                        0xB800E368
#define  LGCY_CABAC_P2_p2_rfifo_limit_inst_addr                                  "0x0016"
#define  set_LGCY_CABAC_P2_p2_rfifo_limit_reg(data)                              (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_limit_reg)=data)
#define  get_LGCY_CABAC_P2_p2_rfifo_limit_reg                                    (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_limit_reg))
#define  LGCY_CABAC_P2_p2_rfifo_limit_limit_addr_shift                           (0)
#define  LGCY_CABAC_P2_p2_rfifo_limit_limit_addr_mask                            (0xFFFFFFFF)
#define  LGCY_CABAC_P2_p2_rfifo_limit_limit_addr(data)                           (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_p2_rfifo_limit_get_limit_addr(data)                       (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_p2_rfifo_wptr                                            0x1800E36C
#define  LGCY_CABAC_P2_p2_rfifo_wptr_reg_addr                                    "0xB800E36C"
#define  LGCY_CABAC_P2_p2_rfifo_wptr_reg                                         0xB800E36C
#define  LGCY_CABAC_P2_p2_rfifo_wptr_inst_addr                                   "0x0017"
#define  set_LGCY_CABAC_P2_p2_rfifo_wptr_reg(data)                               (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_wptr_reg)=data)
#define  get_LGCY_CABAC_P2_p2_rfifo_wptr_reg                                     (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_wptr_reg))
#define  LGCY_CABAC_P2_p2_rfifo_wptr_wr_ptr_shift                                (0)
#define  LGCY_CABAC_P2_p2_rfifo_wptr_wr_ptr_mask                                 (0xFFFFFFFF)
#define  LGCY_CABAC_P2_p2_rfifo_wptr_wr_ptr(data)                                (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_p2_rfifo_wptr_get_wr_ptr(data)                            (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_p2_rfifo_rptr                                            0x1800E370
#define  LGCY_CABAC_P2_p2_rfifo_rptr_reg_addr                                    "0xB800E370"
#define  LGCY_CABAC_P2_p2_rfifo_rptr_reg                                         0xB800E370
#define  LGCY_CABAC_P2_p2_rfifo_rptr_inst_addr                                   "0x0018"
#define  set_LGCY_CABAC_P2_p2_rfifo_rptr_reg(data)                               (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_rptr_reg)=data)
#define  get_LGCY_CABAC_P2_p2_rfifo_rptr_reg                                     (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_rptr_reg))
#define  LGCY_CABAC_P2_p2_rfifo_rptr_rd_ptr_shift                                (0)
#define  LGCY_CABAC_P2_p2_rfifo_rptr_rd_ptr_mask                                 (0xFFFFFFFF)
#define  LGCY_CABAC_P2_p2_rfifo_rptr_rd_ptr(data)                                (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_p2_rfifo_rptr_get_rd_ptr(data)                            (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_p2_wfifo_base                                            0x1800E374
#define  LGCY_CABAC_P2_p2_wfifo_base_reg_addr                                    "0xB800E374"
#define  LGCY_CABAC_P2_p2_wfifo_base_reg                                         0xB800E374
#define  LGCY_CABAC_P2_p2_wfifo_base_inst_addr                                   "0x0019"
#define  set_LGCY_CABAC_P2_p2_wfifo_base_reg(data)                               (*((volatile unsigned int*)LGCY_CABAC_P2_p2_wfifo_base_reg)=data)
#define  get_LGCY_CABAC_P2_p2_wfifo_base_reg                                     (*((volatile unsigned int*)LGCY_CABAC_P2_p2_wfifo_base_reg))
#define  LGCY_CABAC_P2_p2_wfifo_base_base_addr_shift                             (0)
#define  LGCY_CABAC_P2_p2_wfifo_base_base_addr_mask                              (0xFFFFFFFF)
#define  LGCY_CABAC_P2_p2_wfifo_base_base_addr(data)                             (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_p2_wfifo_base_get_base_addr(data)                         (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_p2_wfifo_limit                                           0x1800E378
#define  LGCY_CABAC_P2_p2_wfifo_limit_reg_addr                                   "0xB800E378"
#define  LGCY_CABAC_P2_p2_wfifo_limit_reg                                        0xB800E378
#define  LGCY_CABAC_P2_p2_wfifo_limit_inst_addr                                  "0x001A"
#define  set_LGCY_CABAC_P2_p2_wfifo_limit_reg(data)                              (*((volatile unsigned int*)LGCY_CABAC_P2_p2_wfifo_limit_reg)=data)
#define  get_LGCY_CABAC_P2_p2_wfifo_limit_reg                                    (*((volatile unsigned int*)LGCY_CABAC_P2_p2_wfifo_limit_reg))
#define  LGCY_CABAC_P2_p2_wfifo_limit_limit_addr_shift                           (0)
#define  LGCY_CABAC_P2_p2_wfifo_limit_limit_addr_mask                            (0xFFFFFFFF)
#define  LGCY_CABAC_P2_p2_wfifo_limit_limit_addr(data)                           (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_p2_wfifo_limit_get_limit_addr(data)                       (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_p2_wfifo_wptr                                            0x1800E37C
#define  LGCY_CABAC_P2_p2_wfifo_wptr_reg_addr                                    "0xB800E37C"
#define  LGCY_CABAC_P2_p2_wfifo_wptr_reg                                         0xB800E37C
#define  LGCY_CABAC_P2_p2_wfifo_wptr_inst_addr                                   "0x001B"
#define  set_LGCY_CABAC_P2_p2_wfifo_wptr_reg(data)                               (*((volatile unsigned int*)LGCY_CABAC_P2_p2_wfifo_wptr_reg)=data)
#define  get_LGCY_CABAC_P2_p2_wfifo_wptr_reg                                     (*((volatile unsigned int*)LGCY_CABAC_P2_p2_wfifo_wptr_reg))
#define  LGCY_CABAC_P2_p2_wfifo_wptr_wr_ptr_shift                                (0)
#define  LGCY_CABAC_P2_p2_wfifo_wptr_wr_ptr_mask                                 (0xFFFFFFFF)
#define  LGCY_CABAC_P2_p2_wfifo_wptr_wr_ptr(data)                                (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_p2_wfifo_wptr_get_wr_ptr(data)                            (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_p2_wfifo_rptr                                            0x1800E380
#define  LGCY_CABAC_P2_p2_wfifo_rptr_reg_addr                                    "0xB800E380"
#define  LGCY_CABAC_P2_p2_wfifo_rptr_reg                                         0xB800E380
#define  LGCY_CABAC_P2_p2_wfifo_rptr_inst_addr                                   "0x001C"
#define  set_LGCY_CABAC_P2_p2_wfifo_rptr_reg(data)                               (*((volatile unsigned int*)LGCY_CABAC_P2_p2_wfifo_rptr_reg)=data)
#define  get_LGCY_CABAC_P2_p2_wfifo_rptr_reg                                     (*((volatile unsigned int*)LGCY_CABAC_P2_p2_wfifo_rptr_reg))
#define  LGCY_CABAC_P2_p2_wfifo_rptr_rd_ptr_shift                                (0)
#define  LGCY_CABAC_P2_p2_wfifo_rptr_rd_ptr_mask                                 (0xFFFFFFFF)
#define  LGCY_CABAC_P2_p2_wfifo_rptr_rd_ptr(data)                                (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_p2_wfifo_rptr_get_rd_ptr(data)                            (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_p2_rfifo_decbsptr                                        0x1800E384
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_reg_addr                                "0xB800E384"
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_reg                                     0xB800E384
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_inst_addr                               "0x001D"
#define  set_LGCY_CABAC_P2_p2_rfifo_decbsptr_reg(data)                           (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_decbsptr_reg)=data)
#define  get_LGCY_CABAC_P2_p2_rfifo_decbsptr_reg                                 (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_decbsptr_reg))
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_dec_bit_ptr_shift                       (0)
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_dec_bit_ptr_mask                        (0xFFFFFFFF)
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_dec_bit_ptr(data)                       (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_get_dec_bit_ptr(data)                   (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb                                    0x1800E24C
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_reg_addr                            "0xB800E24C"
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_reg                                 0xB800E24C
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_inst_addr                           "0x001E"
#define  set_LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_reg(data)                       (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_reg)=data)
#define  get_LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_reg                             (*((volatile unsigned int*)LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_reg))
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_pre_bin_loc_reg_msb_shift           (6)
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_bin_loc_reg_msb_shift               (3)
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_dec_bit_ptr_msb_shift               (0)
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_pre_bin_loc_reg_msb_mask            (0x000001C0)
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_bin_loc_reg_msb_mask                (0x00000038)
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_dec_bit_ptr_msb_mask                (0x00000007)
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_pre_bin_loc_reg_msb(data)           (0x000001C0&((data)<<6))
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_bin_loc_reg_msb(data)               (0x00000038&((data)<<3))
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_dec_bit_ptr_msb(data)               (0x00000007&(data))
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_get_pre_bin_loc_reg_msb(data)       ((0x000001C0&(data))>>6)
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_get_bin_loc_reg_msb(data)           ((0x00000038&(data))>>3)
#define  LGCY_CABAC_P2_p2_rfifo_decbsptr_msb_get_dec_bit_ptr_msb(data)           (0x00000007&(data))

#define  LGCY_CABAC_P2_cabac_p2_cntl                                            0x1800E388
#define  LGCY_CABAC_P2_cabac_p2_cntl_reg_addr                                    "0xB800E388"
#define  LGCY_CABAC_P2_cabac_p2_cntl_reg                                         0xB800E388
#define  LGCY_CABAC_P2_cabac_p2_cntl_inst_addr                                   "0x001F"
#define  set_LGCY_CABAC_P2_cabac_p2_cntl_reg(data)                               (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_p2_cntl_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_p2_cntl_reg                                     (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_p2_cntl_reg))
#define  LGCY_CABAC_P2_cabac_p2_cntl_pic_init_qp_7to6_shift                      (29)
#define  LGCY_CABAC_P2_cabac_p2_cntl_entropy_coding_mode_shift                   (28)
#define  LGCY_CABAC_P2_cabac_p2_cntl_pic_init_qp_shift                           (22)
#define  LGCY_CABAC_P2_cabac_p2_cntl_chroma_qp_offset_shift                      (17)
#define  LGCY_CABAC_P2_cabac_p2_cntl_second_chroma_qp_offset_shift               (12)
#define  LGCY_CABAC_P2_cabac_p2_cntl_direct_8x8_inferflg_shift                   (11)
#define  LGCY_CABAC_P2_cabac_p2_cntl_transform_8x8_mode_flg_shift                (10)
#define  LGCY_CABAC_P2_cabac_p2_cntl_num_ref_idx_l0_active_minus1_shift          (5)
#define  LGCY_CABAC_P2_cabac_p2_cntl_num_ref_idx_l1_active_minus1_shift          (0)
#define  LGCY_CABAC_P2_cabac_p2_cntl_pic_init_qp_7to6_mask                       (0x60000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl_entropy_coding_mode_mask                    (0x10000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl_pic_init_qp_mask                            (0x0FC00000)
#define  LGCY_CABAC_P2_cabac_p2_cntl_chroma_qp_offset_mask                       (0x003E0000)
#define  LGCY_CABAC_P2_cabac_p2_cntl_second_chroma_qp_offset_mask                (0x0001F000)
#define  LGCY_CABAC_P2_cabac_p2_cntl_direct_8x8_inferflg_mask                    (0x00000800)
#define  LGCY_CABAC_P2_cabac_p2_cntl_transform_8x8_mode_flg_mask                 (0x00000400)
#define  LGCY_CABAC_P2_cabac_p2_cntl_num_ref_idx_l0_active_minus1_mask           (0x000003E0)
#define  LGCY_CABAC_P2_cabac_p2_cntl_num_ref_idx_l1_active_minus1_mask           (0x0000001F)
#define  LGCY_CABAC_P2_cabac_p2_cntl_pic_init_qp_7to6(data)                      (0x60000000&((data)<<29))
#define  LGCY_CABAC_P2_cabac_p2_cntl_entropy_coding_mode(data)                   (0x10000000&((data)<<28))
#define  LGCY_CABAC_P2_cabac_p2_cntl_pic_init_qp(data)                           (0x0FC00000&((data)<<22))
#define  LGCY_CABAC_P2_cabac_p2_cntl_chroma_qp_offset(data)                      (0x003E0000&((data)<<17))
#define  LGCY_CABAC_P2_cabac_p2_cntl_second_chroma_qp_offset(data)               (0x0001F000&((data)<<12))
#define  LGCY_CABAC_P2_cabac_p2_cntl_direct_8x8_inferflg(data)                   (0x00000800&((data)<<11))
#define  LGCY_CABAC_P2_cabac_p2_cntl_transform_8x8_mode_flg(data)                (0x00000400&((data)<<10))
#define  LGCY_CABAC_P2_cabac_p2_cntl_num_ref_idx_l0_active_minus1(data)          (0x000003E0&((data)<<5))
#define  LGCY_CABAC_P2_cabac_p2_cntl_num_ref_idx_l1_active_minus1(data)          (0x0000001F&(data))
#define  LGCY_CABAC_P2_cabac_p2_cntl_get_pic_init_qp_7to6(data)                  ((0x60000000&(data))>>29)
#define  LGCY_CABAC_P2_cabac_p2_cntl_get_entropy_coding_mode(data)               ((0x10000000&(data))>>28)
#define  LGCY_CABAC_P2_cabac_p2_cntl_get_pic_init_qp(data)                       ((0x0FC00000&(data))>>22)
#define  LGCY_CABAC_P2_cabac_p2_cntl_get_chroma_qp_offset(data)                  ((0x003E0000&(data))>>17)
#define  LGCY_CABAC_P2_cabac_p2_cntl_get_second_chroma_qp_offset(data)           ((0x0001F000&(data))>>12)
#define  LGCY_CABAC_P2_cabac_p2_cntl_get_direct_8x8_inferflg(data)               ((0x00000800&(data))>>11)
#define  LGCY_CABAC_P2_cabac_p2_cntl_get_transform_8x8_mode_flg(data)            ((0x00000400&(data))>>10)
#define  LGCY_CABAC_P2_cabac_p2_cntl_get_num_ref_idx_l0_active_minus1(data)      ((0x000003E0&(data))>>5)
#define  LGCY_CABAC_P2_cabac_p2_cntl_get_num_ref_idx_l1_active_minus1(data)      (0x0000001F&(data))

#define  LGCY_CABAC_P2_cabac_p2_cntl2                                           0x1800E38C
#define  LGCY_CABAC_P2_cabac_p2_cntl2_reg_addr                                   "0xB800E38C"
#define  LGCY_CABAC_P2_cabac_p2_cntl2_reg                                        0xB800E38C
#define  LGCY_CABAC_P2_cabac_p2_cntl2_inst_addr                                  "0x0020"
#define  set_LGCY_CABAC_P2_cabac_p2_cntl2_reg(data)                              (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_p2_cntl2_reg)=data)
#define  get_LGCY_CABAC_P2_cabac_p2_cntl2_reg                                    (*((volatile unsigned int*)LGCY_CABAC_P2_cabac_p2_cntl2_reg))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable7_shift                        (31)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_mb_adaptive_frame_field_flag_shift         (30)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable6_shift                        (29)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_picmb_w_shift                              (19)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable5_shift                        (18)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_monochrome_shift                           (17)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable4_shift                        (16)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_field_pic_flag_shift                       (15)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable3_shift                        (14)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_pic_type_shift                             (11)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable2_shift                        (10)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_slice_qp_delta_shift                       (3)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable1_shift                        (2)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_cabac_init_idc_shift                       (0)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable7_mask                         (0x80000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_mb_adaptive_frame_field_flag_mask          (0x40000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable6_mask                         (0x20000000)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_picmb_w_mask                               (0x1FF80000)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable5_mask                         (0x00040000)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_monochrome_mask                            (0x00020000)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable4_mask                         (0x00010000)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_field_pic_flag_mask                        (0x00008000)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable3_mask                         (0x00004000)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_pic_type_mask                              (0x00003800)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable2_mask                         (0x00000400)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_slice_qp_delta_mask                        (0x000003F8)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable1_mask                         (0x00000004)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_cabac_init_idc_mask                        (0x00000003)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable7(data)                        (0x80000000&((data)<<31))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_mb_adaptive_frame_field_flag(data)         (0x40000000&((data)<<30))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable6(data)                        (0x20000000&((data)<<29))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_picmb_w(data)                              (0x1FF80000&((data)<<19))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable5(data)                        (0x00040000&((data)<<18))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_monochrome(data)                           (0x00020000&((data)<<17))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable4(data)                        (0x00010000&((data)<<16))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_field_pic_flag(data)                       (0x00008000&((data)<<15))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable3(data)                        (0x00004000&((data)<<14))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_pic_type(data)                             (0x00003800&((data)<<11))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable2(data)                        (0x00000400&((data)<<10))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_slice_qp_delta(data)                       (0x000003F8&((data)<<3))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_write_enable1(data)                        (0x00000004&((data)<<2))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_cabac_init_idc(data)                       (0x00000003&(data))
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_write_enable7(data)                    ((0x80000000&(data))>>31)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_mb_adaptive_frame_field_flag(data)     ((0x40000000&(data))>>30)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_write_enable6(data)                    ((0x20000000&(data))>>29)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_picmb_w(data)                          ((0x1FF80000&(data))>>19)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_write_enable5(data)                    ((0x00040000&(data))>>18)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_monochrome(data)                       ((0x00020000&(data))>>17)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_write_enable4(data)                    ((0x00010000&(data))>>16)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_field_pic_flag(data)                   ((0x00008000&(data))>>15)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_write_enable3(data)                    ((0x00004000&(data))>>14)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_pic_type(data)                         ((0x00003800&(data))>>11)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_write_enable2(data)                    ((0x00000400&(data))>>10)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_slice_qp_delta(data)                   ((0x000003F8&(data))>>3)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_write_enable1(data)                    ((0x00000004&(data))>>2)
#define  LGCY_CABAC_P2_cabac_p2_cntl2_get_cabac_init_idc(data)                   (0x00000003&(data))

#define  LGCY_CABAC_P2_p2_ndb_ctl                                               0x1800E3B8
#define  LGCY_CABAC_P2_p2_ndb_ctl_reg_addr                                       "0xB800E3B8"
#define  LGCY_CABAC_P2_p2_ndb_ctl_reg                                            0xB800E3B8
#define  LGCY_CABAC_P2_p2_ndb_ctl_inst_addr                                      "0x0021"
#define  set_LGCY_CABAC_P2_p2_ndb_ctl_reg(data)                                  (*((volatile unsigned int*)LGCY_CABAC_P2_p2_ndb_ctl_reg)=data)
#define  get_LGCY_CABAC_P2_p2_ndb_ctl_reg                                        (*((volatile unsigned int*)LGCY_CABAC_P2_p2_ndb_ctl_reg))
#define  LGCY_CABAC_P2_p2_ndb_ctl_write_enable3_shift                            (5)
#define  LGCY_CABAC_P2_p2_ndb_ctl_cabac_halt_done_shift                          (4)
#define  LGCY_CABAC_P2_p2_ndb_ctl_write_enable2_shift                            (3)
#define  LGCY_CABAC_P2_p2_ndb_ctl_cabac_halt_shift                               (2)
#define  LGCY_CABAC_P2_p2_ndb_ctl_write_enable1_shift                            (1)
#define  LGCY_CABAC_P2_p2_ndb_ctl_postwrite_en_shift                             (0)
#define  LGCY_CABAC_P2_p2_ndb_ctl_write_enable3_mask                             (0x00000020)
#define  LGCY_CABAC_P2_p2_ndb_ctl_cabac_halt_done_mask                           (0x00000010)
#define  LGCY_CABAC_P2_p2_ndb_ctl_write_enable2_mask                             (0x00000008)
#define  LGCY_CABAC_P2_p2_ndb_ctl_cabac_halt_mask                                (0x00000004)
#define  LGCY_CABAC_P2_p2_ndb_ctl_write_enable1_mask                             (0x00000002)
#define  LGCY_CABAC_P2_p2_ndb_ctl_postwrite_en_mask                              (0x00000001)
#define  LGCY_CABAC_P2_p2_ndb_ctl_write_enable3(data)                            (0x00000020&((data)<<5))
#define  LGCY_CABAC_P2_p2_ndb_ctl_cabac_halt_done(data)                          (0x00000010&((data)<<4))
#define  LGCY_CABAC_P2_p2_ndb_ctl_write_enable2(data)                            (0x00000008&((data)<<3))
#define  LGCY_CABAC_P2_p2_ndb_ctl_cabac_halt(data)                               (0x00000004&((data)<<2))
#define  LGCY_CABAC_P2_p2_ndb_ctl_write_enable1(data)                            (0x00000002&((data)<<1))
#define  LGCY_CABAC_P2_p2_ndb_ctl_postwrite_en(data)                             (0x00000001&(data))
#define  LGCY_CABAC_P2_p2_ndb_ctl_get_write_enable3(data)                        ((0x00000020&(data))>>5)
#define  LGCY_CABAC_P2_p2_ndb_ctl_get_cabac_halt_done(data)                      ((0x00000010&(data))>>4)
#define  LGCY_CABAC_P2_p2_ndb_ctl_get_write_enable2(data)                        ((0x00000008&(data))>>3)
#define  LGCY_CABAC_P2_p2_ndb_ctl_get_cabac_halt(data)                           ((0x00000004&(data))>>2)
#define  LGCY_CABAC_P2_p2_ndb_ctl_get_write_enable1(data)                        ((0x00000002&(data))>>1)
#define  LGCY_CABAC_P2_p2_ndb_ctl_get_postwrite_en(data)                         (0x00000001&(data))

#define  LGCY_CABAC_P2_ndb_cabac_base                                           0x1800E394
#define  LGCY_CABAC_P2_ndb_cabac_base_reg_addr                                   "0xB800E394"
#define  LGCY_CABAC_P2_ndb_cabac_base_reg                                        0xB800E394
#define  LGCY_CABAC_P2_ndb_cabac_base_inst_addr                                  "0x0022"
#define  set_LGCY_CABAC_P2_ndb_cabac_base_reg(data)                              (*((volatile unsigned int*)LGCY_CABAC_P2_ndb_cabac_base_reg)=data)
#define  get_LGCY_CABAC_P2_ndb_cabac_base_reg                                    (*((volatile unsigned int*)LGCY_CABAC_P2_ndb_cabac_base_reg))
#define  LGCY_CABAC_P2_ndb_cabac_base_base_addr_shift                            (0)
#define  LGCY_CABAC_P2_ndb_cabac_base_base_addr_mask                             (0xFFFFFFFF)
#define  LGCY_CABAC_P2_ndb_cabac_base_base_addr(data)                            (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_ndb_cabac_base_get_base_addr(data)                        (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_ndb_cabac_limit                                          0x1800E39C
#define  LGCY_CABAC_P2_ndb_cabac_limit_reg_addr                                  "0xB800E39C"
#define  LGCY_CABAC_P2_ndb_cabac_limit_reg                                       0xB800E39C
#define  LGCY_CABAC_P2_ndb_cabac_limit_inst_addr                                 "0x0023"
#define  set_LGCY_CABAC_P2_ndb_cabac_limit_reg(data)                             (*((volatile unsigned int*)LGCY_CABAC_P2_ndb_cabac_limit_reg)=data)
#define  get_LGCY_CABAC_P2_ndb_cabac_limit_reg                                   (*((volatile unsigned int*)LGCY_CABAC_P2_ndb_cabac_limit_reg))
#define  LGCY_CABAC_P2_ndb_cabac_limit_limit_addr_shift                          (0)
#define  LGCY_CABAC_P2_ndb_cabac_limit_limit_addr_mask                           (0xFFFFFFFF)
#define  LGCY_CABAC_P2_ndb_cabac_limit_limit_addr(data)                          (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_ndb_cabac_limit_get_limit_addr(data)                      (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_ndb_cabac_wptr                                           0x1800E3A0
#define  LGCY_CABAC_P2_ndb_cabac_wptr_reg_addr                                   "0xB800E3A0"
#define  LGCY_CABAC_P2_ndb_cabac_wptr_reg                                        0xB800E3A0
#define  LGCY_CABAC_P2_ndb_cabac_wptr_inst_addr                                  "0x0024"
#define  set_LGCY_CABAC_P2_ndb_cabac_wptr_reg(data)                              (*((volatile unsigned int*)LGCY_CABAC_P2_ndb_cabac_wptr_reg)=data)
#define  get_LGCY_CABAC_P2_ndb_cabac_wptr_reg                                    (*((volatile unsigned int*)LGCY_CABAC_P2_ndb_cabac_wptr_reg))
#define  LGCY_CABAC_P2_ndb_cabac_wptr_wr_ptr_shift                               (0)
#define  LGCY_CABAC_P2_ndb_cabac_wptr_wr_ptr_mask                                (0xFFFFFFFF)
#define  LGCY_CABAC_P2_ndb_cabac_wptr_wr_ptr(data)                               (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_ndb_cabac_wptr_get_wr_ptr(data)                           (0xFFFFFFFF&(data))

#define  LGCY_CABAC_P2_ndb_cabac_rptr                                           0x1800E3A4
#define  LGCY_CABAC_P2_ndb_cabac_rptr_reg_addr                                   "0xB800E3A4"
#define  LGCY_CABAC_P2_ndb_cabac_rptr_reg                                        0xB800E3A4
#define  LGCY_CABAC_P2_ndb_cabac_rptr_inst_addr                                  "0x0025"
#define  set_LGCY_CABAC_P2_ndb_cabac_rptr_reg(data)                              (*((volatile unsigned int*)LGCY_CABAC_P2_ndb_cabac_rptr_reg)=data)
#define  get_LGCY_CABAC_P2_ndb_cabac_rptr_reg                                    (*((volatile unsigned int*)LGCY_CABAC_P2_ndb_cabac_rptr_reg))
#define  LGCY_CABAC_P2_ndb_cabac_rptr_rd_ptr_shift                               (0)
#define  LGCY_CABAC_P2_ndb_cabac_rptr_rd_ptr_mask                                (0xFFFFFFFF)
#define  LGCY_CABAC_P2_ndb_cabac_rptr_rd_ptr(data)                               (0xFFFFFFFF&(data))
#define  LGCY_CABAC_P2_ndb_cabac_rptr_get_rd_ptr(data)                           (0xFFFFFFFF&(data))

#ifndef LITTLE_ENDIAN //apply BIG_ENDIAN

//======LGCY_CABAC_P2 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_top:32;
    };
}lgcy_cabac_p2_cabac_lefttop_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_bot:32;
    };
}lgcy_cabac_p2_cabac_leftbot_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  write_enable7:1;
        RBus_UInt32  reset_cabacp2_bsfifo:1;
        RBus_UInt32  write_enable6:1;
        RBus_UInt32  decode_en_cabacp2:1;
        RBus_UInt32  write_enable5:1;
        RBus_UInt32  cabac_1p_mode:1;
        RBus_UInt32  write_enable4:1;
        RBus_UInt32  cabac_p2_p3:1;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  cabac_p2_go:1;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  latch_enable:1;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  codioffset:9;
        RBus_UInt32  codirange:9;
    };
}lgcy_cabac_p2_cabac_p2_cntl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  write_enable5:1;
        RBus_UInt32  arb_wait_value:5;
        RBus_UInt32  write_enable4:1;
        RBus_UInt32  haltcabacp2_done:1;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  haltcabacp2:1;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  cabacp2_idle:1;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  cabacp2_header_byte_cnt:18;
    };
}lgcy_cabac_p2_cabac_p2_cntl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:6;
        RBus_UInt32  filter_level_v:6;
        RBus_UInt32  filter_level_u:6;
        RBus_UInt32  filter_level_hor:6;
        RBus_UInt32  filter_level:6;
        RBus_UInt32  neighbor_loc:2;
    };
}lgcy_cabac_p2_p2_neighbor_loc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  cabac_p2_wfifo_err:1;
        RBus_UInt32  cabac_p2_bsfifo_err:1;
        RBus_UInt32  cabac_p2_dec_err:1;
        RBus_UInt32  cabac_p2_done:1;
        RBus_UInt32  write_data:1;
    };
}lgcy_cabac_p2_cabacp2_int_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:27;
        RBus_UInt32  cabac_p2_wfifo_err_ie:1;
        RBus_UInt32  cabac_p2_bsfifo_err_ie:1;
        RBus_UInt32  cabac_p2_dec_err_ie:1;
        RBus_UInt32  cabac_p2_done_ie:1;
        RBus_UInt32  write_data:1;
    };
}lgcy_cabac_p2_cabacp2_int_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  write_enable4:1;
        RBus_UInt32  hevc_eos:1;
        RBus_UInt32  hevc_p2_err:1;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  coding_type:5;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  cabacp2_pred_counter:10;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  cabacp2_curmb_addr:10;
    };
}lgcy_cabac_p2_cabac_p2_cntl5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  p2_startcode_prevnt_en:1;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  detect_startcode_error:1;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  min_xfer_size:2;
    };
}lgcy_cabac_p2_p2_bscntl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:25;
        RBus_UInt32  min_thre:7;
    };
}lgcy_cabac_p2_p2_bs_min_thr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:8;
        RBus_UInt32  timer_value:24;
    };
}lgcy_cabac_p2_p2_bstimer_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  base_addr:32;
    };
}lgcy_cabac_p2_p2_rfifo_base_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  limit_addr:32;
    };
}lgcy_cabac_p2_p2_rfifo_limit_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wr_ptr:32;
    };
}lgcy_cabac_p2_p2_rfifo_wptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rd_ptr:32;
    };
}lgcy_cabac_p2_p2_rfifo_rptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  base_addr:32;
    };
}lgcy_cabac_p2_p2_wfifo_base_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  limit_addr:32;
    };
}lgcy_cabac_p2_p2_wfifo_limit_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wr_ptr:32;
    };
}lgcy_cabac_p2_p2_wfifo_wptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rd_ptr:32;
    };
}lgcy_cabac_p2_p2_wfifo_rptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dec_bit_ptr:32;
    };
}lgcy_cabac_p2_p2_rfifo_decbsptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:23;
        RBus_UInt32  pre_bin_loc_reg_msb:3;
        RBus_UInt32  bin_loc_reg_msb:3;
        RBus_UInt32  dec_bit_ptr_msb:3;
    };
}lgcy_cabac_p2_p2_rfifo_decbsptr_msb_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:1;
        RBus_UInt32  pic_init_qp_7to6:2;
        RBus_UInt32  entropy_coding_mode:1;
        RBus_UInt32  pic_init_qp:6;
        RBus_UInt32  chroma_qp_offset:5;
        RBus_UInt32  second_chroma_qp_offset:5;
        RBus_UInt32  direct_8x8_inferflg:1;
        RBus_UInt32  transform_8x8_mode_flg:1;
        RBus_UInt32  num_ref_idx_l0_active_minus1:5;
        RBus_UInt32  num_ref_idx_l1_active_minus1:5;
    };
}lgcy_cabac_p2_cabac_p2_cntl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_enable7:1;
        RBus_UInt32  mb_adaptive_frame_field_flag:1;
        RBus_UInt32  write_enable6:1;
        RBus_UInt32  picmb_w:10;
        RBus_UInt32  write_enable5:1;
        RBus_UInt32  monochrome:1;
        RBus_UInt32  write_enable4:1;
        RBus_UInt32  field_pic_flag:1;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  pic_type:3;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  slice_qp_delta:7;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  cabac_init_idc:2;
    };
}lgcy_cabac_p2_cabac_p2_cntl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  res1:26;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  cabac_halt_done:1;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  cabac_halt:1;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  postwrite_en:1;
    };
}lgcy_cabac_p2_p2_ndb_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  base_addr:32;
    };
}lgcy_cabac_p2_ndb_cabac_base_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  limit_addr:32;
    };
}lgcy_cabac_p2_ndb_cabac_limit_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wr_ptr:32;
    };
}lgcy_cabac_p2_ndb_cabac_wptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rd_ptr:32;
    };
}lgcy_cabac_p2_ndb_cabac_rptr_RBUS;

#else //apply LITTLE_ENDIAN

//======LGCY_CABAC_P2 register structure define==========

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_top:32;
    };
}lgcy_cabac_p2_cabac_lefttop_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  left_bot:32;
    };
}lgcy_cabac_p2_cabac_leftbot_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  codirange:9;
        RBus_UInt32  codioffset:9;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  latch_enable:1;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  cabac_p2_go:1;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  cabac_p2_p3:1;
        RBus_UInt32  write_enable4:1;
        RBus_UInt32  cabac_1p_mode:1;
        RBus_UInt32  write_enable5:1;
        RBus_UInt32  decode_en_cabacp2:1;
        RBus_UInt32  write_enable6:1;
        RBus_UInt32  reset_cabacp2_bsfifo:1;
        RBus_UInt32  write_enable7:1;
        RBus_UInt32  res1:1;
    };
}lgcy_cabac_p2_cabac_p2_cntl3_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cabacp2_header_byte_cnt:18;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  cabacp2_idle:1;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  haltcabacp2:1;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  haltcabacp2_done:1;
        RBus_UInt32  write_enable4:1;
        RBus_UInt32  arb_wait_value:5;
        RBus_UInt32  write_enable5:1;
        RBus_UInt32  res1:1;
    };
}lgcy_cabac_p2_cabac_p2_cntl4_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  neighbor_loc:2;
        RBus_UInt32  filter_level:6;
        RBus_UInt32  filter_level_hor:6;
        RBus_UInt32  filter_level_u:6;
        RBus_UInt32  filter_level_v:6;
        RBus_UInt32  res1:6;
    };
}lgcy_cabac_p2_p2_neighbor_loc_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_data:1;
        RBus_UInt32  cabac_p2_done:1;
        RBus_UInt32  cabac_p2_dec_err:1;
        RBus_UInt32  cabac_p2_bsfifo_err:1;
        RBus_UInt32  cabac_p2_wfifo_err:1;
        RBus_UInt32  res1:27;
    };
}lgcy_cabac_p2_cabacp2_int_status_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  write_data:1;
        RBus_UInt32  cabac_p2_done_ie:1;
        RBus_UInt32  cabac_p2_dec_err_ie:1;
        RBus_UInt32  cabac_p2_bsfifo_err_ie:1;
        RBus_UInt32  cabac_p2_wfifo_err_ie:1;
        RBus_UInt32  res1:27;
    };
}lgcy_cabac_p2_cabacp2_int_en_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cabacp2_curmb_addr:10;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  cabacp2_pred_counter:10;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  coding_type:5;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  hevc_p2_err:1;
        RBus_UInt32  hevc_eos:1;
        RBus_UInt32  write_enable4:1;
        RBus_UInt32  res1:1;
    };
}lgcy_cabac_p2_cabac_p2_cntl5_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  min_xfer_size:2;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  detect_startcode_error:1;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  p2_startcode_prevnt_en:1;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  res1:25;
    };
}lgcy_cabac_p2_p2_bscntl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  min_thre:7;
        RBus_UInt32  res1:25;
    };
}lgcy_cabac_p2_p2_bs_min_thr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  timer_value:24;
        RBus_UInt32  res1:8;
    };
}lgcy_cabac_p2_p2_bstimer_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  base_addr:32;
    };
}lgcy_cabac_p2_p2_rfifo_base_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  limit_addr:32;
    };
}lgcy_cabac_p2_p2_rfifo_limit_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wr_ptr:32;
    };
}lgcy_cabac_p2_p2_rfifo_wptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rd_ptr:32;
    };
}lgcy_cabac_p2_p2_rfifo_rptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  base_addr:32;
    };
}lgcy_cabac_p2_p2_wfifo_base_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  limit_addr:32;
    };
}lgcy_cabac_p2_p2_wfifo_limit_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wr_ptr:32;
    };
}lgcy_cabac_p2_p2_wfifo_wptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rd_ptr:32;
    };
}lgcy_cabac_p2_p2_wfifo_rptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dec_bit_ptr:32;
    };
}lgcy_cabac_p2_p2_rfifo_decbsptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  dec_bit_ptr_msb:3;
        RBus_UInt32  bin_loc_reg_msb:3;
        RBus_UInt32  pre_bin_loc_reg_msb:3;
        RBus_UInt32  res1:23;
    };
}lgcy_cabac_p2_p2_rfifo_decbsptr_msb_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  num_ref_idx_l1_active_minus1:5;
        RBus_UInt32  num_ref_idx_l0_active_minus1:5;
        RBus_UInt32  transform_8x8_mode_flg:1;
        RBus_UInt32  direct_8x8_inferflg:1;
        RBus_UInt32  second_chroma_qp_offset:5;
        RBus_UInt32  chroma_qp_offset:5;
        RBus_UInt32  pic_init_qp:6;
        RBus_UInt32  entropy_coding_mode:1;
        RBus_UInt32  pic_init_qp_7to6:2;
        RBus_UInt32  res1:1;
    };
}lgcy_cabac_p2_cabac_p2_cntl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  cabac_init_idc:2;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  slice_qp_delta:7;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  pic_type:3;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  field_pic_flag:1;
        RBus_UInt32  write_enable4:1;
        RBus_UInt32  monochrome:1;
        RBus_UInt32  write_enable5:1;
        RBus_UInt32  picmb_w:10;
        RBus_UInt32  write_enable6:1;
        RBus_UInt32  mb_adaptive_frame_field_flag:1;
        RBus_UInt32  write_enable7:1;
    };
}lgcy_cabac_p2_cabac_p2_cntl2_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  postwrite_en:1;
        RBus_UInt32  write_enable1:1;
        RBus_UInt32  cabac_halt:1;
        RBus_UInt32  write_enable2:1;
        RBus_UInt32  cabac_halt_done:1;
        RBus_UInt32  write_enable3:1;
        RBus_UInt32  res1:26;
    };
}lgcy_cabac_p2_p2_ndb_ctl_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  base_addr:32;
    };
}lgcy_cabac_p2_ndb_cabac_base_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  limit_addr:32;
    };
}lgcy_cabac_p2_ndb_cabac_limit_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  wr_ptr:32;
    };
}lgcy_cabac_p2_ndb_cabac_wptr_RBUS;

typedef union
{
    RBus_UInt32 regValue;
    struct{
        RBus_UInt32  rd_ptr:32;
    };
}lgcy_cabac_p2_ndb_cabac_rptr_RBUS;




#endif 


#endif 
